Menambah ciri-ciri yang dipratetap kepada, sambungan komponen atau jenis

Navigation: Ia merupakan pusat seni bina anda> Hartanah>

Menambah ciri-ciri yang dipratetap kepada, sambungan komponen atau jenis

Menghantar komen mengenai topik ini.

Perpustakaan Standard hartanah boleh ditentukan dan diberikan kepada apa-apa lagi dalam seni bina. Perpustakaan ini dikenali sebagai Piawaian. Dengan menggunakan Piawaian, Anda hanya perlu untuk mengumpul sistem sifat-sifat tertentu - sifat standard sudah ada.

Sebagai contoh ciri-ciri prestasi standard Microsoft Windows 2000 boleh disimpan sebagaiStandarddan diberikan kepada mana-mana komponen (atau sambungan, tidak bahawa yang akan menjadi tipikal) menggunakan Microsoft Windows 2000 sistem operasi.

Untuk menambahstandardkepada, sambungan komponen atau jenis

1. Klik kananpada komponen / sambungan / jenis.

2. Pilih Berikan Standard.

3. PilihyangStandarddari senarai.

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Menukar sifat-sifat, sambungan komponen atau jenis | Sifat-sifat agregat

© 2001-2015 Avolution Pty Ltd. Hak cipta terpelihara.


Sifat-sifat agregat

Navigation: Ia merupakan pusat seni bina anda> Hartanah>

Sifat-sifat agregat

Menghantar komen mengenai topik ini.

Operasi "Agregat Properties"Membolehkan anda untuk menambah nilai hartanah yang serupa bersama-sama dan menulis (atau menambah) keputusan ke dalam sifat-elemen induk dipilih. Ia juga membolehkan anda untuk menentukan skop pengagregatan dan sama ada untuk mengemas kini ciri-ciri semua sub-elemen atau tidak.

Sifat-sifat agregat

1. Pastikan anda mempunyai fail ABACUS yang, Yang mengandungi anda seni bina penduduk, terbuka.

2. Klik kanan pada unsur (seni bina, komponen atau sambungan a) di mana untuk melakukan pengumpulan dan pilih Properties agregat.

3. Pilih salah satu daripada Pilihan agregat (Traverse Semua Sub-Levelatau Hanya Direct Sub-Level). Jika anda telah memilih Traverse Semua Sub-Level, Anda juga boleh memilih pilihan yang sama ada untuk Update Sub-Level.

o Traverse Semua Sub-Levelbermakna bahawa skop pengagregatan akan merangkumi unsur-unsur dalam semua peringkat di bawah elemen pilihan anda.

o Update Sub-Levelhanya boleh dilakukan jika anda juga telah memilih pilihan Traverse Semua Sub-Level. Ini bermakna bahawa walaupun anda menggabungkan sifat-sifat dari bawah ke atas, keputusan agregat di setiap peringkat juga akan dikemaskini ke dalam setiap unsur-unsur yang sepadan.

o Hanya Direct Sub-Levelbermakna hanya sifat-sifat unsur-unsur secara langsung di bawah elemen yang dipilih akan dijumlahkan.

o Pilih Termasuk StandardPropertiesjika anda mahu sifat-sifat yang ditakrifkan dalam piawaian hendaklah dimasukkan. Jika tidak, hanya sifat-sifat unik untuk setiap keadaan komponen akan digunakan.

4. Memilih ciri-ciri yang anda ingin kumpulkan. Mereka dikumpulkan ke dalam mereka Jenis.

5. Klik Seterusnyabutang.

6. Pilih satu jawapan yang sama ada untuk Nilai menulis gantiatau Tambah Nilaike dalam elemen yang dipilih.

o Nilai menulis gantiakan menulis keputusan terus ke dalam sifat unsur yang dipilih.

o Tambah Nilaiakan menambah hasil ke hartanah yang sedia ada elemen yang dipilih.

Lihat juga

Menambah ciri-ciri yang dipratetap kepada, sambungan komponen atau jenis | Menukar sifat-sifat, sambungan komponen atau jenis | Menilai senibina anda


Architecture Diff dan Sync

Navigation: Menganalisa senibina anda>

Architecture Diff dan Sync

Menghantar komen mengenai topik ini.

Apabila anda mempunyai 2 atau lebih seni bina, sama ada sebagai evolusi atau seni bina asas, anda boleh cacat 'diff' kedua-dua seni bina menggunakan katalog atau gambar rajah Perbandingan atau Ciri seni bina Diff. Ini sangat berguna untuk menemui semula / menemui perubahan yang tepat dibuat dari satu seni bina yang lain seperti yang anda berkembang seni bina dan membangunkan pelan hala tuju dalam ABACUS.

Untuk menunjukkan 'diff' dengan seni bina lain melalui gambar rajah

1. Pastikan anda mempunyai Fail ABACUS terbuka .

2. Pastikan anda mempunyai sekurang-kurangnya 2 senibina dalam projek itu.

3. Buka rajah yang anda ingin dibandingkan dengan seni bina yang lain.

4. Klik 'Bandingkan Rajah ini kepada kandungan seni bina lain' butang pada bar alat Rajah ini.

5. Pilih seni bina lain dari senarai drop-down untuk membandingkan.

6. Anda boleh menapis apa perbezaan ditunjukkan dengan mengklik butang 'Perbezaan' pada bar alat Rajah dan tidak memilih opsyen, contoh: Berubah / Ditambah / Tidak diketahui dan Yang tidak dapat ditentukan / Sync lawatan/ Ikuti lawatan.

Nota

Komponen dan sambungan pada rajah akan diserlahkan dalam merah, hijau atau ungu di mana terdapat perbezaan di antara kandungan yang dapat dilihat pada rajah semasa dan kandungan dalam seni bina yang lain. Merah digunakan di mana ia adalah disyorkan untuk Segerakkan perbezaan (lihat di bawah), Green digunakan di mana ia tidak digalakkan untuk menyegerakkan perbezaan, iaitu memastikan mereka (lihat di bawah) dan Ungu digunakan di mana ABACUS tidak boleh membuat syor mengenai penyelarasan perbezaan (lihat di bawah). Hanya kandungan yang boleh dilihat pada rajah dibandingkan jadi jika penjelasan yang menunjukkan nilai harta repositori dan nilai yang telah mengubah komponen yang diberikan atau sambungan akan ditunjukkan dalam merah lemah, hijau pengsanatau pengsan ungu dan '*' simbol ditunjukkan di bahagian atas-kiri untuk komponen, bagaimanapun, jika beberapa asas nilai hartanah repositori lain berubah yang tidak ditunjukkan dalam anotasi maka tiada petunjuk akan diberikan. Kandungan yang berlaku pada gambarajah semasa tetapi tidak setanding terdapat dalam seni bina perbandingan yang akan ditunjukkan dalam merah yang kuat, hijau kuatatau kuat ungudan '+' simbol ditunjukkan di bahagian atas kiri untuk komponen. Yang hampir sama yang dilakukan oleh jenis komponen dan apa-apa nama yang jika jenis atau nama komponen atau sambungan telah berubah dalam seni bina yang lain tidak setanding akan dijumpai. Oleh kerana tidak ada cara pasti menentukan sama ada kandungan tambahan dari seni bina yang lain akan telah ditunjukkan pada rajah semasa (contoh: antara muka tambahan antara 2 komponen seperti yang ditunjukkan di bawah dalam gambar rajah dari seni bina perbandingan di sebelah kanan), perbezaan ini tidak ditunjukkan untuk gambar rajah (mereka ditunjukkan untuk katalog seperti di bawah). Apabila tetikus dibawa ke setiap item yang berubah akan menunjukkan perbezaan dalam tooltip. Berlegar '*' simbol di bahagian kiri gambarajah ini menyediakan ringkasan perubahan (atau tiada perubahan) antara kandungan gambar rajah dan kandungan seni bina yang lain.

Warna Legend

· Green menunjukkan barang-barang yang ia tidak digalakkan untuk menyegerakkan perbezaan, iaitu untuk memastikan mereka.

· Merah menunjukkan barang-barang yang ia adalah disyorkan untuk menyelaraskan perbezaan.

· Ungu menunjukkan perkara di mana ABACUS tidak boleh membuat syor mengenai penyelarasan perbezaan.

Untuk menyelaras kandungan ('sync') dari satu seni bina dengan lain melalui gambar rajah

1. Pastikan anda mempunyai Fail ABACUS terbuka .

2. Pastikan anda mempunyai sekurang-kurangnya 2 senibina dalam projek itu.

3. Buka rajah yang anda ingin membandingkan seni bina lain.

4. Klik 'Bandingkan Katalog ini kepada kandungan seni bina lain' butang pada bar alat Rajah yang.

5. Pilih seni bina lain dari senarai drop-down untuk membandingkan.

Nota

Lihat di atas untuk cara ABACUS menunjukkan 'diff' antara 2 seni bina dalam katalog. Dalam berapa tertentu Merah digunakan di mana ia adalahdisyorkan untuk Segerakkan perbezaan, Green digunakan di mana ia adalah tidakdisyorkan untuk menyelaraskan perbezaan dan Ungu digunakan di mana ABACUS tidak boleh membuat syor mengenai penyelarasan perbezaan.

6. Klik kanan unsur rajah (atau unsur-unsur menggunakan Shift atau kanvas rajah untuk Sync Semua) menunjukkan seorang 'diff' dan pilih item menu Sync.

Nota

Sebarang perubahan penyegerakan hanya akan digunakan untuk seni bina yang pada masa ini dalam fokus Katalog milik. Untuk menggunakan perubahan kepada seni bina yang lain anda perlu menggunakan katalog dalam seni bina yang lain. Tambahan pula, pengguna hanya akan dapat untuk menggunakan perubahan penyegerakan jika mereka mempunyai kebenaran untuk berbuat demikian .

Nota

Bergantung kepada di mana anda klik kanan item menu akan memaparkan panduan mengenai apa yang tepat akan disegerakkan.Mis Klik kanan satu komponen tunggal dalam gambar rajah itu hanya akan menyelaraskan komponen itu. Manakala klik kanan kanvas rajah dan memilih Sync Semua akan menyelaraskan semua perbezaan kini ditunjukkan.

Untuk menunjukkan 'diff' dengan seni bina lain melalui katalog

1. Pastikan anda mempunyai Fail ABACUS terbuka .

2. Pastikan anda mempunyai sekurang-kurangnya 2 senibina dalam projek itu.

3. Buka katalog anda ingin membandingkan seni bina lain.

4. Klik 'Bandingkan Katalog ini kepada kandungan seni bina lain' butang pada bar alat Katalog ini.

5. Pilih seni bina lain dari senarai drop-down untuk membandingkan.

6. Anda boleh menapis apa perbezaan ditunjukkan dengan mengklik butang 'Perbezaan' pada bar alat Rajah dan pilihan nyahpilih, contohnya Berubah / Ditambah / Tidak diketahui dan Yang tidak dapat ditentukan / Sync lawatan/ Ikuti lawatan.

Nota

Sel-sel di dalam katalog akan diserlahkan dalam merah, hijau atau ungu di mana terdapat perbezaan di antara kandungan di dalam katalog terkini dan kandungan yang sepadan dalam seni bina yang lain. Merah digunakan di mana ia adalah disyorkan untuk Segerakkan perbezaan (lihat di bawah), Green digunakan di mana ia tidak digalakkan untuk menyegerakkan perbezaan, iaitu memastikan mereka (lihat di bawah) dan Ungu digunakan di mana ABACUS tidak boleh membuat syor mengenai penyelarasan perbezaan (lihat di bawah). Hanya baris boleh dilihat dan lajur di dalam katalog dibandingkan jadi jika terdapat perbezaan yang berturut-turut di luar baris kini ditunjukkan atau nilai dalam lajur yang tidak ditunjukkan mempunyai perbezaan maka tidak ada perbezaan akan ditunjukkan. Di mana nilai dalam sel individu adalah berbeza dengan sel yang hampir sama dalam seni bina perbandingan sempadan sel akan diserlahkan. Pemilih kepala lajur dan baris juga akan berlorek dalam pengsan ungudan ditunjukkan dengan simbol '*'. Simbol-simbol '*' boleh diklik untuk melompat dengan perbezaan seterusnya dalam lajur atau baris masing-masing. Baris yang berlaku di dalam katalog semasa tetapi tidak setanding terdapat dalam seni bina perbandingan akan ditunjukkan dengan '+' simbol dalam pemilih baris di sebelah kiri dan sempadan keseluruhan baris akan diserlahkan. Baris yang akan berlaku dalam versi seni bina perbandingan itu katalog (iaitu dengan penapis sama dan lain-lain) tetapi tidak setanding terdapat dalam seni bina semasa akan dipaparkan dengan '-' simbol dalam pemilih baris di sebelah kiri, sempadan keseluruhan baris akan diserlahkan dan kandungan sel-sel keseluruhan baris akan ditunjukkan dalam pengsan ungudan dipotong melalui, mis 08:00-6:00. Yang hampir sama yang dilakukan oleh jenis komponen dan apa-apa nama yang jika jenis atau nama komponen atau sambungan telah berubah dalam seni bina yang lain tidak setanding akan dijumpai. Apabila tetikus dibawa ke setiap item yang berubah akan menunjukkan perbezaan dalam tooltip. Berlegar '*' simbol di bahagian kiri gambarajah yang menyediakan ringkasan perubahan (atau tiada perubahan) antara kandungan gambar rajah dan kandungan seni bina yang lain.

Warna Legend

· Green menunjukkan barang-barang yang ia tidak digalakkan untuk menyegerakkan perbezaan, iaitu untuk memastikan mereka.

· Merah menunjukkan barang-barang yang ia adalah disyorkan untuk menyelaraskan perbezaan.

· Ungu menunjukkan perkara di mana ABACUS tidak boleh membuat syor mengenai penyelarasan perbezaan.

Untuk menyelaras kandungan ('sync') dari satu seni bina dengan lain melalui katalog

1. Pastikan anda mempunyai Fail ABACUS terbuka .

2. Pastikan anda mempunyai sekurang-kurangnya 2 senibina dalam projek itu.

3. Buka katalog anda ingin membandingkan seni bina lain.

4. Klik 'Bandingkan Katalog ini kepada kandungan seni bina lain' butang pada bar alat Katalog ini.

5. Pilih seni bina lain dari senarai drop-down untuk membandingkan.

Nota

Lihat di atas untuk cara ABACUS menunjukkan 'diff' antara 2 seni bina dalam katalog. Dalam berapa tertentu Merah digunakan di mana ia adalahdisyorkan untuk Segerakkan perbezaan, Green digunakan di mana ia adalah tidakdisyorkan untuk menyelaraskan perbezaan dan Ungu digunakan di mana ABACUS tidak boleh membuat syor mengenai penyelarasan perbezaan.

6. Klik kanan pada sel, lajur atau baris tajuk (atau beberapa item menggunakan Shift atau Ctrl + A untuk segala-galanya) menunjukkan 'diff' dan pilih item menu Sync.

Nota

Sebarang perubahan penyegerakan hanya akan digunakan untuk seni bina yang pada masa ini dalam fokus Katalog milik. Untuk menggunakan perubahan kepada seni bina yang lain anda perlu menggunakan katalog dalam seni bina yang lain. Tambahan pula, pengguna hanya akan dapat untuk menggunakan perubahan penyegerakan jika mereka mempunyai kebenaran untuk berbuat demikian .

Nota

Bergantung kepada di mana anda klik kanan (iaitu sel, lajur atau baris tajuk) perkara menu akan memaparkan panduan mengenai apa yang tepat akan disegerakkan.Mis Klik kanan sebuah hartanah tunggal atau sel komponen dilampirkan dalam katalog hanya akan menyelaraskan bahawa harta atau komponen yang dilampirkan. Manakala klik kanan berturut-turut menuju (atau tajuk menggunakan Shift) akan menyelaras keseluruhan baris (atau baris). Klik kanan pengepala lajur akan menyelaraskan semua perbezaan dalam lajur tersebut.

Untuk melihat 'beza'daripada 2 keseluruhan seni bina

1. Pastikan anda mempunyai Fail ABACUS terbuka .

2. Pastikan anda mempunyai sekurang-kurangnya 2 senibina dalam projek itu.

3. Pilih Peralatan| Architecture Diff ....

4. Dalam dialog yang muncul pilih pertama / Dari dan kedua / Untuk seni bina untuk membandingkan.

5. Klik pada okeybutang.

Architecture Diff

Warna Legend

· Greenmenunjukkan bahawa nod telah ditambah di kedua / Kepada seni bina.

· Merahmenunjukkan bahawa nod telah dipadam dalam kedua / Kepada seni bina.

· Bluemenunjukkan bahawa nod mempunyai sifat-sifat yang berbeza (contohnya sifat atau standard) di kedua / Kepada seni bina.

· Kuningmenunjukkan bahawa nod mempunyai perbezaan pada kanak-kanak dalam kedua / Untuk seni bina supaya nod perlu diperluaskan.

Nota

Anda boleh klik kanan dan "Show in Explorer" pada semua nod untuk melihat butiran dan maklumat lanjut diberikan ke atas perbezaan Perbezaan panel Ringkasan apabila nod dipilih.

Lihat juga

Menganalisa senibina anda | Melihat carta masa tindak balas | Melihat matriks scatterplot seni bina berkembang anda | Berkembang senibina anda


Menukar sifat-sifat, sambungan komponen atau jenis

Navigation: Ia merupakan pusat seni bina anda> Hartanah>

Menukar sifat-sifat, sambungan komponen atau jenis

Menghantar komen mengenai topik ini.

Properties biasanya keperluan sistem yang anda tentukan, atau keputusan penilaian ABACUS. (Apabila ABACUS melakukan penilaian, ia menulis sifat kembali kepada fail.) Dengan kata lain, sifat-sifat adalah perkara-perkara yang anda tahu tentang sistem anda, atau perkara-perkara yang anda gunakan ABACUS untuk mengetahui.

Untuk menukar nilai hartanah sesuatu, sambungan komponen atau jenis

1. Klikpada komponen / sambungan / jenis (sifat-sifatnya akan dipaparkan dalam tetingkap Properties ke kanan).

2. Klikuntuk menyerlahkan harta yang anda mahu tukar.

3. Jenisnilai baru.

Penting

Juga, banyak ciri-ciri ditakrifkan menggunakan Piawaian . Dengan menukar harta dalamStandard, Anda bukan sahaja menukar objek semasa, anda juga berubah tuan Standard (di bawah Standard ini padabahagian atas pokok). Sebelum melakukan ini, lihat apa komponen lain, sambungan atau jenis yang menggunakan Standard, Kerana perubahan itu mungkin tidak relevan kepada mereka- Anda boleh menggunakan tetingkap Rujukan untuk ini.

Petua

Anda boleh mengubah sifat sambungan dari dalam cawangan Komponen daripada pokok (dan sebaliknya). Jadi, sebagai contoh, jika anda sedang mencari apa sambungan yang melekat pada komponen, dan anda sedar anda perlu mengubah satu, anda boleh.

Untuk menambah ciri-ciri baru untuk komponen atau sambungan (melalui jenis)

Nota

Properties hanya boleh ditambah kepada jenis dan komponen atau sambungan dari jenis yang 'mewarisi' hartanah.

1. Klikkepada jenis (sifat-sifatnya akan dipaparkan dalam tetingkap Properties ke kanan).

2. Klikpada butang Tambah di bahagian atas tetingkap Hartanah untuk menambah berturut-turut di bahagian atas grid harta untuk hartanah baru.

3. Menambah Jenisuntuk hartanah baru.

4. Menambah Namauntuk hartanah baru.

5. Menambah Nilai asaluntuk hartanah baru.

6. Menambah Unituntuk hartanah baru.

7. Menetapkan Jenis Datauntuk hartanah baru.

Nota

Bidang Jenis Data boleh digunakan untuk menyekat nilai-nilai yang sah bahawa harta yang boleh mempunyai. Itu adalah; Teks, Integer, Perpuluhan, tarikh / masa, Boolean atau Senarai.

o A Tekshartanah adalah salah satu yang mempunyai jumlah yang tidak terhad watak-watak dan pada dasarnya tidak mempunyai sekatan ke atas nilai.Jika nilai harta itu hiperpautan dibentuk dengan betul (iaitu URL perlu untuk memulakan dengan salah satu daripada 5tali; http: //, https: //, ftp: //,fail:atau \\ dan apa-aparuang harus dimasukkan dengan '% 20') Maka link adalah yang boleh diklik (melalui ctrl + klik).

o Yang Integerharta perlu menjadi nombor bulat positif atau negatifdan mungkin mengandungi tempoh, ruang, koma atau koma bagi perkumpulan angka bergantung kepada Projek Tetapan Rantau daripada Fail | Pilihan Projek.Tetapan Rantau dan itu.Bersih Kaedah Long.TryParse adalah digunakan untuk menentukan sah Integernilai-nilai.

o A Decimalharta boleh mengandungi tempoh atau koma untuk simbol perpuluhan dan mungkin mengandungi tempoh, ruang, koma atau koma bagi perkumpulan angka bergantung kepada Projek Tetapan Rantau daripada Fail | Pilihan Projek.Tetapan Rantau dan itu.Bersih Kaedah Decimal.TryParse adalah digunakan untuk menentukan sah Decimal nilai-nilai.

o A Tarikh / Masaharta membolehkan memuat sebahagian Tarikh atau sebahagian Masa atau kedua-duanya. Wilayahtetapandan .Net Kaedah DateTime.TryParse digunakan terutamanya untuk menentukan nilai Tarikh dan / atau Time sah. Walau bagaimanapun, bahagian Tarikh jika berkenaan memerlukan sekurang-kurangnya Hari dan Bulan (Tahun akan diambil alih menjadi tahun semasa) atau Bulan dan Tahun bahagian untuk menjadi sah. Iaitu Jun, Q3 2010 atau bahkan hanya 2010 adalah tidak sah. Walaupun ia akan berbeza dengan tetapan serantau yang berbeza, biasanya Hari, Bulan dan Tahun bahagian boleh dipisahkan dengan ruang, koma, sengkang ('-') atau miring ('/'). Bahagian Hari biasanya adalah integer dari 1 hingga 31. Bahagian Bulan biasanya integer dari 1 hingga 12, singkatan 3 surat sah untuk bulan-bulan (contohnya Jan, Feb, Mar) atau nama bulan penuh (contoh: bulan Januari, Februari , Mac). Bahagian Tahun biasanya nombor 4 digit positif tetapi 1, 2 dan 3 tahun angka yang diterima mengikut tetapan dalam Kawalan Panel-> Wilayah dan Bahasa pilihan-> Wilayah pilihan-> Sesuaikan (butang) -> tarikh-> Kalendar. Biasanya mereka ditafsirkan seperti berikut; 0-29 ditafsirkan sebagai 2000-2029, 30 hingga 99 kerana 1930-1999 dan sebagai 100-999 100-999. Tarikh tidak sah itu setelah 31 Jun 2010 dan 31/9/2010 akan dikesan. Bahagian Masa jika berkenaan memerlukan Waktu dan Minit bahagian dan secara pilihan sebahagian Seconds. The jam, minit dan saat pilihan bahagian-bahagian yang biasanya dipisahkan dengan noktah bertindih (':') dan bahagian Seconds boleh ditentukan dengan titik perpuluhan ('.'). Untuk maklumat lanjut mengenai format yang sah sila rujuk kepada bahagian Catatan pada .Net Kaedah DateTime.TryParse .

Petua

Ia adalah disyorkan untuk menggunakan sekurang-kurangnya 3 surat format nama bulan (iaitu "Julai" atau "Julai") bagi nilai tarikh dan bukan format berangka (iaitu "7" atau "07") seperti nilai-nilai ini akan mengesahkan seluruh rantau yang paling bergantung kepada Projek Tetapan Rantau daripada Fail | Pilihan Projek.Iaitu ia adalah disyorkan untuk menggunakan "15 Jul 2010" dan bukannya "15/7/2010" atau "2010/07/15". Dengan contoh ini, "15/7/2010" akan gagal pengesahan untuk 'English (United States) dan "2010/07/15" akan gagal untuk' English (United Kingdom), bagaimanapun "15 Jul 2010" akan lulus untuk kedua-duanya.

o A Booleanharta boleh sama ada Benar atau Palsu.Ia adalah kes sensitif jadi BETUL atau SALAH juga boleh digunakan tetapi Yes, No, 1, 0 dan lain-lain semua akan gagal mana-mana kekangan harta.

o A Senaraiharta membolehkan kumpulan nilai-nilai yang telah ditetapkan seperti Rendah | Sederhana | Tinggi atau Kekalkan | Muat semula | Mereka semula | Bersara dan julat nilai datang dari medan Unit untuk harta sama ada sebagai koma atau paip '|' nilai dipisahkan. Hartanah ini boleh dianggap sebagai ordinal (bertentangan dengan nominal, selang atau nisbah) kerana apabila digunakan pada carta dan untuk warna elemen pada gambar rajahFoto dan 3ds nilai dilayan hanya dalam menaik (atau menurun) perintah. Itulah nilai diplotkan dalam menaik (atau menurun) perintah di paksi carta atau julat warna.

8. Type Data boleh ditetapkan untuk menjadi Orang Kurang Upaya, Memberi amaranatau Dikuatkuasakandengan klik kanan Jenis bidang Data bagi apa-apa tetapan selain daripada teks, yang membolehkan mana-mana aksara jadi tidak boleh pernah tidak betul.

9. Menetapkan Diperlukanbendera untuk hartanah baru.

Nota

Bidang yang diperlukan boleh digunakan untuk menunjukkan sama ada nilai yang perlu dimasukkan untuk tetamu. Itu adalah bahawa ia tidak boleh kosong atau kosong. Palsuyang lalai dan ertinya harta yang boleh kosong atau kosong, Benarbermakna bahawa harta itu perlu mempunyai nilai dan tidak boleh kosong atau kosong. Yang diperlukan boleh ditetapkan untuk menjadi Orang Kurang Upaya, Memberi amaranatau Dikuatkuasakandengan klik kanan bidang yang diperlukan jika ia telah ditetapkan kepada Benar.

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Menambah ciri-ciri yang dipratetap kepada, sambungan komponen atau jenis | Sifat-sifat agregat


Menukar komponen / Jenis sambungan ini

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Menukar komponen / Jenis sambungan ini

Menghantar komen mengenai topik ini.

Komponen dan jenis sambungan yang kebanyakannya digunakan untuk tujuan pengelasan. Anda boleh menggunakan jenis penapis apabila melihat senibina anda. Sebagai contoh, daripada melihat segala-galanya, anda boleh melihat komponen Permohonan adil.

Untuk menukar komponen / Jenis sambungan ini

1. Klik kananpada komponen atau sambungan.

2. Pilih Tukar Jenis.

3. Pilih jenis yang berbeza daripada senarai.

Petua

Apabila anda menukar Jenis, anda boleh mendapatkan beberapa baru piawaianatau harta (apa sahaja yang dikaitkan dengan Type - lihat cawangan Jenis pokok itu). Yang sedia ada piawaian dan hartanah tidak akan berubah. Anda boleh membuat jenis baru anda sendiri dan menetapkan gabungan anda sendiri piawaian dan sifat-sifat mereka.

Lihat juga

Mewujudkan Jenis baru | Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Menganalisa senibina anda


Menukar tetapan Daerah Projek

Navigation: Ia merupakan pusat seni bina anda> Hartanah>

Menukar tetapan Daerah Projek

Menghantar komen mengenai topik ini.

Nilai hartanah perlu diformat tertentu di kawasan-kawasan yang berbeza untuk menyesuaikan Kekangan Jenis Data untuk Integer, Perpuluhan dan Tarikh / Masa hartanah. Sebagai contoh di Australia perpuluhan "123.456 perpuluhan tujuh lapan sembilan" diwakili sebagai "123,456.789", manakala di Jerman ia akan represnted sebagai "123.456,789" dan di Perancis ia akan menjadi " 123 456789 ".Begitu juga, di Amerika Syarikat yang "kedua bulan Disember 1970" diwakili sebagai tarikh yang singkat sebagai "1970/12/02" tetapi di United Kingdom ia diwakili sebagai "1970/02/12" dan di Poland sebagai "1970-1912 -02 ". Oleh itu, untuk bekerja dengan projek ABACUS seluruh kawasan persekitaran yang global bagi setiap projek ABACUS diperlukan.

Untuk mengubah tetapan Rantau projek ABACUS ini

1. Pastikan anda mempunyai Fail ABACUSterbuka.

2. Pilih Fail | Pilihan Projek ... dan dari dialog yang muncul memilih Rantaudan klik OK. Nota: Sila rujuk kepada bahagian bawah untuk ingkar serantau.

Nota

Jika anda tidak melihat Pilihan Projek ... item menumaka anda tidak mempunyai Designer dan Pentadbir tambahansdan anda tidak boleh menukar kawasan projek.Juga, jika tiada Rantau ditetapkan (iaitu Rantau dalam Pilihan Projek adalah 'Tiada (Rantau System)) maka setiap MS Windows tetapan budaya semasa pengguna (iaitu Tetapan Serantau)digunakan untuk mengesahkan hartanah.

Mungkir Rantau

Jadual berikut menyenaraikan default untuk setiap kawasan seperti yang dinyatakan melalui Fail | Pilihan Projek ...item menu.Sila lihat di bawah meja untuk senarai simbol yang digunakan.

Rantau | Decimal Simbol | Perkumpulan Digit | Tanda negatif | Masa Pendek | Long Time | AM / PM simbol | Tarikh Pendek | Long Tarikh
Bahasa Inggeris (Australia) | . | , | - | HH: mm | JJ: mm: ss | AM | PM | dd / MM / yyyy | dd MMMM yyyy
English (United Kingdom) | . | , | - | HH: mm | JJ: mm: ss | AM | PM | dd / MM / yyyy | dd MMMM yyyy
Bahasa Inggeris (Amerika Syarikat) | . | , | - | h: mm tt | h: mm: ss tt | AM | PM | M / d / yyyy | DDDD, MMMM dd, yyyy
Perancis (Perancis) | , | ruang | - | HH: mm | JJ: mm: ss | | | dd / MM / yyyy | DDDD d MMMM yyyy
Jerman (Jerman) | , | . | - | HH: mm | JJ: mm: ss | | | dd.MM.yyyy | DDDD, d. MMMM yyyy
Itali (Itali) | , | . | - | HH: mm | JJ: mm: ss | | | dd / MM / yyyy | DDDD d MMMM yyyy
Bahasa Sepanyol (Sepanyol) | , | . | - | H: mm | H: mm: ss | | | dd / MM / yyyy | DDDD, dd 'de' MMMM 'de' yyyy
Bahasa Inggeris (Kanada) | . | , | - | h: mm tt | h: mm: ss tt | AM | PM | dd / MM / yyyy | MMMM-dd-yy
Perancis (Kanada) | , | ruang | - | HH: mm | JJ: mm: ss | | | yyyy-MM-dd | d MMMM yyyy
Arab (U.A.E.) | . | , | - | hh: mm tt | hh: mm: ss tt | Saw | م | dd / MM / yyyy | dd MMMM, yyyy
Arab (Arab Saudi) | . | , | - | hh: mm tt | hh: mm: ss tt | Saw | م | dd / MM / yy | dd / MMMM / yyyy
Bahasa Inggeris (Afrika Selatan) | , | ruang | - | hh: mm tt | hh: mm: ss tt | AM | PM | yyyy / MM / dd | dd MMMM yyyy
Bahasa Inggeris (New Zealand) | . | , | - | h: mm tt | h: mm: ss tt | a.m | petang. | d / MM / yyyy | DDDD, d MMMM yyyy
Bahasa Inggeris (India) | . | , | - | HH: mm | JJ: mm: ss | AM | PM | dd-mm-yyyy | dd MMMM yyyy
Jerman (Switzerland) | . | ' | - | HH: mm | JJ: mm: ss | | | dd.MM.yyyy | DDDD, d. MMMM yyyy
Perancis (Belgium) | , | . | - | HH: mm | JJ: mm: ss | | | d / MM / yyyy | DDDD d MMMM yyyy
Belanda (Belgium) | , | . | - | H: mm | H: mm: ss | | | d / MM / yyyy | DDDD d MMMM yyyy
Republik (Republik Czech) | , | ruang | - | H: mm | H: mm: ss | DOP |. ODP. | d.M.yyyy | d. MMMM yyyy
Denmark (Denmark) | , | . | - | HH: mm | JJ: mm: ss | | | dd-mm-yyyy | d. MMMM yyyy
Yunani (Greece) | , | . | - | h: mm tt | h: mm: ss tt | πμ | μμ | d / M / yyyy | DDDD, d MMMM yyyy
Finland (Finland) | , | ruang | - | H: mm | H: mm: ss | | | d.M.yyyy | d. Yyyy MMMM'ta '
Hungary (Hungary) | , | ruang | - | H: mm | H: mm: ss | de |. du. | yyyy.MM.dd. | yyyy. MMMM d.
Belanda (Belanda) | , | . | - | H: mm | H: mm: ss | | | d-M-yyyy | DDDD d MMMM yyyy
Norwegian, Bokmål (Norway) | , | ruang | - | HH: mm | JJ: mm: ss | | | dd.MM.yyyy | d. MMMM yyyy
Poland (Poland) | , | ruang | - | HH: mm | JJ: mm: ss | | | yyyy-MM-dd | d MMMM yyyy
Rusia (Rusia) | , | ruang | - | H: mm | H: mm: ss | | | dd.MM.yyyy | d MMMM yyyy 'г.'
Sweden (Sweden) | , | ruang | - | HH: mm | JJ: mm: ss | | | yyyy-MM-dd | 'den' d MMMM yyyy
Korea (Korea) | . | , | - | tt h: mm | tt h: mm: ss | 오전 | 오후 | yyyy-MM-dd | yyyy '년' M '월' d 일 'DDDD
Hebrew (Israel) | . | , | - | HH: mm | JJ: mm: ss | AM | PM | dd / MM / yyyy | DDDD dd MMMM yyyy

Simbol-simbol berikut digunakan untuk menentukan berapa tarikh dan masa dipaparkan:

Simbol Masa |
h | Jam (hh memaparkan jam dengan sifar)
m | Saat (mm memaparkan minit dengan sifar)
s | Kedua (ss memaparkan kedua dengan sifar)
tt | A.m atau ptg
h / H | Paparan masa 12 atau 24 jam
Simbol Tarikh |
d, dd | Hari
ddd, DDDD | Hari dalam seminggu
M | Bulan
y | Tahun

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Menukar sifat-sifat, sambungan komponen atau jenis | Menambah ciri-ciri yang dipratetap kepada, sambungan komponen atau jenis


Pilihan Command Line

Navigation: Rujukan>

Pilihan Command Line

Menghantar komen mengenai topik ini.

Anda boleh melakukan pelbagai operasi ABACUS langsung daripada baris arahan dengan operasi yang paling umum ialah untuk membuka fail projek tertentu dan menerbitkannya ke HTML.

Secara khususnya, penggunaan baris arahan untuk ABACUS adalah seperti berikut;

ABACUS.exe ProjectFile [OptionalFile] [/ exitOnCompletion] [/ dontShowDialogs] [/ pengguna "USER" / lulus "PASS"]

Hujah | Penerangan
ProjectFile | The ProjectFile boleh sama ada fail ABACUS projek (.abacus), fail perpustakaan (.abacuslib), fail XML (xml) atau MS Access DB (MDB) dan fail yang dinyatakan sama ada akan dibuka (jika .abacus atau .abacuslib ) atau projek baru yang diwujudkan (jika xml atau fail MDB).
OptionalFile | OptionalFile boleh sama ada skrip ABACUS (.abacusscript, VB atau .cs), makro (.abacusmac) atau perpustakaan fail (.abacuslib) dan fail yang dinyatakan sama ada akan dijalankan selepas merasmikan ProjectFile (jika .abacusscript, VB atau .cs atau .abacusmac) atau hanya dibuka (jika .abacuslib).
/ exitOnCompletion | Akan keluar ABACUS dan jika perlu jimat dan melakukan apa-apa perubahan kepada projek .abacus terbuka pada penyelesaian apa-apa skrip atau makro. Nota: Bendera ini adalah kes sensitif jadi pastikan untuk menggunakan 'O' besar dan 'C' dalam teks seperti yang ditunjukkan.
/ dontShowDialogs | Akan menghalang ABACUS Enterprise Edition (EE) dialog pemberitahuan kemas kini daripada dipaparkan apabila membuka projek. Nota: Bendera ini adalah kes sensitif jadi pastikan untuk menggunakan huruf besar 'S' dan 'D' dalam teks seperti yang ditunjukkan.
/ user "USER" / lulus "PASS" | The PENGGUNA nama pengguna dan kata PAS akan digunakan untuk log masuk ke projek dengan, mengatasi apa-apa kelayakan pengguna disimpan. Nota: petikan Double mesti diletakkan di sekitar USER dan PASS bendera dan dua tanda petik boleh digunakan untuk melarikan diri tanda petik sama ada dalam PENGGUNA atau PASS bendera.

Mis;

ABACUS.exe "Data \ Example.abacus" "Skrip \PublishExample.vb"/ exitOnCompletion / dontShowDialogs / pengguna "Awam" / lulus "123456"

bila lari dari direktori di mana yang ABACUS.exe binari adalah terletak akan terbuka projek Contoh dan log masuk sebagai Awam pengguna dengan kata laluan 123456 (seperti yang dinyatakan di sini ), Menyiarkan kepada HTML dan kemudian tutup projek itu semua tanpa menunjukkan sebarang dialog di sepanjang jalan (misalnya 'Update berjaya' atau 'Tidak kemas kini yang tersedia' untuk projek-projek Enterprise).

Mis;

ABACUS.exe "Data \ Example.abacus" "Skrip \Katalog Excel Import.vb"/ exitOnCompletion / dontShowDialogs

bila lari dari direktori di mana yang ABACUS.exe binari adalah terletak akan terbuka projek Contoh dan mengimport "Pelayan (2014 Sebenar) .xlsx" fail MS Excel ke dalam katalog 'Server' untuk '2014 Sebenar' seni bina projek yang berkenaan tanpa menunjukkan sebarang dialog di sepanjang jalan dan kemudian menutup projek itu apabila siap. Jika operasi membuat perubahan kepada projek itu kemudian apabila menutup perubahan disimpan dalam dan jika projek Enterprise komited untuk Enterprise Server.

Nota

Pastikan anda menggunakan watak petikan berganda yang betul kerana ada beberapa dalam set aksara ASCII standard dan Prompt Windows Command hanya akan berfungsi dengan betul dengan yang betul. Betul dua kod Watak quote adalah Decimal 34 (Perenambelasan 22).Ini adalah apa yang digunakan dalam contoh di atas jadi berasa bebas untuk menyalin / menampal dari sana.


Menyalin dan menampal

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Menyalin dan menampal

Menghantar komen mengenai topik ini.

Anda boleh menyalin sebahagian atau semua seni bina dan tampalkannya di lokasi yang berbeza di pokok itu.

Untuk menyalin

1. Klik kananpada item yang anda ingin salin.

2. Pilih Copy.

Untuk menampal

1. Navigate pokok itu untuk mencari tempat yang anda hendak tampal item.

2. Klik kanandi cawangan yang anda mahu ia muncul dalam.

3. Pilih Tampalkan.

4. Perkara tersebut akan disalin dengan nama asal (kecuali anda menyalinnya ke cawangan asal - maka ia akan dipanggil 'Salinan ...').

Lihat juga

Bagaimana seni bina yang diwakili dalam ABACUS


Gambar rajah Menyalin

Navigation: populating senibina anda> Menggunakan Lukisan>

Gambar rajah Menyalin

Menghantar komen mengenai topik ini.

Terdapat 2 senario asas untuk menyalin rajah yang sedia ada; dalam seni bina, atau seluruh seni bina.

Untuk salinangambarajahdalam seni bina

1. Pastikan anda mempunyaiFail ABACUS terbukamengandungi anda seni bina pendudukdengan sekurang-kurangnya satu gambar rajah.

2. Bukayang Rajahcawangan (dan apa-apa yang diperlukan Kumpulan gambar rajah) daripada yang diberikan Architecturebahagian pokok itu.

3. Pilih rajah yang anda ingin menyalin dan kemudian tekan Ctrl + Catau Klik kanandan pilih Copy daripada menu.

Nota

A salinan gambarajah akan ditambah kepada Rajahcawangan sama seni bina. Ia akan mempunyai "Salinan" dilampirkan pada permulaan nama, Yang anda boleh menukar kemudian oleh menekan F2 atau klik kanan pada iadan memilih Rename.

Untuk menyalin gambarajah seluruh seni bina

1. Pastikan anda mempunyaiFail ABACUS terbukamengandungi anda seni bina penduduksdengan sekurang-kurangnya satu gambar rajah.

2. Bukayang Rajahcawangan (dan apa-apa yang diperlukan Kumpulan gambar rajah) daripada yang Architecturebahagian pokok ituuntuk seni bina yang mengandungi gambarajah yang anda ingin salin.

3. Pilih rajah yang anda ingin menyalin dan pada Properties umumkomen tingkap Viewpoint yang rajah dikaitkan dengan (dalam bidang Type).

4. Sekarang, mengembangkanyang Rajahcawangan (dan apa-apa yang diperlukan Kumpulan gambar rajah) daripada yang Architecturebahagian pokok ituuntuk seni bina yang lain yang anda ingin menyalin rajah ke dalam.

5. Klik kananyang Rajah nod (atau Kumpulan gambar rajah) Dan pilih Buat Rajah .... Dalam dialog yang muncul pilih Viewpoint yang dinyatakan dalam langkah 3 di atas dalam drop-down di bahagian atas kanan. Meninggalkan segala sesuatu yang lain seperti dan klik okey. Dalam dialog Rajah Nama masukkan nama untuk (tidak lama lagi menjadi) rajah disalin. Nota: Gambar rajah kanvas kosong mengikut pandangan yang dipilih akan dibuka.

6. Kembali ke gambar rajah yang anda ingin salin dan membuka dengan klik kanannod dan memilih Terbuka atau hanya mengklik dua kaliia.

7. Pilih latar belakang kanvas gambarajah yang anda ingin salin dan tekan Ctrl + A. Ini akan memilih semua elemen pada rajah itu. Sekarang tekan Ctrl + Cuntuk menyalin kandungan ke clipboard.

8. Sekarang, kembali ke gambar rajah kosong dalam seni bina yang anda ingin menyalin kandungan ke dalam, memilih latar belakangkanvas dan sama ada Klik kanandan pilih Tampalkan atau hanya tekan Ctrl + Vtampal kandungan. Selepas masa yang singkat kandungan semua akan ditampal ke dalam gambar rajah kosong baru.

Nota

Unsur-unsur akan ditambah ke tahap atas seni bina yang baru dan perlu diatur semula atau bergabung dengan kandungan yang sedia ada dengan sewajarnya.

Lihat juga

Alat Lukisan | Ia merupakan pusat seni bina anda | Menganalisa senibina anda


Mewujudkan komponen / Jenis sambungan baru atau Jenis Kumpulan

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Mewujudkan komponen / Jenis sambungan baru atau Jenis Kumpulan

Menghantar komen mengenai topik ini.

Komponen dan jenis sambungan yang kebanyakannya digunakan untuk tujuan pengelasan. Anda boleh menggunakan jenis penapis apabila melihat senibina anda. Sebagai contoh, daripada melihat segala-galanya, anda boleh melihat komponen Permohonan adil.

Untuk membuat komponen baru / Jenis sambungan

Nota

Untuk menambah jenis atau kumpulan jenis dalam projek ABACUS lesen pengguna perlu Designer keupayaan add-on. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

1. Mengembangkan Jeniscabang pokok itu.

2. Klik kananpada Jenis komponen(atau Jenis sambungan).

3. Pilih Tambah Jenis Komponen(atau Tambah Jenis Sambungan) Atau Buat Kumpulan.

Petua

Sebaik sahaja anda membuat jenis, anda perlu menukar ikonnya (lihat di bawah) dan menambah sifat-sifat dan piawaian kepadanya untuk komponen atau keadaan sambungan kepada 'mewarisi'.

Untuk menukar ikon untuk komponen / Jenis sambungan

Nota

Untuk menukar ikon untuk jenis dalam projek ABACUS lesen pengguna perlu Designer keupayaan add-on. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

1. Klik kanan atas Jenis komponen(atau Jenis Sambungan) Anda hendak menukar ikon untuk.

2. Pilih Tukar Icon.

3. Dalam browse dialog Pilih Icon ke lokasi dan pilih fail imej dan klik Buka.

Nota

Anda boleh mempunyai imej ikon adat dari pelbagai saiz tetapi ia akan sentiasa dikecilkan supaya muat pada imej 16x16 piksel dalam Explorer Window. Jadi, jika imej asal ikon tersuai anda bukan dari ketinggian yang sama dan lebar icon Window Explorer anda akan diregangkan. Oleh itu, imej adat hendaklah sekurang-kurangnya 16x16 piksel dan jika anda mahu mengekalkan bentuk yang tepat ikon adat memastikan imej ikon tersuai anda adalah ketinggian yang sama dan lebar dalam piksel (16x16 atau lebih besar). Anda juga perlu berhati-hati tentang tidak mempunyai 'pixels' berwarna pergi sepanjang jalan ke sempadan imej ikon adat kerana ia akan kelihatan miskin di Explorer Window dengan 'pendarahan' ikon bersebelahan antara satu sama lain. Oleh itu, anda perlu meninggalkan sekurang-kurangnya sempadan putih 1 piksel.

Petua

Anda boleh membuat imej ikon tersuai anda yang .ico, .bmp, .gif, .jpg atau fail format png tetapi disebabkan satu batas Windows sahaja format .ico akan melihat dalam dialog ABACUS Pilih Icon jika anda mempunyai pilihan Lihat Menu bersedia untuk apa-apa selain daripada Thumbnails.

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Menganalisa senibina anda


Mewujudkan atau pendua seni bina

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Mewujudkan atau pendua seni bina

Menghantar komen mengenai topik ini.

Anda boleh mempunyai apa-apa bilangan seni bina dalam fail ABACUS tunggal. Biasanya, anda akan mewujudkan satu kerangka baru setiap kali anda mahu untuk menjadi dan menilai merupakan evolusi daripada sistem anda.

Untuk mencipta seni bina baru

1. Klik kanan atas Seni Binacabang pokok itu.

2. Pilih Seni Bina Baru.

Untuk membuat salinan seni bina yang sedia ada

1. Klik kananpada seni bina.

2. Pilih Copy.

3. Klik kanan atas Seni Binacabang pokok itu.

4. Pilih Tampalkan.

5. Seni bina baru akan dikenali sebagai 'Salinan ...'.

Berkembang seni bina yang sedia ada

1. Klik kananpada seni bina.

2. Pilih Evolve.

3. Seni bina baru akan dikenali sebagai '... .1.

Nota

Terdapat penerangan terperinci mengenai seni bina yang berubah-ubah di sini .

Lihat juga

Bagaimana seni bina yang diwakili dalam ABACUS | Berkembang senibina anda


Laporan Custom

Navigation: Laporan mengenai seni bina anda>

Laporan Custom

Menghantar komen mengenai topik ini.

Laporan tersuai ABACUS 'membolehkan anda untuk membuat laporan adat dikonfigurasikan. Laporan boleh termasuk imej adat dan grafik serta memperincikan mana-mana komponen, sambungan atau sifat-sifat dari repositori ABACUS serta keputusan analisis terperinci dari pelbagai simulasi (termasuk TCO, Prestasi dan Kebolehpercayaan). Selain itu, laporan boleh mengandungi gambar rajah, carta, katalog, matriks / jadual pangsi, peta, tolok, sparklines, bar data dan petunjuk (contohnya trafik lampu).

Nota

Walaupun mana-mana pengguna boleh membuka laporan adat yang sedia ada, to mengkonfigurasi laporan lesen pengguna yang memerlukan Konfigurasi laporan keupayaan. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

Untuk melihat adat laporan

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk(s).

2. Pilih Insert| Laporan yang disesuaikanatau klik Buat Laporan Custom butang bar alat. Yang Laporan Customtetingkap akan dipaparkan.

Laporan Customtetingkap

3. Pilihyang sedia ada Laporanyang anda mahu untuk mempamerkan daripada Laporan Disediakanbahagian.

4. Klik Laporan Run.Laporan itu akan dibuka dalam Microsoft Laporan Viewer dan to Navigasi melalui halaman laporan, klik pada ikon [image] terletak pada bar alat pada bahagian atas sudut kiri sebelah atas skrin.

Nota

Awak boleh menyelamatkan Laporan itu ke pelbagai format dengan klik pada Eksport icon laporan [image] terletak dalam bar alat. Anda boleh memilih untuk mengeksport dalam format berikut: Excel, PDFdan Word. Sila simpan laporan di lokasi yang dikehendaki untuk kegunaan kemudian. Jika perubahan dibuat kepada seni bina pada peringkat kemudiannya, satu laporan baru perlu diwujudkan untuk menunjukkan perubahan.

Untuk mengedit data repositori yang dihantar kepada a adat laporan

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk(s).

2. Pilih Insert| Laporan yang disesuaikanatau klik Buat Laporan Custom butang bar alat. Yang Laporan Customtetingkap (dipaparkan di atas) akan dipaparkan.

Nota

Walaupun mana-mana pengguna boleh membuka laporan adat yang sedia ada, to mengkonfigurasi data yang dihantar kepada laporan adat lesen pengguna yang memerlukan Konfigurasi laporan keupayaan. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

3. Pilihyang sedia ada Laporanyang anda mahu untuk mempamerkan daripada Laporan Disediakanbahagian.

4. Klik Set Edit Data. Yang Set Data Editortetingkap akan dipaparkan.Tetingkap ini menunjukkan koleksi set data yang sedang dihantar kepada laporan adat. Dalam contoh di bawah terdapat tiga (3);

· satu set data ApplicationProxy yang menyatakan semua butiran untuk semua komponen Permohonan dalam '2015 Sebenar' seni bina (termasuk sifat-sifat mengenai Standard dan mana-mana komponen yang dilampirkan),

· satu set data TwoDViewProxy yang menyatakan satu atau lebih Rajah mana nama perlawanan 'Permohonan Landskap (Australia)',

· satu set data TargetProxy yang menyatakan semua butiran untuk semua sambungan sasaran dalam '2015 Sebenar' seni bina (termasuk komponen yang dilampirkan).

Set Data Editortetingkap

Nota

Nama pertama Pertanyaan akan digunakan untuk nama Dataset dalam Microsoft Laporan Builder (lihat di bawah). Bidang Termasuk menyatakan sama ada dataset adalah sama ada Unsur Single, koleksi Elements, Semua Jenis Komponen, Semua Jenis Connection, satu atau lebih Seni Bina, satu atau lebih Rajah atau satu atau lebih Carta. Untuk 'koleksi Unsur' data menetapkan butang Penapis disediakan yang apabila diklik membuka tetingkap Penapis Elemen yang membolehkan anda untuk memohon pelbagai penapis untuk kembali hanya unsur-unsur dari Architectures tertentu, dan / atau beberapa jenis, dan / atau piawaian tertentu , dan / atau dipasang pada komponen tertentu, dan / atau Ibu bapa tertentu, dan / atau dalam Rajah tertentu, dan / atau dalam Carta tertentu dan / atau dengan nilai-nilai Harta yang diberikan. Untuk lain-lain jenis set data medan Nama disediakan dan menggunakan butang Pilih anda boleh memilih objek (s) untuk dimasukkan dengan set data.

Nota

Set data disimpan dalamData Set fail (.xml)dengan sama nama fail asas sebagai yangberkaitan Fail definisi laporan (.RDL). Jika fail ini tidak wujud editor set data secara automatik akan mengisi dengan mana-mana nama-nama pertanyaan yang wujud dalam Fail definisi laporan (.RDL)dan baru Data Set fail (.xml)akan dicipta apabila senarai Lelaki sah pertanyaan ditakrifkan.

3. Jika anda ingin memadam set data sedia ada kemudian pilih Padam Pertanyaanbutang.

4. Jika anda ingin menambah data baru yang ditetapkan kemudian klik Tambah Baru Set Databutang dan menyelaraskan data ditetapkan mengikut Nota di atas.

Untuk mewujudkan adat baru laporan(daripada templat)

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk.

2. Pilih Insert| Laporan yang disesuaikanatau klik Buat Laporan Custom butang bar alat. Yang Laporan Customtetingkap (dipaparkan di atas) akan dipaparkan.

3. Klik New dan pilih sama ada A4 - Portrait, A4 Landscape, A3 - Portrait, A3- Landskap, Surat US - Portrait, Surat US - Landscape, US Tabloid - Portraitatau US Tabloid - Landscapebergantung kepada saiz orientasi laporan dan kertas yang dikehendaki.

4. Semak imbas ke lokasi untuk menyimpan fail Definisi Laporan (.rdl / .rdlc) dan sepadan Data Set fail (xml) dan klik Simpan. Ini akan menambah laporan adat baru kepada seksyen Laporan Disediakan tetingkap Laporan Custom dan ia boleh dibuka atau disunting seperti yang dinyatakan di atas.

Untuk menambah adat yang sedia ada laporan

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk.

2. Pilih Insert| Laporan yang disesuaikanatau klik Buat Laporan Custom butang bar alat. Yang Laporan Customtetingkap (dipaparkan di atas) akan dipaparkan.

3. Klik Tambah dan semak imbas ke lokasi fail Definisi Laporan (.rdl / .rdlc) dan klik Terbuka. Ini akan menambah laporan adat baru kepada seksyen Laporan Disediakan tetingkap Laporan Custom dan ia boleh dibuka atau disunting seperti yang dinyatakan di atas.

Nota

Ia adalah dianggap bahawa fail yang sepadan Set Data (xml) wujud di lokasi yang sama dengan fail Laporan Definisi.

Untuk menyalin adat yang sedia ada laporan

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk.

2. Pilih Insert| Laporan yang disesuaikanatau klik Buat Laporan Custom butang bar alat. Yang Laporan Customtetingkap (dipaparkan di atas) akan dipaparkan.

3. Pilihyang sedia ada Laporanyang anda mahu untuk menyalin daripada Laporan Disediakanbahagian.

4. Klik Copy dan suatu salinan laporan yang dipilih (dinamakan 'Copy of ...) akan ditambah kepada seksyen Laporan Disediakan tetingkap Laporan Custom dan ia boleh dibuka atau disunting seperti yang dinyatakan di atas.

Nota

Dengan cara ini anda akan mewujudkan satu salinan laporan itu Laporan Definisi fail (.rdl / .rdlc) dan juga yang yang hampir sama Data Set fail (xml)(jika ia wujud).

Untuk menghapuskan adat yang sedia ada laporan

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk.

2. Pilih Insert| Laporan yang disesuaikanatau klik Buat Laporan Custom butang bar alat. Yang Laporan Customtetingkap (dipaparkan di atas) akan dipaparkan.

3. Pilihyang sedia ada Laporanyang anda mahu untuk mengeluarkan daripada Laporan Disediakanseksyen dan klik Buang.

Nota

Apabila anda mengeluarkan laporan yang ia tidak lagi akan muncul dalam senarai laporan itu. Walau bagaimanapun, ini tidak akan menghapuskan Laporan Laporan Definisi fail (.rdl / .rdlc) atau Set Data fail(.xml). Jika perlu, memadam fail-fail ini boleh dicapai melalui sistem fail.

Untuk menamakan semula adat yang sedia ada laporan

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk.

2. Pilih Insert| Laporan yang disesuaikanatau klik Buat Laporan Custom butang bar alat. Yang Laporan Customtetingkap (dipaparkan di atas) akan dipaparkan.

3. Pilihyang sedia ada Laporanyang anda mahu untuk menamakan semula dalam yang Laporan Disediakanseksyen dan klik Nama semula.

4. Masukkan nama baru untuk laporan.

Nota

Kedua-dua fail Definisi Laporan (.rdl / .rdlc) dan Data Set fail yang sepadan (.xml) akan dinamakan semula dengan sewajarnya.

Untuk mengedit reka bentuk adat laporan

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk.

2. Pilih Insert| Laporan yang disesuaikanatau klik Buat Laporan Custom butang bar alat. Yang Laporan Customtetingkap (dipaparkan di atas) akan dipaparkan.

Nota

Walaupun mana-mana pengguna boleh membuka laporan adat yang sedia ada, to mengkonfigurasi reka bentuk laporan tersuai lesen pengguna yang memerlukan Konfigurasi laporan keupayaan. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.Selain itu, Microsoft Laporan Builder 3.0 diperlukan untuk mereka bentuk laporan dan ia boleh dimuat turun secara percuma dari di sini .

3. Pilihyang sedia ada Laporanyang anda mahu untuk mempamerkan daripada Laporan Disediakanbahagian.

4. Klik Edit Laporan.Laporan itu akan dibuka dalam Microsoft Laporan Builder 3.0. Untuk bantuan tertentu dan beberapa 'tips & helah' pada beberapa tugas yang lebih biasa dengan mereka bentuk laporan, sila rujuk kepada bahagian-bahagian di bawah. Untuk bantuan umum mengenai mereka bentuk laporan sila rujuk kepada Microsoft Laporan Builder muka surat 3.0 bantuan di sini .

Menambah Jadual kepada laporan anda

1. Pastikan anda mempunyai fail Laporan ABACUS Custom Definisi (.rdl / .rdlc) membuka dalam Microsoft Laporan Builder 3.0.

2. Pilihyang Insert tab dalam 'reben' di bahagian atas, kemudian klik Jadual butangdalam bahagian Data Kawasan dan pilih Insert Table.

3. Sekarang seret kursoruntuk kedudukan pada kanvas laporan di mana anda mahu sudut atas sebelah kiri meja untuk diletakkan. Klik kanvas. Secara lalai meja akan ditambah dengan baris kepala dan kemudian sekumpulan butiran (kumpulan digunakan untuk menganjurkan pandangan seorang dataset laporan). Untuk mengeluarkan kumpulan, sama ada memadam baris atau memadam Kumpulan Row dalam bar alat perkumpulan itu.

Petuas

Formula / Ungkapan-ungkapan yang dalam sel jadual disunting dengan memilih sel kemudian klik kanan pada itu << expr >> teks dan memilih Expression .... Menyusun baris dalam jadual yang dilakukan dengan memilih meja dan kemudian melayari turun ke Lain-lain -> bidang SortExpressions dalam panel Properties dan memasukkan ungkapan. Untuk sejumlah baris pada akhir jadual menambah berturut-turut selepas (dan luar) kumpulan itu dan kemudian menggunakan ungkapan berikut = Sum (Fields!Nama.Value)di mana 'Nama' adalah bidang yang berjumlah. Untuk memohon pewarna ke tiang menggunakan 'IIF' kenyataan dalam harta BackgroundColor itu. Untuk menambahkan Menanya sebuah sel dalam jadual pertama memasukkan tolok ke dalam sel dan kemudian jatuh bidang data yang diperlukan untuk tolok. Semasa mengedit ketinggian & lebar baris jadual, pastikan anda pilih baris yang betul, dan kemudian berlegar kursor tetikus anda di sekitar garisan kelabu sehingga anda mendapat anak panah atas / bawah kursor, kemudian mengubah saiz.

Menambah Carta laporan anda

1. Pastikan anda mempunyai Laporan fail Definisi ABACUS Custom (.rdl / .rdlc) membuka dalam Microsoft Laporan Builder 3.0.

2. Pilihyang Insert tab dalam 'reben' di bahagian atas, kemudian klik Carta butangdalam bahagian Data Kawasan dan pilih Insert Chart.

3. Sekarang seret kursoruntuk kedudukan pada kanvas laporan di mana anda mahu sudut atas sebelah kiri carta untuk diletakkan. Klik kanvasdan kemudian pilih cartaanda perlu daripada pilihan dan klik okey.

Petuas

Untuk memaparkan harta sebagai anotasi pada carta, klik kanan pada carta dan pilih Label Show Data, kemudian pilih salah satu label yang telah ditambah dan menetapkan Other -> UseValueAsLabel kepada Palsu dalam panel Properties dan menambah ungkapan (contohnya = Fields Name.Value) dalam Other -> Label. Khusus untuk carta gelembung; Carta gelembung dipaparkan di bawah tajuk carta Sebaran. Drop X paksi harta ke dalam bidang Series (atau menambah dalam Siri Properties). Drop Y paksi harta ke dalam bidang Data (atau menambah dalam Siri Properties). Untuk menggunakan harta untuk menentukan saiz gelembung, drop ini ke dalam bidang Data (atau menambah dalam Siri Properties). Carta gelembung tidak dapat memaparkan jika terdapat terlalu banyak data (200 + barangan), kadang-kadang ini menyebabkan laporan keseluruhan untuk tidak dipaparkan. Jenis Penanda - Tetapkan ke lingkungan. Secara lalai, apabila menjatuhkan bidang ke dalam bidang data, ia menambahkan mereka dengan jumlah ()formula, jadi mengeluarkan ini. Khusus untuk Carta disusun / Timeline / carta Gantt; Untuk carta Gantt menggunakan carta pelbagai dan menambah ciri-ciri sebagai nilai-nilai yang tinggi dan rendah dalam bidang data. Anda boleh mempunyai beberapa 'bar' dengan menambah lebih banyak dan lebih julat, di mana nilai yang rendah untuk satu sepadan dengan nilai yang tinggi yang lain. Khusus untuk Carta pai; Untuk carta pai agregat, menggugurkan data ke dalam bidang Kategori yang di ladang Data, tambah formula = CountRows (). Menapis 0 nilai (contohnya pada carta kos), jika tidak, label mereka itu akan masih kelihatan pada carta.

Menggunakan kenyataan IIF untuk menambah warna kepada jadual dan carta

1. Pastikan anda mempunyai Laporan fail Definisi ABACUS Custom (.rdl / .rdlc) membuka dalam Microsoft Laporan Builder 3.0.

2. Klik kanan sel dalam jadual untuk warna dan klik Properties Text Box.

3. Pilih Isikan dan klik fxbutang di sebelah kanan label warna Isi dan dalam Set ungkapan bagi bidang BackgroundColor masukkan ungkapan, contohnya = IIF (Fields! InformationStatus.Value = "Kekalkan", "LightGreen", IIF (Fields! InformationStatus.Value = "Mereka semula", "Yellow", IIF (Fields! InformationStatus.Value = "Refresh", "Orange", " Salmon "))). Ini menukar warna latar belakang untuk lampu hijau bagi setiap sel yang mengandungi Status 'Kekalkan', kuning bagi setiap sel yang mengandungi Status 'Mereka semula' itu, Orange bagi setiap sel yang mengandungi status 'Refresh' dan apa-apa nilai status lain yang akan diwarnai dalam 'Salmon.

Nota

Warna boleh ditambah untuk carta dengan memilih siri pada carta dan kemudian menetapkan Rupa -> harta Warna (atau untuk carta gelembung Rupa -> Marker -> harta Warna) kepada ungkapan yang sama dengan contoh di atas.

Perkara yang perlu diingat apabila mereka bentuk laporan tersuai

· Oleh kerana semua harta kecuali Integer dihantar sebagai rentetan dari ABACUS kepada penonton laporan jika anda mahu melakukan apa-apa 'ungkapan' dengan mereka (seperti jurang satu sifat dengan yang lain atau jenis) anda perlu menukar agama mereka kepada perpuluhan atau Tarikh dan lain-lain Untuk latar belakang , artikel ini adalah rujukan yang baik. Mis = CDate (Fields! LifecycleEndDate.Value) Nota: Sila pastikan bahawa bahasa laporan ditetapkan kepada en-GB (seperti yang dinyatakan di bawah) untuk menerima dd / mm / yyyy kerana ia menjangka format hh / bb / tttt secara lalai dan sewajarnya 31/7/2011 akan gagal penukaran. =Round(Convert.ToDecimal(Fields!CostMaintenanceCostfixed.Value)/Convert.ToDecimal(Fields!UsersNumberofUsers.Value)) = FormatCurrency (Fields! CostTotalCosttoOwnnext5years.Value, 0)

· Jika anda mendapati bahawa anda berjuang untuk menyimpan semua jadual dan carta pada satu halaman, Terdapat beberapa cara utama untuk menguruskan ruang dokumen anda:

· Page Break - Pastikan bahawa tetapan jadual ini dimatikan untuk setiap jadual yang anda ingin untuk berada di laman yang sama.

· Ikuti Bersama-sama - Memastikan penetapan jadual ini adalah benar untuk setiap jadual yang anda ingin untuk berada di laman yang sama.

· Apabila bergerak perkara di sekeliling, ia adalah lebih mudah untuk zum keluar menggunakan kawalan di sebelah kanan bahagian bawah halaman dan kemudian multi memilih item dan seret

· Untuk baris imej dalam jadual, memastikan bahawa 'Saiz: | Harta 'Sizing' ditetapkan kepada 'Fit' jika tidak, imej mungkin kelihatan terlalu besar, atau ia akan tidak teratur.

· Untuk mengulangi baris kepala jadual pada setiap halamanlaporan:

1. Mod Lanjutan dibuka dalam anak tetingkap kumpulan itu. (Klik anak panah di sebelah kanan Kumpulan Column dan pilih Mod Lanjutan.)

2. Dalam bidang Kumpulan Row (Kumpulan tidak Column), klik pada kumpulan statik, yang memaparkan teks yang sama dalam tablix itu. Klik melalui setiap kumpulan statik sehingga ia menonjolkan kepala lajur paling kiri. Ini biasanya kumpulan Statik pertama yang disenaraikan.

3. Dalam tetingkap Properties, menetapkan harta RepeatOnNewPage untuk Benar.

4. Pastikan harta KeepWithGroup ditetapkan kepada Selepas.

· Tukar Tetapan bahasadalam hartanah Laporan sepadan dengan format data yang anda perlukan, contohnya en-GB untuk menghasilkan UK format tarikh (dd / mm / yyyy).

Lihat juga

Menganalisa senibina anda


Menyesuaikan antara muka ABACUS

Navigation: Pengenalan kepada ABACUS>

Menyesuaikan antara muka ABACUS

Menghantar komen mengenai topik ini.

Anda boleh menukar rupa dan tingkah laku antara muka ABACUS hati. ABACUS termasuk beberapa tetapan yang telah ditetapkan gabungan yang boleh anda gunakan untuk memohon sekumpulan Naiktaraf untuk antara muka. Selain itu, anda boleh membuat penyesuaian individu dengan perkara-perkara seperti tingkap, bar alat, kekunci pintasan, dan memaparkan pelbagai pilihan.

Mengatur dan Dock Windows

Anda mempunyai banyak pilihan untuk mengatur windows dalam antara muka untuk ABACUS, termasuk yang berikut:

· Tab-dok tingkap.

· Dok tingkap ke tepi rangka dalam antara muka.

· Kurangkan alat tingkap sepanjang pinggir antara muka.

· Set semula penempatan tetingkap untuk susun atur lalai.

Windows dok

Apabila tetingkap adalah dockable, ia boleh diikat pada sebelah rangka dalam antara muka atau ia boleh diatur atas anak tetingkap tab dalam bingkai. Berlian panduan muncul apabila anda menyeret tingkap dari lokasi semasa mereka ke lokasi yang lain dalam antara muka. Panduan berlian membolehkan anda dengan cepat berlabuh semula tetingkap pada salah satu daripada empat sisi bingkai atau di pusat itu sebagai anak tetingkap tab. Apabila tetingkap adalah undocked atau tidak dockable, ia terapung di atas tetingkap lain.

Berlabuh tingkap

1. Klik tetingkap yang anda ingin berlabuh, untuk memberikan tumpuan.

2. Atas Windowmenu, klik Dockable.

3. Seret tingkap dari lokasi semasa ke arah tengah-tengah bingkai yang anda mahu untuk berlabuh dengan.

Berlian panduan muncul. Empat anak panah mata berlian ke arah empat tepi bingkai dan pusat mewakili anak tetingkap bertab ini.

Petua

Untuk bergerak tingkap dockable tanpa mengetapkannya ke dalam tempat, tekan CTRL semasa menyeret ia.

4. Apabila tetingkap yang anda menyeret mencapai kedudukan di mana anda mahu untuk berlabuh, bergerak penunjuk di atas bahagian yang berkaitan dengan panduan berlian. Garis kasar tetingkap muncul dalam kawasan yang ditetapkan.

5. Berlabuh tetingkap dalam kedudukan yang ditunjukkan, lepaskan butang tetikus.

Sebagai contoh, jika Explorerberlabuh di pinggir kiri antara muka dan anda mahu ia berlabuh di pinggir yang betul, anda akan seret Explorerpada pertengahan antara muka, gerakkan penunjuk di atas sebelah kanan panduan berlian, dan kemudian lepaskan butang tetikus.

Mengurangkan Windows

Windows (sama ada Alat Windows - yang terdapat di Lihatmenu, atau Dokumen Windows - yang terdapat di Windowmenu) menyokong ciri yang dipanggil Menyembunyikan Auto. Menyembunyikan Auto membolehkan anda untuk melihat lebih banyak senibina anda pada satu masa dengan meminimumkan tingkap sepanjang tepi muka apabila tidak digunakan.

Untuk menghidupkan Menyembunyikan Auto

1. Klik tetingkap yang anda mahu menyembunyikan untuk memberikan tumpuan.

2. Atas Windowmenu, klik Menyembunyikan Auto.

- Atau -

2. Klik ikon pushpin pada bar tajuk tetingkap.

Menyembunyikan Auto Enabled

Apabila tetingkap automatik tersembunyi kehilangan fokus, ia secara automatik kembali ke slaid tabnya di tepi muka. Walaupun tingkap automatik tersembunyi, nama dan ikonnya yang boleh dilihat pada tab di tepi muka. Untuk memaparkan tetingkap automatik tersembunyi, gerakkan penuding anda ke atas tab. Tetingkap slaid kembali ke dalam pandangan dan sedia untuk digunakan.

Nota

Tetingkap yang tersembunyi automatik tidak boleh berlabuh. Berlabuh tetingkap anda perlu mematikan Menyembunyikan Auto seperti yang dinyatakan di bawah.

Untuk mematikan Menyembunyikan Auto

1. Klik tetingkap yang anda mahu menyimpan dilihat memberikan tumpuan.

2. Atas Windowmenu, klik Menyembunyikan Autountuk membersihkan tanda semak.

- Atau -

2. Klik ikon pushpin pada bar tajuk tetingkap.

Auto Sembunyi Orang Kurang Upaya

Petua

Windows yang mempunyai Menyembunyikan Auto aktif buat sementara waktu slaid ke dalam pandangan apabila tingkap mempunyai fokus. Untuk menyembunyikan tetingkap sekali lagi, pilih item luar tingkap semasa. Apabila tetingkap kehilangan fokus, ia slaid kembali daripada pandangan.

Menetapkan semula Windows Layouts

Anda boleh kembali antara muka untuk susun atur tetingkap lalai menggunakan Reset Window Layoutarahan. Apabila anda menjalankan arahan ini, tindakan yang berikut berlaku:

· Semua tetingkap berpindah ke kedudukan asal.

· Tingkap yang boleh ditutup dalam susun atur tetingkap lalai ditutup dengan arahan.

· Tingkap yang boleh dibuka dalam susun atur tetingkap lalai dibuka oleh arahan.

· Windows yang tersembunyi / kelihatan dalam susun atur tetingkap lalai adalah tersembunyi / boleh dilihat oleh arahan.

Untuk menetapkan semula penempatan tetingkap untuk susun atur lalai

1. Atas Windowsmenu, klik Reset Window Layout.

Menu Menyesuaikan dan Toolbars

Anda boleh menukar susun atur, kedudukan, dan kandungan menu dan bar alat dalam antara muka. Anda juga boleh menambah butang toolbar dan menukar ikon yang diberikan bagi apa-apa butang.

Buat toolbar baru

Untuk membuat toolbar baru

1. Atas Peralatanmenu, pilih Sesuaikan.

2. Di dalam Menyesuaikankotak dialog, pilih Toolbarstab.

3. Pilih New.

4. Di dalam New Toolbarkotak dialog, taipkan nama untuk bar alat.

5. Pilih okey.

Untuk menambah butang arahan untuk menu atau toolbar

1. Atas Peralatanmenu, pilih Sesuaikan.

2. Di dalam Menyesuaikankotak dialog, pilih Arahantab.

3. Pilih kategori dan tarik arahan yang keluar dari kotak dialog untuk menu atau bar alat.

4. Pilih Tutup.

Petua

Menekan Alt-kunci membolehkan anda cepat menyesuaikan arahan seolah-olah dialog Sesuaikan terbuka.

Lihat juga

Antara muka ABACUS


Menentukan dan Pengesahan Kekangan

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Menentukan dan Pengesahan Kekangan

Menghantar komen mengenai topik ini.

Struktur dan sifat-sifat seni bina yang boleh dihadkan dengan menggunakan kekangan. Kekangan boleh digunakan untuk jenis komponen dan jenis sambungan untuk menyekat struktur seni bina dalam dua cara. Cara pertama adalah untuk menyekat hierarkidengan menentukan "ibu bapa harus / mesti mempunyai kanak-kanak" dan "kanak-kanak perlu / mesti mempunyai ibu bapa" hubungan. Cara kedua adalah untuk menyekat topologidengan menentukan "komponen harus / mesti dilampirkan dengan sambungan" dan "Sambungan harus / mesti melekat pada komponen" hubungan. Tambahan pula, kekangan boleh digunakan untuk ciri-ciri jenis komponen, jenis sambungan, template, pandangan, seni bina, gambar rajahdan 3D views untuk menyekat seni bina (s) dalam dua cara tambahan. Cara pertama adalah untuk menetapkan jenis dataharta itu untuk menyekat nilai-nilai yang sah bahawa ia boleh mempunyai, iaitu; Teks, Integer, Perpuluhan, tarikh / masa, Boolean atau Senarai. Cara kedua adalah untuk menetapkan diperlukanstatus harta untuk menunjukkan sama ada nilai yang perlu dimasukkan untuk hartanah (Nota: kekangan yang diperlukan hanya terpakai kepada hartanah untuk komponen dan sambungan jenis). Maklumat lanjut mengenai kekangan harta disediakan dalam Menukar sifat-sifat, sambungan komponen atau jenis topik bantuan. Sebaik sahaja kekangan telah ditentukan, ia adalah mungkin untuk mengesahkan seni bina terhadap kekangan. ABACUS akan memberi amaran kepada kira-kira apa-apa kekangan yang telah dicabuli.

Kunci untuk menentukan kekangan (s) untuk menentukan terletak pada bahasa yang tepat yang digunakan untuk menggambarkan kekangan. Untuk kekangan hierarki mereka biasanya dalam bentuk "Kata namaboleh / perlu / mesti dihuraikan kepada n Kata nama"Atau"Kata namaboleh / perlu / mesti diagregatkan dengan Kata nama"Dan lain-lain Sebagai contoh,"Jabatanperlu dihuraikan kepada Pasukan"Atau"Aplikasiboleh dihuraikan kepada Modul". Bagi kekangan topologi mereka biasanya dalam bentuk"Kata namaboleh / harus / mesti kata kerja Kata nama". Contohnya, "Proses boleh jadi dipersembahkan oleh Pasukan"Atau"Aplikasiyang dihoskan pada Pelayan. "Sekarang, anda boleh lihat di setiap kekangan terdapat pelbagai boleh / harus / mesti 'kelayakan' dan ini boleh menjadi 3 jenis;

· Pilihan- Ini biasanya akan menggunakan perkataan / frasa suka; "boleh", "boleh", "boleh", "pilihan" dan lain-lain

· Disyorkan- Ini biasanya akan menggunakan perkataan / frasa suka; "harus", "disyorkan", "nasihat" dan lain-lain

· Mandatori- Ini biasanya akan menggunakan perkataan / frasa suka; "mesti", "adalah", "adalah", "mempunyai", "hendaklah" dan lain-lain

Bergantung kepada jenis kekangan (hierarki atau topologi) dan kelayakan yang digunakan dalam menyifatkannya, kekangan tertentu (s) perlu ditakrifkan (lihat di bawah). Sebagai contoh hierarki di atas, "Jabatanperlu dihuraikan kepada Pasukan"Seseorang itu perlu menentukan" Ibu bapa mesti mempunyai kanak-kanak "kekangan dan menetapkan penguatkuasaan yang akan dikuatkuasakan. Sebagai contoh topologi di atas,"Proses boleh jadi dipersembahkan oleh Pasukan. "Satu-satunya perlu mewujudkan dua (2)" Sambungan hendaklah disertakan dengan Komponen "kekangan untuk kedua-dua hujung yang dilakukan oleh jenis sambungan khusus, kekangan berikut disyorkan untuk ditakrifkan (lihat di bawah) untuk pelbagai pilihan yang;

· Kekangan hierarki;

o Kata nama A boleh jadidihuraikan kepada Kata nama B, Atau Kata nama B boleh jadidiagregatkan dengan Kata nama Aatau Kata nama B perludiagregatkan dengan Kata nama A- Tentukan "Kanak-kanak mesti mempunyai Ibu Bapa" kekangan dengan jenis kanak-kanak itu sebagai Noun B, jenis ibu bapa sebagai kata nama dan penguatkuasaan Memberi amaran.

Nota

Ini bermakna bahawa jika kanak-kanak wujud, ia perlu mempunyai ibu bapa jenis tertentu. Jika tidak, anda akan mendapat amaran.

o Kata nama A perludihuraikan kepada Kata nama B- Tentukan "Ibu bapa mesti mempunyai kanak-kanak" kekangan dengan jenis induk sebagai kata nama, jenis kanak-kanak sebagai Noun B dan penguatkuasaan Memberi amaran.

Nota

Ini bermakna bahawa jika ibu bapa yang wujud, ia perlu mempunyai anak-anak jenis tertentu. Jika tidak, anda akan mendapat amaran.

o Kata nama A mestidihuraikan kepada Kata nama B- Tentukan "Ibu bapa mesti mempunyai kanak-kanak" kekangan dengan jenis induk sebagai kata nama, jenis kanak-kanak sebagai Noun B dan penguatkuasaan dikuatkuasakan.

Nota

Ini bermakna bahawa jika ibu bapa yang wujud, ia mesti mempunyai kanak-kanak jenis tertentu. Jika tidak anda akan mendapat ralat.

o Kata nama A mestidiagregatkan dengan Kata nama B- Tentukan "Kanak-kanak mesti mempunyai Ibu Bapa" kekangan dengan jenis kanak-kanak itu sebagai kata nama, jenis ibu bapa sebagai Noun B dan penguatkuasaan dikuatkuasakan.

Nota

Ini bermakna bahawa jika kanak-kanak wujud, ia mesti mempunyai induk jenis tertentu. Jika tidak, anda akan mendapat ralat.

· Kekangan Topologi;

o Kata nama A boleh jadi kata kerja Kata nama B- Tentukan dua (2) "Sambungan hendaklah disertakan dengan Komponen" kekangan. Yang pertama dengan hujung Sumber jenis sambungan kata kerjamelekat pada kata nama jenis komponen dan penguatkuasaan ditetapkan untuk dikuatkuasakan. Makhluk kedua dengan akhir tenggelam daripada jenis sambungan kata kerjamelekat Noun jenis komponen B dan penguatkuasaan ditetapkan untuk dikuatkuasakan.

Nota

Ini bermakna bahawa jika sambungan wujud, ia mesti menyambung komponen jenis tertentu. Jika tidak anda akan mendapat ralat. Secara keseluruhan ini memastikan komponen ini masih boleh wujud dan tidak berkaitan antara satu sama lain. Walau bagaimanapun, jika mereka yang berkaitan, sambungan jenis yang tepat mesti digunakan.

o Kata nama A perlu kata kerja Kata nama B- Tentukan dua (2) "Komponen hendaklah disertakan dengan Sambungan" kekangan. Yang pertama adalah dengan Noun Sejenis komponen melekat pada akhir Sumber daripada kata kerjajenis sambungan dan set penguatkuasaan untuk Memberi amaran. Makhluk kedua dengan Noun jenis komponen B melekat pada akhir tenggelam daripada kata kerjajenis sambungan dan set penguatkuasaan untuk Memberi amaran. Selain itu, menentukan dua (2) "Sambungan hendaklah disertakan dengan Komponen" kekangan. Yang pertama dengan hujung Sumber jenis sambungan kata kerjamelekat pada kata nama jenis komponen dan penguatkuasaan ditetapkan untuk dikuatkuasakan. Makhluk kedua dengan akhir tenggelam daripada jenis sambungan kata kerjamelekat Noun jenis komponen B dan penguatkuasaan ditetapkan untuk dikuatkuasakan.

Nota

Ini bermakna bahawa jika komponen untuk jenis sama ada wujud, mereka hendaklah dilampirkan bersama sambungan jenis tertentu. Jika tidak anda akan mendapat amaran. Di samping itu, ini bermakna bahawa jika sambungan wujud, ia mesti disambungkan kepada komponen untuk jenis dinyatakan. Jika tidak anda akan mendapat ralat. Secara keseluruhan ini memastikan bahawa jika komponen jenis ini wujud, anda akan mendapat amaran jika mereka tidak berkaitan antara satu sama lain.

o Kata nama A mesti kata kerja Kata nama B- Tentukan dua (2) "Komponen hendaklah disertakan dengan Sambungan" kekangan. Yang pertama adalah dengan Noun Sejenis komponen melekat pada akhir Sumber daripada kata kerjajenis sambungan dan penguatkuasaan ditetapkan untuk dikuatkuasakan. Makhluk kedua dengan Noun jenis komponen B melekat pada akhir tenggelam daripada kata kerjajenis sambungan dan penguatkuasaan ditetapkan untuk dikuatkuasakan. Selain itu, menentukan dua (2) "Sambungan hendaklah disertakan dengan Komponen" kekangan. Yang pertama dengan hujung Sumber jenis sambungan kata kerjamelekat pada kata nama jenis komponen dan penguatkuasaan ditetapkan untuk dikuatkuasakan. Makhluk kedua dengan akhir tenggelam daripada jenis sambungan kata kerjamelekat Noun jenis komponen B dan penguatkuasaan ditetapkan untuk dikuatkuasakan.

Nota

Ini bermakna bahawa jika komponen untuk jenis sama ada wujud, ianya hendaklah disertakan dengan sambungan jenis tertentu. Jika tidak anda akan mendapat ralat. Di samping itu, ini bermakna bahawa jika sambungan wujud, ia mesti disambungkan kepada komponen untuk jenis dinyatakan. Jika tidak anda akan mendapat ralat. Secara keseluruhan ini memastikan bahawa jika komponen jenis-jenis ini wujud, anda akan mendapat ralat jika mereka tidak berkaitan antara satu sama lain.

Untuk menentukan kekangan

1. Pastikan anda mempunyai Fail ABACUSterbuka dan Window Explorerdipaparkan.

2. Dalam pokok explorer mengembang Jenis | Jenis komponenatau mengembangkan Jenis | Jenis sambungan.

3. Klik kanansejenis komponen atau jenis sambungan dan pilih Tambah Kekangan.

Menambah kekangan

Untuk menentukan kekangan hierarki, di mana ibu bapa dikehendaki membawa tertentu

4. Atas Tambah Kekangantetingkap semak Buat Kekangankotak semak di bawah Ibu Bapa Mesti Mempunyai Anak Kekangankawasan.

5. Pilih jenis komponendari kotak drop-down yang anda ingin menentukan sebagai kanak-kanak jenis komponen yang dipilih dalam langkah 3.

Nota

Jika sudah ada yang membolehkan 'Ibu Bapa Mesti Mempunyai Anak' kekangan yang ditetapkan untuk jenis komponen induk dan satu lagi jenis komponen kanak-kanak kemudian kekangan baru ini akan dianggap sebagai 'DAN'. Itulah jenis yang perlu menjadi induk jenis Seorang kanak-kanak dankanak-kanak jenis B, untuk apa jua tahap penguatkuasaan (contohnya Kurang Upaya, Memberi amaran atau Dikuatkuasakan - lihat langkah 7) ditentukan bagi setiap kekangan.

6. Secara pilihan, anda boleh menentukan bilangan minimum dan maksimum bagi komponen untuk jenis komponen yang ditetapkan yang mesti menjadi anak-anak jenis komponen yang betul-klik dalam langkah 3.

7. Pilih sama ada anda mahu kekangan untuk menjadi Orang Kurang Upaya, Memberi amaranatau Dikuatkuasakan.

Nota

Kekangan Orang Kurang Upaya akan diabaikan dari pengesahan kekangan, kekangan Amaran akan menghasilkan Amaran dalam tetingkap Pengesahan jika ia dikesan dan kekangan Dikuatkuasakan akan menghasilkan Kesilapan dalam tetingkap Pengesahan jika mereka dikesan. Tambahan pula, semua Kesilapan mesti diselesaikan sebelum satu Enterprise Server projek boleh dilakukan.

8. Klik okey.

Nota

Kekangan ini akan dipaparkan di pokok explorer bawah jenis komponen kanan diklik dalam langkah 3. Anak panah menandakan arah kekangan dan dalam kes ini akan menunjukkan ke bawah dan kanan. Mangga berwarna mengikut sama ada kekangan adalah Orang Kurang Upaya (kelabu), Memberi amaran (kuning) atau dikuatkuasakan (merah).

Ibu bapa perlu mempunyai kekangan kanak-kanak memberi amaran

Untuk menentukan kekangan hierarki, di mana kanak-kanak mesti mempunyai induk yang tertentu

4. Atas Tambah Kekangantetingkap semak Buat Kekangankotak semak di bawah Kanak-kanak Mesti Mempunyai Kekangan Ibu Bapakawasan.

5. Pilih jenis komponendari kotak drop-down yang anda ingin nyatakan seperti ibu atau bapa jenis komponen yang betul klik-dalam langkah 3.

Nota

Jika sudah ada yang membolehkan 'Anak Mesti Mempunyai Ibu Bapa' kekangan yang ditetapkan untuk jenis komponen kanak-kanak dan satu lagi jenis komponen induk kemudian kekangan baru ini akan dianggap sebagai 'ATAU'. Itulah jenis yang perlu menjadi kanak-kanak jenis Ibu bapa atauinduk jenis B, dan tahap penguatkuasaan (contoh Memberi amaran atau Dikuatkuasakan - lihat langkah seterusnya) hendaklah sama kekangan jika tidak dikuatkuasakan akan sentiasa mengatasi orang-orang yang memberi amaran.

6. Pilih sama ada anda mahu kekangan untuk menjadi Orang Kurang Upaya, Memberi amaranatau Dikuatkuasakan.

Nota

Kekangan Orang Kurang Upaya akan diabaikan dari pengesahan kekangan, kekangan Amaran akan menghasilkan Amaran dalam tetingkap Pengesahan jika ia dikesan dan kekangan Dikuatkuasakan akan menghasilkan Kesilapan dalam tetingkap Pengesahan jika mereka dikesan. Tambahan pula, semua Kesilapan mesti diselesaikan sebelum satu Enterprise Server projek boleh dilakukan.

7. Klik okey.

Nota

Kekangan ini akan dipaparkan dalam paparan explorer bawah jenis komponen yang dipilih dalam langkah 5. Anak panah menandakan arah kekangan dan dalam kes ini akan menunjukkan sehingga dan kiri. Mangga berwarna mengikut sama ada kekangan adalah Orang Kurang Upaya (kelabu), Memberi amaran (kuning) atau dikuatkuasakan (merah).

Kanak-kanak mesti mempunyai kekangan ibu bapa memberi amaran

Untuk menentukan kekangan topologi, di mana komponen hendaklah disertakan dengan sambungan tertentu

4. Atas Tambah Kekangantetingkap semak Buat Kekangankotak semak di bawah Komponen Perlu Kekangan Dilampirkankawasan.

5. Pilih jenis sambungandari kotak drop-down yang anda ingin menentukan sambungan yang dilampirkan jenis komponen yang betul klik-dalam langkah 3. (Atau pilih jenis komponendari kotak drop-down yang anda ingin menentukan sebagai komponen yang disertakan jika dalam langkah 3 anda kanan klik jenis sambungan.)

Nota

Jika sudah ada yang membolehkan 'Komponen Perlu Dilampirkan' kekangan ditakrifkan untuk jenis komponen dan sambungan lain menaip kemudian kekangan baru ini akan dianggap sebagai 'DAN'. Itu adalah jenis komponen hendaklah disertakan dengan jenis sambungan A danjenis sambungan B, untuk apa sahaja tahap penguatkuasaan (contohnya Kurang Upaya, Memberi amaran atau Dikuatkuasakan - lihat langkah 7) ditentukan bagi setiap kekangan.

6. Secara pilihan, anda boleh memilih sambungan perananyang anda hendak tambah kepada kekangan. Smelantik tertentu peranan (iaitu sama ada sumber atau tenggelam) dari kotak drop-down.

7. Pilih sama ada anda mahu kekangan untuk menjadi Orang Kurang Upaya, Memberi amaranatau Dikuatkuasakan.

Nota

Kekangan Orang Kurang Upaya akan diabaikan dari pengesahan kekangan, kekangan Amaran akan menghasilkan Amaran dalam tetingkap Pengesahan jika ia dikesan dan kekangan Dikuatkuasakan akan menghasilkan Kesilapan dalam tetingkap Pengesahan jika mereka dikesan. Tambahan pula, semua Kesilapan mesti diselesaikan sebelum satu Enterprise Server projek boleh dilakukan.

8. Klik okey.

Untuk menentukan kekangan topologi, di mana sambungan hendaklah disertakan dengan komponen khusus

4. Atas Tambah Kekangantetingkap semak Buat Kekangankotak semak di bawah Sambungan Perlu Dilampirkan Kekangankawasan.

5. Pilih jenis sambungandari kotak drop-down yang anda ingin menentukan sambungan yang dilampirkan jenis komponen yang betul klik-dalam langkah 3. (Atau pilih jenis komponendari kotak drop-down yang anda ingin menentukan sebagai komponen yang disertakan jika dalam langkah 3 anda kanan klik jenis sambungan.)

Nota

Jika terdapat kekangan sememangnya seorang yang aktif 'Sambungan Perlu Dilampirkan' ditakrifkan untuk jenis sambungan dan satu lagi jenis komponen menggunakan sambungan yang sama peranan(iaitu sama ada Sumber atau tenggelam), kemudian kekangan baru ini akan dianggap sebagai 'ATAU'. Yang jenis sambungan yang perlu disertakan dengan jenis komponen A ataukomponen jenis B, dan tahap penguatkuasaan (contoh Memberi amaran atau Dikuatkuasakan - lihat langkah 7) hendaklah sama kekangan jika tidak dikuatkuasakan akan sentiasa mengatasi orang-orang yang memberi amaran. Ambil perhatian juga, bahawa jika terdapat berbilang kekangan yang mempunyai sambungan peranandinyatakan sebagai 'Mana-mana' (bertentangan dengan khusus Sumber atau tenggelam) maka setiap hujung sambungan perlu dilampirkan kepada salah satu jenis komponen yang dinyatakan dalam kekangan.

6. Secara pilihan, anda boleh memilih sambungan perananyang anda hendak tambah kepada kekangan. Smelantik tertentu peranan (iaitu sama ada Sumber atau Tenggelam) dari kotak drop-down.

Nota

Sama ada Sumber atau peranan tenggelam perlu dipilih dengan jelas dengan Lampiran lajur untuk menjadi avilable untuk ditunjukkan dalam komponen Katalog .

7. Pilih sama ada anda mahu kekangan untuk menjadi Orang Kurang Upaya, Memberi amaranatau Dikuatkuasakan.

Nota

Kekangan Orang Kurang Upaya akan diabaikan dari pengesahan kekangan, kekangan Amaran akan menghasilkan Amaran dalam tetingkap Pengesahan jika ia dikesan dan kekangan Dikuatkuasakan akan menghasilkan Kesilapan dalam tetingkap Pengesahan jika mereka dikesan. Tambahan pula, semua Kesilapan mesti diselesaikan sebelum satu Enterprise Server projek boleh dilakukan.

8. Klik okey.

Masa sebenar model memeriksa dan kekanganpengesahan

ABACUS termasukmasa nyata Model Memeriksa dan Ciri pengesahan untuk serta-merta paparan kesan operasi pengguna yang diberikan akan ada di amaran dan kesilapan dengan projek semasa, kerana apa-apa hierarki dan topologi kekangan yang telah ditetapkan. Perlu diingatkan bahawa semua Kesilapan mesti diselesaikan sebelum satu Enterprise Server projek boleh dilakukan.

Masa nyata ciri pengesahan kekangan adalah yang paling ketara apabila populating dengan gambar rajah atau secara langsung dalam tetingkap Explorer. Khususnya, semasa operasi berikut, bimbingan diberikan menggunakan warna sebagai acara kemuncak yang bermaksud operasi akan ada di amaran dan kesilapan dengan projek semasa;

1. Apabila unsur-unsur menyeret ke atas atau sekitar gambarajah warna induk (atau melampirkan) komponen (jika ada) sempadan akan diwarnakan mengikut skim yang dinyatakan di bawah.

2. Apabila menyambung komponen menggunakan drag-klik kanan | Sambung Untuk menampilkan senarai Jenis Sambungan yang tersedia diwarnakan mengikut skim yang dinyatakan di bawah.

3. Apabila menyambung komponen pada gambar rajah menggunakan Mod penyambung kursor akan berubah warna mengikut skim yang dinyatakan di bawah.

4. Apabila menambah sub-komponen senarai didapati Jenis Komponen berwarna mengikut skim ini diterangkan di bawah.

Secara umum warna-warna berikut digunakan untuk menunjukkan kesan operasi pengguna akan ada di amaran dan kesilapan dengan projek semasa;

Black : Tiada kesan ke atas amaran atau kesilapan.

Green : Operasi itu adalah jelas mengikuthierarki dan topologi kekangan ditakrifkan bagi projek itu.

Merah : Operasi itu adalah jelas melanggarhierarki dan topologi kekangan ditakrifkan bagi projek itu dan akan mengakibatkan amaran dan / atau kesilapan.

Latar Belakang model memeriksa dan kekanganpengesahan

ABACUS termasuk Ciri pengesahan untuk memaparkan semua amaran dan kesilapan dengan projek semasa, kerana apa-apa kekangan yang telah ditetapkan. Perlu diingatkan bahawa semua Kesilapan mesti diselesaikan sebelum satu Enterprise Server projek boleh dilakukan.

Nota

Pengesahan perlu secara manual berjalan melalui 'Mengesahkan / Daftar Kekangan Projek' butang pada Toolbar utama . Tetingkap Pengesahan tersembunyi secara lalaitetapi akan dipaparkan apabila butang bar alat diklik. Lihat Menyesuaikan antara muka untuk bagaimana untuk jangan sembunyikan dan berpotensi meninggalkan ia tetap dipaparkan. Juga, anda boleh klik dua kali mana-mana baris dalam tetingkap Pengesahan untuk 'melompat' dengan unsur yang berkenaan dalam projek itu.

Tetingkap pengesahan

Ruangan lalai dalam tetingkap Pengesahan diterangkan seperti berikut;

Amaran atau Ralat: Ruangan ini memaparkan ikon bagi sama ada pelanggaran adalah seorang Rasul pemberi amaran (segi tiga kuning dengan tanda seru) atau Ralat (bulatan merah dengan salib).

Nombor: Ruangan ini memaparkan nombor pelanggaran.

Nota

Hanya 200 pelanggaran ditunjukkan pada satu masa dan jika terdapat lebih daripada 200 pelanggaran dalam sesuatu projek yang Mula, Sebelumnya, Next dan pelayar berturut-turut Akhir di bahagian atas kanan tetingkap boleh digunakan untuk melayari pelanggaran tambahan.

Penerangan: Ini adalah penerangan penuh mengenai pelanggaran yang termasuk Entiti dan Kekangan berkenaan.

Entiti: Ruangan ini memaparkan Entiti yang membimbangkan terhadap pelanggaran tersebut.

Jenis: Ruangan ini memaparkan jenis unsur bagi Entiti.

Architecture: Ruangan ini memaparkan Architecture dalam mana pelanggaran yang telah berlaku.

Dikesan: Ruangan ini memaparkan masa pelanggaran itu dikesan.

Petua

Ia amat berguna untuk menyusun menurun dengan ruang Dikesan (seperti yang ditunjukkan dalam dialog di atas) bagi memastikan pelanggaran paling baru-baru muncul di 'atas' senarai.

Terdapat beberapa pilihan pengguna untuk mengubah tingkah laku pengesahan model latar belakang. Sebagai contoh to menukar warna digunakan untuk pelanggaran kekangan kepada sesuatu yang lain daripada nilai default MerahKlik pada Alat | Pilihan ... kemudian pergi ke yang Pengesahantab, dan menetapkan warna melalui Tukar butang.

Pengesahan pilihan

Untuk mengesahkan kekangan secara manual

1. Klik kanan atas Seni Binanod, mana-mana seni bina atau mana-mana sahaja sama ada dalam Komponenatau Sambungansebahagian daripada pandangan explorer dan pilih Semak Kekangan.

Mengesahkan kekangan

2. Klik Maklumatbutang pada Amarantingkap untuk melihat di mana seni bina yang melanggar apa-apa kekangan yang telah ditetapkan.

Nota

Pelanggaran hanya dipaparkan bagi mereka kekangan yang telah ditetapkan untuk Memberi amaran atau Dikuatkuasakan. Tambahan pula kata-kata amaran akan termasuk 'harus' jika kekangan itu hanya amaran atau 'harus' jika ia dikuatkuasakan.

3. Klik okey.

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Ia merupakan pusat seni bina anda secara manual


Memadam komponen atau sambungan

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Memadam komponen atau sambungan

Menghantar komen mengenai topik ini.

Untuk memadam satu komponen atau sambungan

1. Klik kananpada komponen atau sambungan.

2. Pilih Padam.

Awas

ABACUS akan memberi amaran kepada anda yang mana pandangan akan terjejas oleh penghapusan dan meminta anda untuk mengesahkan pemadaman. Ini kerana unsur-unsur yang mungkin wujud dalam banyak gambar rajah dan ia membayar untuk memeriksa apa pemotongan yang dicadangkan akan memberi kesan.

Petua

Jika anda memadam komponen, semua sub-komponen juga akan dipadamkan. Anda boleh memilih untuk memadam sambungan dalaman dan luaran untuk komponen. Jika anda memilih untuk memadamnya, sambungan itu dilampirkan untuk akan kekal, tetapi mereka tidak lagi akan dilampirkan. Semua komponen dan sambungan adalah daripada tertentu Jenis . Memotong komponen / sambungan tidak memberi kesan kepada Type (di cawangan Jenis pokok itu). Begitu juga, jika komponen / sambungan mempunyai Standard diberikan, penghapusan akan mempunyai kesan ke atas tuan di cawangan Piawaian.

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan


Viewpoints Rajah

Navigation: populating senibina anda> Menggunakan Lukisan>

Viewpoints Rajah

Menghantar komen mengenai topik ini.

The pandanganciri memastikan komponen dan sambungan yang ditambah kepada gambar rajah mesti mempunyai persatuan jenis sebelum ini ditakrifkan sebelum mereka boleh ditambah kepada gambar rajah. Ciri ini membolehkan bagi sekatan jenis gambar rajah yang dapat dibuat dengan menghadkan bentuk & penyambung yang berkaitan dengan Komponen dan Sambungansedia ada dalam senibina anda.

Membolehkan atau Melumpuhkan Menguatkuasakan rajah pandangan

Keupayaan untuk menguatkuasakan pandangan rajah secara automatik didayakan secara lalai. Untuk melumpuhkan / mendayakan ciri ini klik pada Tools | Pilihan ...| yang Rajahtab, dan nyahpilih / memilih Menguatkuasakan Rajah Pandangansemak kotak sewajarnya.

Nota

Jika anda tidak melihat 'Menguatkuasakan Rajah Pandangan'Pilihan pada tab Rajah maka anda tidak mempunyai Designer add-on dan pilihan yang dihidupkan secara lalai.

Mewujudkan rajah dikuatkuasakan pandangan

1. Pastikan anda mempunyai Fail ABACUS terbuka dengan explorerpandangan dipaparkan.

2. Memandangkan explorer klik kanan pada Lihattitiksdan klik pada Buat Viewpoint Rajah

3. Yang Viewpoint Rajahtetingkap akan dipaparkan.

4. Berikan nama yang berkaitan dengan pandangan rajahdan ambil perhatian bahawa pandangan disimpan di bawah Pandanganbahagian explorer.

5. Yang Viewpoint Rajahtetingkap akan dipaparkan.

6. Sekarang klik dan seret jenis komponen berkaitan dan jenis sambungan di dalam kerangka anda ke atas bentuk pandangan awak mahu. Jenis komponenmesti diseret ke sebuahbentuk di dalam bentuktab, manakala jenis sambunganmesti diheret ke salah satu daripada bentuk gaya 5 garis di dalam penyambungtab.

7. Untuk menyimpan pandangan rajahanda telah membuat klik pada [image] pada bahagian atas sebelah kanan anda Viewpoint Rajahtingkap.

Nota

Yang pandangan rajahmungkin diedit dengan klik-kanan pada pandangan dan memilih Terbukaatau mengklik dua kaliyang pandangan.

Synchonising sudut pandangan dikemaskini dengan gambar rajah

1. Pastikan anda mempunyai Fail ABACUS terbuka.

2. Sama ada klik kanan pandangan dalam Explorer tetingkap di bawah Meta-model | Pandangandan pilih Sync Rajah Pemetaan ...

- Atau -

3. Tutup sudut pandangan yang terbuka dan dikemaskini tingkap dan pilih Ya di dalam Segerakkan ke Viewpointdialog yang dipaparkan.

4. Yang Viewpoint Penyegerakandialog akan dipaparkan seperti yang ditunjukkan di bawah.

Kotak

· Tambah Pemetaan Hilang- Apa-apa bentuk baru (jenis komponen) atau penyambung (jenis sambungan) persatuan yang telah ditambah untuk pandanganakan ditambah kepada gambarajah berkaitans (iaitu merekastensils)yang dikaitkan dengan pandangan.

· Maklumat sedia adaPemetaan- Mana-mana aspek dikemaskini bentuk yang sedia ada (jenis komponen) atau penyambung (jenis sambungan) persatuan untuk pandangan(contohnya warna, gaya fon) akan dikemas kini dalam gambarajah berkaitans (iaitu merekastensils)yang dikaitkan dengan pandangan.

· Buang tambahanPemetaan- Apa-apa bentuk tambahan (jenis komponen) atau penyambung (jenis sambungan) persatuan yang telah ditambah kepada gambar rajah (iaitu stensil mereka) tetapi tidak dalam pandanganakan dikeluarkan daripada gambarajah berkaitans (iaitu merekastensils)yang dikaitkan dengan pandangan.

· Tulis ganti Tetapan Tempatan Ditambah atau Dikemaskini Pemetaan (Perbezaan Sahaja)- Mana-mana aspek dikemaskini bentuk yang sedia ada (jenis komponen) atau penyambung (jenis sambungan) persatuan untuk pandangan(contohnya warna, gaya font) akan digunakan untuk unsur-unsur sepadan pada gambar rajah yang dikaitkan dengan pandangan.Hanya 'perbezaan' dikemaskini dibuat kepada pandangan digunakan supaya sebarang tetapan tempatan yang sedia ada dalam gambar rajah yang tidak dikemaskini dalam pandangan itu akan kekal tidak berubah.

· [image] Penjelasan – Seperti di atas tetapi khusus untuk penjelasan.

Lihat juga

Alat Lukisan | Ia merupakan pusat seni bina anda | Menganalisa senibina anda


Lukisan Ciri-ciri Alat

Navigation: populating senibina anda> Menggunakan Lukisan>

Lukisan Ciri-ciri Alat

Menghantar komen mengenai topik ini.

Alat Lukisan menyokong beberapa lukisan ciri-ciri.

Zoom

Skala rajah boleh ditukar menggunakan fungsi zum.

Untuk mengurangkan skala atau 'zoom dalam'

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Akhbar Ctrldan '=' utama.

- Atau -

2. Pilih Mengezum masukbutang pada Diagrambar alat.

- Atau -

2. Akhbar Ctrldan roll roda tetikus ke hadapan. Nota: Dalam mod ini kanvas akan zum ke arah di mana tetikus berlegar kanvas.

Untuk meningkatkan skala atau 'zum keluar'

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Akhbar Ctrldan '-' utama.

- Atau -

2. Pilih Zum keluarbutang pada Diagrambar alat.

- Atau -

2. Akhbar Ctrldan roll roda tetikus ke belakang. Nota: Dalam mod ini kanvas akan zum ke arah luar dari mana tetikus berlegar kanvas.

Auto-susun atur

Susun atur komponen dalam rajah boleh diubah suai secara automatik.

Susun atur semua komponen on gambar rajah

1. Cmenjilat yang Layout Rajahbutang pada bar alat Rajah yang.

2. Pilihsama ada Radial Layout atau Layout Grid.

Nota

Susun atur Radial akan menggunakan apa yang dipanggil 'kuasa-directed' algoritma seperti yang komponen berhubung telah disediakan bersama-sama manakala komponen yang tidak berkaitan terpaksa selain. Susun atur grid akan menggunakan algoritma yang tetap lebar dan tinggi jarak. Ia pertama membolehkan pengguna untuk memilih Nisbah Bidang rajah keseluruhan (contohnya 16: 9, A4 (Potret), Surat (Landskap)) dan kemudian jarak di sisi dan di antara lajur dan baris seperti yang ditunjukkan di bawah.Dengan susun atur grid sebarang sambungan antara komponen tidak memberi kesan kepada susun atur itu kerana ia semata-mata mengatur komponen mengikut abjad (dengan nama mereka) dari atas kiri ke kanan bawah kanvas. Dengan kedua-dua algoritma bentuk bentuk bebas tidak bergerak.

Susun atur kanak-kanak komponen dalam ibu bapa o tunggaln gambar rajah

1. Klik kanankomponen peringkat tinggi yang anak-anak anda ingin auto-susun atur.

2. Pilih Kanak-kanak Layout.

Nota

Secara lalai sahaja susun atur algoritma Radial digunakan.

Menukar Element Estetika seperti Warna, Ketelusan, Shadows dan putaran

Semua unsur-unsur rajah mempunyai estetika yang boleh dimanipulasi seperti yang dikehendaki. Dalam hal bentuk yang berkaitan, aspek-aspek ini boleh ditetapkan untuk setiap jenisdan dalam kebanyakan kes juga setiap contoh. Dalam hal bentuk bentuk bebas, sifat-sifat ini boleh ditetapkan setiap contohpada kanvas.

Nota

Mana-mana satu aspek contoh yang telah ditetapkan untuk bentuk yang berkaitan akan 'ganti' jika aspek yang sama berubah untuk jenis yang sama.

Untuk menukar warna bentuk yang berkaitan atau bentuk yang berbentuk bebas

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponenatau Sambungantab tetingkap stensil atau bentuk bersekutu atau bentuk bentuk bebas pada kanvas.

3. Pilih Tukar Warna.

4. Pilih Warna Tetapbutang radio (jika berkenaan).

5. Pilih Warna Asas atau Tentukan Warna Custom dalam dialog dan klik okey.

- Atau -

4. Pilih Tahap kesukaranbutang radio (jika berkenaan).

5. Pilih sama ada mendatar, menegak, ke hadapan atau ke belakang Diagonal Diagonal untuk arah kecerunan di tarik turun dan klik okey.

6. Pilih Warna Asas atau Tentukan Warna Custom dalam dialog untuk Bermuladan Akhirdan klik okey.

Nota

ABACUS akan warna latar depan bentuk jika;
a) ia adalah satu bentuk 'mudah' dengan elemen grafik asas tunggal (contohnya bulatan, segi empat tepat, poligon dan lain-lain), atau
b) ia adalah satu bentuk 'kompleks' dengan subshapes mendasari pelbagai yang semua warna / kecerunan sama dengan satu sama lain atau subshapes mempunyai LockScale = set BENAR.
Jika syarat-syarat di atas tidak dipenuhi maka latar belakang bentuk yang berwarna.

Untuk menetapkan warna bentuk yang berkaitan mengikut harta

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponenatau Sambungantab tetingkap stensil(TIDAK pada kanvas lukisan).

3. Pilih Tukar Warna.

4. Pilih Menggunakan Hartanah butang radio.

5. Pilih hotel dengan klik butang '...' di sebelah kanan kotak teks.

6. Pilih Range butang radio.

7. Laraskan Mindan Dagangannilai-nilai yang dikehendaki. Nota: apa-apa nilai di bawah nilai minimum akan ditunjukkan sebagai warna Min dan apa-apa nilai di atas maksimum akan ditunjukkan sebagai warna Max. Juga, apabila menggunakan Boolean, Senarai atau Tarikh / Waktu sifat nilai-nilai ditukar kepada indeks seperti berikut; Boolean (palsu = 0, Benar = 1), Senarai (satu lembah integer 1 hingga n untuk nilai setiap sah dalam tertib menaik mereka dinyatakan dalam bidang Unit) dan Tarikh / Masa (bilangan hari sejak 1 Januari 1900 - termasuk perpuluhan untuk jam, minit, saat bahagian - dan jika tarikh pra-1990 ia adalah nombor negatif).

8. Pilih Warna Asas atau Tentukan Warna Custom dalam dialog untuk Mindan Dagangandan klik okey.

Petua

Jika Green (RGB - 128,255,0) dipilih sebagai warna Min dan Merah (RGB - 255,0,0) dipilih sebagai warna Dagangan untuk harta dengan pelbagai nilai 1kepada 4maka nilai 1akan dipaparkan seperti Green, Nilai 2sebagai Kuning, 3sebagai Orangedan 4sebagai Merah.

Sebagai alternatif, untuk pelbagai harta 1kepada 3nilai 1adalah seperti Green, Nilai 2sebagai Amberdan 3sebagai Merahaka 'Lampu Isyarat' atau status RAG.

Untuk pelbagai harta 1-5 jika Blue (RGB - 0,0,255) dipilih sebagai warna Min dan Merah (RGB - 255,0,0) dipilih sebagai Max mewarnakan nilai 1 adalah seperti Blue, Nilai 2 sebagai Aqua, Nilai 3 sebagai Green, Nilai 4 sebagai Kuning dan nilai 5 sebagai Merah.

Untuk pelbagai harta 1-6 jika Violet (RGB - 255,0,255) dipilih sebagai warna Min dan Merah (RGB - 255,0,0) dipilih sebagai Max mewarnakan nilai 1 adalah seperti Violet, Nilai 2 sebagai Blue, Nilai 3 sebagai Aqua, Nilai 4 sebagai Green, Nilai 5 sebagai Kuning dan nilai 6 sebagai Merah.

Dan akhirnya, untuk pelbagai harta 1-7 nilai 1 adalah seperti Violet, Nilai 2 sebagai Biru gelap, Nilai 3 sebagai Biru cerah, Nilai 4 sebagai Biru Hijau, Nilai 5 sebagai Green, Nilai 6 sebagai Amber dan nilai 7 sebagai Merah

Nota

Lihat komen di atas pada latar depan berbanding pewarna latar belakang.

- Atau -

7. Pilih Nilai tertentu butang radio.

8. Klik Edit Warnabutang.

9. Pilih setiap nilai seterusnya dan klik Set Warnauntuk menetapkan warna khusus untuk setiap nilai.

Nota

Julat nilai untuk unsur-unsur yang hadir pada rajah akan pra-penduduk.

10. Untuk menambahkan mana-mana warna nilai tambahan kepada mereka yang pra-penduduk (contohnya selepas pelbagai harta itu telah diatur semula) klik Tambah Nilai.

Untuk menukar ketelusan warna bentuk yang berkaitan atau bentuk yang berbentuk bebas

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponenatau Sambungantab tetingkap stensil atau bentuk bersekutu atau bentuk bentuk bebas pada kanvas.

3. Pilih Tukar Warna.

4. Dalam panel ketelusan yang ditetapkan gelangsar atas untuk ketelusan yang dikehendaki untuk warna asas.

5. Jika kecerunan atau menggunakan pilihan Hartanah yang digunakan pada petak ketelusan yang ditetapkan slider bawah untuk ketelusan yang dikehendaki untuk warna kedua.

6. Klik okey.

Untuk menunjukkan bayang-bayanguntuk semua berkaitan bentuk dalam gambar rajah

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponentab tetingkap stensil.

3. Pilih Tambah Bayang-bayang.

Untuk menunjukkan bayang-bayang pada bentuk komponen atau bentuk bentuk bebas

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Hak-Klikpada bentuk komponen atau bentuk yang unik pada kanvas.

3. Pilih Tambah Bayang-bayang.

Untuk memutarkan bentuk komponen dan bentuk bentuk bebas dalam gambar rajah

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Pilih bentuk komponen atau bentuk bentuk bebas pada kanvas yang anda mahu putarkan.

3. Klik kananpada bentuk dan pilih Putardan kemudian memilih sudut yang berkaitan anda mahu putarkan bentuk oleh.

Berubah Unsur Penjelasan dan Label Teks bentuk yang unik

Semua unsur-unsur rajah mempunyai penjelasan yang boleh dimanipulasi seperti yang dikehendaki. Dalam hal bentuk yang berkaitan, aspek-aspek ini boleh ditetapkan untuk setiap jenisdan dalam kebanyakan kes juga setiap contoh. Dalam hal bentuk bentuk bebasdan penyambung, Yanglabel teks boleh ditetapkan setiap contohpada kanvas.Lapan (8) jenis penjelasan mungkin dipaparkan untuk unsur-unsur rajah (iaitu Nama, Jenis, Nilai Hartanah, Hartanah Marker, Komponen Dilampirkan, Kanak-kanak (untuk komponen sahaja), Piawaian dan Cap Masa (Dibuat, Diubah Suai Oleh dll)) dalam masa dua puluh lima (25) jawatan yang berbeza (contohnya Centre - Di luar Top, Di dalam kiri - Centre, kanan luar - Bawah Di luar).

Nota

Mana-mana satu aspek contoh yang telah ditetapkan untuk bentuk yang berkaitan akan 'ganti' jika aspek yang sama berubah untuk jenis yang sama.Tambahan pula, di mana 2 atau lebih penjelasan menduduki kedudukan yang sama hanya Font tunggal, gaya fon, warna fon dan saiz boleh digunakan dan Pemisah (seperti koma, ruang, barisan baru) mesti dipilih.

Untuk menunjukkan nama atau jenis untuk komponen yang berkaitan atau sambungan

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponenatau Sambungantab tetingkap stensil atau bentuk bersekutu atau penyambung pada kanvas.

3. Pilih Penjelasan.

Nota

Untuk bentuk individu yang berkaitan atau penyambung pada kanvas, anda akan perlu untuk memilih Mengatasi stensil Penjelasankotak semak kali pertama.

4. Pilih Baru Anotasi dalam bar alat dan pilih Nama atau Jenis.

5. Dalam dialog yang muncul memilih pilihan Paparan yang dikehendaki termasuk kurungan dan gaya fon, fon, warna fon dan saiz. Juga, memilih pilihan susun atur yang dikehendaki termasuk penjajaran mendatar dan menegak (iaitu kedudukan anotasi) dan sudut (iaitu putaran). Pilih okey.

Untuk menunjukkan harta nilai untuk komponen yang berkaitan atau sambungan

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponenatau Sambungantab tetingkap stensil atau bentuk bersekutu atau penyambung pada kanvas.

3. Pilih Penjelasan.

Nota

Untuk bentuk individu yang berkaitan atau penyambung pada kanvas, anda akan perlu untuk memilih Mengatasi stensil Penjelasankotak semak kali pertama.

4. Pilih Baru Anotasi dalam bar alat dan pilih Nilai Hartanah.

5. Dalam dialog yang muncul pilih hartanah dengan mengklik Harta: butang '...' dan memilih harta dalam dialog Pilih A Hartanahdan pilih okey. Pilih pilihan Paparan yang dikehendaki termasuk kurungan dan gaya fon, fon, warna fon dan saiz. Juga, memilih pilihan susun atur yang dikehendaki termasuk penjajaran mendatar dan menegak (iaitu kedudukan anotasi) dan sudut (iaitu putaran). Pilih okey.

Untuk menunjukkan harta penanda untuk komponen yang berkaitan atau sambungan

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponenatau Sambungantab tetingkap stensil atau bentuk bersekutu atau penyambung pada kanvas.

3. Pilih Penjelasan.

Nota

Untuk bentuk individu yang berkaitan atau penyambung pada kanvas, anda akan perlu untuk memilih Mengatasi stensil Penjelasankotak semak kali pertama.

4. Pilih Baru Anotasi dalam bar alat dan pilih Hartanah Marker.

5. Dalam dialog yang muncul pilih hartanah dengan mengklik Harta: butang '...' dan memilih harta dalam dialog Pilih A Hartanahdan pilih okey. Set jejari penanda dalam piksel dan kaedah mewarna untuk memuat Colour By Julat atau Colour Dengan Harta dan menetapkan tugasan warna. Juga, memilih pilihan susun atur yang dikehendaki termasuk penjajaran mendatar dan menegak (iaitu kedudukan anotasi) dan sudut (iaitu putaran). Pilih okey.

Untuk menunjukkan komponen dilampirkan untuk komponen yang berkaitan atau sambungan

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponenatau Sambungantab tetingkap stensil atau bentuk bersekutu atau penyambung pada kanvas.

3. Pilih Penjelasan.

Nota

Untuk bentuk individu yang berkaitan atau penyambung pada kanvas, anda akan perlu untuk memilih Mengatasi stensil Penjelasankotak semak kali pertama.

4. Pilih Baru Anotasi dalam bar alat dan pilih Komponen dilampirkan.

5. Dalam dialog yang dipaparkan, bagi komponen yang berkaitan pilih jenis komponen yang disertakan dengan mengklik Dilampirkan: '...' butang dan memilih jenis komponen dalam dialog Set Jenis Komponendan pilih okey. Pilih jenis sambungan yang dilampirkan dengan mengklik Via Talian: '...' butang dan memilih jenis sambungan dalam dialog Set Jenis Sambungandan pilih okey.Untuk sambungan yang berkaitan pilih akhir sambungan dengan memilih Sumber atau Tenggelam daripada End Connection: tarik-ke bawah menu. Bagi kedua-dua komponen dan sambungan yang berkaitan memilih pilihan Paparan yang dikehendaki termasuk kurungan dan gaya fon, fon, warna fon dan saiz. Juga, memilih pilihan susun atur yang dikehendaki termasuk penjajaran mendatar dan menegak (iaitu kedudukan anotasi) dan sudut (iaitu putaran). Pilih okey.

Untuk menunjukkan kanak-kanak untuk komponen yang berkaitan

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponentab tetingkap stensil atau bentuk yang berkaitan pada kanvas.

3. Pilih Penjelasan.

Nota

Untuk bentuk individu yang berkaitan pada kanvas, anda akan perlu untuk memilih Mengatasi stensil Penjelasankotak semak kali pertama.

4. Pilih Baru Anotasi dalam bar alat dan pilih Kanak-kanak.

5. Dalam dialog yang muncul memilih pilihan Paparan yang dikehendaki termasuk kurungan dan gaya fon, fon, warna fon dan saiz. Juga, memilih pilihan susun atur yang dikehendaki termasuk penjajaran mendatar dan menegak (iaitu kedudukan anotasi) dan sudut (iaitu putaran). Pilih okey.

Untuk menunjukkan piawaian untuk komponen yang berkaitan atau sambungan

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponenatau Sambungantab tetingkap stensil atau bentuk bersekutu atau penyambung pada kanvas.

3. Pilih Penjelasan.

Nota

Untuk bentuk individu yang berkaitan atau penyambung pada kanvas, anda akan perlu untuk memilih Mengatasi stensil Penjelasankotak semak kali pertama.

4. Pilih Baru Anotasi dalam bar alat dan pilih Piawaian.

5. Dalam dialog yang muncul memilih pilihan Paparan yang dikehendaki termasuk kurungan dan gaya fon, fon, warna fon dan saiz. Juga, memilih pilihan susun atur yang dikehendaki termasuk penjajaran mendatar dan menegak (iaitu kedudukan anotasi) dan sudut (iaitu putaran). Pilih okey.

Untuk menunjukkan yang cap waktu untuk komponen yang berkaitan atau sambungan

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bersekutu atau penyambung di Komponenatau Sambungantab tetingkap stensil atau bentuk bersekutu atau penyambung pada kanvas.

3. Pilih Penjelasan.

Nota

Untuk bentuk individu yang berkaitan atau penyambung pada kanvas, anda akan perlu untuk memilih Mengatasi stensil Penjelasankotak semak kali pertama.

4. Pilih Baru Anotasi dalam bar alat dan pilih Diwujudkan, Dibuat oleh, dicipta Marker, diubahsuai, atau Diubah Suai Oleh Modified Marker.

5. Dalam dialog yang dipaparkan, jika tidak penanda, pilih Pilihan Paparan yang dikehendaki termasuk kurungan dan gaya fon, fon, warna fon dan saiz. Jika penanda, menetapkan jejari penanda dalam piksel dan kaedah mewarna untuk memuat Colour By Julat atau Colour Dengan Harta dan menetapkan tugasan warna. Juga, memilih pilihan susun atur yang dikehendaki termasuk penjajaran mendatar dan menegak (iaitu kedudukan anotasi) dan sudut (iaitu putaran). Pilih okey.

Untuk mengubah gaya fon bentuk bentuk bebasatau penyambung

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bentuk bebas atau penyambung pada kanvas. Nota: Jika penyambung label teks tidak menunjukkan kemudian untuk menunjukkan sambungatau label teks: Klik kananyang menyambungataudan pilih Anotasi | Show Anotasi.

3. Pilih Tukar Font.

4. Pilih gaya fon, fon dan saiz dalam dialog dan pilih okey.

Untuk menukar fon warna bentuk yang berbentuk bebasatau penyambung

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bentuk bebas atau penyambung pada kanvas. Nota: Jika penyambung label teks tidak menunjukkan kemudian untuk menunjukkan sambungatau label teks: Klik kananyang menyambungataudan pilih Anotasi | Show Anotasi.

3. Pilih Tukar Font Colour.

4. Pilih fon yangColour (dan untuk bentuk Link Colour) dengan mengklik '...' butang dan memilih warna yang dalam dialog dan pilih okey.

5. Pilih Ketelusan label teks dengan mengubah slider dengan 0 telus sepenuhnya dan 255 yang legap sepenuhnya.

Untuk memutarkan label teks bentuk bentuk bebasatau penyambung

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Klik kananpada bentuk bentuk bebas atau penyambung pada kanvas. Nota: Jika penyambung label teks tidak menunjukkan kemudian untuk menunjukkan sambungatau label teks: Klik kananyang menyambungataudan pilih Anotasi | Show Anotasi.

3. Pilih Putardan kemudian pilih sudut yang berkaitan yang anda mahu untuk memutarkan label teks oleh.

Lihat juga

Alat Lukisan | Ia merupakan pusat seni bina anda | Menganalisa senibina anda


Simulasi Jumlah Kos Pemilikan (TCO)

Navigation: simulasi senibina anda> Simulator>

Simulasi Jumlah Kos Pemilikan (TCO)

Menghantar komen mengenai topik ini.

Latar Belakang

Jumlah Kos Pemilikan (TCO) adalah anggaran kewangan, yang direka untuk mengukur jumlah yang ditanggung kos kitaran hayat (dari pengambilalihan ke penyahtauliahan / pelupusan) yang berkaitan dengan aset yang dimiliki. TCO bukan sahaja mencerminkan kos pembelian, ia juga termasuk semua aspek lain yang digunakan lagi dan penyelenggaraan aset.

TCO digunakan untuk menentukan usaha dan bajet kos yang diperlukan untuk dibelanjakan pada sistem. Cara mudah peragaan di ABACUS untuk TCO adalah untuk memecahkan sistem IT ke dalam komponen. Kemudian kita boleh mengetahui berapa banyak secara purata ia kos untuk menjalankan salah satu komponen ini. Selepas ini kita boleh maka faktor kos yang berbeza bergantung kepada sama ada sistem IT adalah evolvable atau terbuka dan lain-lain Jika sistem yang sudah bangun dan berjalan, faktor utama yang perlu dipertimbangkan ialah kos penyelenggaraan dan mungkin kos untuk Nyahtauliahan.

Satu contoh

Rajah untuk Contoh Pengiraan

Komponen di bawah Pertubuhan atau standard yang mempunyai ciri-ciri berikut:

· FTE= 100 000 $ / tahun

· Sokongan Usaha= 0.01 FTE + 0,001 FTE / tahun = 1000 $ 100 + $ / tahun

· Kos berulang= 100 $ - 10 $ / tahun

· Kos Modal= $ 2000

· Pasang Usaha= 2 FTE / hari = 0.01 FTE / tahun = 1000 $

Komponen di bawah Pertubuhan mempunyai ciri-ciri berikut:

· Pasang Horizon= -2 Tahun (iaitu Sistem ini telah dipasang 2 tahun sebelum hadiah itu)

· Jangka hayat3 tahun

Bila Pasang Horizon + Jangka hayat <= 0 , Tidak ada lebih kos penyelenggaraan.

Pengiraan

Pengiraan adalah seperti berikut:

Nota

TC = kos setiap tahun. SE = Sokongan Usaha. MC = Kos berulang.

· Permulaan Kos kos = Modal + Pasang Usaha= 2000 + 1000 = 3000 $

· Pada t = -2 (pada tahun 1), TC = Kos permulaan + SE + MC= 3000 + 1000 + 100 = $ 4100

· Pada t = -1, TC = SE + MC= (1000 + 100) + (100 - 10) = $ 1190

· Pada t = 0, TC = (1000 + 200) + (100 - 20) = $ 1280

· Pada t = 1 (tahun akhir), TC = (1000 + 300) + (100 - 30) = $ 1370

Graf untuk Contoh Pengiraan

TCO adalah jumlah semua kos kini dan akan datang sehingga sistem itu telah ditamatkan.

· Pada t = -2 (pada tahun 1), TCO = 1190 + 4100 + 1280 + 1370 = 7940 $

· Pada t = -1, TCO = 1190 + 1280 + $ 1370 = 3840

· Pada t = 0, TCO = 1280 + 1370 = 2650 $

· Pada t = 1 (tahun akhir), TCO = $ 1370

Faktor-faktor kos utama

Faktor-faktor kos utama yang perlu dipertimbangkan apabila mengira TCO sesuatu aset dalam ABACUS adalah:

· Perkakasan Perolehan- Kos permulaan peralatan (kos modal) ini.

· Perolehan Perisian- Kos permulaan lesen untuk perisian (kos modal).

· Pemasangan- Kos yang berkaitan dengan persediaan awal.

· Latihan- Kos yang berkaitan dengan latihan vendor luar selepas persediaan awal.

· Sokongan- Kos yang berkaitan dengan sokongan dalaman.

· Penyelenggaraan- Kos untuk menggantikan atau menaik taraf penjual kontrak penyelenggaraan, bekalan dan kos pemulihan bencana.

· Infrastruktur- Kos yang berkaitan dengan menyokong aset.

ABACUS Contoh Perwakilan Faktor Kos Utama

Running simulator Kos

Untuk meniru seni bina anda dari segi kos

1. Pastikan anda mempunyai fail ABACUS yang, Yang mengandungi anda seni bina penduduk, terbuka.

2. Pilih Analisis| Kos.

3. Pilih Seni Bina (s)anda mahu masukkan dalam penilaian.

Nota

Secara lalai, ABACUS secara automatik akan memilih seni bina (s) di mana simulasi semula diperlukan kerana apa-apa harta yang mendasari atau perubahan struktur.Penonjolan ini ditunjukkan dalam Merah atas Bar alat simulasi .

4. Pilih Mata Wangdari tarik ke bawah.

5. Gerakkan Tahun untuk mengiragelangsar untuk bilangan tahun yang diperlukan.

Nota

Secara lalai, jika Tahun untuk mengira lebih daripada 1 tahun kos akan secara automatik dikira bagi setiap tahun individu (dan koleksi hartanah ditambah / dikemaskini) dan kemudian nilai terkumpul bagi bilangan keseluruhan tahun juga dikira. Jika hanya nilai terkumpul diperlukan kemudian jangan tanda Kira Kos Per-Tahunpilihan seperti yang dinyatakan di bawah untuk menjimatkan bilangan hartanah dalam projek itu.

6. Pilih sama ada untuk meninggalkan Kira Kos Per-Tahundiperiksa atau buang tanda ia.

7. Klik Seterusnya.

8. Secara pilihan memilih Sambungananda mahu untuk mengaitkan kos bersama-sama sebagai sebahagian daripada penilaian.

Nota

Menggunakan Kos | Pengiktirafanhartanah untuk kos sambungan boleh jadi disebabkan daripada komponen yang melekat pada akhir singki sambungan kepada komponen yang melekat pada akhir sumber(iaitu Kos | Attribution = "tenggelam ke sumber"), atau daripada komponen yang disertakan dengan sumber akhir sambungan kepada komponen yang disertakan dengan tenggelam akhir(iaitu Kos | Attribution = "Sumber untuk Tenggelam"). Selain itu, ABACUS secara automatik akan memilih mereka sambungan dengan Kelakuan yang | Hubungan = "proses" atau "sokongan"dan arah pengiktirafan akan 'Tenggelam kepada sumber'. Tambahan pula, kos yang dibahagikan mengikut mana-mana Kelakuan | % Atau Kos | Hartanah% ke atas sambungan, atau secara alternatif di mana terdapat pula adalah sambungan dari tenggelam kepada banyak sumberatau sumber kepada banyak singki, Mengikut mana-mana Kelakuan | Sifat pemprosesan mengenai komponen sumberatau tenggelam komponen masing-masing.

9. Klik Selesaidan anda akan mendapat Amarandialog.

10. Secara pilihan meneroka amaran dengan mengklik Butiran >>.

11. Klik Teruskan.

Nota

Pada ketika ini, ABACUS akan melaksanakan penilaian dengan kos berasaskan aktiviti seni bina (s) dan selepas masa yang singkat (dengan bar kemajuan untuk maklum balas) dialog lengkap pengiraan akan muncul.

12. Klik okeyuntuk mengakui penilaian.

Petua

Bagi kursus-kursus latihan dan bantuan lanjut mengenai simulasi Kos sila rujuk kepada Avolution Komuniti .

Komponen dan / atau sambungan Properties

Jadual berikut menyenaraikan komponen dan / atau sambungan sifat-sifat yang diperlukan untuk menilai kos.Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris input harta ( [image] ) Dengan tooltip 'Kos Input. Perubahan kepada mana-mana ciri-ciri 'input' dan pelbagai perubahan struktur kepada repositori yang akan menyebabkan simulator Kos yang memerlukan simulasi semula seperti yang dinyatakan dalam Merah atas Bar alat simulasi .

Jenis

Nama

Nilai asal

Unit

Jenis Data

Diperlukan

Penerangan

Kos

Pasang Horizon

0

tahun

Integer

Benar

Menentukan bila komponen atau sambungan telah, atau akan dipasang.

· Nilai 0 (piawai) menunjukkan bahawa komponen atau sambungan sedang dipasang dalam tahun semasa.

· Nilai kurang daripada 0 menunjukkan bahawa komponen atau sambungan telah dipasang pada masa lalu.

· Nilai lebih besar daripada 0 menunjukkan bahawa komponen atau sambungan akan dipasang di masa akan datang.

Kos

Jangka hayat

0

tahun

Integer

Benar

Menentukan tempoh masa di mana komponen atau sambungan akan terus berkuat kuasa, selepas itu ia akan ditamatkan.

Kos

FTE

100,000.00

$ / tahun

Decimal

Palsu

Kos tahunan setiap pekerja Sepenuh Masa.

Jika harta ini tidak terdapat di dalam komponensendiri atau dalam hal sambungan komponen yang melekat pada akhir singki sambungan, Ia akan dicari dalam komponen lain.

Pertama, mana-mana 'tenggelam' komponens pada akhir a berkaitan dengan "sokongan" Hubungan kepada komponen akan dicari, diikuti oleh bahawa ibu bapa komponen 'tenggelam's.

Jika harta FTE itu tidak dijumpai, komponen ibu bapa-components kemudian akan dicari. Jika FTE masih tidak ditemui, nilai lalai digunakan.

Sila Nota: FTE hanyalah harta input sah pada komponen.

Kos

Penyelenggaraan Kos (tetap)

0.00

$ / tahun

Decimal

Palsu

Kos tahunan tetap mengekalkan komponenatau sambungan.

Kos

Kos penyelenggaraan (berubah-ubah)

0.00

$ / tahun

Decimal

Palsu

Jumlah di mana jumlah kos mengekalkan komponen atau sambungan akan berubah setiap tahun.

Sebagai contoh, nilai $ -500 menunjukkan bahawa jumlah kos penyelenggaraan berkurangan sebanyak $ 500 setiap tahun, manakala nilai sebanyak $ 500 menunjukkan bahawa jumlah kenaikan kos penyelenggaraan oleh $ 500 setiap tahun.

Kos

Sokongan Usaha (tetap)

0.00

FTE / tahun

Decimal

Palsu

Usaha tetap tahunan untuk menyokong komponenatau sambungan, Yang dinyatakan dalam syarat-syarat orang-tahun.

Kos

Sokongan Usaha (berubah-ubah)

0.00

FTE / tahun

Decimal

Palsu

Jumlah yang mana jumlah usaha menyokong komponen atau sambungan akan berubah setiap tahun.

Sebagai contoh, nilai -0.01 menunjukkan bahawa jumlah usaha sokongan berkurangan sebanyak 0.01 tahun orang setiap tahun, manakala nilai 0.01 menunjukkan bahawa jumlah usaha sokongan meningkat sebanyak 0.01 setiap tahun.

Kos

Kos Modal

0.00

$

Decimal

Palsu

Kos permulaan membeli komponenatau sambungan.

Kos

Pasang Usaha

0.00

FTE

Decimal

Palsu

Usaha yang diperlukan, secara peribadi-tahun, untuk memasang komponenatau sambungan.

Jadual berikut menyenaraikan komponen dan / atau sambungan sifat-sifat yang output oleh penilai TCO. Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Kos Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dan simulator Kos memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Nota

Di mana sifat-sifat output daripada penilai TCO perlu 'bulat' "separuh bulat walaupun" pendekatan (juga dirujuk sebagai 'bank' pembundaran) digunakan.Teknik ini digunakan untuk lebih merata menyelesaikan sebarang 0,5 'tie-rehat' dengan keputusan yang bulat atas atau bawah untuk yang terdekat walaupun hasil, dan bukannya sentiasa pembundaran ke atas atau ke bawah dan Menyengetkan hasilnya. Iaitu 2.5 dibundarkan ke bawah kepada 2, sementara 3.5 dibundarkan ke atas kepada 4, daripada kedua-dua mereka yang sama ada dibulatkan kepada 2 dan 3 atau bulat sehingga 3 dan 4.

Jenis | Nama | Unit | Jenis Data | Diperlukan | Penerangan
Kos | Jumlah Kos to Own - x tahun akan datang. | $ | Integer | Palsu | Jumlah kos pemilikan ke atas seterusnya xtahun, di mana x ialah panjang masa yang ditetapkan apabila berjalan penilai. Ini termasuk kos komponen ini atau sambungan ini piawaian, sub-komponenatau sub-sambungan(iaitu kanak-kanak) dan apa-apa kos dikaitkan.
Kos | Jumlah Kos to Own (tempatan) - akan datang x tahun. | $ | Integer | Palsu | Kos 'tempatan' pemilikan ke atas seterusnya xtahun, di mana xialah panjang masa yang ditetapkan apabila berjalan penilai. Ini tidak tidaktermasuk kos sub-komponen komponen atau sub-sambungan sambungan ini (iaitukanak-kanak) atau apa-apa kos dikaitkan.
Kos | Jumlah Kos to Own (kanak-kanak) - x yang akan datang tahun. | $ | Integer | Palsu | Kos 'kanak-kanak' pemilikan ke atas seterusnya xtahun, di mana x ialah panjang masa yang ditetapkan apabila berjalan penilai. Ini sahaja termasuk kos sub-komponen komponen atau sub-sambungan sambungan ini (iaitu kanak-kanak).
Kos | Jumlah Kos to Own (disebabkan) - akan datang x tahun. | $ | Integer | Palsu | Kos 'dikaitkan' pemilikan ke atas seterusnya xtahun, di mana x ialah panjang masa yang ditetapkan apabila berjalan penilai. Ini sahaja termasuklah apa-apa kos yang berpunca daripada komponen dilampirkan(yang mungkin sudah tentu termasuk kos berpunca dari sebarang sambungan yang dilampirkan).

Jadual berikut menyenaraikan komponen dan / atau sambungan sifat-sifat yang output oleh penilai TCOjika Kira Per-Tahun Kos opsyen yang dipilih. Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Kos Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dan simulator Kos memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Nota

Lihat komen di atas pada pembundaran mungkin harta output.

Jenis | Nama | Unit | Jenis Data | Diperlukan | Penerangan
Kos | Jumlah Kos to Own - tahunx. | $ | Integer | Palsu | Jumlah kos pemilikan untuk tahun x, Di mana x ialah bagi setiap tahun dinyatakan apabila berjalan penilai. Ini termasuk kos komponen iniatau sambungan ini piawaian, sub-komponen atau sub-sambungan (iaitu kanak-kanak) dan apa-apa kos dikaitkan.
Kos | Jumlah Kos to Own (tempatan) - tahunx. | $ | Integer | Palsu | Kos 'tempatan' pemilikan bagi tahun x, Di mana xadalah bagi setiap tahun dinyatakan apabila berjalan penilai. Ini tidak tidaktermasuk kos sub-komponen komponen atau sub-sambungan sambungan ini (iaitu kanak-kanak) atau apa-apa kos dikaitkan.
Kos | Jumlah Kos to Own (kanak-kanak) - tahunx. | $ | Integer | Palsu | Kos 'kanak-kanak' pemilikan bagi tahun x, Di mana x ialah bagi setiap tahun dinyatakan apabila berjalan penilai. Ini sahaja termasuk kos sub-komponen komponen atau sub-sambungan sambungan ini (iaitu kanak-kanak).
Kos | Jumlah Kos to Own (disebabkan) - tahunx. | $ | Integer | Palsu | Kos 'dikaitkan' pemilikan bagi tahun x, Di mana x ialah bagi setiap tahun dinyatakan apabila berjalan penilai. Ini sahaja termasuklah apa-apa kos yang berpunca daripada komponen dilampirkan(yang mungkin sudah tentu termasuk kos berpunca dari sebarang sambungan yang dilampirkan).

Tambahan Properties sambungan

Senarai Jadual berikut tambahan sifat sambungan yang diperlukan oleh penilai TCO. Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris input harta ( [image] ) Dengan tooltip 'Kos / Prestasi Input' atau hanya 'Kos Input. Perubahan kepada mana-mana ciri-ciri 'input' dan pelbagai perubahan struktur kepada repositori yang akan menyebabkan kos dan / atau Simulator Prestasi memerlukan simulasi semula seperti yang dinyatakan dalam Merah atas Bar alat simulasi .

Jenis | Nama | Nilai asal | Unit | Jenis Data | Diperlukan | Penerangan
Kos | Pengiktirafan | Tenggelam ke Sumber | [Sumber untuk Tenggelam | Tenggelam ke Sumber] | Lookup / Senarai | Benar | Jika "Sumber untuk Tenggelam", Sambungan ini akan mempunyai mempunyai kossdisebabkan 'bersama-sama' ia daripada sumberkomponen kepada tenggelam komponen. Sebagai alternatif, jika "Tenggelam ke Sumber", Sambungan ini akan mempunyai kos disebabkan 'bersama-sama' ia daripada komponen sinki untuk komponen sumber.
Kelakuan | Hubungan | sokongan | [proses | menyokong] | Lookup / Senarai | Palsu | Jika "sokongan", hal ini menunjukkan bahawa "sumber" komponen disokong oleh "tenggelam" komponen. Selain itu, jika sama ada "sokongan" atau "proses" maka sambungan tersebut akan secara automatik dipilih dalam sambungan untuk mempunyai kos mereka disebabkan 'bersama-sama' daripada komponen sinki untuk komponen sumber itu.
Kos | % | 100.0 | % | Decimal | Palsu | Menunjukkan bahagian kos komponen sink yang akan dikaitkan dengan komponen sumber itu. Nilai% tidak perlu untuk menambah sehingga 100% dan ia hanya digunakan untuk mendaki "Jumlah kos Sendiri -. X tahun akan datang" harta (lihat di atas) daripada komponen tenggelam kerana ia dikaitkan dengan komponen sumber itu.

Properties Architecture

Jadual berikut menyenaraikan sifat-sifat seni bina yang output oleh penilai TCO. Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Kos Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dan simulator Kos memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Nota

Lihat komen di atas pada pembundaran mungkin harta output.

Jenis | Nama | Unit | Jenis Data | Diperlukan | Penerangan
Kos | Jumlah Kos to Own - x tahun akan datang. | $ | Integer | Palsu | Jumlah kos pemilikan keseluruhan seni bina sejak x tahun akan datang.

Jadual berikut menyenaraikan sifat-sifat seni bina yang output oleh penilai TCOjika Kira Per-Tahun Kos opsyen yang dipilih. Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Kos Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dan simulator Kos memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Nota

Lihat komen di atas pada pembundaran mungkin harta output.

Jenis | Nama | Unit | Jenis Data | Diperlukan | Penerangan
Kos | Jumlah Kos to Own - tahunx. | $ | Integer | Palsu | Jumlah kos pemilikan untuk keseluruhan seni bina bagi tahun xpada masa akan datang.


Simulasi Suai

Navigation: simulasi senibina anda> Simulator>

Simulasi Suai

Menghantar komen mengenai topik ini.

The suai simulator mengira bilangan sambungan masuk dan keluar untuk setiap komponen.

Untuk meniru seni bina anda dari segi suai

1. Pastikan anda mempunyai fail ABACUS yang, Yang mengandungi anda seni bina penduduk, terbuka.

2. Pilih Analisis| Suai.

3. Pilih Seni Bina (s)anda mahu masukkan dalam penilaian.

Nota

Secara lalai, ABACUS secara automatik akan memilih seni bina (s) di mana simulasi semula diperlukan kerana apa-apa perubahan struktur asas.Penonjolan ini ditunjukkan dalam Merah atas Bar alat simulasi .

4. Klik Seterusnya.

5. Pilih Jenis sambungan (s)anda mahu masukkan dalam penilaian.

6. Klik Seterusnya.

7. Secara pilihan menyesuaikan nama-nama harta untuk keputusan pengiraan.

8. Klik Selesai.

Nota

Pada ketika ini, ABACUS akan melaksanakan penilaian struktur seni bina (s) dan selepas masa yang singkat (dengan bar kemajuan untuk maklum balas) dialog lengkap pengiraan akan muncul.

9. Klik okeyuntuk mengakui penilaian.

Petua

Bagi kursus-kursus latihan dan bantuan lanjut Penilaian Suai sila rujuk kepada Avolution Komuniti .

Properties komponen

Jadual berikut menyenaraikan sifat-sifat komponen yang output oleh penilai suai itu.Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Suai Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk disebabkan oleh perubahan struktur asas kepada repositori dan simulator Suai memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Jenis | Nama | Jenis Data | Diperlukan | Penerangan
Suai | Gandingan kipas dalam (tempatan) | Integer | Palsu | Bilangan sambungan yang kipas ke dalam komponen ini.
Suai | Gandingan-kipas keluar (tempatan) | Integer | Palsu | Bilangan sambungan yang peminat daripada komponen ini.
Suai | Gandingan kipas dalam | Integer | Palsu | Bilangan sambungan yang kipas ke dalam komponen ini, termasuk sambungan yang peminat kepada sub-komponen.
Suai | Gandingan-kipas keluar | Integer | Palsu | Bilangan sambungan yang peminat daripada komponen ini, termasuk sambungan yang peminat kepada sub-komponen.


Simulasi Keterbukaan

Navigation: simulasi senibina anda> Simulator>

Simulasi Keterbukaan

Menghantar komen mengenai topik ini.

Keterbukaan simulator menentukan sejauh mana seni bina dan unsur-unsurnya adalah 'terbuka', iaitu, keupayaan sistem untuk mengendalikan penggantian komponen dengan kesan minimum.

Untuk meniru seni bina anda dari segi keterbukaan

1. Pastikan anda mempunyai fail ABACUS yang, Yang mengandungi anda seni bina penduduk, terbuka.

2. Pilih Analisis | Keterbukaan.

3. Pilih Seni Bina (s)anda mahu masukkan dalam penilaian.

Nota

Secara lalai, ABACUS secara automatik akan memilih seni bina pertama yang mana simulasi semula diperlukan kerana apa-apa harta yang mendasari atau perubahan struktur.Penonjolan ini ditunjukkan dalam Merah atas Bar alat simulasi .

4. Klik Selesaidan anda akan mendapat Amarandialog.

5. Secara pilihan meneroka amaran dengan mengklik Butiran >>.

6. Klik Teruskan.

Nota

Pada ketika ini, ABACUS akan melaksanakan penilaian struktur seni bina (s) dan selepas masa yang singkat (dengan bar kemajuan untuk maklum balas) dialog lengkap pengiraan akan muncul.

7. Klik okeyuntuk mengakui penyelakuan.

Petua

Bagi kursus-kursus latihan dan bantuan lanjut Penilaian Keterbukaan sila rujuk kepada Avolution Komuniti .

Komponen dan Sambungan Standard Properties

Jadual berikut menyenaraikan komponen dan sambungan-ciri standard yang diperlukan untuk menilai keterbukaan.Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris input harta ( [image] ) Dengan tooltip 'Keterbukaan Input. Perubahan kepada mana-mana ciri-ciri 'input' dalam repositori yang akan menyebabkan simulator Keterbukaan yang memerlukan simulasi semula seperti yang dinyatakan dalam Merah atas Bar alat simulasi .

Jenis | Nama | Nilai asal | Unit | Jenis Data | Diperlukan | Penerangan
Keterbukaan | Standard-Standard Kematangan-Pertubuhan Tahap |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Tahap bertanggungjawab Piawaian Badan 0:Organisasi / Proprietary 1:Konsortium / defacto 2:Negara / Tentera 3:Antarabangsa
Keterbukaan | Standard-Standard Kematangan-Status |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Tahap kelulusan dicapai dengan badan piawaian 0:Draf / Jawatankuasa Kerja 1:Draf Awam / diundi 2:Draf Interim 3:Diluluskan
Keterbukaan | Standard-Standard Kematangan-Kestabilan |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Standard yang mungkin berubah? 0:Standard usang 1:Sangat tertakluk kepada perubahan yang akan datang 1 hingga 2 tahun 2:Dikenali perubahan / kemaskini kepada ciri yang sedia ada 3:Sangat stabil (tiada perubahan dalam masa 2 tahun)
Keterbukaan | Standard-Standard Kematangan-Penjual Sokongan |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Sokongan Penjual 0:Belum ada produk atau vendor menyokong standard 1:Satu atau lebih banyak vendor yang melaksanakan sebahagian daripada standard yang 2:Lebih daripada satu vendor dengan produk yang melaksanakan semua bahagian standard 3:Banyak lebih daripada satu vendor dengan produk yang melaksanakan semua bahagian standard
Keterbukaan | Standard-Standard kegamblangan-Dokumentasi |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Kualiti dokumentasi standard 0:Miskin 1:Fair 2:Baik 3:Cemerlang
Keterbukaan | Standard-Standard kegamblangan-Standard Lebar |  |  | Integer | Palsu | Beberapa ciri-ciri. Kiraan yang terendah ciri-ciri standard peringkat - Sf
Keterbukaan | Standard-Standard kegamblangan-Sm |  | % | Decimal | Palsu | Peratusan jumlah beberapa ciri-ciri yang mandatori
Keterbukaan | Standard-Standard kegamblangan-So |  | % | Decimal | Palsu | Peratusan jumlah beberapa ciri yang adalah pilihan
Keterbukaan | Standard-Standard kegamblangan-Sc |  | % | Decimal | Palsu | Peratusan jumlah beberapa ciri-ciri yang bersyarat ditakrifkan
Keterbukaan | Profil-profil-Profil Dokumentasi-Dokumentasi |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Kualiti dokumentasi standard 0:Tiada 1:Miskin 2:Fair 3:Cemerlang
Keterbukaan | Profil-profil-Profil Dokumentasi-Ketepatan |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Adakah dokumentasi mencerminkan reka bentuk sistem sebenar? Apakah tahap ciri-ciri profil yang digunakan dalam sistem? 0:Tiada ciri-ciri 1:Beberapa ciri-ciri 2:Kebanyakan ciri-ciri 3:Semua ciri-ciri
Keterbukaan | Profil-profil-Profil Dokumentasi Matang |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Adakah profile yang matang dan boleh didapati? 0: Ad hoc 1:Berasaskan projek 2:Organisasi 3:Awam
Keterbukaan | Profil-profil-Profil kegamblangan-Explicit Lebar |  |  | Integer | Palsu | Beberapa ciri-ciri standard yang dinyatakan sebagai DIPERLUKAN dalam profil
Keterbukaan | Profil-profil-Profil kegamblangan-Pm |  | % | Decimal | Palsu | Peratusan ciri WAJIB dalam profil
Keterbukaan | Profil-profil-Profil kegamblangan-Po |  | % | Decimal | Palsu | Peratusan PILIHAN menampilkan dalam profil
Keterbukaan | Profil-profil-Profil kegamblangan-Pc |  | % | Decimal | Palsu | Peratusan bersyarat DITAKRIFKAN ciri dalam profil
Keterbukaan | Profil-profil-Profil kegamblangan-Liputan |  | % | Decimal | Palsu | Peratusan ciri-ciri standard khusus ditangani dalam profil
Keterbukaan | Profil-profil-Profil Sambungan-Extension Lebar |  |  | Integer | Palsu | Bilangan tidak standard ciri-ciri yang dinyatakan oleh profil
Keterbukaan | Profil-profil-Profil Sambungan-Liputan |  | % | Decimal | Palsu | Peratusan sambungan yang diperincikan dalam profil
Keterbukaan | Ketersediaan produk-produk dan Menepati-Bilangan Produk |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Bilangan produk menyokong ciri mandatori standard 0:Belum ada produk yang menyokong standard 1:Satu atau lebih produk melaksanakan sebahagian daripada standard yang 2:Lebih daripada satu produk melaksanakan semua bahagian standard 3:Banyak lebih daripada satu produk melaksanakan semua bahagian standard
Keterbukaan | Ketersediaan produk-produk dan Menepati Menepati-Permohonan |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Apakah tahap pematuhan yang produk mempunyai standard yang? 0:Tiada 1:Dituntut 2:Menunjukkan 3:Disahkan dan Menunjukkan
Keterbukaan | Ketersediaan produk-produk dan Menepati Menepati Kualiti |  | [0 | 1 | 2 | 3] | Lookup / Senarai | Palsu | Kualiti ujian pematuhan 0:Tiada 1:In-house ujian oleh pemaju produk 2:Ujian bebas (cth NIST) 3:Ditunjukkan dalam konteks produk yang berkaitan

Komponen, Sambungan dan Senibina Properties

Jadual berikut menyenaraikan, sambungan komponen dan output seni bina hartanah oleh penilai keterbukaan. Semua sifat-sifat berikut menilai kepada antara sifar (0) dan tiga (3), sifar (0) sebagai yang paling wajar dan tiga (3) sebagai yang paling wajar.Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Keterbukaan Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk disebabkan oleh perubahan harta asas kepada repositori dan simulator Keterbukaan memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Jenis | Nama | Jenis Data | Diperlukan | Penerangan
Keterbukaan | Keterbukaan | Decimal | Palsu | Penilaian keseluruhan keterbukaan item.
Keterbukaan | Kematangan Standard-Standard | Decimal | Palsu | Keadaan semasa standard, mencerminkan sama ada atau tidak ia telah diluluskan, berapa lama ia telah digunakan dan bagaimana ia adalah diterima dalam komuniti pemaju.
Keterbukaan | Standard-Standard kegamblangan | Decimal | Palsu | The kegamblangan piawaian, mencerminkan kekaburan potensi dalam standard berikutnya
Keterbukaan | Profil-profil-Profil Dokumentasi | Decimal | Palsu | Sejauh mana profil muka dokumentasi dibangunkan dan sama ada dokumentasi profil mencerminkan reka bentuk sistem sebenar dan / atau sistem yang dilaksanakan
Keterbukaan | Profil-profil-Profil kegamblangan | Decimal | Palsu | Tahap perincian yang diberikan dalam spesifikasi profil / profil
Keterbukaan | Profil-profil-Profil Sambungan | Decimal | Palsu | Sejauh mana profil yang mematuhi piawaian di mana ia adalah berdasarkan
Keterbukaan | Produk-produk Ketersediaan dan Pematuhan | Decimal | Palsu | Sama ada atau tidak terdapat standard terbuka produk conformant disediakan untuk penggunaan dalam projek ini


Simulasi Prestasi

Navigation: simulasi senibina anda> Simulator>

Simulasi Prestasi

Menghantar komen mengenai topik ini.

Latar Belakang

The penilai seni bina untuk prestasi yang merupakan acara simulator diskret yang bekerja oleh simulasi aliran mesej (atau token) di seluruh seni bina. Teori di sebalik ini berasal dari kajian yang dilakukan oleh University of Technology, Sydney, dan adalah berdasarkan kepada Lapis Beratur Rangkaian Model(LQNM), Ditetap masa dan berwarna Petri-Nets(TCPN) dan Aktiviti Kitaran Rajah(ACD).

Dalam simulasi prestasi ABACUS, pemprosesan pada satu komponen didorong sebahagian besarnya oleh mesej yang diluluskan kepadanya daripada komponen lain. Prinsip di sebalik teknik ini boleh difahami dalam empat bahagian utama:

1. Yang mesej-centrickomunikasi dimodelkan dalam ABACUS menggunakan logik(atau tidak langsung) sambungan. Sambungan logik menentukan tingkah laku (kekerapan dan data) daripada mesej yang lewat di antara komponen. Satu contoh yang baik sambungan logik akan urutan yang mengalir di antara dua (2) proses perniagaan atau antara muka logik antara dua (2) aplikasi.

2. Mesej yang logik diangkut ke destinasi mereka melalui hierarki(seperti swimlanes sumber) atau terussambungan (seperti wayar fizikal). Untuk melakukan ini, mereka boleh dihantar ke atas, mencari dan kembali ke bawah hierarki (pendekatan berlapis) untuk mengikuti jalan langsung.

3. Kesetiaan model yang boleh disesuaikan untuk memenuhi. Sebagai contoh, satu proses yang boleh dibahagikan turun setakat ini supaya setiap proses asas dan fungsi mempunyai satu tapak pemprosesan yang berasingan. Selain itu, ia mungkin cukup untuk mempunyai hanya satu nilai untuk keseluruhan proses, mencerminkan puratasambutan pemprosesan mesej.

4. Sebenar pemprosesandilakukan hanya oleh komponen yang mempunyai (atau) pemproses. Pemproses adalah satu perkara yang generik, dan boleh menjadi CPU, seseorang, unit organisasi atau apa-apa lagi yang mampu menjalankan kerja. Sebagai contoh, satu proses perniagaan tidak melakukan apa-apa pemprosesan sebenar; ini dilakukan oleh 'processor' pertama ia terletak sama ada dalam hierarki induk (jika notasi laluan aktiviti digunakan) atau rangkaian pemprosesan (jika notasi pemprosesan diagihkan digunakan).

Penilaian ini dilakukan oleh simulasi (dinyatakan) trafik dalam sistem, supaya setiap sambungan simulasi sekurang-kurangnya sekali. Masa ketibaan mesej secara rawak dengan mengambil kira kekerapan mereka ditentukan. Model ini menyerupai pemprosesan sumber dan perdebatan dan beratur mesej, mengumpul statistik sepanjang jalan seberapa pelbagai sifat output.

Faktor-faktor utama Prestasi Input

1. Kekerapan- Kekerapan di mana sambungan berlaku.

2. Pemprosesan- Jumlah masa pelaksanaan untuk melengkapkan satu proses. Ini mungkin dalam jam, minit, hari, operasi dan lain-lain

3. Kelajuan- Kelajuan sumber pemproses. Iaitu, bilangan kitaran / arahan / tindakan ia boleh melakukan dalam satu unit masa. Adalah penting supaya selaras dengan unit yang digunakan untuk pemprosesan.

4. Pemproses- Jumlah sumber pemproses. Pemproses boleh menjadi orang, CPU, organisasi luar dan lain-lain

Faktor-faktor utama Output Prestasi

1. Pemprosesan- Bilangan mesej per unit masa melalui sambungan. Ini nilai sebenar boleh dibandingkan dengan nilai yang dijangkakan / teori (iaitu kekerapan) untuk menyimpulkan tepu sistem.

2. Kadar Mesej- Bilangan mesej per unit masa melalui komponen. Ini adalah jumlah mesej masuk dan keluar semua komponen.

3. Response- Purata / / latency maksimum minimum untuk ini sambungan. Ini adalah jumlah semua latencies diperhatikan untuk sambungan dari sumber ke sinki dan sebarang beratur dan pemprosesan (dan kependaman kembali kepada sumber jika dwiarah).

4. Penggunaan- Penggunaan yang komponen. Ini akan menjadi 0% jika komponen tidak adalah alat / pemproses (iaitu ia tidak mempunyai Pemproses dan sifat-sifat kelajuan yang dinyatakan di atas).

Walaupun simulasi peristiwa diskret dilakukan untuk mengira pelbagai sifat output, seperti yang dinyatakan di atas, formula berikut boleh digunakan sebagai pengesahan kasar keputusan (di mana sistem ini tidak tepu):

Penggunaan = Jumlah Kekerapan untuk semua sambungan masuk * Pemprosesan / (Speed ​​* Pemproses)

Konsep keseluruhan mungkin paling menunjukkan dengan mempertimbangkan rajah berikut, yang menunjukkan dua yang berbeza prestasi meta-model. Gaya tangan kiri adalah notasi 'laluan aktiviti' klasik dengan tugas-tugas pemprosesan berasaskan hierarki dalam sumber pemproses mereka. Gaya tangan kanan adalah 'diedarkan' notasi dengan tugas-tugas pemprosesan yang disambungkan melalui sambungan proses untuk sumber pemproses mereka. Ini notasi kedua membolehkan sumber pemproses berbilang untuk satu tugas pemprosesan yang diberikan, tidak seperti notasi laluan aktiviti yang terhad.

Nota

Ditunjukkan pada setiap meta-model adalah harta input (merah) dan sifat-sifat output (biru):

Prestasi meta-model: laluan aktiviti berbanding notasi Diedarkan

Running simulator Prestasi

Untuk mensimulasikan senibina anda dari segi prestasi

1. Pastikan anda mempunyai fail ABACUS yang, Yang mengandungi anda seni bina penduduk, terbuka.

2. Pilih Analisis| Prestasiatau klik butang bar alat.

3. Pilih Architectureanda ingin menilai dari menu tarik-ke bawah.

Nota

Secara lalai, ABACUS secara automatik akan memilih seni bina pertama yang mana simulasi semula diperlukan kerana apa-apa harta yang mendasari atau perubahan struktur.Penonjolan ini ditunjukkan dalam Merah atas Bar alat simulasi .

4. Pilih Komponendan Sambungananda ingin menilai, dari elemen standard tetingkap pilihan .

5. Menetapkan Run Time Faktor Skalaslider.

Nota

Nilai-nilai yang lebih tinggi akan menghasilkan lebih banyak statistik keputusan yang konsisten tetapi mengambil masa yang lebih lama untuk mengira.

Tambahan Kotak semak kepada elemen standard tetingkap pilihan

· Save Model Bertukarakan menyimpan salinan versi RBD berubah projek dalam folder yang sama dengan projek semasa dan menambah "_transformed" kepada nama projek.Projek berubah boleh digunakan untuk mendiagnosis secara terperinci simulasi kebolehpercayaan yang dijalankan oleh ABACUS.

Pilihan lain kepada elemen standard tetingkap pilihan

· Run Time Faktor Skala mengawal masa simulasi dan ketepatan dengan lebih tinggi hasil nilaiinglebih statistik keputusan yang konsisten tetapi mengambil masa yang lama untuk jangka.

Nota

Apabila ABACUS mengira masa simulasi ia akan menentukan frekuensi sambungan tidak langsung yang paling perlahan yang telah dipilih untuk disimulasikan dan kemudian 'pemanas badan' bagi Tempoh (iaitu 1 lebih Kekerapan) sambungan ini (memulakan penjana mesej berkala untuk semua sambungan secara rawak pada masa ini memanaskan badan, memberikan mereka semua peluang untuk memulakan) dan kemudian simulasi untuk waktu Run Time Faktor Skala Tempoh hubungan itu. Atau (1 / frekuensi) masa memanaskan badan + (1 / frekuensi) Masa simulasi * Masa Run Factor Scale. Ini adalah untuk memastikan bahawa semua sambungan dimulakan sebelum statistik dikumpulkan dan kemudian sambungan perlahan masih simulasi sekurang-kurangnya sekali dalam penyelakuan. Mis Jika sambungan tidak langsung yang paling perlahan mempunyai Kekerapan 0.033 masa unit (atau sekitar sebulan sekali jika masa-unit hari) maka masa memanaskan badan akan menjadi 30.3 masa unit dan masa simulasi akan menjadi 30.3 masa-unit masa Faktor Skala masa Run.

6. Klik Selesaidan anda akan mendapat Amarandialog.

7. Secara pilihan meneroka amaran dengan mengklik Butiran >>.

8. Klik Teruskan.

Nota

Pada ketika ini, ABACUS akan melaksanakan simulasi-peristiwa diskret seni bina dan selepas masa yang singkat (dengan bar kemajuan untuk maklum balas) dialog lengkap pengiraan akan muncul.

9. Klik okeyuntuk mengakui penyelakuan.

Petua

Bagi kursus-kursus latihan dan bantuan lanjut mengenai simulasi Prestasi sila rujuk kepada Avolution Komuniti .

Properties komponen

Jadual berikut menyenaraikan sifat-sifat yang diperlukan untuk menilai prestasi. Hartanah adalah dicari pertama dalam keadaan Komponen, maka Piawaian Komponen dan jika tidak ditemui, lalai digunakan.Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris input harta ( [image] ) Dengan tooltip 'Prestasi Input. Perubahan kepada mana-mana ciri-ciri 'input' dan pelbagai perubahan struktur kepada repositori yang akan menyebabkan simulator Prestasi yang memerlukan simulasi semula seperti yang dinyatakan dalam Merah atas Bar alat simulasi .

Jenis | Nama | Nilai asal | Unit | Jenis Data | Diperlukan | Penerangan
Kelakuan | b_pack | 0.0 |  | Decimal | Palsu | Kali perkhidmatan tetap untuk pek dalam saat. Hartanah ini biasanya dinyatakan sebagai jenis standard dan kemudian digunakan untuk keadaan komponen berbilang. Sebagai contoh, CORBA mempunyai b_pack = 0.23 ms.
Kelakuan | m_pack | 0.0 |  | Decimal | Palsu | Kali perkhidmatan berubah-ubah untuk pek dalam saat / bait. Hartanah ini biasanya dinyatakan sebagai jenis standard dan kemudian digunakan untuk keadaan komponen berbilang.
Kelakuan | b_unpack | 0.0 |  | Decimal | Palsu | Kali perkhidmatan tetap untuk membongkar di saat. Hartanah ini biasanyadinyatakan sebagai jenis standard dan kemudian digunakan untuk keadaan komponen berbilang.
Kelakuan | m_unpack | 0.0 |  | Decimal | Palsu | Kali perkhidmatan berubah-ubah untuk membongkar di saat / bait. Hartanah ini biasanyadinyatakan sebagai jenis standard dan kemudian digunakan untuk keadaan komponen berbilang.
Kelakuan | Pemprosesan | 0.0 |  | Decimal | Benar | Jumlah masa pelaksanaan untuk melengkapkan satu proses. Ini mungkin dalam jam, minit, hari, operasi dan lain-lain
Kelakuan | Pemproses | 1 |  | Integer | Benar | Bilangan sumber Processor. Pemproses boleh menjadi orang, CPU, organisasi luar dan lain-lain
Kelakuan | Kelajuan | 100 |  | Integer | Benar | Kelajuan sumber pemproses. Iaitu, bilangan kitaran / arahan / tindakan ia boleh melakukan dalam satu unit masa. Adalah penting supaya selaras dengan unit yang digunakan untuk pemprosesan.
Kelakuan | k_bkgd | 0.0 |  | Decimal | Palsu | Pemprosesan latar belakang komponen. Ini digunakan untuk menyesuaikan keputusan untuk menyesuaikan ofset ditetapkan untuk%. Ini mungkin boleh diabaikan.

Jadual berikut menyenaraikan output sifat komponen oleh penilai prestasi. Satu set sifat-sifat komponen dihasilkan untuk setiap komponen pada setiap persembahan jangka.Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Prestasi Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dan simulator Prestasi memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Jenis | Nama | Unit | Jenis Data | Diperlukan | Penerangan
Kelakuan | Kadar Mesej |  | Decimal | Palsu | Bilangan mesej seunit semasa melalui komponen. Ini adalah jumlah mesej masuk dan keluar semua komponen.
Kelakuan | Bandwidth |  | Decimal | Palsu | Jalur lebar keseluruhan melalui komponen. Jumlah kerana kedua-dua mesej yang masuk dan keluar.
Kelakuan | Penggunaan | % | Decimal | Palsu | Penggunaan komponen. Ini akan menjadi 0% jika komponen tidak adalah alat / pemproses (iaitu Ia tidak mempunyai Pemproses dan harta Speed ​​ditakrifkan di atas)

Properties sambungan

Jadual berikut menyenaraikan sifat-sifat yang diperlukan untuk menilai prestasi. Hartanah adalah dicari pertama dalam keadaan Connection, maka Piawaian Connection dan jika tidak ditemui, lalai digunakan.Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris input harta ( [image] ) Dengan petua alat 'Prestasi Input' atau '/ Persembahan Kos Input. Perubahan kepada mana-mana ciri-ciri 'input' dan pelbagai perubahan struktur kepada repositori yang akan menyebabkan simulator Prestasi dan / atau Kos simulator memerlukan simulasi semula seperti yang dinyatakan dalam Merah atas Bar alat simulasi .

Jenis

Nama

Nilai asal

Unit

Jenis Data

Diperlukan

Penerangan

Kelakuan

Jenis

dwiarah

[dwiarah | satu arah]

Lookup / Senarai

Benar

Sama ada sambungan dua hala (dwiarah) atau satu hala (satu arah).

Membenarkan nilai-nilai untuk hartanah ini adalah "dwiarah" atau "satu arah".

Dua Arah bermakna segerak mesej permintaan / sambutan sedangkan cara satu arah yang tak segerak "peristiwa" tunggal.

Kelakuan

Pengekstrakan

tidak langsung

[tidak langsung | langsung]

Lookup / Senarai

Benar

Sama ada sambungan fizikal atau logik. Sambungan langsung fizikal "paip" di antara dua komponen bahawa sambungan logik mengalir bersama-sama.

Membenarkan nilai-nilai untuk hartanah ini adalah "langsung" atau "tidak langsung".

Jika nilai adalah "langsung" maka sambungan tidak memerlukan apa-apa harta lain (kecuali yang baik dan sifat-sifat Pengekstrakan).

Data

L_app1

0

Integer

Palsu

Permintaan saiz / acara di bait.

Setiap sambungan biasanya akan mempunyai nilai tertentu untuk ini. Dalam CORBA, peristiwa sebenarnya dwiarah dan sentiasa mempunyai 12 bait mengakui (L_app2). Jika ia adalah sambungan satu arah yang benar kemudian meninggalkan harta L_app2 itu.

Data

L_app2

0

Integer

Palsu

Respon / mengakui saiz dalam bait.

Setiap sambungan biasanya akan mempunyai nilai tertentu untuk ini. Sambungan satu arah tidak akan mempunyai L_app2.

Kelakuan

Kekerapan

1

Decimal

Benar

Kekerapan di mana sambungan berlaku.

Setiap sambungan biasanya akan mempunyai nilai tertentu untuk ini. Jika Kekerapan harta itu ketinggalan kemudian lalai digunakan.

Kelakuan

Hubungan

proses

[proses | menyokong]

Lookup / Senarai

Palsu

Sambungan yang mempunyai "proses" harta menunjukkan bahawa komponen pada permulaan sambungan akan berubah untuk diproses pada komponen pada akhir sambungan. Pada hakikatnya "sumber" komponen digerakkan untuk menjadi seorang kanak-kanak yang "tenggelam" komponen (sambungan dilampirkan juga "mengheret" dengan langkah ini).

Jika "proses" harta wujud maka semua sifat sambungan lain akan diabaikan, kecuali pilihan "%" harta yang dinyatakan di bawah.

Kelakuan

%

100.0

Decimal

Palsu

Sambungan yang mempunyai "proses" harta (diterangkan di atas) secara pilihan boleh mempunyai "%" harta untuk menunjukkan bahagian pemprosesan yang akan dikaitkan dengan komponen destinasi. Dengan cara ini satu komponen sumber tunggal boleh diproses oleh komponen destinasi berganda pada pelbagai% 's. Nilai% tidak perlu untuk menambah sehingga 100% dan ia hanya digunakan untuk mendaki "pemprosesan" harta (lihat di atas) untuk komponen sumber kerana ia berubah menjadi seorang kanak-kanak komponen destinasi.

Jadual berikut menyenaraikan sifat-sifat yang dihasilkan oleh penilai prestasi. Satu set ini sifat sambungan dihasilkan untuk setiap sambungan pada setiap persembahan jangka.Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Prestasi Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dan simulator Prestasi memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Jenis | Nama | Unit | Jenis Data | Diperlukan | Penerangan
Kelakuan | Bandwidth |  | Decimal | Palsu | Lebar jalur keseluruhan untuk sambungan. Ini hanya dikira untuk sambungan tidak langsung dan asasnya (L_app1 + L_app2) * Dikendalikan.
Kelakuan | Bandwidth 1/2 |  | Decimal | Palsu | Jalur lebar khusus untuk keluar (1) dan masuk (2) mesej sambungan. Ini hanya dikira untuk sambungan tidak langsung dan asasnya L_app1 * Dikendalikan dan L_app2 * Dikendalikan.
Kelakuan | Pemprosesan |  | Decimal | Palsu | Bilangan mesej per unit masa melalui sambungan. Ini nilai sebenar boleh dibandingkan dengan nilai yang dijangkakan / teori (iaitu kekerapan) untuk menyimpulkan tepu sistem.
Kelakuan | Bidang | % | Decimal | Palsu | Peratus mesej pemprosesan yang berjaya lengkap untuk sambungan. Ini hanya dikira untuk sambungan tidak langsung dan merupakan Dikendalikan / frekuensi. Kadang-kadang nilai Bidang melebihi 100% kerana kaedah rambang terhadap keputusan generasi mesej dalam frekuensi generasi mesej yang lebih tinggi dari yang ditetapkan.
Kelakuan | Maklumbalas (Min / Ave / Max) |  | Decimal | Palsu | Purata / / latency maksimum minimum. Ini hanya dikira untuk sambungan tidak langsung dan kependaman yang diperhatikan untuk sambungan dari sumber tenggelam dan apa-apa beratur dan pemprosesan (dan kependaman kembali kepada sumber jika dwiarah).

Properties Architecture

Jadual berikut menyenaraikan sifat-sifat seni bina seluruh sistem yang dihasilkan oleh penilai prestasi. Satu set tunggal hartanah dengan seni bina adalah "dikumpulkan" untuk setiap persembahan jangka.Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Prestasi Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dan simulator Prestasi memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Jenis | Nama | Unit | Jenis Data | Diperlukan | Penerangan
Kelakuan | Kadar Mesej |  | Decimal | Palsu | Bilangan mesej per unit masa melalui komponen dalam seni bina. Ini adalah jumlah mesej masuk dan keluar semua komponen.
Kelakuan | Pemprosesan |  | Decimal | Palsu | Bilangan mesej per unit masa melalui sambungan dalam seni bina. Ini adalah jumlah throughputs semua sambungan tidak langsung dengan nilai sebenar ini boleh dibandingkan dengan nilai yang dijangkakan / teori (iaitu kekerapan) untuk menyimpulkan tepu sistem.
Kelakuan | Bandwidth |  | Decimal | Palsu | Lebar jalur keseluruhan. Jumlah lebar jalur sambungan seni bina itu.
Kelakuan | Penggunaan | % | Decimal | Palsu | Penggunaan semua komponen. Boleh lebih besar daripada 100% kerana ia hanya jumlah semua penggunaan kutipan komponen seni bina itu.
Kelakuan | Maklumbalas (Min / Ave / Max) |  | Decimal | Palsu | Purata / / latency maksimum minimum. Jumlah semua latencies diperhatikan untuk sambungan seni bina dari sumber tenggelam (dan kembali kepada sumber jika dwiarah).


Simulasi Kebolehpercayaan dan Ketersediaan

Navigation: simulasi senibina anda> Simulator>

Simulasi Kebolehpercayaan dan Ketersediaan

Menghantar komen mengenai topik ini.

Latar Belakang

The Kebolehpercayaan Penilai mengira kebolehpercayaan seni bina dengan menggunakan komponen dan sambungan input.

Bagi komponen dan sambungan terus, kebolehpercayaan adalah berdasarkan Waktu Min antara kegagalan (MTBF). Satu-satunya pembolehubah yang diperlukan untuk mengira kebolehpercayaan elemen seni bina adalah:

· Yang MTBFnilai (dalam tahun);

· Yang Mean Time To Repair (MTTR)kegagalan (dalam tahun); dan

· Tempoh masa tertentu untuk menguji Kebolehpercayaan berakhir.

Formula yang digunakan dalam pengiraan Kebolehpercayaan diberikan sebagai:

Kebolehpercayaan = -e (y × umur)
Y = 1 ÷ MTBF

Dengan adanya komponen dan sambungan adalah berdasarkan MTBF dan MTTR. Nota ketersediaan bahawa, tidak seperti kebolehpercayaan, tidak dipengaruhi oleh tempoh masa yang mana ia sedang diuji.

Ketersediaan = MTBF / (MTBF + MTTR)

Walaupun kaedah yang mengubah Kebolehpercayaan Blok Rajah(menggunakan siri mudah dan membina selari) memberi keputusan yang paling tepat, kaedah ini menjadi sangat impraktikal apabila kita cuba untuk mengira kebolehpercayaan untuk misi dalam rangkaian besar ribu unsur-unsur. Tambahan pula, pendekatan transformasi memecahkan bagi banyak struktur yang sama, seperti rangkaian "jerat".

Yang Monte Carlokaedah membolehkan kebolehpercayaan dan ketersediaan sistem saiz sewenang-wenangnya dan kerumitan untuk dikira. Kaedah Monte Carlo menyerupai pelbagai keadaan dan fatau setiap senario keadaan rawak, ada atau tersedia, Yang diberikan kepada setiap elemen fizikal. Kebarangkalian elemen yang diberikan berada dalam sebuah negara yang ada adalah berdasarkan kebolehpercayaan / adanya komponen.

Sebagai contoh, sebuah komponen dengan 90% ketersediaan dapat dijangka boleh didapati di kira-kira 90% daripada senario. Kebolehpercayaan Sambungan tidak langsung dan ketersediaan dengan itu boleh dianggarkan sebagai bahagian scenarios- rawak yang mana jalan unsur wujud dalam negeri- didapati dari sumber ke destinasi.

Nota

Sejak pengiraan kebolehpercayaan tempatan dan ketersediaan adalah berdasarkan parameter yang berbeza dan formula yang berbeza (dan oleh itu menyebabkan nilai-nilai yang berbeza), ia adalah perlu untuk menetapkan setiap elemen duanegeri, Satu untuk ketersediaan, dan satu untuk kebolehpercayaan. Pengiraan ketersediaan menggunakan negeri ketersediaan di setiap senario, manakala pengiraan kebolehpercayaan menggunakan negeri kebolehpercayaan dalam setiap senario.

Kebolehpercayaan penilai menggunakan teknik simulasi Monte Carlo untuk bekerja kebolehpercayaan seni bina tertentu. Seni bina yang diletakkan melalui beribu-ribu simulasi individu dan keputusan dikira untuk memperoleh ukuran kebolehpercayaan. Seperti disebutkan di atas, Monte Carlo adalah teknik yang paling cepat untuk simulasi rangkaian yang lebih besar dan akan bekerjasama dengan mana-mana kompleks (iaitu dihancurkan) struktur.

Penilai output empat nilai:

1. Misi Kebolehpercayaanselama beberapa tahun;

2. Ketersediaandaripada seni bina;

3. Kebolehpercayaandaripada komponen tempatanselama beberapa tahun; dan

4. Ketersediaandaripada komponen tempatan.

Penilai bekerja di luar kebarangkalian yang komponen atau sambungan bekerja (iaitu tidak gagal) dan masa yang diambil untuk membaiki.

Bagaimana taraf dengan MTBFs dan / atau MTTRs dirawat

Jika unsur (komponen atau sambungan) mempunyai taraf dengan MTBF diberikan dan / atau MTTR nilai, nilai-nilai ini juga digunakan dalam pengiraan kebolehpercayaan tempatan dan ketersediaan daripada elemen sebagai sambungan siri.

Sebagai contoh, jika komponen A, Dengan standard yang diberikan B, C, Dan Dmasing-masing mempunyai MTBF yang dan MTTR yang nilai, Tempatan Kebolehpercayaan = R(A)× R(B) × R(C) × R(D), Di mana R = Kebolehpercayaan dikira (menggunakan formula) bagi komponen / standarddan Tempatan Availkeupayaan = A (A)× A (B) × A (C) × A (D), Di mana A = Dikira berjayakeupayaan (menggunakan formula) bagi komponen / standard. Iaitu, jika unsur mempunyai tiga piawaian setiap dengan MTBF dan MTTR nilais, Dan juga MTBF dan MTTR nilaisuntuk sifat-sifat unsur, kebolehpercayaan tempatan dan avilability diberikan sebagai nilai siri setiap satu daripada piawaian dan elemen itu sendiri.

Sebagai contoh yang lain, jika komponen Amempunyai standard yang diberikan B, C, Dan Dtetapi hanya standard Bmempunyai kedua-dua MTBF dan nilai MTTR, manakala standard Chanya mempunyai nilai MTBF dan standard Dhanya mempunyai nilai MTTR, Tempatan Kebolehpercayaan = R (A)× R (B)× R (C), Di mana R= Kebolehpercayaan dikira (menggunakan formula) bagi komponen / standard dan Tempatan Ketersediaan = A (A)× A (B)× A (C), Di mana A= Ketersediaan dikira (menggunakan formula) bagi komponen / standard tetapi dalam pengiraan A (C) kerana standard yang hanya mempunyai nilai MTBF ia 'Carian'bagi nilai MTTR yang sepadan (s) dan akan menambah semua MTTR menghargai ia mendapati bahawa don't sendiri mempunyai nilai MTBF yang hampir sama, jadi dalam kes ini, ia akan menggunakan nilai MTTR piawaian D. Jika ada standard lain, mengatakan E, Dengan hanya satu nilai MTTR dan kemudian A (C)akan menggunakan MTBF Cdengan MTTR daripada Ddan Editambah bersama-sama. Jika standard lain, mengatakan F, Baru sahaja nilai MTBF kemudian A (F)juga akan menggunakan MTTR daripada Ddan Editambah bersama-sama.

Mengira Misi Kebolehpercayaan

Walaupun pengiraan kebolehpercayaan tempatan adalah suatu perkara yang menggunakan formula yang mudah, pengiraan sambungan tidak langsung (penduduk) tidak begitu mudah, terutama apabila kita ada rangkaian yang kompleks dan besar laluan berjalin (sambungan) dan komponen.

Mengambil seluruh rangkaian kira

Sebagai sambungan tidak langsung tidak mewakili sambungan fizikal, kita perlu mengetahui bagaimana komponen sumber itu boleh mendapatkan untuk komponen destinasinya. Dan ini membayangkan melihat seluruh rangkaian dan semua cara yang berbeza (dan laluan) Komponen sumber kami boleh ambil untuk mencapai komponen destinasi (tenggelam).

Nota

Selagi ada sekurang-kurangnya satu lengkaplaluan dari sumber ke destinasi, misi akan berjayadan sambungan tidak langsung dirujuk sebagai sambungan Tertutup.

Memahami Matrix Link

Untuk mengetahui komponen / sambungan terus disambungkan ke apa, kita perlu artifak untuk cepat memeriksa sama ada dua blok disambungkan dalam arah tertentu. Ini adalah fungsi matriks pautan. Ringkasnya, matriks link adalah dua pelbagai dimensi pembolehubah Boolean yang menyatakan sama ada komponen tertentu boleh mencapai komponen lain secara langsung. Saiznya adalah sama dengan kuasa dua jumlah bilangan komponen dalam rangkaian.

A Kebolehpercayaan Mudah Blok Rajah (RBD)

Berkaitan Capaian Matrix untuk Kebolehpercayaan Blok Rajah (RBD)

Kerana tidak semua sambungan adalah dua arah (pergi kedua-dua cara), adalah penting tahu bagaimana untuk membaca matriks link dengan betul. Dalam penilai kebolehpercayaan, hujah pertama adalah sumber dan hujah kedua adalah destinasi (tenggelam).

Oleh itu jika link matriks (A, B) = Benar maka ia bermakna bahawa A boleh mendapatkan ke B secara langsung (uni-arah). B boleh mendapatkan a Jika hanya jika matriks link (B, A) = Benar. Jika ini benar, ini bermakna sambungan dua arah.

Dalam contoh yang diberikan atas:

· Sumber 1 boleh sampai ke destinasi 0 (Sumber 1 dan 0 Destinasi memberikan hasil Benar); dan

· Source 0 boleh sampai ke destinasi 1 (Sumber 0 dan Destinasi 1 memberikan hasil Benar), kerana hubungan antara 0 dan 1 adalah dwiarah.

· Sumber 2 tidak boleh sampai ke destinasi 1 (Sumber 2 dan Destinasi 1 memberikan hasil palsu) walaupun sumber 1 boleh sampai ke destinasi 2 (Sumber 1 dan Destinasi 2 memberikan hasil Benar). Ini menunjukkan bahawa hubungan antara 1 dan 2 adalah uni-arah.

Memahami Kebolehpercayaan Blok Rajah

Gambarajah blok kebolehpercayaan (RBD) merangkumi struktur model objek keseluruhan dari segi blok dan pautan. Setiap blok mewakili elemen yang mempunyai kemungkinan kegagalan atau kejayaan mengikut pautan / laluan yang menghubungkan mereka. Kedua-dua komponen dan sambungan boleh menjadi "blok" dalam RBD.

Contoh RBD Blok dan Pautan

Angka itu atas mewakili contoh RBD. Garisan merah putus-putus mewakili misi tunggal 4 hingga 1. Perhatikan bagaimana hanya ada dua kemungkinan laluan untuk misi 4-1.

Pertimbangkan laluan 4-3 ke 0-1, dan laluan 4-7 kepada 1. blok bertitik 2, 5dan 6 mewakili blok yang tidak memberi kesan kegagalan / bukan kegagalan-misi 4 hingga 1. Mereka tidak dianggap dan diabaikan. Ini penting kerana bagi kebanyakan misi akan ada sebilangan besar blok berlebihan yang tidak akan memberi kesan kepada kejayaan misi tertentu. Ini adalah lebih jelas dalam rangkaian yang lebih besar di mana bilangan blok berlebihan akan membuat keputusan simulasi yang tidak tepat.

Untuk mempercepatkan masa simulasi, dan memastikan hasil yang lebih tepat, ia adalah perlu untuk abstrak daripada keseluruhan RBD dan hanya menggunakan unsur-unsur yang memberi kesan kepada kejayaan misi ini.

Nota

Satu laluan / laluan tunggal tidak boleh pergi melalui mana-mana komponen dua kali.

Pada peringkat ini kita boleh membuat matriks pautan dan melaksanakan simulasi Monte Carlo.

Mengira Architecture Ketersediaan

Seni bina ketersediaan kebarangkalian bahawa semua sambungan tidak langsung akan disediakan pada bila-bila masa. Ketersediaan setiap sambungan tidak langsung ini telah dipilih pada setiap lelaran simulasi Monte Carlo, bagaimanapun hubungan ini terjalin tidak langsung (biasanya) bergantung kepada set yang sama unsur-unsur fizikal. Oleh itu, hanya menjumlahkan ini Ketersediaan individu akan "double-count" ini un-availabilities, memberi satu kerangka keseluruhan pesimis ketersediaan. Selain itu, seni bina ketersediaan keseluruhan dikira dengan melihat setiap lelaran dan melihat sama ada unsur-unsur yang terlibat dalam sambungan tidak langsung menarik boleh didapati. Dan kemudian menjumlahkan keputusan ini pada akhir penyelakuan.

Menjalankan Kebolehpercayaan simulator

Untuk meniru seni bina anda dari segi kebolehpercayaan

1. Pastikan anda mempunyai fail ABACUS yang, Yang mengandungi anda seni bina penduduk, terbuka.

2. Pilih Analisis| Kebolehpercayaan.

3. Pilih Architectureanda ingin menilai dari menu tarik-ke bawah.

Nota

Secara lalai, ABACUS secara automatik akan memilih seni bina pertama yang mana simulasi semula diperlukan kerana apa-apa harta yang mendasari atau perubahan struktur.Penonjolan ini ditunjukkan dalam Merah atas Bar alat simulasi .

4. Pilih Komponendan Sambungananda ingin menilai dari elemen standard tetingkap pilihan menggunakan 'Tunjuk Sambungan langsung' dan 'Tunjuk Proses Hubungan' penapis radio butang di bahagian bawah kiri dialog untuk membantu dengan anda pilihan.

Tambahan Kotak semak kepada elemen standard tetingkap pilihan

· Save Model Bertukarakan menyimpan salinan versi RBD berubah projek dalam folder yang sama dengan projek semasa dan menambah "_transformed" kepada nama projek.Projek berubah boleh digunakan untuk mendiagnosis secara terperinci simulasi kebolehpercayaan yang dijalankan oleh ABACUS.

Radio- tambahanButang kepada elemen standard tetingkap pilihan

· Papar Hubungan Langsung secara automatik akan menetapkan sambungan yang Mempunyai penapis Hartanah untuk harta Jenis = Behaviour, Nama = Pengekstrakan dan Nilai = langsung.Pilihan ini dipilih secara lalai dan membantu pemilihan daripada sambungan 'langsung' seperti yang dinyatakan di atas dan di bawah.

· Show Proses Sambungan secara automatik akan menetapkan sambungan yang Mempunyai penapis Hartanah untuk harta Jenis = Behaviour, Nama = Hubungan dan Nilai = proses.Pilihan ini membantu pemilihan daripada sambungan 'langsung' seperti yang dinyatakan di atas dan di bawah.

5. Klik Seterusnya.

6. Pilih Misiiaitu Sambungan yang anda mahu masukkan dalam penyelakuan.

7. Menetapkan Run Time Faktor Skalaslider.

Nota

Nilai yang lebih tinggi akan menghasilkan keputusan yang konsisten lebih statistik tetapi mengambil masa yang lebih lama untuk mengira.

Kotak

· Persembahan Sambungan ditutupakan secara automatik menapis sambungan tersedia untuk hanya termasuk orang-orang yang mempunyai sekurang-kurangnya satu laluan fizikal yang lengkap daripada komponen sumber untuk komponen destinasi seperti pilihan RBD yang dinyatakan di atas.

· Papar Hubungan Tidak Langsung secara automatik akan menetapkan sambungan yang Mempunyai penapis Hartanah untuk harta Jenis = Behaviour, Nama = Pengekstrakan dan Nilai = tidak langsung.Pilihan ini dipilih secara lalai dan membantu pemilihan daripada sambungan 'tidak langsung' atau Misi seperti yang dinyatakan di atas dan di bawah.

Butang

· Semuamemilih semua Kenalan.

· Kecualikanmenyahpilih semua yang sedang dipilih Kenalan dan memilih semua orang-orang yang tidak dipilih.

· Tiadamenyahpilih semua Kenalan.

Pilihan lain

· Run Time Faktor Skala mengawal masa simulasi dan ketepatan dengan lebih tinggi hasil nilaiinglebih statistik keputusan yang konsisten tetapi mengambil masa yang lama untuk jangka.

Nota

Apabila ABACUS mengira bilangan lelaran untuk mensimulasikan ia akan menentukan elemen yang paling boleh dipercayai yang tidak sempurna dipercayai dan kemudian simulasi untuk waktu Run Time Faktor Skala 1 sejak Ketiadaan unsur yang ditambah 1 lelaran. Atau (MTBF + MTTR) / MTTR * Run Time Faktor Skala + 1. Ini adalah untuk memastikan bahawa elemen yang masih gagal sekurang-kurangnya sekali dalam penyelakuan. Mis Jika elemen yang paling boleh dipercayai yang tidak sempurna dipercayai mempunyai MTBF 10,000 jam dan MTTR 8 jam kemudian simulasi akan mengambil (10,000 + 8) / 8 = 1251 kali Factor Run Skala masa + 1 lelaran.

· Tahun untuk simulasi Hadapan menentukan bilangan tahun bagi Misi Kebolehpercayaan dikira bagi.

· Number daripada Threadsdetermines bilangan benang pemprosesan yang boleh digunakan untuk simulasi Monte-Carlo.Pilihan ini akan lalai untuk sepadan dengan jumlah yang ada CPU / teras (termasuk teras hyper-threading) untuk mengurangkan masa simulasi keseluruhan.

8. Klik Selesaidan anda akan mendapat Amarandialog.

9. Secara pilihan meneroka amaran dengan mengklik Butiran >>.

10. Klik Teruskan.

Nota

Pada ketika ini, ABACUS akan melaksanakan Monte-Carlosimulasi seni bina dan selepas masa yang singkat (dengan bar kemajuan untuk maklum balas) dialog lengkap pengiraan akan muncul.

11. Klik okeyuntuk mengakui penyelakuan.

Petua

Bagi kursus-kursus latihan dan bantuan lanjut mengenai Kebolehpercayaan Simulasi sila rujuk kepada Avolution Komuniti .

Komponen dan Sambungan Properties

Jadual berikut menyenaraikan komponen dan'langsung'sifat sambungan yang diperlukan untuk menilai kebolehpercayaan. Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris input harta ( [image] ) Dengan tooltip 'Kebolehpercayaan Input. Perubahan kepada mana-mana ciri-ciri 'input' dan pelbagai perubahan struktur kepada repositori yang akan menyebabkan Kebolehpercayaan simulator yang memerlukan simulasi semula seperti yang dinyatakan dalam Merah atas Bar alat simulasi .

Jenis | Nama | Nilai asal | Unit | Jenis Data | Diperlukan | Penerangan
Kebolehpercayaan | MTBF | ∞ | tahun, minggu, hari atau jam | Decimal | Benar | Masa Min Sebelum Kegagalan unsur. Nota: Nilai boleh dinyatakan dalam unit tahun, minggu, hari atau jam dan ditukarkan berikutan ketersediaan konsep '24 / 7 'seperti berikut; - 1 tahun = 52 minggu atau 365 hari atau 8,760 jam - 1 minggu = 7 hari atau 168 jam - 1 hari = 24 jam
Kebolehpercayaan | MTTR | 0 | tahun, minggu, hari atau jam | Decimal | Benar | Masa Min Untuk Pembaikan unsur. Nota: Nilai boleh dinyatakan dalam unit tahun, minggu, hari atau jam dan ditukarkan berikutan ketersediaan konsep '24 / 7 'seperti berikut; - 1 tahun = 52 minggu atau 365 hari atau 8,760 jam - 1 minggu = 7 hari atau 168 jam - 1 hari = 24 jam

Jadual berikut menyenaraikan komponen dan'langsung' output sifat sambungan oleh penilai kebolehpercayaan. Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Kebolehpercayaan Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dan Kebolehpercayaan simulator memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Jenis | Nama | Unit | Jenis Data | Diperlukan | Penerangan
Kebolehpercayaan | Kebolehpercayaan - x tahun |  | Decimal | Palsu | Kebarangkalian bahawa elemen tidak akan gagal dalam tempoh x tahun akan datang. Ini adalah nilai antara 0 dan 1.
Kebolehpercayaan | Tidak boleh dipercayai - x tahun |  | Decimal | Palsu | Kebarangkalian bahawa elemen akan gagal dalam tempoh x tahun akan datang. Ini adalah nilai antara 0 dan 1.
Kebolehpercayaan | Ketersediaan | % | Decimal | Palsu | Ketersediaan dikira daripada komponen atau sambungan. Ini adalah nilai antara 0% dan 100%.
Kebolehpercayaan | Ketiadaan | % | Decimal | Palsu | Ketiadaan dikira daripada komponen atau sambungan. Ini adalah nilai antara 0% dan 100%.

Jadual berikut menyenaraikan 'tidak langsung'output sifat sambungan oleh penilai kebolehpercayaan. Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Kebolehpercayaan Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dan Kebolehpercayaan simulator memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Jenis | Nama | Unit | Jenis Data | Diperlukan | Penerangan
Kebolehpercayaan | Misi Kebolehpercayaan - x tahun |  | Decimal | Palsu | Kebarangkalian bahawa sambungan tidak langsung tidak akan gagal dalam tempoh x tahun akan datang. Ini adalah nilai antara 0 dan 1.
Kebolehpercayaan | Misi tidak boleh dipercayai - x tahun |  | Decimal | Palsu | Kebarangkalian bahawa sambungan tidak langsung akan gagal dalam tempoh x tahun akan datang. Ini adalah nilai antara 0 dan 1.
Kebolehpercayaan | Ketersediaan | % | Decimal | Palsu | Ketersediaan dikira sambungan tidak langsung. Ini adalah nilai antara 0% dan 100%.
Kebolehpercayaan | Ketiadaan | % | Decimal | Palsu | Ketiadaan dikira sambungan tidak langsung. Ini adalah nilai antara 0% dan 100%.

Properties Architecture

Jadual berikut menyenaraikan output seni bina hartanah oleh penilai kebolehpercayaan. Ciri-ciri ini akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris output harta ( [image] ) Dengan tooltip 'Kebolehpercayaan Output. Anak panah pada ikon akan mengetengahkan Merah ( [image] ) Apabila sifat-sifat ini sudah lapuk kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dan Kebolehpercayaan simulator memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Jenis | Nama | Unit | Jenis Data | Diperlukan | Penerangan
Kebolehpercayaan | Ketersediaan | % | Decimal | Palsu | Ketersediaan semua sambungan tidak langsung yang telah dimasukkan ke dalam penilaian. Iaitu, kebarangkalian bahawa semuasambungan tidak langsung akan disediakan pada titik yang diberikan dalam masa. Ini adalah nilai antara 0% dan 100%. Nota: Ini BUKAN perkalian Ketersediaan sambungan individu kerana ini akan menjadi "dua kiraan" un ketersediaan-the komponen yang berkaitan.
Kebolehpercayaan | Ketiadaan | % | Decimal | Palsu | Ketiadaan sambungan tidak langsung yang telah dimasukkan ke dalam penilaian. Iaitu, kebarangkalian bahawa sekurang-kurangnya satusambungan tidak langsung akan tersedia pada titik yang diberikan dalam masa. Ini adalah nilai antara 0% dan 100%. Nota: Ini BUKAN perkalian unavailabilities sambungan individu kerana ini akan menjadi "dua kiraan" un ketersediaan-the komponen yang berkaitan.
Kebolehpercayaan | Misi Kebolehpercayaan - x tahun |  | Decimal | Palsu | Kebarangkalian bahawa semua sambungan tidak langsung yang telah dimasukkan ke dalam penilaian akan tidak gagal dalam tempoh yang akan datang xtahun. Ini adalah nilai antara 0 dan 1. Nota: Ini BUKAN perkalian kebolehpercayaan sambungan individu kerana ini akan menjadi "dua kiraan" un ketersediaan-the komponen yang berkaitan.
Kebolehpercayaan | Misi tidak boleh dipercayai - x tahun |  | Decimal | Palsu | Kebarangkalian bahawa sekurang-kurangnya satu daripada sambungan tidak langsung yang telah dimasukkan ke dalam penilaian akan gagal dalam tempoh yang akan datang xtahun. Ini adalah nilai antara 0 dan 1. Nota: Ini BUKAN perkalian unreliabilities sambungan individu kerana ini akan menjadi "dua kiraan" un ketersediaan-the komponen yang berkaitan.


Simulasi senibina anda

Navigation: simulasi seni bina anda>

Simulasi senibina anda

Menghantar komen mengenai topik ini.

Sebaik sahaja anda telah penduduk dan dianalisis senibina anda, anda sudah bersedia untuk menggunakan ABACUS untuk menentukan sama ada senibina anda akan memenuhi keperluan kuantitatif anda. Ini memerlukan simulasi. Untuk meniru seni bina anda, anda perlu membuat keputusan kepada jenis maklumat yang anda mahu untuk diterokai. Jenis-jenis maklumat yang sering dirujuk sebagai KPI atau Petunjuk Prestasi Utama. Sebagai contoh, adakah anda mahu untuk menganalisis prestasi, evolvability, dan keterbukaan, atau adakah anda mahu untuk mengumpul metrik seperti jumlah kos pemilikan. Semua maklumat ini boleh didedahkan dalam beberapa cara. Sebaik sahaja anda mempunyai data ini, anda akan dapat menganalisis senibina anda dalam pelbagai format grafik (atau menganalisis nilai-nilai baru secara langsung).

Terdapat tiga pilihan untuk simulasi seni bina anda:

· Metrik Mudah ;

· Pra-dibina simulator ; atau

· Scripting .

Metrik Mudah

Setiap komponen dalam seni bina yang mempunyai ciri-ciri - banyak yang mungkin adat dengan permohonan anda ABACUS. Ciri-ciri ini mewakili pelbagai ciri-ciri komponen. Dalam beberapa kes, hanya mengumpul metrik ini (untuk membina KPI) boleh cukup untuk memberitahu anda maklumat penting tentang senibina anda. Sebagai contoh, KLOCS, atau Beribu-ribu Talian Kod, telah digunakan secara meluas sebagai langkah kerumitan. Dalam kes lain, anda mungkin mahu mengeksport data dan menganalisis dengan menggunakan alat lain. Selain itu, anda mungkin mahu untuk mengumpul harta selepas melakukan satu lagi jenis simulasi.

Properties boleh diambil melalui proses pengagregatan . Pengagregatan menambah dinyatakan sub-hartanah kepada jumlah yang dapat dilihat dalam komponen induk. Pengagregatan hanya berfungsi pada komponen yang mengandungi sub-komponen.

Pra-dibina Simulator

Terdapat lima simulator pre-built yang boleh digunakan dengan ABACUS. Ini adalah:

· Prestasi;

· Suai;

· Jumlah Kos Pemilikan (TCO);

· Keterbukaan; dan

· Kebolehpercayaan.

Nota

ABACUS secara automatik akan mengetengahkan yang simulator ini perlu dijalankan semula melalui Merah menonjolkan pada Bar alat simulasi .

Scripting

Skrip menyediakan fleksibiliti untuk meniru seni bina anda dengan cara adat. Oleh menulis skrip anda boleh melakukan simulasi luar semasa dalam kapasiti yang dibina daripada ABACUS. Seluruh model objek ABACUS disediakan untuk enjin skrip, jadi anda hanya dihadkan oleh keupayaan anda untuk menulis skrip!

Skrip Visual Basic adalah bahasa skrip yang disokong oleh ABACUS, kerana ia menyediakan ciri-ciri pengaturcaraan penting dalam format yang agak mudah.

Lihat juga

Mengeksport senibina anda | Sifat-sifat agregat | Menulis skrip


Berkembang senibina anda

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Berkembang senibina anda

Menghantar komen mengenai topik ini.

Seni Bina boleh jelas berkembang dan hierarki seni bina diwujudkan. Oleh itu oleh berkembang seni bina anda di ABACUS, beberapa penyelesaian seni bina canggih boleh diwujudkan, dibandingkan dan baselined. Matlamat (atau metrik) boleh ditakrifkan bagi mana-mana beberapa ciri-ciri seni bina seni bina yang sedia ada.

Cara mudah untuk menganggap evolusi seni bina adalah untuk mengaitkannya dengan konsep bina keturunan. Apabila seni bina adalah berkembang, yang salinanseni bina induk dicipta. Salinan ini boleh dikatakan langsung keturunanasal ibu bapaseni bina.

Nota

Dalam kes ini, dokumentasi bantuan dalam talian dan toolset ABACUS itu sendiri, istilah berubahadalah lebih biasa digunakan daripada istilah keturunan, Sila ambil perhatian bahawa kedua-dua merujuk kepada fungsi yang sama.

Berkembang seni bina yang sedia ada

1. Pastikan anda mempunyai Fail ABACUSterbuka dan Window Explorerdipaparkan.

2. Pilih seni bina yang berkaitan yang anda mahu untuk berubah daripada pokok explorer.

3. Klik kananpada seni bina dan pilih Evolvedaripada menu.

Berkembang Seni Bina Terpilih

4. Seni bina berkembang akan muncul di bawah seni bina yang dipilih.

Evolved Architecture

Nota

Seni bina berkembang boleh dinamakan semula dengan mengklik kanan dalam seni bina dan memilih Nama semula.Tambahan pula, semua gambar rajah dan katalog dalam seni bina berkembang akan secara automatik kepada 'diff' terhadap seni bina garis dasar bahawa ia telah berkembang daripada.

Menetapkan matlamat untuk seni bina berkembang anda

Menetapkan matlamat untuk seni bina berkembang anda membolehkan anda untuk mewujudkan satu kriteria untuk menilai evolusi kerangka anda. Matlamat ditentukan oleh jenis harta dan nama-nama mereka hartanah yang sedia ada dalam bidang seni bina berkembang anda. Matlamat juga boleh ditakrifkan secara manual dan ditambah kepada seni bina anda. Ikuti langkah-langkah di bawah untuk menetapkan matlamat.

Menetapkan matlamat daripada hartanah yang sedia ada untuk seni bina berkembang anda

1. Pastikan anda mempunyai Fail ABACUSterbuka dan Window Explorerdipaparkan.

2. Pilih Tools | Menetapkan matlamatDari bar menu utama.

3. Yang Input matlamattetingkap akan dipaparkan.

Matlamat Input Window

4. Klik pada Yang sedia adabutang.

5. Yang Pilih Harta Atetingkap akan dipaparkan.

6. Pilih hotel anda hendak tetapkan sebagai gol untuk seni bina berkembang anda dan klik pada okeybutang.

7. Matlamatnya dipilih sekarang akan muncul dalam Input matlamattingkap.

8. Pilih matlamat dan klik pada Editbutang.

9. Yang Edit Matlamattetingkap akan dipaparkan.

Nota

Tetingkap ini membolehkan anda untuk menukar nama harta dan jenis bahawa matlamat akan mencerminkan, dan juga (atau nilai minimum / maksimum) Nilai yang paling teruk dan terbaik untuk harta itu. Nilai-nilai ini didapati dengan membandingkan semua seni bina dan mencari nilai yang paling kecil dan terbesar di antara satu sama bagi harta tertentu. Nilai-nilai ini juga boleh ditakrifkan secara manual. Sebagai contoh, jika anda adalah untuk menetapkan matlamat untuk hartanah yang dinamakan Maklumbalas (Ave)dan jenis Kelakuan, Nilai yang paling teruk dan yang terbaik anda boleh mencerminkan kelajuan transaksi yang diperlukan untuk prestasi yang optimum (nilai terbaik) dan kelajuan transaksi yang diperlukan untuk hanya aplikasi utama yang akan diproses (nilai paling teruk).

10. Apabila nilai-nilai yang berkaitan telah ditetapkan, pilih okey.

Menetapkan matlamat daripada hartanah baru untuk seni bina berkembang anda

1. Pastikan anda mempunyai Fail ABACUSterbuka dan Window Explorerdipaparkan.

2. Pilih Tools | Menetapkan matlamatDari bar menu utama.

3. Yang Input matlamattetingkap akan dipaparkan.

4. Klik pada Newbutang.

5. Yang Matlamat barutetingkap akan dipaparkan.

Nota

Tetingkap ini membolehkan anda untuk menentukan nama harta dan jenis yang matlamat akan mencerminkan, di samping memberi nilai yang paling teruk dan yang terbaik (atau nilai minimum / maksimum) bagi harta itu. Sebagai contoh, jika anda adalah untuk menetapkan matlamat untuk hartanah bernama Maklumbalas (Ave)dan jenis Kelakuan, Nilai yang paling teruk dan yang terbaik anda boleh mencerminkan kelajuan transaksi yang diperlukan untuk prestasi yang optimum (nilai terbaik) dan kelajuan transaksi yang diperlukan untuk hanya aplikasi utama yang akan diproses (nilai paling teruk).

6. Apabila nilai-nilai yang berkaitan telah ditetapkan, pilih okey.

7. Dialog untuk Tambahkan ke semua seni binaakan memaparkan seperti di bawah:

8. Klik pada Yamenambah gol sebagai harta kepada semua seni bina yang berkaitan. Ini memastikan bahawa matlamat baru ditakrifkan dan sifat-sifatnya akan dimasukkan ke dalam semua seni bina dalam fail. Jika anda tidak mahu termasuk harta dalam seni bina, anda boleh klik pada Tiada.

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Ia merupakan pusat seni bina anda secara manual | Melihat plot bintang seni bina berkembang anda | Melihat plot berselerak seni bina berkembang anda


Mengembangkan dan runtuh pokok

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Mengembangkan dan runtuh pokok

Menghantar komen mengenai topik ini.

Apabila nod di pokok itu mengandungi sub-komponen dan koleksi, ia akan mempunyai kecil [image] atau [image] menandatangani di kirinya. Anda boleh klik [image] untuk mengembangkan nod dan melihat sub-komponen dan sambungan. Begitu juga, anda boleh klik [image] runtuh nod untuk menyembunyikan sub-komponen dan sambungan (untuk membuat lebih banyak ruang atau membuat pokok itu lebih mudah untuk difahami).

Sebagai alternatif, anda boleh mengembangkan nod keseluruhan, di mana semua sub-nod akan turut berkembang, dan sub-nod mereka dan mereka ... dan lain-lain Begitu juga, anda boleh runtuh keseluruhan nod - menutup pelbagai peringkat sekali gus .

Selain itu, terdapat pilihan untuk memperluaskan sahaja seni bina, unsur-unsur (iaitu komponen dan sambungan), komponen atau sambungan.

Untuk mengembangkan atau runtuh nod keseluruhan (dan sub-nod, yang lain-lain)

1. Klik kananpada nod.

2. Pilih Buka | Semua atauDitweet.

Untuk mengembangkan semua seni bina (s)

1. Klik kananpada Architectures atau seni bina.

2. Pilih Buka | Semua.

Untuk mengembangkan unsur-unsur

1. Klik kananpada Architectures atau seni bina.

2. Pilih Buka | Elements.

Untuk mengembangkan komponen

1. Klik kananpada komponen, komponen atau sub-komponen.

2. Pilih Buka | Komponen | Semua.

Untuk mengembangkan sambungan

1. Klik kananpada Connections, sambungan atau sub-sambungan.

2. Pilih Buka | Sambungan | Semua.


Mengeksport Architecture anda

Navigation: Laporan mengenai seni bina anda>

Mengeksport Architecture anda

Menghantar komen mengenai topik ini.

ABACUS membolehkan anda kepadamengeksport seni bina anda untuk MDB (Microsoft Access), MS SQL Server, .abacus (Fail ABACUS), dan format .xls (Microsoft Excel). Anda juga boleh mengeksport anda gambar rajahs ke PNG, JPG, SVG (Grafik Vektor), TIFF, GIF dan format BMP dan laporan anda untuk .html (HTML), .pdf (Adobe Acrobat), .xls (Microsoft Excel), .doc (Microsoft Word) dan Rtf (Format Teks Kaya) format. Ini membolehkan anda untuk menganalisis dan melihat seni bina dan data dalam apa-apa cara yang anda mahu.

Untuk mengeksport seni bina anda untuk MDB (Microsoft Access)

1. Pastikan anda mempunyai Fail ABACUSterbuka.

2. Klik pada Failmenu.

3. Pilih Eksport, Dan kemudian Untuk MDB.

4. Perhatikan amaran dan klik okey.

5. Taipkan nama untuk fail.

6. Klik SimpanButton.

Nota

Format eksport pangkalan data MDB adalah khusus untuk ABACUS dan sebarang perubahan skema akan menyebabkan ketidakupayaan untuk semula import. Sila lihat Ia merupakan pusat dengan MS Access untuk penerangan tentang skema MS Access.

Untuk mengeksport seni bina anda untuk MS SQL Server

1. Pastikan anda mempunyai Fail ABACUSterbuka.

2. Klik pada Failmenu.

3. Pilih Eksport, Dan kemudian MS SQL Server.

4. Dalam dialog yang dipaparkan klik Eksport MDB Kosong ...butang dan mengimport ini ke dalam pangkalan data pelayan MS SQL Server anda.

5. Isikan maklumat pangkalan data dan rentetan sambungan.

6. Klik EksportButton.

Nota

Format eksport daripada MS SQL Serverpangkalan data adalah khusus untuk ABACUS dan sebarang perubahan skema akan menyebabkan ketidakupayaan untuk semula import. Sila lihat Ia merupakan pusat dengan MS Access untuk penerangan tentang skema pangkalan data.

Untuk mengeksport seni bina anda untuk .xls (Fail Excel)

1. Pastikan anda mempunyai Fail ABACUS terbuka , Yang explorer dipaparkan , Dan seni bina ditambah .

2. Pastikan anda mempunyai Fail Excel Import / Eksport Konfigurasi ditakrifkan.

3. Klik kananpada seni bina dalam model anda atau mana-mana bahagian Komponennod (dalam jarak seni bina yang diberikan) anda ingin mengeksport ke fail konfigurasi Excel.

4. Pilih Eksport | Untuk Excel ... daripada menu.

5. Yang Pilih Fail Excel Import / Eksport Konfigurasi untuk Menggunakantetingkap akan dipaparkan.

6. Pilih fail konfigurasi yang berkaitan untuk model seni bina anda dan klik pada Terbukabutang.

7. Jika tidak secara automatik berbuat demikian, Peta komponen peringkat tinggi dalam bidang seni bina semasa anda kepada Set Id(seperti yang ditakrifkan sebelum ini) dan klik pada Eksport ....

Pemetaan Contoh Komponen Top-Level

8. Pilih lokasi dan nama fail untuk fail Excel anda dan klik Simpanbutang.

Untuk mengeksport seni bina anda untuk .abacus (Fail ABACUS)

1. Pastikan anda mempunyai Fail ABACUSterbuka.

2. Klik kananpada nod Seni Bina, mana-mana seni bina dalam model anda atau mana-mana bahagian pokok Komponen ini.

3. Pilih Eksport | Untuk Fail ...daripada menu.

4. Pilih lokasi dan nama fail dan klik Simpanbutang.

Nota

Anda boleh mengimport fail ABACUS ABACUS semula ke dalam dengan langkah-langkah berikut 2/1di atas dan kemudian memilih Import | Dari Fail .... Selepas anda telah memilih fail yang anda ingin import, anda akan diminta bagaimana anda ingin mengimport piawaian dan jenis. Anda boleh mengimport standard dan jenis sama ada sebagai standard dan jenis baru atau digabungkan. Tetapan lalai adalah standard dan jenis untuk digabungkan dengan standard dan jenis yang sedia ada jika mereka sudah wujud dalam anda projek.

Untuk mengeksport seni bina anda untuk xml

1. Pastikan anda mempunyai Fail ABACUSterbuka.

2. Klik kananpada nod Seni Bina, mana-mana seni bina dalam model anda atau mana-mana bahagian pokok Komponen.

3. Pilih Eksport | Untuk XML ...daripada menu. Sebagai alternatif anda boleh klik pada menu Fail| Eksport| Untuk XML ...

4. Pilih lokasi dan nama fail dan klik Simpanbutang.

Nota

Anda boleh mengimport fail XML ke dalam ABACUS oleh langkah-langkah berikut 2/1di atas dan kemudian memilih Import | Dari XML .... Selepas anda telah memilih fail XML yang anda mahu untuk mengimport, anda akan diminta bagaimana anda ingin mengimport piawaian dan jenis. Anda boleh mengimport standard dan jenis sama ada sebagai standard dan jenis baru atau digabungkan. Tetapan lalai adalah standard dan jenis untuk digabungkan dengan standard dan jenis yang sedia ada jika mereka sudah wujud dalam anda projek.

Untuk mengeksport rajah anda untuk PNG, JPG, SVG, TIFF, GIF atau BMP

1. Pastikan anda mempunyai Fail ABACUSterbuka.

2. Buka gambar rajahanda ingin mengeksport.

3. Klik pada Eksport Diagrambutang pada Rajah bar alat.

4. Yang Eksport Rajahtetingkap akan muncul.

5. Pilih Semak imbasbutang untuk menyelamatkan visualisasi di lokasi yang dikehendaki.

6. Pilih Simpan sebagai jenistarik-down menu untuk memilih jenis fail.

7. Klik Simpanbutang.

Untuk mengeksport laporan anda kepada .pdf (Adobe Acrobat), .xls (Microsoft Excel)atau.doc (Microsoft Word)

1. Pastikan anda mempunyai Fail ABACUSterbuka.

2. Buat laporan anda ingin mengeksport.

3. Klik pada Eksportbutang pada bar alat laporan.

4. Pilih Excel, PDF atau Worddari kotak drop-down.

5. Tunggu beberapa ketika manakala eksport laporan.

6. Pilih lokasi dan nama fail dan klik Simpanbutang.


Mencari dan menggantikan barang-barang dalam seni bina anda

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Mencari dan menggantikan barang-barang dalam seni bina anda

Menghantar komen mengenai topik ini.

Awak boleh cari dan Ganti komponen tertentu, sambungan, jenis, standard atau harta dengan menggunakan ABACUS 'Cari dan Ganti kemudahan.

Untuk mencari item

1. Klik nod pokok yang anda ingin untuk mencari dalam.

2. Pilih Edit| Cariatau tekan Ctrl + F.

3. Masukkan teks untuk barang yangmencari dalam bidang 'Cari apa.

4. Klik Cari Seterusnya.

Untuk menggantikan item

1. Klik nod pokok yang anda ingin untuk mencari dalam.

2. Pilih Edit| Gantiatau tekan Ctrl + H.

3. Masukkan teks untukbarang yanguntuk mencari dalam 'Cari apa' lapangan dan teks untuk menggantikannya dengan dalam 'Gantikan dengan' bidang (atau apa-apa jika bidang yang dibiarkan kosong).

4. Klik Cari Seterusnyauntuk mencari contoh pertama teks 'Cari apa' dan klik Ganti untuk menggantikan hal ini dengan 'Ganti dengan' teks atau klik Ganti Semuauntuk menggantikan semua keadaan.

Anda mempunyai pilihan untuk:

o Padankan kesnya,

o Padankan perkataan penuh,

o Cari dari awal projek itu,

o Abaikan seni bina - iaitu seni bina nod diri mereka sendiri. Mana-mana nod di bawah nod seni bina seperti komponen dan sambungan tetap akan dicari,

o Abaikan komponen - iaitu komponen nod diri mereka sendiri,

o Abaikan sambungan - iaitu sambungan nod diri mereka sendiri,

o Abaikan standard - yang semua seni bina, komponen dan sambungan nod standard akan diabaikan,

o Abaikan jenis - iaitu jenis nod diri mereka sendiri. Mana-mana nod kekangan di bawah nod jenis masih akan dicari,

o Abaikan template dan kandungan - iaitu template nod sendiri dan juga mana-mana komponen template dan nod sambungan di bawah mereka,

o Abaikan sifat - iaitu semua jenis, nama, nilai dan unit semua elemen-elemen model akan diabaikan,

o Abaikan penerangan - iaitu perihal semua elemen-elemen model akan diabaikan.

Lihat juga

Bagaimana seni bina yang diwakili dalam ABACUS


Bantuan dalam bahasa lain

Navigation: Pengenalan kepada ABACUS>

Bantuan dalam bahasa lain

Menghantar komen mengenai topik ini.

ABACUS bantuan boleh didapati dalam pelbagai bahasa / terjemahan lain dan boleh dimuat turun dari pautan di bawah.

Untuk menggantikan semasa ABACUS fail bantuandengan fail bantuan diterjemahkan sila ikuti langkah berikut:

1. Simpan fail bantuan dari pautan yang berkaitan di bawah.

2. Menamakan semula fail bantuan untuk ABACUS.chm.

3. Membuka fail dengan mengklik dua kali dan jika satu 'Buka Fail - Keselamatan Amaran' dialog muncul kemudian jangan tanda "Sentiasa bertanya sebelum membuka fail" pilihan dan klik Buka.

4. Tutup fail.

5. Menggantikan fail ABACUS.chm di ABACUS fail program folder, biasanya "C: \ Program Files \ Avolution \ ABACUS"Atau"C: \ Program Files(x86)\ Avolution \ ABACUS".

Nota

Konteks bantuan sensitif akan terus bekerjasama dengan fail bantuan diterjemahkan.

ABACUS fail bantuan dalam bahasa lain:

· Bahasa Arab / العربية .

· Bulgaria / български .

· Chinese (Simplified) / 中文 (简体) .

· Czech / Česká .

· Denmark / Melayu .

· Estonia / Eesti .

· Finland / Suomen .

· Perancis / Français .

· Jerman / Deutsch .

· Hungary / Magyar .

· Iceland / Iceland .

· Indonesia / Indonesia .

· Itali / Italiano .

· Jepun / 日本 の .

· Latvia / Latvijas .

· Malaysia / Malaysia .

· Malta / Malt i .

· Norweigen / Norweigen .

· Poland / Po lska .

· Portugese / Português .

· Rusia / русский .

· Slovak / Slovenski .

· Slovenia / Slovenski .

· Sepanyol / Españoles .

· Sweden / Svenska .

· Turki / Türk .

· Wales / Cymraeg .

Lihat juga

Apakah ABACUS lakukan?


Bagaimana seni bina yang diwakili dalam ABACUS?

Navigation: Pengenalan kepada ABACUS>

Bagaimana seni bina yang diwakili dalam ABACUS?

Menghantar komen mengenai topik ini.

Dalam ABACUS, anda model senibina anda. Untuk memudahkan, kita panggil model ini seni bina seni bina.

Rajah di bawah menggambarkan bagaimana seni bina tipikal 5komponen (dalam hierarki) dihubungkan dengan 2 sambungan akan diwakili dalam ABACUS.

Bagaimana seni bina yang mudah diwakili dalam ABACUS

Anda boleh mempunyai apa-apa bilangan seni bina dalam fail ABACUS tunggal.

Seni bina pertama di pokok itu

Biasanya, anda akan mewujudkan satu kerangka baru setiap kali anda mahu untuk menilai perubahan. Sebagai contoh, anda akan model seni bina sedia ada anda pertama - ini akan menjadi seni bina yang pertama di pokok itu. Anda mungkin memanggilnya 'Semasa'.

Yang kedua

Apabila anda mahu untuk menjadi dan menilai perubahan kepada seni bina sedia ada anda (contohnya meningkat keperluan) yang hendak membuat seni bina baru. Cara yang paling mudah untuk melakukan ini adalah untuk membuat salinan 'Semasa' dan menamakan semula 'Evolution 1 Cuba 1'. Ini akan menjadi seni bina yang kedua di pokok itu. Jika penilaian anda 'Evolution 1 Cuba 1' yang berjaya, anda boleh menukar nama kepada hanya 'Evolution 1'.

Ketiga

Jika 'Evolution 1 Cuba 1' tidak memenuhi keperluan anda, anda boleh membuat satu salinan daripadanya, menukar nama kepada 'Evolution 1 Cuba 2', dan cuba lagi. Ini akan menjadi seni bina yang ketiga di pokok itu.

Lihat juga

Apakah ABACUS lakukan? | Bagaimana anda melakukannya (Overview) | Apa yang seni bina? | Bekerja dengan fail ABACUS | Mewujudkan atau pendua seni bina


Bagaimana untuk menggunakan ABACUS (Overview)

Navigation: Pengenalan kepada ABACUS>

Bagaimana untuk menggunakan ABACUS (Overview)

Menghantar komen mengenai topik ini.

Topik ini memberikan gambaran asas tugas-tugas yang terlibat dengan menggunakan ABACUS.

Gambar rajah berikut menunjukkan proses analisis berdasarkan seni bina yang ABACUS memperuntukkan berkembang seni bina semasa kepada seni bina baru atau sasaran.

Proses ABACUS

Untuk menggunakan ABACUS:

1. Audit - Sebelum anda menggunakan ABACUS, anda mesti mengumpul semua maklumat yang anda ada mengenai seni bina, dan keperluannya.

· Architecture - Mengenal pasti komponen yang berpotensi seni bina dan bagaimana mereka berinteraksi. Anda sepatutnya beberapa komponen di peringkat tertinggi. Ini dipanggil "komponen penting". Malah seni bina yang paling kompleks harus mempunyai kurang daripada 10 komponen penting. mis Komponen penting dalam seni bina syarikat insurans mungkin menjadi dasar, resit, tuntutan, dan pembayaran.

· Keperluan- Anda perlu tahu apa yang diharapkan daripada seni bina untuk menentukan sama ada ia adalah memuaskan. mis Bilangan urus niaga setiap jam.

· Di manakah anda mendapati ia? - Maklumat ini mungkin datang daripada keperluan spesifikasi, reka bentuk dokumen, temu bual dengan pihak berkepentingan, kod di dikerahkan, dan lain-lain Pada dasarnya apa-apa bahan yang boleh didapati menawarkan maklumat ABACUS tentang seni bina.

2. Duduki -Gunakan ABACUS untuk model seni bina dan untuk menentukan keperluan seni bina yang akan diukur.

· Architecture - Dalam ABACUS anda bermula dengan seni bina kosong - anda perlu mengisiia. Ini bermakna memasukkan semua maklumat seni bina yang anda berkumpul di atas. Anda boleh mengisi senibina anda secara manual (menggunakan menu klik kanan), atau anda boleh mengisi secara automatik (dari Microsoft Visio, Excel, Access dan lain-lain). Biasanya bahagian yang paling-peringkat (lebih abstrak) seni bina akan diisi secara manual, dan tahap yang lebih rendah (konkrit lebih) akan diisi secara automatik.

· Keperluan - Seperti yang anda menambah komponen dan sambungan anda, anda tentukan harta mereka. Dalam kebanyakan kes, sifat-sifat ini akan menjadi keperluan seni bina. Sebagai contoh, jika anda akan mempunyai 1250 nod MIPS / kelompok, anda akan menambah nod sebagai komponen, kemudian menambah harta prestasi, dan menetapkan nilai 1250 MIPS.

3. Menganalisa - Gunakan ABACUS untuk elegan menganalisis dan menggambarkan struktur kompleks senibina anda.Anda boleh menganalisis senibina anda dalam beberapa cara atau dari beberapa sudut pandang, termasuk gambar rajah, 3D dan Explorer. Selain itu, anda mungkin ingin menggunakan beberapa pandangan yang lebih khusus seperti berikut:

· Carta senibina anda - untuk mendapatkan prestasi (masa tindak balas, jalur lebar, dan lain-lain), kos (bar, pai, dan lain-lain) atau evolvability (ruang keupayaan, keseimbangan, dan lain-lain) pandangan.

· Buat laporan mengenai senibina anda.

4. Mensimulasikan - Gunakan ABACUS untuk mensimulasikan prestasi, ketersediaan, kos, keterbukaan senibina anda, dan lain-lain

· Untuk melakukan ini, menjalankan salah satu simulator. ABACUS menilai anda seni bina terhadap keperluan andadengan melakukan simulasi. Ia berbunyi dan analisis seni bina semasa, berjalan simulasi, dan mengira beberapa ciri-ciri baru. Ciri-ciri ini kemudiannya disimpan kembali ke seni bina. Ciri-ciri baru adalah data yang anda cuba untuk menganalisis, seperti penggunaan, masa tindak balas, jalur lebar,% ketersediaan, TCO dan lain-lain

5. Jurutera- Gunakan ABACUS untuk menjawab pelbagai "bagaimana jika" senario dan mengawal evolusi senibina anda. Kejuruteraan adalah proses mengulangi Mengisi - Menganalisis - Simulasikitaran.

· Pada ketika ini, andadahmungkin membangunkan pemahaman Architecture Semasa dan menekankan kawasan anda perlu berubah. Selalunya, bagaimanapun, anda perlu mengulangi Duduki yang - Menganalisis - Simulasi proses beberapa kali. Ini mungkin dilaksanakan kerana ia mungkin mengambil masa beberapa lelaran sebelum anda mencari Architecture Sasaran. Juga, jika anda bina adalah sangat kompleks, anda mungkin mahu mengulangi proses ini untuk setiap seni bina "tahap".

6. Pelanmasa depan seni bina anda menggunakan maklumat yang diberikan oleh ABACUS.

Nota

Jika anda tidak cuba untuk mengembangkan seni bina yang sedia ada, anda mungkin perlu untuk mengulangi beberapa langkah beberapa kali, dan dengan tujuan yang berbeza. Ia bergantung kepada apa yang anda cuba do. Sebagai contoh, jika anda mereka bentuk seni bina baru, anda akan mungkin hanya mengisi senibina anda sekali, dan kemudian menggunakan ABACUS dalam tempoh masa yang panjang untuk membimbing evolusi masa depan (s) seni bina. Sebaliknya, jika anda membeli satu kerangka baru dan mempunyai beberapa alternatif untuk dipilih, anda perlu Temui dan Duduki bagi setiap alternatif, dan kemudian Menganalisis dan simulasi masing-masing secara bebas sebelum melakukan perbandingan akhir di akhir.

Lihat juga

Apakah ABACUS lakukan? | Apa yang seni bina? | Bagaimana seni bina yang diwakili dalam ABACUS? | Ia merupakan pusat seni bina anda | Menganalisa senibina anda | Simulasi senibina anda


Mengimport ke dalam Architecture anda

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Mengimport ke dalam Architecture anda

Menghantar komen mengenai topik ini.

ABACUS membolehkan anda untuk mengimport ke dalam senibina anda daripada .abacus (Fail ABACUS), format (Microsoft Visio) xml (satu ABACUS XML serpihan atau ArchiMate Interchange Bahasa fail XML), .vsd, dan .xls (Microsoft Excel) format. Ini membolehkan anda untuk membina senibina anda dari sumber luar dengan cepat.

Untuk import senibina anda daripada.abacus (Fail ABACUS)

1. Pastikan anda mempunyai Fail ABACUSterbuka.

2. Klik kananpada nod Seni Bina, mana-mana seni bina dalam model anda atau mana-mana bahagian pokok Komponen ini.

3. Pilih Import| Dari Fail ...daripada menu.

4. Pilih lokasi dan .abacus yang fail dan klik Terbukabutang.

Nota

Selepas anda telah memilih fail yang anda ingin import, anda akan diminta bagaimana anda ingin mengimport piawaian, jenisdan pandangan. Anda boleh mengimport piawaian, jenis dan pandangan sama ada sebagai piawaian baru atau digabungkan, jenisdan pandangan. Tetapan lalai adalah untuk standard, jenis dan pandangan untuk digabungkan dengan standard yang sedia ada, jenis dan pandangan jika mereka sudah wujud (dengan nama yang sama yang tepat) dalam anda projek.

Untuk importsenibina anda daripadaxml (serpihan ABACUS XML atau ArchiMate Interchange Bahasa XML fail)

1. Pastikan anda mempunyai Fail ABACUSterbuka.

2. Klik kananpada nod Seni Bina, mana-mana seni bina dalam model anda atau mana-mana bahagian pokok Komponen.

3. Pilih Import| Dari XML ...daripada menu.

4. Pilih lokasi dan xml memfailkan dan klik Terbukabutang.

Nota

ABACUS hanya akan mengimport dibentuk dengan betul ABACUS XML serpihan atau ArchiMate Interchange Bahasa XML fail. Selepas anda telah memilih fail XML yang anda mahu untuk mengimport, anda akan diminta bagaimana anda ingin mengimport piawaian, jenisdan pandangan. Anda boleh mengimport piawaian, jenis dan pandangan sama ada sebagai piawaian baru atau digabungkan, jenisdan pandangan. Tetapan lalai adalah untuk standard, jenis dan pandangan untuk digabungkan dengan standard yang sedia ada, jenis dan pandangan jika mereka sudah wujud (dengan nama yang sama yang tepat) dalam anda projek.

Untuk importsenibina anda daripada.VSD(Visiofail)melihat di sini .

Untuk importsenibina anda daripada.xls (Fail Excel)melihat di sini .


Mengimport jenis dan standard dari perpustakaan

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Mengimport jenis dan standard dari perpustakaan

Menghantar komen mengenai topik ini.

Anda boleh mengimport jenis dan standard dari fail perpustakaan ABACUS. Anda juga boleh mengeksport jenis dan standard dari fail ABACUS anda ke fail perpustakaan ABACUS.

Untuk mengimport jenis dan standard dari perpustakaan anda ke dalam seni bina

1. Pastikan anda mempunyai Fail ABACUSterbuka dan Window Explorerdipaparkan.

2. Pilih File | Terbukauntuk membuka ABACUS fail perpustakaan.

3. Perpustakaan ABACUS akan dibuka di lembaran kedua tab dalam tetingkap Explorer dan anda perlu undock lembaran ini bertab untuk dapat menyeret dan lepas daripadanya ke fail ABACUS asal.

4. Seret dan lepasjenis dan standard dari perpustakaan ke dalam seni bina anda.

- Atau -

1. Pilih File | Baru ...

2. Cipta senarai baru Fail ABACUSberdasarkan ABACUS fail perpustakaan.

Untuk mengeksport jenis dan standard dari seni bina anda ke dalam perpustakaan

1. Pastikan anda mempunyai Fail ABACUSterbuka, Window Explorerdipaparkan, yang ABACUS fail perpustakaanterbuka dan Window Perpustakaandipaparkan.

2. Seret dan lepasjenis dan standard dari seni bina anda ke dalam perpustakaan.

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Ia merupakan pusat seni bina anda secara manual


Antara muka ABACUS

Navigation: Pengenalan kepada ABACUS>

Antara muka ABACUS

Menghantar komen mengenai topik ini.

Apabila anda mula ABACUS, anda akan melihat skrin utama, yang kosong kecuali untuk menu dan bar alat di bahagian atas, tetingkap Explorer kosong dan tajuk-bar. Skrin ini akan menjadi hab interaksi anda dengan ABACUS.

Unsur-unsur utama ialah:

· menu utama

· bar alat

· menu klik kanan

· explorer dan harta tingkap

· bar status

Menu utama

Menu disusun dalam susunan yang logik.

Menu diterangkan seperti berikut;

· Menu fail- Menu Fail membolehkan anda untuk membuat, membuka, menutup, menyimpan, eksport dan menerbitkan fail ABACUS. Ia juga membolehkan anda untuk membuat, membuka, menutup dan menyimpan fail Perpustakaan ABACUS.

· Edit Menu- Menu Edit membolehkan anda untuk memotong, menyalin, paste, memadam, menamakan semula, mencari dan menyusun unsur-unsurdan batal / buat semula operasi.

· Paparan menu- The View Menu membolehkan anda untuk membuka atau menutup pelbagai antara muka Windows dan status bar, Navigasi hadapan dan ke belakang, pergi ke pandangan tertentu dan menguruskan pemuka.

· Insert menu- Sisipan menu membolehkan anda untuk menambah baru piawaian, Template, jenis, unsur-unsur, melihattitiks, Katalog, gambar rajah, carta, Laporan dan matriks.

· Menu Analisis- Menu Analisis membolehkan anda untuk menjalankan penilaian terhadap seni bina termasuk; prestasi, kos, kebolehpercayaan, suai dan keterbukaan.

· Menu Tools- Alat menu membolehkan anda untuk menjalankan skrip, matlamat yang ditetapkan untuk seni binadan melaksanakan dan seni bina 'diff'. Anda juga boleh mengubah pilihan program dan menyesuaikan antara muka dari menu alat.

· Menu tetingkap- Menu Window membolehkan anda untuk berlabuh, mengatur, memaparkan dan menyembunyikan tingkap yang anda telah buka.

· Menu Bantuan- Dari menu Bantuan anda boleh mengakses ini ABACUS fail bantuan. Anda boleh mengakses laman web ini, melihat anda lesen perjanjian dan melihat butiran umum mengenai ABACUS termasuk versi perisian dan ABACUS sokongan dan butiran hubungan. Anda boleh memberi maklum balas melalui laman pemberitahuan isu. Jika perlu, anda boleh memasukkan kunci pendaftaran melalui menu Bantuan.

Ini adalah perintah yang anda biasanya akan mengikuti apabila anda menjalankan tugas-tugas anda;Sebaik sahaja anda telah membuat atau membuka fail, Biasanya anda akan mengisi seni bina, maka pandangan(dalam Explorer, gambar rajah, 3D, Carta, dan lain-lain). Pada ketika ini, anda sama ada akan menjalankan penilai, Atau anda akan mengulangi proses dengan seni bina yang sama atau seni bina yang berbeza. (Lihat Bagaimana untuk menggunakan ABACUS (Overview) untuk maklumat lanjut.)

Mempunyai melihat melalui menu utama dan cuba bayangkan bagaimana anda akan memohon mereka kepada sistem anda.

Nota

Awak boleh Sesuaikan menu anda bila-bila masa.

Bar alat

Secara lalai terdapat bar alat berikut;

· bar alat Utama -

· yang Simulasi bar alat -

· Lihat bar alat -

· yang Alat Rajahbar (jika gambar rajah terbuka) -

· Makro Rakaman bar alat -

Mempunyai melihat melalui butang pada setiap toolbar dengan melihat mereka untuk melihat alat-tip (jalan pintas kekunci).

Nota

Hanya butang tertentu akan aktif bergantung kepada apa yang telah anda pilih dalam tetingkap Explorer dan anda boleh Sesuaikan bar alat anda bila-bila masa.Selain itu, 'Mengesahkan / Daftar Kekangan Projek' butang pada bar alat utama dan butang pada bar alat simulasi yang akan mengetengahkan Merah apabila perubahan kepada repositori yang mendasari memerlukan pengesahan semula projek atau simulasi semula simulator yang masing-masing. Tuding pada butang untuk melihat seni bina yang terjejas.

Menu klik kanan

Menu utama dan toolbar adalah tidakdigunakan untuk segala-galanya, walaupun. Ia adalah lebih mudah untuk menggunakan menu konteks klik kanan untuk pelbagai operasi. (Juga, tidak semua arahan yang ada melalui klik kanan boleh didapati melalui menu utama, toolbar, atau arahan papan kekunci.)

Sebagai contoh, apabila anda telah membuat fail, dan anda mempunyai gambar rajah pokok senibina anda, ia adalah lebih baik untuk klik kanan pada Architectures di pokok itu untuk menambah seni bina baru. Begitu juga, anda perlu klik kanan pada Komponen untuk menambah komponen baru. Klik kanan pada beberapa perkara di pokok itu untuk melihat apa yang anda boleh lakukan.

Petua

Secara umumnya, anda akan menggunakan menu utama untuk melaksanakan tugas-tugas peringkat tinggi lebih, seperti menilai senibina anda. Tugas tahap rendah - seperti menambah komponen dan sambungan individu - dilakukan menggunakan bar alat dan / atau menu klik kanan.

Explorer dan sifat-sifat tingkap

Apabila anda membuka atau membuat fail, gambar rajah pokok akan dipaparkan dalam tetingkap Explorer. Ia adalah satu tetingkap ke senibina anda. Dan seperti yang anda memilih unsur-unsur dalam tetingkap Explorer tiga tingkap yang lain; Hartanah Umum, Rujukandan Hartanah tingkap akan mengemas kini untuk mencerminkan maklumat terperinci tentang pilihan anda.

Nota

Hartanah Umum, Rujukandan Hartanah tingkap disembunyikan. Lihat Menyesuaikan antara muka untuk bagaimana untuk jangan sembunyikan mereka dan berpotensi meninggalkan mereka selama-lamanya dipaparkan.

Walaupun anda membina seni bina anda, Explorer dan Hartanah tingkap adalah perwakilan yang paling berguna. Kerana mereka boleh runtuh dan berkembang seperti yang dikehendaki, dan mereka tidak menjadi rumit.

Tetingkap Explorer mempunyai Tree (dan bar Status) dan Properties tingkap mempunyai 5bahagian:

· Jenis

· Piawaian

· Penerangan

· Rujukan

· Properties

ABACUS menganggap semua perkara-perkara ini untuk menjadi sebahagian daripada seni bina.

Tree

Bahagian ini pokok dikumpulkan ke dalam 3 kawasan seperti berikut:

1. Meta-model

· Piawaian- Jika banyak komponen mempunyai set yang sama sifat, anda boleh menentukan set up-hadapan, dan kemudian hanya sediakan kepada komponen. Begitu juga dengan sambungan dan mana-mana daripada elemen-elemen lain. Set hartanah standard disimpan di dalam Piawaiancabang pokok itu. Daripada menentukan tiap-tiap harta untuk setiap komponen, dan setiap harta bagi setiap sambungan dll, hanya memperuntukkan standard. Sebagai contoh ciri-ciri standard Unix-HP / UXboleh disimpan sebagai Standard dan diberikan kepada mana-mana komponen menggunakan Unix-HP / UXsistem operasi seperti yang ditunjukkan untuk OS01 pelayan dalam gambar di atas.

· Jenis - Ini cabang pokok itu adalah perpustakaan daripada jenis komponen dan sambungan boleh anda gunakan. Jenis digunakan untuk menentukan meta-model seni bina dan untuk pengelasan dan penapisan apabila melihat senibina anda. Mereka juga menentukan template untuk apa piawaian, Hartanah dan kekangan komponen anda / sambungan boleh mempunyai.

· Pandangan- LihattitikFoto boleh dibuat dari gambar rajah yang sedia ada dan boleh digunakan untuk membuat gambar rajah baru.Mereka adalah stensil gambarajah.

· Templat - Template kedai semula boleh digunakan corak komponen dan sambungan bersama-sama dengan cara di mana mereka diwakili atau dilihat. Mereka boleh dianggap sebagai "mini" seni bina atau penyelesaian yang boleh diletakkan ke dalam seni bina yang sedia ada.

2. Seni Bina -The Architectures cawangan pokok itu adalah di mana anda membina seni bina (s) sistem anda. (Ini dipanggil populating seni bina.) Anda boleh mempunyai apa-apa bilangan seni bina dalam fail ABACUS tunggal.

3. Pemuka - Pejabat Pemuka pokok itu adalah di mana anda boleh mengakses mana-mana disimpan papan pemuka bagi projek itu.

Nota

Item dalam pokok Explorer yang terpaksa mereka Kebenaran Update dikeluarkan (iaitu mereka baca sahaja) ditunjukkan dengan warna kelabu.

Jenis

Seksyen ini menandakan tertentu komponen atau sambungan jenis elemen yang sedang dipilih di pokok itu.

Piawaian

Bahagian ini menyediakan satu senarai piawaian untuk elemen yang sedang dipilih di pokok itu.

Penerangan

Bahagian ini menyediakan penerangan ringkas mengenai elemen yang dipilih dalam pokok itu. Mana-mana pautan yang berkaitan juga boleh ditambah kepada seksyen ini. Ini termasuk laman web atau laluan mutlak tempatan menunjuk untuk melanjutkan maklumat mengenai elemen yang diberikan. Garis berganda juga dibenarkan. Hiperpautan Sah perlu untuk memulakan dengan salah satu daripada 5 tali; http: //, https: //, ftp: //, file: /// atau mailto :.

Petua

Untuk hyperlink dengan ruang, pengguna boleh menaip dalam URL atau laluan, pilih teks yang diperlukan dan Klik kanan| Pautan. Ini akan mengubah apa-apa ruang untuk % 20supaya seluruh URL atau laluan akan menimbulkan masalah.

Dicipta dan diubahsuai

Ini seksyensmenyediakanpengguna dan tarikh / masa untuk penciptaan dan pengubahsuaian terakhir untuk, elemen yang sedang dipilih di pokok itu.

Rujukan

Bahagian ini menyediakan satu senarai komponen keluar dan masuk untuk elemen yang sedang dipilih di pokok itu.Ia juga menunjukkan gambar rajah, 3D dan pandangan Carta bahawa elemen yang sedang dipilih akan muncul. Jika rajah yang dipilih ia menunjukkan Viewpoint jika digunakan untuk gambar rajah dan untuk pandangan secara umum ia menunjukkan sebarang Pemuka pandangan muncul dalam. Dan apabila Standard dipilih di pokok itu ia menunjukkan penggunaan standard mengikut jenis, komponen dan sambungan.

Properties

Seksyen ini adalah di mana anda menentukan ciri-ciri elemen dalam senibina anda, seperti cara yang anda perlukan untuk melaksanakan, bilangan baris kod ia mempunyai, peratusan ayat-ayat ini yang komen, dan lain-lain

The 'input' dan sifat-sifat 'output' terbina pra- simulator akan dipaparkan dalam tetingkap Properties dengan ikon pemilih baris input harta ( [image] ) Dan ikon output ( [image] ) Masing-masing dengan petua alat yang menunjukkan contoh pra-dibina simulator harta itu berkaitan dengan, 'Suai Output' atau 'Prestasi Input. Anak panah pada ikon output akan mengetengahkan Merah ( [image] ) Apabila harta yang sudah usang kerana sifatnya yang mendasari atau perubahan struktur kepada repositori dengan simulator yang memerlukan semula simulasi mengikut Merah menonjolkan pada Bar alat simulasi .

Bar status

Bahagian kiri bar status menunjukkan laluan penuh kepada elemen repositori kini dalam-fokus, sama ada dipilih dalam tetingkap Explorer atau di gambar rajahkanvas. Ini adalah supaya tempat yang tepat dalam hierarki repositori untuk elemen yang diberikan boleh sentiasa mudah ditentukan. Bahagian tangan kanan bar status menunjukkan pelbagai mesej operasi seperti 'Buka Fail ABACUS berjaya' dan 'Pengiraan Kos Bidang.

Lihat juga

Bagaimana anda melakukannya (Overview) | Menyesuaikan antara muka | Apa yang seni bina? | Bagaimana seni bina yang diwakili dalam ABACUS? | Bekerja dengan fail ABACUS


Apakah ABACUS lakukan?

Navigation: Pengenalan kepada ABACUS>

Apakah ABACUS lakukan?

Menghantar komen mengenai topik ini.

Untuk bantuan dalam bahasa-bahasa lain / terjemahan sila klik di sini .

ABACUS mengambil meneka kerja daripada berurusan dengan penyelesaian, sistem, perisian, maklumat, teknologi, proses perniagaan dan / atau keseluruhan perusahaan (secara kolektif dirujuk sebagai seni bina). Ia boleh membantu anda untuk pragmatik mereka bentuk, memantau, simulasi, menganalisis, dan menggambarkan anda seni bina oleh model itu, menganalisis dalam cara yang intuitif (contohnya carta, gambar rajah dan 3D) dan kemudian menilai ia terhadap keperluan bukan fungsi anda.

Nota

Syarat-syarat tidak berfungsiadalah mereka keperluan yang TIDAK berkaitan secara langsung kepada BAGAIMANA produk yang beroperasi. Sebaliknya, mereka bimbang dengan sejauh mana ia beroperasi. Keperluan tidak berfungsi termasuk perkara-perkara seperti prestasi, keterbukaan, evolvability, kualiti, berskala, suai, dan lain-lain (bertentangan dengan keperluan fungsian seperti, menghidupkan lampu ini apabila butang ini diklik). Secara tradisinya, keperluan yang tidak berfungsi telah sukar - jika tidak mustahil - untuk mengukur. Malah, ABACUS adalah satu-satunya produk yang objektif dan quantifiably boleh mengukur tiga pertama - prestasi, keterbukaan, Dan evolvability.

Ringkasnya, anda memasukkan seni bina dan apa yang anda perlukan untuk melakukan. ABACUS kemudian memberitahu anda jika ia akan berbuat seperti yang dikehendaki dan menunjukkan sebarang kelemahan atau jurang.

ABACUS berdasarkan lebih 20 tahun kajian sistem dan tahun-tahun teori sistem ditubuhkan. Ia memberikan anda yang boleh diukur, boleh dipercayai, jawapan objektif, supaya anda tidak bergantung kepada penilaian subjektif.

ABACUS bermaksud Architecture-BASED Analysis, Communication dan Understandingdaripada Systems. Ia boleh membantu anda dengan mana-mana seni bina berskala besar, tetapi ia biasanya digunakan untuk empat (4) perkara:

· Berkembangseni bina semasa. Sebagai contoh, jika seni bina yang sedia ada tidak mempunyai prestasi, ABACUS akan menggambarkan seni bina untuk anda, mengenal pasti masalah (kesesakan, dll), kemudian memberitahu anda tepatbagaimana untuk memperbaiki seni bina.

· Mereka bentukseni bina baru. Sebagai contoh, jika anda memerlukan seni bina yang baru, dan anda mereka bentuk sendiri, ABACUS akan memberitahu anda tepatapa komponen yang anda perlukan dan bagaimana mereka harus disambungkan.

· Pembelianseni bina baru. Sebagai contoh, jika anda telah dipanggil untuk tender kepada reka bentuk seni bina yang baru, dan anda memilih antara tiga reka bentuk, ABACUS akan memberitahu anda tepatyang mana satu sesuai keperluan anda yang terbaik.

· Menggabungkanseni bina yang sedia ada semasa. Sebagai contoh, jika anda perlu untuk menggabungkan dua atau lebih seni bina berasingan, ABACUS akan membimbing anda.

Lihat juga

Bagaimana anda melakukannya (Overview) | Apa yang seni bina? | Bagaimana seni bina yang diwakili dalam ABACUS?


Menggunakan pautan dalam Rajah

Navigation: populating senibina anda> Menggunakan Lukisan>

Menggunakan pautan dalam Rajah

Menghantar komen mengenai topik ini.

Bentuk (bentuk dan komponen percuma) dan Penyambung (bentuk atau sambungan percuma) dalam gambar rajah boleh dikaitkan dengan pernyataan anda yang sedia ada seni bina di ABACUS, serta fail / folder luaran dan URL. Pautan ini kemudiannya boleh diuruskan (dicipta, diubahsuai dan dihapuskan) melalui toolset ABACUS itu. Ciri ini boleh digunakan untuk meningkatkan pelayaran dan pemahaman keseluruhan senibina anda dalam gambar.

Untuk menambahkan pautan kepada gambar rajah anda

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Pilih bentuk yang berkaitan atau penyambung daripada rajah anda.

3. Klik kanankepada bentuk yangatau penyambung.

4. Pilih Buka Pautandan Pautantetingkap muncul.

5. Klik pada Tambahikon dan Pautan Barutetingkap muncul.

6. Pilih yang berkenaan Katalog | Matrix | Rajah| Lihat 3D| Cartabutang radio, kemudian pilih yang berkaitan katalog, matriks, gambar rajah, 3Datau carta pandangan dalam seni bina semasa daripada Sambung kedrop-down menu.

- Atau -

6. Pilih Laman webbutang radio kemudian, masukkan URL yang relevan (cth http: //www.avolutionperisian.com /)di lapangan untuk pautan ke laman web. URL yang sah perlu untuk memulakan dengan salah satu daripada 5tali; http: //, https: //, ftp: //,fail:atau \\. Mana-mana ruang yang harus dimasukkan dengan '% 20.

- Atau -

6. Pilih Fail mutlak | Fail relatif butang radios,kemudian klik pada 'yang...'Butang untuk menyemak imbas bagi fail luaran untuk pautan ke gambar rajah anda.

7. Klik okeydan pautan baru akan dipaparkan dalam tetingkap Pautan ini. Nota: Pautan tetingkap boleh ditukar saiznya untuk melihat nama penuh jika perlu.

8. Ulangi langkah 5-7untuk mewujudkan lebih banyak pautan.

9. Menggunakan pautan ini diwujudkan, pilih pautan yang berkaitan dipaparkan dalam Pautantingkap dan klik Buka Pautan.

Nota

Bila pelbagai anotasi dipaparkan untuk satu bentuk atau penyambung link ditunjukkan pada catatan pertama dalam senarai penjelasan dalam dialog Edit Penjelasan.

Untuk mengikuti pautan dari rajah anda

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Pilih bentuk yang berkaitan atau penyambung daripada rajah anda.

3. Klikpada pautan yang berkaitan (biru bergaris bawah nama komponen) pada bentuk yang atau penyambung dalam gambar rajah untuk membuka dan melihat pautan pertama dari bentukatau penyambung.Nota: Kursor perlu menukar kepada 'tangan' apabila link sedia untuk diklik.

- Atau -

3. Pilih bentuk yang berkaitan atau penyambung daripada rajah anda.

4. Klik kanankepada bentuk yangatau penyambung.

5. Pilih Buka Pautan dan juga Pautantetingkap muncul.

6. Pilih pautan berkaitan yang anda ingin lihat.

7. Klik pada Buka Pautanbutang untuk membuka dan melihat pautan yang berkaitan.

Untuk memadam pautan dalam rajah anda

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Pilih bentuk yang berkaitanatau penyambungdaripada rajah anda.

3. Klik kanankepada bentuk yangatau penyambung.

4. Pilih Buka Pautan dan juga Pautantetingkap muncul.

5. Pilih pautan berkaitan yang perlu dihapuskan.

6. Klik pada Padambutang. dan pautan dikeluarkan dari Pautan tingkap.

Pautan Penganjur dalam rajah anda

Anda boleh memilih yang mengaitkan gambar rajah, fail luaran, atau URL web dipaparkan apabila label bentuk adalah Ctrl + klik dalam gambar rajah.

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Pilih bentuk yang berkaitan atau penyambung daripada rajah anda.

3. Klik kanankepada bentuk yangatau penyambung.

4. Pilih Buka Pautan dan juga Pautantetingkap muncul.

5. Untuk mengubah suai perintah pautan klik pada Move Up | Alih ke Bawahbutang di sebelah kanan Pautantingkap.

6. Pautan pertama yang muncul di sebelah kiri Pautantetingkap adalah pautan yang memaparkan apabila anda Ctrl + Klikbentuk yang hiperpautan atau penyambung nama.

Lihat juga

Ia merupakan pusat seni bina anda | Ia merupakan pusat seni bina anda secara manual | Menganalisa senibina anda


Memanipulasi Rajah

Navigation: populating senibina anda> Menggunakan Lukisan>

Memanipulasi Rajah

Menghantar komen mengenai topik ini.

Setelah gambar rajah telah dicipta, unsur-unsur yang muncul dalam ia boleh diatur semula dan semula bersaiz seperti yang dikehendaki.

Untuk memindahkan komponen dalam gambarajah

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik-dan-memegangmana-mana komponen untuk menggerakkannya. Jika komponen yang dipilih mempunyai ibu bapa, komponen induk akan diserlahkan.

3. Sebagai elemen adalahdiseret daripada komponen induk, dan lebih komponen lain, 'berpotensi' ibu bapa akan menjadi diserlahkan. Skim warna yang digunakan menunjukkan kesan operasi akan ada di amaran dan kesilapan dengan projek semasa dan yang dinyatakan di dalam Menentukan dan Pengesahan Kekangan . Dengan cara ini, anda boleh mengemudi grafik hierarki dari 'pandangan pelan.

4. Akhbarbutang tetikus untuk menggugurkan elemen di lokasi baru.

Nota

Anda juga boleh menggunakan papan kekunci untuk unsur-unsur di atas kanvas lukisan-kedudukan semula. Hanya pilih komponen atau bentuk bebas bentuk yang anda mahu untuk bergerak dan menggunakan kekunci anak panah di papan kekunci untuk menggerakkan bentuk ke tempat yang dikehendaki.

Juga ambil perhatian bahawa apabila mengheret komponen dengan tetikus anda ke atas komponen yang lain, komponen induk berpotensi 'diserlahkan apabila sudut atas kiri komponen yang anda menyeret bertindih komponen lain.

Petua

Bentuk yang unik dan Bentuk terapung boleh ditempah oleh klik kanandan memilih Bawa ke hadapanatau Hantar Ke belakangdaripada menu. Adalah penting untuk ambil perhatian bahawa bentuk komponen boleh ditukar kepada bentuk bentuk bebas oleh klik kananpada bentuk komponen tertentu dan memilih Tukar kepada bentuk yang unik.

Untuk mengubah saiz komponen dalam gambarajah

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik-terus-seretsalah satu pemegang komponen dan mengubah saiz bentuk dengan saiz yang dikehendaki.

3. Sebagai alternatif untuk mengekalkan nisbah aspek bentuk ini, tekan Shift + Klik-terus-seret.

Untuk bergerak sambungan dalam gambar rajah

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik-dan-memegangapa-apa sambungan untuk menggerakkannya.

3. Akhbarbutang tetikus untuk menggugurkan elemen di lokasi baru.

Nota

Anda hanya boleh bergerak sambungan yang tidak terikat kepada mana-mana komponen. Jika mereka melekat, anda hanya boleh bergerak hujung bebass, Atau semula laluan sambungan .

Memadam Komponen dan Sambungan

Apabila memadam komponen atau sambungan dari gambarajah, anda mempunyai pilihan untuk memadam dari keseluruhan seni bina. Mana-mana komponen yang dipadamkan daripada seni bina akan dibuang secara automatik dari mana-mana gambar rajah lain di mana ia muncul. Oleh kerana keadaan bentuk yang unik hanya muncul dalam satu gambar rajah, memotong mereka tidak menjejaskan model seni bina atau mana-mana gambar rajah lain.

Untuk memadam satu komponen atau sambungan dari gambar rajah

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klikdi mana-mana sambungan yang bersangkutan atau komponen untuk memilihnya.

3. Tekan PadamKunci untuk memadamnya dari rajah, atau Shift + Deleteuntuk memadamnya dari keseluruhan model.

- Atau -

2. Klik kanan pada mana-mana elemen berkaitan atau komponen. Menu konteks akan muncul.

3. Pilih Memotong daripada Viewatau Memotong daripada Architecturedari menu konteks.

Nota

Jika elemen yang anda ingin padamkan dari pandangan tidak mempunyai anak dan hanya berlaku pada pandangan itu, ABACUS akan bertanya sama ada anda mahu memadam unsur daripada repositori juga.

Awas

Apabila memadam komponen daripada model yang mempunyai komponen kanak-kanak, kanak-kanak juga akan berpotensi dipadam mengikut dialog amaran.

Menghimpunkan Komponen

Anda mungkin mahu untuk menggabungkan dua komponen yang sedia ada pada rajah yang sama (dan dalam seni bina). Ini boleh dilakukan kerana banyak sebab, contohnya, Dua pelayan wujud dalam infrastructure- H sesebuah syarikat01 dan H02. Kedua-dua pelayan diwakili sebagai dua komponen berasingan dalam seni bina. H01 telah dianggap tidak perlu dan dengan itu adalah akan ditamatkan. Semua permohonan yang sedia ada berjalan di H01 yang akan dipindahkan ke H02 (masih dalam suruhanjaya). Perubahan ini kemudian boleh dilihat oleh tindakan "penggabungan" kedua-dua komponen H01 dan H02 pada rajah (dan dalam seni bina).

Untuk perbincangan terperinci mengenai penggabungan sila rujuk kepada Item topik Menghimpunkan di sini .

Untuk menggabungkan dua komponen yang sedia ada

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik kanan-pegangkepada komponen yang anda mahu untuk bergabung dan dragia ke komponen yang anda mahu bergabung dengan. Pastikan garis komponen destinasi yang diserlahkan merah untuk menunjukkan bahawa ia dipilih.

3. Pilih Gabung | Memelihara Destinasiatau Destinasi menulis gantidaripada menu.

Nota

Yang Memelihara Destinasipilihan mengekalkan nilai-nilai sifat-sifat komponen destinasi itu jika wujud pada komponen yang berasal juga.

Yang Destinasi menulis gantipilihan menulis ganti sifat komponen destinasi dengan mana-mana harta bersama daripada komponen asal.

Menukar Sambungan

Sambungan yang ditunjukkan dalam gambar rajah sentiasamencerminkan struktur sebagaimana yang ditakrifkan dalam seni bina itu sendiri. Alat Lukisan membolehkan anda menanggalkan sambungan dari komponen, memindahkan mereka, keluk mereka, semula laluan mereka dan lampirkan semula mereka kepada komponen lain.

Untuk melepaskan / melampirkan sambungan daripada / kepada komponen

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Klik-dan-memegangdi mana-mana sambungan.

3. Pilihsambungan akhir(iaitu Sumber atau tenggelam) Yang anda ingin menanggalkan / dilampirkan. Nota: hujung sambungan ditandakan dengan bulatan putih kecil dan berlegar di atas bulatan putih untuk kedua akan menyebabkan 'tooltip' untuk muncul dengan masing-masing peranannama(iaitu sama ada sumber atau tenggelam).

4. Dragsambungan berakhir ke lokasi baru (sama ada tempat kosong atau komponen a) dan lepaskan butang tetikus.

Nota

Apabila akhir sambungan diletakkan atas komponen yang sah, garis komponen destinasi yang diserlahkan dengan garis putus-putus. Skim warna yang digunakan menunjukkan kesan operasi akan ada di amaran dan kesilapan dengan projek semasa dan yang dinyatakan di dalam Menentukan dan Pengesahan Kekangan . Setelah dibebaskan yang akhir kee sambungan dan komponen disambungkan secara automatik(atau yang dilampirkan), Dan ini dapat dilihat dalam model seni bina.

Untuk memilih semula laluan sambungan

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Meletakkan penunjuk tetikus pada sambungan.

3. Pegang Shiftutama ke bawah dan Klikbutang tetikus untuk meletakkan titik sambungan utama. Lepaskan Shift utama. Anda boleh mengeluarkan mata anchor dengan melakukan operasi yang sama.

4. Klik-dan-serettitik sauh semula laluan sambungan.

Petua

MenggunakanAlt utama dan bukannya ShiftKunci untuk buat sambungan ortogon.

Untuk keluk atau meluruskansambungan

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Meletakkan penunjuk tetikus pada sambungan.

3. Klik kanantdia sambungan dan dalam menu konteks yang muncul pilih Curve, Ortogon atau Lurus.

Petua

Semua sambunganjenis yang diberikan pada rajah boleh ditetapkan untuk melengkung, ortogon atau lurus dengan klik kanan garis yang berkaitan untuk jenis yang pada Tab Connectionsdaripada Tetingkap stensildan The Curve memilih, ortogon atau lurus.

Untuk berlabuh ke titik tertentu di pinggir bentuk

1. Pastikan anda mempunyai yang sedia ada rajah terbuka .

2. Pilih sambungan.

3. Letakkan penunjuk tetikus ke atas yang 'dot putih' pada akhir sambungan.

4. Klik kanantdia akhir sambungan dan dalam menu konteks yang muncul pilih Berlabuh titik akhir kepada Bentuk.Pindah akhir sambungan ke lokasi keinginan di pinggir bentuk.

ATAU

Pegang Ctrlutama ke bawah dan cmenjilat-dan-seretyang akhir sambungan mata kepada lokasi keinginan di pinggir bentuk.

Nota

Sambungan akan snap untuk memintas sebenar berhubung bentuk mereka dan bukannya kotak bounding yang bentuk itu.

Lihat juga

Alat Lukisan | Ia merupakan pusat seni bina anda | Menganalisa senibina anda


Menghimpunkan barangan

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Menghimpunkan barangan

Menghantar komen mengenai topik ini.

Apabila anda akan bergabung barangan?

Anda akan bergabung barangan apabila anda mempunyai dua (atau lebih) objek dalam model anda yang terbaik diwakili oleh contoh tunggal. Terdapat banyak keadaan apabila anda mungkin mahu melakukan ini, termasuk:

· Hasil daripada mengimport satu set baru maklumat ke dalam model anda yang mungkin salinan atau mengambil alih maklumat sedia ada. Sebagai contoh jika anda mengimport versi terkini hamparan ke dalam model anda.

· Dari masa ke masa pendua bagi komponen 'sama' telah diwujudkan dan anda ingin membersihkan salinan ini.

· Jika anda sedang melakukan apa-jika senario dan item yang anda sedang model sebenarnya bergabung dalam realiti. Sebagai contoh, jika anda menggabungkan dua jabatan dalam organisasi anda, atau jika anda menggabungkan dua pelayan.

Apa yang boleh digabungkan?

Jenis-jenis item sokongan yang digabungkan:

· Piawaian

· Komponen dan Sambungan Jenis

· Komponen dan Sambungan

Bagaimana untuk menggabungkan item

Untuk memulakan merge, dengan menggunakan butang kanan tetikus, seret satu item dalam explorer ke lain. Item yang anda mengheret adalah sumber, dan item yang anda seret ke atas destinasi. Setelah melepaskan butang kanan tetikus anda akan disajikan dengan menu yang anda boleh memilih untuk menggabungkan kedua-dua item. Anda akan perlu untuk memilih sama ada anda mahu untuk mengekalkan atau menulis ganti destinasi. Ini turut dijelaskan di bawah.

The merge menu kanan drag

Apakah perbezaan di antara memelihara dan menulis ganti destinasi?

Memelihara atau menulis ganti pilihan menentukan apa yang berlaku jika Nama, Penerangan atau Properties antara perlawanan sumber dan barangan menarik.

Jika Memelihara Destinasi dipilih

· Nama destinasi dan Penerangan akan disimpan.

· Mana-mana Hartanah yang hanya wujud dalam sumber ditambah ke destinasi.

Jika Tulis ganti Destinasi dipilih:

· Nama Destinasi yang akan ditulis ganti dari sumber.

· Penerangan Destinasi yang akan ditulis ganti dari sumber, kecuali Penerangan sumber ini adalah kosong.

· Mana-mana Hartanah yang hanya wujud dalam sumber ditambah ke destinasi.

· Nilai dan Unit sebarang Properties yang wujud dalam kedua-dua sumber dan destinasi akan ditulis ganti dari sumber, kecuali Nilai sumber atau Unit adalah kosong.

Kes Khas

· Jenis: Apabila penggabungan jenis, kebenaran yang bergabung, dengan cara yang 'pesimis', yang jika kebenaran kepada sumber tidak wujud di destinasi, ia akan ditambah, dan jika ia tidak wujud di destinasi, kemudian jika individu kebenaran bagi kumpulan pengguna (Membuat, Read, Update atau Padam) tidak sepadan dengan (satu diberikan, telah mendustakan), maka kebenaran yang akan dinafikan.

· Komponen: Apabila penggabungan komponen, sub-komponen sumber itu dipindahkan ke destinasi, dan digabungkan dengan sub-komponen dalam destinasi jika nama-nama mereka adalah sama, Tanpa mengira jenis mereka.Tambahan pula, beberapa sub-komponen sumber dengan nama yang sama akan digabungkan ke dalam sub-komponen tunggal di destinasi.

· Sambungan: Sambungan peringkat atas diri mereka kedua-duanya mesti mempunyai lampiran sama (atau kekurangan daripadanya) dibenarkan untuk digabungkan. Apabila bergabung sambungan, sub-sambungan sumber dipindahkan ke destinasi, dan digabungkan dengan sub-sambungan di destinasi jika nama-nama mereka adalah sama DANlampirannya adalah sama. Jika lampiran tidak sama, sumber sub-sambungan akan dimasukkan ke destinasi tanpa bergabung dengan sambungan yang hampir sama telah diketahui. Ini adalah supaya tiada lampiran hilang.


Navigation dalam Rajah 3D

Navigation: Menganalisa senibina anda> gambarajah 3D>

Navigation dalam Rajah 3D

Menghantar komen mengenai topik ini.

ABACUS membolehkan anda dengan mudah menavigasi melalui senibina anda dalam 3D. Pengalaman ini adalah sama dengan terbang. Terdapat dua mod pelayaran:

· Mod Kawalan Asas (Default); dan

· Mod kawalan maju - tukar ke mod ini dengan memilih Kawalan| Mod Kawalan Lanjutan.

Nota

Untuk bertukar antara Kawalan Asas dan Lanjutan Kawalan Mod, anda boleh menggunakan F4papan kekunci fungsi jalan pintas.

Mod kawalan asas

· Memegang butang kiri dan menggerakkan tetikus di hadapan atau ke belakang mengubah padang;

· Memegang butang kiri dan menggerakkan tetikus ke kiri atau kanan berubah rewang;

· Memegang butang kanan dan menggerakkan tetikus kuali pandangan;

· Memegang kedua-dua butang ke bawah dan menggerakkan tetikus di hadapan atau ke belakang, Zum masuk dan keluar dari seni bina; dan

· Memegang kedua-dua butang ke bawah dan menggerakkan tetikus ke kiri atau kanan, gulung kiri dan kanan.

- Atau -

· Menekan Anak Panah Kiripada keyboard atau papan kekunci berangka akan bertukar kiri;

· Menekan Anak Panah Kananpada keyboard atau papan kekunci berangka akan belok kanan;

· Menekan Panahpada keyboard atau papan kekunci berangka akan zum masuk;

· Menekan Panahpada keyboard atau papan kekunci berangka akan zum keluar;

· Menekan Page Uppada keyboard atau papan kekunci berangka akan mendirikan sehingga; dan

· Menekan Halaman bawahpada keyboard atau papan kekunci berangka akan mendirikan ke bawah.

Mod Kawalan Lanjutan

· Bergeraktetikus ke hadapan dan belakang, dan ke atas dan ke bawah, mengubah padang dan yaw (masing-masing);

· Menekan Watau Panahzum masuk (ke hadapan) untuk seni bina;

· Menekan Satau PanahZum keluar (ke belakang) dari seni bina;

· Menekan Aatau Anak Panah Kirigulung ke kiri;

· Menekan Datau Anak Panah Kanangulung ke kanan;

· Menekan Qatau Halaman bawahmengangkat pandangan (dengan mengurangkan perspektif); dan

· Menekan Eatau Page Upmerendahkan pandangan (dengan mengangkat perspektif).

Mod kawalan interaktif

Menekan dan menahan kekunci shiftpada papan kekunci mengatasi mod semasa (Basic atau Advanced) untuk memasuki mod kawalan interaktif. Dalam mod ini yang berikut mungkin:

· Rollkursor tetikus ke atas komponen atau sambungan untuk melihat komponen atau nama sambungan itu;

· Klikpada komponen untuk mengezum masuk pada komponen itu;

· Klik-dan-seretkepada komponen untuk memutarkan paparan di sekitar komponen itu; dan

· Klik kanankomponen atau sambungan dan pilih Show In Exploreruntuk melihat bahawa komponen atau lokasi sambungan di pokok itu.

Kawalan biasa

· Penggunaan ALT-ENTER / ESCuntuk bertukar-tukar mod skrin penuh;

· Penggunaan F2untuk menukar mod paparan. Ini juga boleh diakses di LihatMenu.

· Menggunakan roda tetikusatau +/-untuk menukar kelajuan. Kelajuan ditunjukkan oleh beberapa di sudut tangan kiri - ditunjukkan hanya apabila ia berubah-ubah. 1 adalah paling perlahan dan 100 adalah paling cepat.


Membuka Rajah

Navigation: populating senibina anda> Menggunakan Lukisan>

Membuka Rajah

Menghantar komen mengenai topik ini.

Lukisan stensil dan kanvas windows muncul secara automatik apabila gambarajah dibuka atau dicipta. Begitu juga, apabila gambar rajah ditutup, kira-kira yang sama tab dalam tetingkap kanvas hilang dan jika tiada lukisan lagi terbuka tetingkap stensil ditutup.

Untuk mewujudkangambarajah baru

1. Pastikan anda mempunyaiFail ABACUS terbukamengandungi anda seni bina penduduk.

2. Klik pada Diagramicon dalam View bar alat.

- Atau -

2. Pilih Insert| Diagram.

- Atau -

2. Klik kananyang Rajahcabang tertentu Architecturebahagian pokok dan pilih Buat Rajah.

3. Pilih Architectureanda mahu untuk memberi tumpuan kepada dari menu tarik-ke bawah. Nota: seni bina sudah akan dipilih untuk anda jika anda menggunakan Langkah 3 di atas untuk membuka gambar rajah yang baru.

4. Pilih Viewpoint anda ingin gunakan dari menu tarik-ke bawah. Nota: pandangan yang dipilih akan menapis komponen dan senarai sambungan ke hanya menjadi orang-orang yang boleh didapati atas pandangan.

5. Secara pilihan memilih Pandangan dari Tapis Lihattarik-ke bawah menu untuk mengadakan pemilihan pertama komponen dan sambungan dari pandangan yang dipilih. Nota: ini adalah berkesan menggunakan paparan yang dipilih sebagai pertanyaan yang disimpan.

6. Pilih Layout untuk menjadi sama ada Radial atau Grid.

7. Pilih Komponendan Sambunganyang anda mahu dalam rajah dari elemen standard tetingkap pilihan .

8. Klik okey.

Nota

Gambar rajah baru akan ditambah kepada Rajahcabang seni bina. Ia akan mempunyai nama lalai, yang anda boleh menukar kemudian dengan klik kanan padanya.Tambahan pula, akhirnya keadaan komponen dan pilihan sambungan penapis akan disimpan dengan gambar rajah berkesan menyelamatkan 'pertanyaan' digunakan untuk membuat gambar rajah.

Untuk membuka Rajah yang sedia ada

1. Dalam seni bina penduduk tertentu, mengembangkan Rajahcabang pokok itu.

2. Klik dua kali gambarajah yang anda mahu buka.

Untuk menyimpan gambar rajah

1. Pastikan anda mempunyai gambarajah baru atau sedia ada terbukadan anda telah membuat perubahan yang diperlukan. Nota: asterisk '*' akan dipaparkan selepas nama pemandangan dalam header helaian bertab jika terdapat perubahan untuk diselamatkan.

2. Memandangkan explorer klik pada Simpanbutang atau perlu Fail| Simpanatau menekan Ctrl + Suntuk menyimpan semua perubahan dalam seni bina dan menulis ke fail.

Untuk menyimpan gambar rajah sebagai pandangan

1. Pastikan anda mempunyai gambarajah yang sedia ada dalam fail ABACUS anda.

2. Klik kanangambarajah dalam Rajahbahagian pokok itu.

3. Pilih Simpan sebagai Viewpoint Rajah.

4. Masukkan nama untuk anda yang baru pandangan rajahdan klik okey.

Lihat juga

Alat Lukisan | Ia merupakan pusat seni bina anda | Menganalisa senibina anda


Populating menggunakan Katalog

Navigation: Ia merupakan pusat seni bina anda>

Populating menggunakan Katalog

Menghantar komen mengenai topik ini.

A Katalog membolehkan anda untuk melihat dan mengedit komponen atau sambungan dan harta mereka dengan cara jadual yang mudah.

Untuk membuat Katalog baru melihat dalam ABACUS

Nota

Walaupun semua pengguna Architect boleh membuat Katalog baru, untuk menyimpan perubahan kepada tetapan yang Catalogue yang sedia ada yang lesen pengguna memerlukan Designer keupayaan add-on. Ini adalah untuk 'melindungi' konfigurasi Katalog sedia ada yang boleh dikongsi oleh ramai pengguna. Walau bagaimanapun, Arkitek menggunakan tanpa Designer add-on masih boleh memilih untuk 'Save As' mana-mana tetapan baru kepada Catalogue baru. Dan sudah tentu semua lesen pengguna boleh memilih untuk 'Buang' apa-apa perubahan kepada Catalogue yang sedia ada. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan Designer add-on keupayaan. Dan ingat, ini adalah hanya tatacara yang Catalogue, semua suntingan dibuat kepada data dalam Katalog dengan serta-merta digunakan untuk tabung, tanpa mengira.

1. Pilih Insert | Catalogue.

2. Di dalam tarik-ke bawah pilih Architecture yang mengandungi komponen atauKenalan anda ingin lihat.

3. Di dalam tarik-ke bawah pilih komponen atau jenis sambungan yang anda ingin mempunyai contoh-contoh disenaraikan sebagai 'baris' dalam katalog.

4. Yang Katalog akan diisi denganbaris bagi setiap contoh komponen atau sambungan jenis yang dipilih.

Nota

Secara lalai paling kiri Path hierarkiruang (iaitu hierarki komponen induk atau sambungan di atas contoh-contoh yang dipilih) dan ke-2 Nama ruang (iaitu senarai komponen atau sambungan contoh-contoh terpilih) yang beku di sebelah kiri katalog. Untuk menukar lajur pembekuan seret pemisah lajur di sebelah kanan lajur Nama. Awak boleh semula rangkaruangan hanya dengan mengheret dan menjatuhkan tajuk lajur mereka. Sel-sel tiang dengan menggariskan biru adalah hiperpautan kepada unsur-unsur lain dalam projek dan hiperpautan boleh diikuti dengan menekan Ctrl dan klik pautan. Kolum boleh tersembunyi dengan klik kanan tajuk lajur dan memilih Ruangan | Sembunyi Column. Ruangan tersembunyi boleh dinyahsembunyikan dengan mengklik butang Tetapkan toolbar Tiang dan menggunakan Kolum Konfigurasi dialog seperti yang ditunjukkan di bawah, atau dengan memilih anak panah sebahagian down butang Tetapkan toolbar Columns dan secara individu memilih lajur tersembunyi (s) sama ada daripada Ketua, Hartanah atau Lampiran koleksi. Baris boleh dikumpulkan oleh nilai-nilai ruangan mereka dengan mengheret tajuk lajur ke dalam bar perkumpulan biru di bahagian atas katalog. Pada bila-bila masa anda boleh klik dua kali pada pemilih berturut-turut Katalogdan melompat kekomponen yang sepadanatau sambungandalam tetingkap Explorer.Nilai sel harta adalah huruf tebal di mana mereka adalah berbeza dengan piawai, dan ditulis dengan huruf condong di mana mereka baca sahaja. Tanda waktu, Hartanah dan dilampirkan ruangan Komponen mungkin berwarna mengikut nilai sel atau nilai harta komponen dilampirkan dengan mengklik kanan tajuk lajur dan memilih Ruangan | Tukar Warna ... dan kemudian warna dengan Cap Masa atau pilihan Colour By Hartanah, bagaimanapun, hanya Senarai, Integer, Perpuluhan, Boolean atau Tarikh / Masa ciri-ciri jenis data akan warna. Nilai hartanah untuk tiang Komponen Dilampirkan mungkin ditunjukkan dengan klik kanan tajuk lajur dan memilih Ruangan | Tunjuk Property ... dan kemudian pilihan Tunjukkan Hartanah. Dan akhirnya, di mana terdapat Kekangan yang diperlukan ditetapkan untuk lajur harta ini boleh ditunjukkan dengan tali (serta mewarna mengikut tahap penguatkuasaannya) dengan klik kanan tajuk lajur dan memilih Ruangan | Tunjuk .

Katalog

Untuk menambah lajur / menunjukkan kepada a Katalog pandangan dalam ABACUS

1. Pastikan bahawa anda mempunyai Pandangan Catalogue terbuka.

2. Ruangan tersembunyi boleh dinyahsembunyikan secara individu dengan mengklik arrow di sebelah kanan Tetapkan Kolum butang bar alatdan memilih lajur tersembunyi dari sama ada Umum, Properties atau Lampiran koleksi.

Nota

Tanda tanda akan ditunjukkan di sebelah tiang kini ditunjukkan untuk katalog.Selain itu, hanya lampiran tertentu akan disediakan di bawah Lampiran seksyen mengikut kekangan yang ditakrifkan dalam projek anda. Khususnya, untuk lampiran untuk disediakan untuk ditunjukkan dalam katalog komponen jenis komponen untuk katalog mesti dinyatakan sama ada sebagai sumber atau tenggelam (BUKAN 'Mana-mana') kekangan yang "berkaitan hendaklah disertakan" untuk sambungan jenis, dan terdapat juga mestilah sekurang-kurangnya satu jenis komponen yang dinyatakan sama ada sebagai sumber atau tenggelam (BUKAN 'Mana-mana') untuk 'menamatkan' lain jenis sambungan yang sama.

- ATAU -

2. Tiang berganda boleh dinyahsembunyikan (atau diperintahkan atau tetap) dengan mengklik Konfigurasi Kolum butang bar alatdan menggunakan Kolum Dialog konfigur ditunjukkan di bawah.

Nota

Lajur sedang dipaparkan ditunjukkan dalam panel di sebelah kanan dengan tiang-tiang yang ada ditunjukkan dalam panel di sebelah kiri. Ruangan yang tersedia mungkin ditapis mengikut Pilih Kolum Terdapat Daritarik-ke bawah dan mereka boleh ditambah dengan memilih mereka dalam panel di sebelah kiri dan mengklik Tambah butang inbetween dua panel.

Konfigurasi Kolum dialog

Untuk membuang / menyembunyikan lajur dari Katalog pandangan dalam ABACUS

1. Pastikan bahawa anda mempunyai Pandangan Catalogue terbuka.

2. Klik kanan pengepala lajur untuk lajur yang anda ingin membuang / sorok-pilih Ruangan | Menyembunyikan Ruangan.

- ATAU -

2. Tiang berganda boleh tersembunyi (atau diperintahkan atau tetap) dengan mengklik Konfigurasi Kolum butang bar alatdan menggunakan Kolum Dialog konfigur ditunjukkan di atas.

Nota

Lajur sedang dipaparkan ditunjukkan dalam panel di sebelah kanan dengan tiang-tiang yang ada ditunjukkan dalam panel di sebelah kiri. Lajur sedang dipaparkan boleh disembunyikan dengan memilih kolum dalam panel di sebelah kanan dan klik Buang butang inbetween dua panel.

Untuk mengisi menggunakan Katalog pandangan dalam ABACUS

1. Untuk menambah komponen atau sambunganuntuk jenis dipilih kepadayang Katalog (dan projek) klik Tambah Komponen Baru / butang bar alat Sambungan Baru Tambah. Baris perlu muncul dan komponen atau sambungan akan dicipta di peringkat bahagian atas Komponen atau Koleksi Sambungan Seni Bina yang dipilih.

Nota

Komponen baru dan sambungan ditambah secara lalai di peringkat bahagian atas Komponen atau Sambungan koleksi Senibina yang dipilih. Untuk menukar induk komponen atau sambungan baru klik kanan sel jalan yang Hierarki untuk komponen atau sambungan baris baru dan pilih Tukar Ibu Bapa ...dan pilih induk yang dikehendaki (mengambil perhatian terhadap penonjolan kekangan ).

Nota

Baris baru / elemen ditambah terus ke katalog melalui 'Add New' butang, ditampal ke dalam katalog, atau diwujudkan melalui mengimport ke dalam katalog dari MS Excel dikecualikan daripada penapisan sehingga katalog ditutup. Ini adalah untuk membenarkan mana-mana suntingan perlu nilai lajur yang mungkin tidak memenuhi kriteria penapisan semasa katalog. Ini baris elemen baru ditunjukkan oleh '+' simbol dalam sel pemilih berturut-turut pada awal baris, yang berwarna hijau jika unsur yang sedang memenuhi kriteria penapisan disimpan katalog (iaitu akan kekal pada Katalog jika dibuka semula), dan merah jika ia tidak.

2. Untuk mengeluarkan komponen atau sambunganuntuk jenis dipilih daripadayang Katalog (dan projek) memilih baris dan memuat tekan kekunci Del atau klik kanan pemilih berturut-turut dan pilih Memotong daripada Architecture. Yang berturut-turut akan hilang dari katalog dan ia akan dipadamkan daripada projek itu.

Untuk penapis menggunakan Katalog pandangan dalam ABACUS

1. Pastikan bahawa anda mempunyai Pandangan Catalogue terbuka.

2. Jika baris penapis tidak dipaparkan di bahagian atas katalog kemudian klik pada Show Pilih Tandukan Rowbutang bar alat.

3. Dalam ruang yang anda ingin menambah penapis, klik dua kali berturut-turut penapis sel di mana ia menunjukkan '(Semua).

4. Untuk Tanda waktu, Jalan Hierarki, Namaatau Peneranganruangan umum atau Teks, Integer, Perpuluhan, Booleanatau Tarikh / Masaruangan harta klik butang ... yang muncul di sebelah kanan bagi sel baris penapis dan masukkan nilai sel yang perlu dimasukkan ke dalam katalog.

Nota

Matching dilakukan seolah-olah '*' wildcard secara automatik digunakan sebelum dan selepas apa-apa nilai rentetan supaya satu kemasukan 'cat' (tanpa pengikat kata) termasuk baris dengan 'bobkucing','kucingwanita 'atau' Applikucingion 'dan lain-lain Pelbagai /' atau 'nilai-nilai boleh dimasukkan pada baris baru menggunakan Ctrl + Enter. Bagi Integer dan lajur harta Decimal 'dan' logik boleh dimasukkan menggunakan '&'(Tanpa pengikat kata) dan lebih besar daripada / kurang daripada lain-lain logik boleh dimasukkan menggunakan'> =','>','<'Dan'<='(Tanpa pengikat kata) mis '> = 50000 & <90000'. Bukan kosong baris bernilai boleh dimasukkan dengan menandakan '(Non-kosong)'(Tanpa pengikat kata) dan baris bernilai kosong boleh dimasukkan dengan menandakan'(Kosong)'(Tanpa pengikat kata).Dan akhirnya, semua penapis adalah melalui kes lalai tidak sensitif jadi 'kucing' (tanpa pengikat kata) termasuk baris dengan 'kucing', 'kucing' atau 'CAT' dan lain-lain yang hampir sama sensitif kes, masukkan '(Kes)'(Tanpa pengikat kata) sebelum tali mis (Kes) Cat '(tanpa pengikat kata) hanya akan memasukkan baris dengan' Cat 'di dalamnya.

5. Untuk Lampirantiang, Piawaian lajur atau Senarai ruangan harta klik butang anak panah ke bawah yang muncul di sebelah kanan bagi sel baris penapis dan memilih nilai-nilai sel daripada kotak semak yang perlu dimasukkan ke dalam katalog.

Nota

The '(Pilih Semua)' kotak semak akan membolehkan semua kotak pilihan lain, yang berkuat kuasa termasuk semua baris disediakan. The '(Non-kosong) kotak semak akan termasuk mana-mana bukan kosong-baris dihargai. The '(kosong) kotak semak akan diletakkan pada baris kosong dihargai. Dan akhirnya, tidak menanda mana-mana kotak semak khusus bernilai secara automatik nyahpilih yang '(Pilih Semua)' dan '(Non-kosong) kotak semakan untuk konsisten.

6. Klik okey untuk memohon penapis.

Untuk melumpuhkan / membolehkan penapisan pada a Katalog pandangan dalam ABACUS

1. Pastikan bahawa anda mempunyai Pandangan Catalogue terbuka dengan penapis gunaan.

2. Klik kotak semak di sebelah kiri baris penapis.

Untuk keluarkan penapis dari a Katalog pandangan dalam ABACUS

1. Pastikan bahawa anda mempunyai Pandangan Catalogue terbuka dengan penapis gunaan.

2. Untuk mengalih keluar penapis kolum individu klik kanan pengepala lajur dan pilih Ruangan | Clear Penapisan.

3. Untuk membuang semua penapis klik Pilihan butang bar alat dan pilih Tetapan Pilih jelas.

Untuk menyelamatkan / simpan sebagai aPandangan Catalogue

Nota

Walaupun semua pengguna Architect boleh membuat Katalog baru, untuk menyimpan perubahan kepada tetapan yang Catalogue yang sedia ada yang lesen pengguna memerlukan Designer keupayaan add-on. Ini adalah untuk 'melindungi' konfigurasi Katalog sedia ada yang boleh dikongsi oleh ramai pengguna. Walau bagaimanapun, Arkitek menggunakan tanpa Designer add-on masih boleh memilih untuk 'Save As' mana-mana tetapan baru kepada Catalogue baru. Dan sudah tentu semua lesen pengguna boleh memilih untuk 'Buang' apa-apa perubahan kepada Catalogue yang sedia ada. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan Designer add-on keupayaan.Dan ingat, ini adalah hanya tatacara yang Catalogue, semua suntingan dibuat kepada data dalam Katalog dengan serta-merta digunakan untuk tabung, tanpa mengira.

1. Pastikan anda mempunyai baru atau pandangan Katalog sedia ada terbukadan anda telah membuat perubahan yang diperlukan.

2. Di dalam Pandangan Catalogueklik toolbar pada Simpanbutang untuk menyelamatkan Pandangan Catalogue dan apa-apa perubahan format.

Nota

Jika anda tidak mempunyai butang Simpan dalam bar alat pandangan Katalog maka anda tidak mempunyai Designer add-on dan anda hanya boleh Simpan sebagaisebarang tetapan berubah kepada satu katalog baru apabila anda pergi untuk menutup katalog sedia ada.

3. Jika yang KatalogNamadialog muncul (kerana menjadi satu katalog baru) masukkan nama untuk Katalog dan tekan okey.

Untuk eksport ke katalog MS Excel

1. Pastikan bahawa anda mempunyai Pandangan Catalogue terbuka.

2. Klik Eksport ke Excel spreadsheet Cataloguebutang bar alat.

3. Pilih nama fail untuk menyimpan katalog MS Excel sebagai. Klik Simpan.

Nota

Secara lalai nama fail dieksport katalog MS Excel yang akan menjadi nama Katalog ini akhiran dengan nama Seni Bina dalam kurungan, contohnya 'Projek (2014 Sebenar) .xlsx. Anda boleh menukar mana-mana ini, termasuk sama ada format fail tidak menjadi .xlsx atau .xls. Nama Architecture dimasukkan untuk mengingatkan pengguna bahawa setiap Katalog mempunyai kandungan tertentu (iaitu ID dalam lajur A dan baris 1) untuk membolehkan ia menjadi bulat tersandung kembali menggunakan Import dari katalog MS Excel seperti berikut.

Nota

Secara lalai Lajur A yang tersembunyi dalam katalog MS Excel yang dieksport mengandungi ID unik untuk setiap unsur-unsur di dalam tabung ABACUS itu. Ini membolehkan sebarang perubahan yang dibuat dalam MS Excel untuk 'dipadankan' kepada unsur-unsur yang ada dalam ABACUS di import (lihat di bawah). Walau bagaimanapun, penggunaan ID unik ini untuk 'menandingi' baris mungkin diatasi dengan Luar | IDharta pada unsur. Iaitu, jika unsur yang mempunyai Luar | Harta ID dan ia termasuk di dalam katalog atas eksport maka nilai-nilai Luar | Ruangan ID akan digunakan untuk perlawanan sehingga baris pada import (lihat di bawah) dan nilai ID unik dalam ruang tersembunyi A akan diabaikan (dan juga boleh kosong). The Ruangan tersembunyi A sendiri mesti kekal, bagaimanapun, khususnya nilai dalam sel A1. Tambahan pula, apabila menambah ID luaran kepada koleksi elemen ABACUS sedia ada kami cadangkan menambah mereka sebagai harta yang berbeza pertama, contohnya Luar | Suhu dan kemudian menamakan semula harta itu kepada Luar | ID. Jika tidak unsur-unsur salinan akan ditambah.

Pemformatan Cataloguedieksport secara lalai, bagaimanapun, bagi katalog besar ini boleh menyebabkan eksport yang agak perlahan. Oleh itu, dalam Tools | Pilihan ...kemudian pada yang Katalogtab,anda mampu untuk mengurangkan jumlah format yang dieksport seperti yang ditunjukkan pada tab Katalog di bawah, dengan itu mempercepatkan eksport.

Eksport Catalogue pilihan

4. Dialog Eksport Bidang dipaparkan. Klik okey.

Dieksport ke katalog MS Excel

Untuk import dari katalog MS Excel

Nota

Secara lalai Lajur A yang tersembunyi dalam katalog MS Excel yang dieksport (lihat di atas) mengandungi ID unik untuk setiap unsur-unsur di dalam tabung ABACUS itu. Ini membolehkan sebarang perubahan yang dibuat dalam MS Excel untuk 'dipadankan' kepada unsur-unsur yang ada dalam ABACUS pada import. Walau bagaimanapun, penggunaan ID unik ini untuk 'menandingi' baris mungkin diatasi dengan Luar | IDharta pada unsur. Iaitu, jika unsur yang mempunyai Luar | Harta ID dan ia termasuk di dalam katalog atas eksport (lihat di atas), maka nilai-nilai Luar | Ruangan ID akan digunakan untuk perlawanan sehingga baris pada import dan nilai ID unik dalam ruang tersembunyi Seorang akan diabaikan (dan juga boleh kosong). The Ruangan tersembunyi A sendiri mesti kekal, bagaimanapun, khususnya nilai dalam sel A1. Tambahan pula, apabila menambah ID luaran kepada koleksi elemen ABACUS sedia ada kami cadangkan menambah mereka sebagai harta yang berbeza pertama, contohnya Luar | Suhu dan kemudian menamakan semula harta itu kepada Luar | ID. Jika tidak unsur-unsur salinan akan ditambah.

1. Pastikan bahawa anda mempunyai Pandangan Catalogue terbuka.

2. Klik Import dari spreadsheet Excel Cataloguebutang bar alat.

3. Pilih nama fail untuk mengimport katalog MS Excel dari. Klik Terbuka.

4. Kesilapan Baru Dikesan dan / atau Kesilapan Baru / Amaran Dikesan dialog mungkin muncul bagi apa-apa kandungan baru (iaitu baris dalam MS Excel) yang telah ditambah. Perhatikan kesilapan / amaran dan klik okey.

5. Dialog Import Bidang dipaparkan dan ia boleh menunjukkan amaran kerana import (lihat nota di bawah). Klik okey.

Nota

Bagi yang diberikan Piawaian atau dilampirkan ruangan Component, entri baru melalui katalog MS Excel mesti sepadan dengan betul-betul nama Piawaian yang sedia ada atau Komponen jenis yang betul untuk tugasan atau sambungan yang perlu ditambah. Yang pertama dinamakan Perlawanan akan digunakan dan mana-mana penyertaan yang tidak dapat ditandingi akan menjana amaran seperti di bawah. Tambahan lagi, walaupun amaran diberikan dalam semula import, elemen tidak dipadamdari ABACUS jika dia tidak berada di dalam katalog MS Excel. Ini kerana tidak ada cara yang ABACUS boleh tahu sama ada komponen yang diberikan Standard atau dilampirkan wujud dalam projek ABACUS tetapi tidak wujud dalam katalog MS Excel kerana ia telah dipadamkan daripada katalog MS Excel atau telah ditambah kepada ABACUS projek sejak katalog dieksport. Oleh itu, jika pengguna ingin dengan mudah 'mengesan' yang sambungan telah ditambah semasa proses import mereka hanya boleh membuat harta yang diperlukan pada jenis sambungan dan menetapkan ia lalai untuk kosong supaya mereka akan diberi amaran bagi sebarang sambungan baru setiap kali import selesai.

Nota

Apabila mengimport katalog MS Excel pelbagai amaran mungkin dipaparkan. Pertama, jika lajur baru telah ditambah kepada Excel yang tidak sepadan dengan 'sintaksis' untuk harta atau komponen dilampirkan lajur akan diabaikan. Seterusnya, baris demi baris amaran akan dipaparkan untuk apa-apa isu dengan data pada setiap baris katalog Excel. Amaran-amaran ini bermula dengan jumlah baris dalam kurungan persegi dan jika berkaitan label lajur (iaitu '[23, J] ...' untuk baris 23, kolum J) dan boleh merujuk kepada item yang dipadamkan, Piawaian yang tidak dapat ditandingi atau nama Komponen dilampirkan (yang diabaikan seperti komen di atas) atau ID tidak sah atau kosong berkaitan dengan baris / elemen baru (yang akan ditambah). Untuk artikel terperinci mengenai populating ABACUS menggunakan katalog Excel sila rujuk kepada Avolution Komuniti atau kursus latihan Pengurus Portfolio.

Nota

Komponen baru dan sambungan ditambah secara lalai di peringkat bahagian atas Komponen atau Sambungan koleksi Senibina yang dipilih. Untuk menukar induk komponen atau sambungan baru klik kanan sel jalan yang Hierarki untuk komponen atau sambungan baris baru dan pilih Tukar Ibu Bapa ...dan pilih induk yang dikehendaki (mengambil perhatian terhadap penonjolan kekangan ).

Nota

Elemen ditambah terus ke katalog melalui 'Add New' butang, ditampal ke dalam katalog, atau diwujudkan melalui mengimport ke dalam katalog dari MS Excel dikecualikan daripada penapisan sehingga katalog ditutup. Ini adalah untuk membenarkan mana-mana suntingan perlu nilai lajur yang mungkin tidak memenuhi kriteria penapisan semasa katalog. Ini baris elemen baru ditunjukkan oleh '+' simbol dalam sel pemilih berturut-turut pada awal baris, yang berwarna hijau jika unsur yang sedang memenuhi kriteria penapisan disimpan katalog (iaitu akan kekal pada Katalog jika dibuka semula), dan merah jika ia tidak.

Untuk membandingkan kandungan katalog dengan seni bina lain

1. Sila rujuk kepada topik di sini .

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Ia merupakan pusat seni bina anda secara manual | Ia merupakan pusat seni bina anda dari Visio | Ia merupakan pusat seni bina anda dari Excel


Populating menggunakan Matriks

Navigation: Ia merupakan pusat seni bina anda>

Populating menggunakan Matriks

Menghantar komen mengenai topik ini.

Matriks A membolehkan anda untuk melihat dan mengedit 'langsung' hubungan antara komponen dalam cara jadual yang mudahdan juga untuk melihat 'laluan tidak langsung' di antara komponen-komponen mengikut mana-mana komponen perantaraan (dan sambungan).

Untuk mewujudkan pemandangan Matrix dalam ABACUS

Nota

Walaupun semua pengguna Architect boleh membuat Matrices untuk menyelamatkan mereka dan / atau tetapan mereka yang lesen pengguna memerlukan Designer keupayaan add-on. Ini adalah untuk 'melindungi' konfigurasi Matrices sedia ada yang boleh dikongsi oleh ramai pengguna. Walau bagaimanapun, Arkitek menggunakan tanpa Designer add-on masih boleh memilih untuk 'Save As' mana-mana tetapan ke satu Matrix baru. Dan sudah tentu semua lesen pengguna boleh memilih untuk 'Buang' apa-apa perubahan kepada Matrix yang sedia ada. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

1. Pilih Insert | Matrix.

2. Di dalam rchitecture>tarik-ke bawah pilih Architecture yang mengandungi komponen dan sambungan anda ingin lihat.

3. Di dalam <SumberJenis>tarik-ke bawah pilih jenis komponen yang anda ingin mempunyai contoh-contoh disenaraikan sebagai 'baris' bawah kirimatriks.

4. Di dalam <TenggelamJenis>tarik-ke bawah pilih jenis komponen yang anda ingin mempunyai contoh-contoh disenaraikan sebagai 'ruangan' seluruh bahagian atasmatriks.

5. Di dalam Tarik ke bawah terdapat pada dasarnya dua 'mod' matriks anda boleh menentukan ...

Sambungan 'langsung' matriks

6. Hanya sumat pilihan satu (1) atau lebih sambungan jenis di sebelah kanan menu yang muncul jika anda ingin melihat dalam 'sel-sel matriks jikan tersuratsambungan wujud dari Menegak/ 'berturut-turut'Komponen matriks kepada Mendatar/ 'ruangan'Komponen matriks.

Nota

Hanya sambungan dengan sumber AKHIR bertugas di Menegak/ 'berturut-turut'Komponen dan tenggelam akhir bertugas di Mendatar/ 'ruangan'Komponen akan ditunjukkan. Menukar Sumberdan TenggelamPilihan-pilihan jenis komponen untuk melihat sambungan ke arah yang bertentangan.

7. Matriks akan diisi dengan 'X' dalam sel-sel (atau nilai harta - lihat nota di bawah) jika terdapat sambungan dari Menegak/ 'berturut-turut 'komponen matriks kepada Mendatar/ 'ruangan'Komponen matriks.

Nota

Untuk matriks besar hanya maksimum 100 baris atau lajur (termasuk runtuh baris / lajur) akan dipaparkan pada satu masa seperti yang ditunjukkan oleh 'R' dan petunjuk 'C' dalam sel header bahagian atas-kiri masing-masing. Untuk melihat baris tambahan menggunakan bar tatal. Pada bila-bila masa anda boleh klik dua kali pada Menegak/ 'berturut-turut'Atau Horizontal / 'ruangan'Komponen tajuk dan melompat kekomponen yang sama dalam tetingkap Explorer.Ibu bapa yang menegak/ 'berturut-turut' dan Mendatar/ 'ruangan'Komponens juga pilihan seperti menuju baris / lajur dengan tajuk tajuk kelabu. Apabila runtuh (dengan klik tunggal sel tajuk) jika kanak-kanak lampiran wujud maka satu 'X' akan secara pilihan ditunjukkan jika semua kanak-kanak ditempatkan atau 'O' pilihan akan ditunjukkan jika hanya beberapa kanak-kanak telah dilampirkan. Sel-sel yang berkenaan berwarna mengikut nilai harta daripada sambungan dengan mengklik Opsyen 'gear roda' di bahagian atas kanan bar alat matriks dan memilih Tetapan warna ... dan kemudian butang Edit dan memilih warna dengan Cap Masa atau Colour By Property pilihan dan memilih harta, Min dan Max pelbagai nilai dan memilih warna, bagaimanapun, hanya Senarai, Integer, Perpuluhan, Boolean atau Tarikh / Masa ciri-ciri jenis data akan warna. Jika runtuh sel akan diwarnakan mengikut nilai harta purata sambungan. Bukannya 'X', nilai hartanah untuk sel-sel mungkin ditunjukkan dengan mengklik 'roda gear' Pilihan pada atas kanan bar alat matriks dan memilih Tunjukkan Nilai Tetapan ... dan kemudian butang Edit dan memilih pilihan Tunjukkan harta dan memilih harta.

Sambungan terus matriks yang menunjukkan Server mana Permohonan adalah menjadi tuan rumah dengan pewarna dan harta yang ditunjukkan bukannya generik 'X'

- ATAU -

Sambungan 'tidak langsung' matriks

6. Sumat pilihanurutan sambungan jenis dan jenis komponendi sebelah kanan dan kiri menu yang muncul jika anda ingin melihat dalam 'sel-sel matriks jikan jalan tidak langsung komponen berhubungwujud daripada Menegak/ 'berturut-turut'Komponen matriks kepada Mendatar/ 'ruangan'Komponen matriks.

Nota

Mana-mana jalan yang sah yang merangkumi unsur-unsur dipilih dalam menu jalan yang wsakit ditunjukkantanpa mengira ke arah sambungan yang asas, bagaimanapun, apabila memilih jalan yang pertamadan elemen yang terakhir dipilih mestilah jenis sambungan. Tambahan pula, perintah daripada elemen-elemen yang telah dipilih ditunjukkan dengan awalan berangkadi dataran ('[]') kurungan dan jenis tertentu boleh dimasukkan kali mutlipledalam laluan (seperti yang dinyatakan oleh awalan berangka). Pemilihan kali berturut-turut jenis komponen atau jenis sambungan ditafsirkan sebagai 'ATAU'jalan dan hierarki komponen dilampirkan boleh secara pilihan termasuk dengan memeriksa 'Cari juga ibu bapa Lampiran / kanak-kanak'Kotak semak. Menukar Sumberdan TenggelamPilihan-pilihan jenis komponen untuk melihat laluan ke arah yang bertentangan.

7. Matriks akan diisi denganjalan / kutipan komponendalam sel-sel jika terdapat jalan daripada Menegak/ 'berturut-turut 'komponen matriks kepada Mendatar/ 'ruangan'Komponen matriks.

Nota

Untuk matriks besar hanya maksimum 100 baris atau lajur (termasuk runtuh baris / lajur) akan dipaparkan pada satu masa seperti yang ditunjukkan oleh 'R' dan petunjuk 'C' dalam sel header bahagian atas-kiri masing-masing. Untuk melihat baris tambahan menggunakan bar tatal. Pada bila-bila masa anda boleh klik dua kali pada Menegak/ 'berturut-turut'Atau Horizontal / 'ruangan'Komponen tajuk dan melompat kekomponen yang sama dalam tetingkap Explorer.Ibu bapa yang menegak/ 'berturut-turut' dan Mendatar/ 'ruangan'Komponens juga pilihan seperti menuju baris / lajur dengan tajuk tajuk kelabu. Apabila runtuh (dengan klik tunggal sel tajuk) jika mana-mana laluan kanak-kanak wujud maka satu 'X' akan secara pilihan ditunjukkan jika semua kanak-kanak ditempatkan atau 'O' pilihan akan ditunjukkan jika hanya beberapa kanak-kanak mempunyai laluan. Komponen jalan tidak langsung mungkin berwarna mengikut nilai harta komponen dengan mengklik Opsyen 'gear roda' di bahagian atas kanan bar alat matriks dan memilih Tetapan warna ... dan kemudian butang Edit dan memilih warna dengan Cap Masa atau Colour By Property pilihan dan memilih harta, Min dan Max pelbagai nilai dan memilih warna, bagaimanapun, hanya Senarai, Integer, Perpuluhan, Boolean atau Tarikh / Masa ciri-ciri jenis data akan warna. Nilai hartanah untuk komponen jalan tidak langsung mungkin ditunjukkan dengan mengklik 'roda gear' Pilihan pada atas kanan bar alat matriks dan memilih Tunjukkan Nilai Tetapan ... dan kemudian butang Edit dan memilih pilihan Tunjukkan harta dan memilih harta.

Sambungan tidak langsung matriks yang menunjukkan Permohonan yang melaksanakan perkhidmatan yang diberikan oleh Jabatan

Untuk penapispemandangan Matrix dalam ABACUS

1. Pastikan anda mempunyai baru Pandangan Matrix terbuka.

2. Klik 'corong' Penapis Paksi di bahagian atas kanan bar alat matriks.

3. Mengenai Sumber dan / atau tab tenggelam menambah Nama, Hartanah, Penerangan, Hierarki atau penapis Standard dengan mengklik butang Tambah, memilih Property jika perlu dan klik okey. Pilih opsyen yang berkaitan dalam panel Kata kunci / Item menggunakan logik / sintaks seperti yang dinyatakan dalam nota di bawah. Panel preview automatik akan mengemas kini untuk menunjukkan hasil set semasa penapis.

Nota

Untuk Tanda waktu, Jalan Hierarki, Namaatau Peneranganpenapis atau Teks, Integer, Perpuluhan, Booleanatau Tarikh / Masapenapis harta yang hampir sama dilakukan seolah-olah '*' wildcard secara automatik digunakan sebelum dan selepas apa-apa nilai rentetan supaya satu kemasukan 'cat' (tanpa pengikat kata) termasuk baris dengan 'bobkucing','kucingwanita 'atau' Applikucingion 'dan lain-lain Pelbagai /' atau 'nilai-nilai boleh dimasukkan pada baris baru menggunakan Ctrl + Enter. Untuk Integer dan Decimal penapis harta 'dan' logik boleh dimasukkan menggunakan '&'(Tanpa pengikat kata) dan lebih besar daripada / kurang daripada lain-lain logik boleh dimasukkan menggunakan'> =','>','<'Dan'<='(Tanpa pengikat kata) mis '> = 50000 & <90000'. Bukan kosong baris bernilai boleh dimasukkan dengan menandakan '(Non-kosong)'(Tanpa pengikat kata) dan baris bernilai kosong boleh dimasukkan dengan menandakan'(Kosong)'(Tanpa pengikat kata).Untuk Piawaian atau Senarai harta menapis The '(Pilih Semua)' kotak semak akan membolehkan semua kotak pilihan lain, yang berkuat kuasa termasuk semua unsur-unsur yang ada. The '(Non-kosong) kotak semak akan mengandungi sebarang unsur-unsur harta bukan kosong dihargai. The '(kosong) kotak semak akan termasuk apa-apa harta kosong elemen dihargai. Dan tidak menanda mana-mana kotak semak khusus bernilai akan secara automatik nyahpilih yang '(Pilih Semua)' dan '(Non-kosong) kotak semakan untuk konsisten. Dan akhirnya, semua penapis adalah melalui kes lalai tidak sensitif jadi 'kucing' (tanpa pengikat kata) termasuk unsur-unsur dengan 'cat', 'kucing' atau 'CAT' dan lain-lain yang hampir sama sensitif kes, masukkan '(Kes)'(Tanpa pengikat kata) sebelum tali mis (Kes) Cat '(tanpa pengikat kata) hanya akan merangkumi unsur-unsur dengan' Cat 'di dalamnya.

Untuk mengisi menggunakan pemandangan Matrix dalam ABACUS

Nota

Anda hanya boleh menambah / alih keluar sambungan di mana jenis sambungan tunggal telah digunakan untuk jalan yang dinyatakan di atas.

1. Untuk menambah sambunganuntuk jenis dipilih antara Menegak/ 'berturut-turut'Komponen dan Mendatar/ 'ruangan'Komponen matriks, di mana' X 'tidak sudah wujud(atau nilai harta ditunjukkan - lihat nota di atas), Klik dua sel. 'X' akan muncul (atau nilai harta - lihat nota di atas) dan sambungan akan diwujudkan di peringkat bahagian atas koleksi Sambungan Seni Bina yang dipilih.

Nota

Nama sambungan akan menjadi sambungan nama jenis seperti tetapan jenis sambungan matriks dan jika nilai harta yang ditunjukkan dan bukannya 'X' nilai piawai bagi harta yang akan ditunjukkan.

2. Untuk mengedit nilai hartanah ditunjukkankepada hubungan antara a Menegak/ 'berturut-turut'Komponen dan Mendatar/ 'ruangan'Komponen matriks, Klik dua sel, atau klik kanan sel dan pilih Edit Nilai ..., dan mengedit nilai dalam dialog Tukar Nilai.

3. Untuk membuang sambunganuntuk jenis dipilih antara Menegak/ 'berturut-turut'Komponen dan Mendatar/ 'ruangan'Komponen matriks, di mana' X 'sudah wujud(atau nilai harta ditunjukkan - lihat nota di atas), berhak-klik seldan pilih Putuskan. X akan hilang dan sambungan akan dihapuskan daripada projek itu.

Untuk menyelamatkan / simpan sebagai aPandangan Matrix

Nota

Walaupun semua pengguna Architect boleh membuat Matrices untuk menyelamatkan mereka dan / atau tetapan mereka yang lesen pengguna memerlukan Designer keupayaan add-on. Ini adalah untuk 'melindungi' konfigurasi Matrices sedia ada yang boleh dikongsi oleh ramai pengguna. Walau bagaimanapun, Arkitek menggunakan tanpa Designer add-on masih boleh memilih untuk 'Save As' mana-mana tetapan ke satu Matrix baru. Dan sudah tentu semua lesen pengguna boleh memilih untuk 'Buang' apa-apa perubahan kepada Matrix yang sedia ada. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan Designer add-on keupayaan.Dan ingat, ini adalah hanya tatacara Matrix, semua suntingan dibuat kepada data dalam Matrix dengan serta-merta digunakan untuk tabung, tanpa mengira.

1. Pastikan anda mempunyai baru Pandangan Matrix terbukadan anda telah membuat perubahan yang diperlukan.

2. Di dalam Pandangan Matrixklik toolbar di paling kiri yang Simpan Matrixbutang untuk menyelamatkan Pandangan Matrix dan apa-apa perubahan format.

Nota

Jika anda tidak mempunyai butang Simpan dalam bar alat pandangan Matrix maka anda tidak mempunyai Designer add-on dan anda hanya boleh Simpan sebagaiapa-apa perubahan kepada tetapan matriks baru apabila anda pergi untuk menutup matriks yang sedia ada.

3. Jika yang MatrixNamadialog yang muncul (kerana menjadi matriks baru) masukkan nama untuk matriksdan tekan okey.

Untuk eksport ke MS Excel matriks

1. Pastikan bahawa anda mempunyai Pandangan Matrix terbuka.

2. Klik Eksport ke Excelbutang bar alat.

3. Pilih nama fail untuk menyelamatkan matriks MS Excel sebagai. Klik Simpan.

Nota

Secara lalai nama fail dieksport MS Excel matriks ini akan menjadi nama Matrix akhiran dengan nama Seni Bina dalam kurungan, contohnya 'Aplikasi dihoskan di Server (2014 Sebenar) .xlsx. Anda boleh menukar mana-mana ini, termasuk sama ada format fail tidak menjadi .xlsx atau .xls.

Pemformatan Matrixdieksport secara lalai, bagaimanapun, bagi matriks besar ini boleh menyebabkan eksport yang agak perlahan. Oleh itu, dalam Tools | Pilihan ...kemudian pada yang Matrixtab,anda mampu untuk mengurangkan jumlah format yang dieksport seperti yang ditunjukkan pada tab Matrix di bawah, dengan itu mempercepatkan eksport.

Matrix eksport pilihan

4. Dialog Eksport Bidang dipaparkan. Klik okey.

Dieksport ke MS Excel matriks

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Ia merupakan pusat seni bina anda secara manual | Ia merupakan pusat seni bina anda dari Visio | Ia merupakan pusat seni bina anda dari Excel


Populating Rajah

Navigation: populating senibina anda> Menggunakan Lukisan>

Populating Rajah

Menghantar komen mengenai topik ini.

Lukisan dalam ABACUS lebih daripada perwakilan hanya sewenang-wenangnya. Mereka disesuaikan pemandangan seni bina, diformat dan disusun untuk menunjukkan makna tertentu.

Alat Lukisan menguatkuasakan struktur hierarki seni bina, supaya komponen visual bersarang dalam komponen lain - berkesan memberikan 'pandangan pelan' unsur-unsur. Sebaik sahaja komponen atau sambungan telah ditakrifkan dalam seni bina, ia boleh digunakan dalam apa-apa bilangan gambar rajah yang berbeza. Yang penting, Alat Lukisan berkait rapat dengan model seni bina, supaya perubahan dilakukan dalam mana-mana satu yang sentiasa dicerminkan dalam lain.

Alat ini berfungsi dengan mengaitkan bentuk dengan sambungan dan komponen jenis tertentu yang ditakrifkan dalam seksyen Jenis yang seni bina. Persatuan-persatuan ini berbeza-beza bergantung kepada jenis gambar rajah yang dikeluarkan, dan ia adalah mungkin bahawa satu jenis komponen (atau sambungan) boleh mempunyai perwakilan yang berbeza dalam gambar rajah yang berbeza, bergantung kepada konteks.

Untuk menyediakan kaitan antara bentuk dan komponen atau jenis sambungan

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka .

2. Memaksimumkan permohonan ABACUS, dan mengkonfigurasi bahagian tetingkap yang anda inginkan.

3. Pilih Tab bentukatau Tab penyambung dalam tetingkap stensil.

4. Di dalam Jeniscawangan Explorer, mengesan komponen atau jenis sambungan yang anda mahu untuk mengaitkan dengan bentuk atau penyambung.

5. Pilih elemen jenis yang dipilih dari pokok itu, tarik ke tab Bentuk atau tab Penyambung, dan melepaskannya ke bentuk atau penyambunganda ingin gunakan.

Nota

Anda boleh mengesahkan sebuah persatuan yang anda buat dengan memilih Komponen atau tab Sambungan dalam tetingkap stensil, yang menunjukkan unsur-unsur pada masa yang berkaitan.

Untuk menambah bentuk baru untuk gambar rajah / perpustakaan anda

1. Buat gambar rajah MS Visio dengan bentuk yang anda hendak tambah pada rajah anda dan mengimport gambar rajah MS Visio .

Petua

Adalah penting apa saiz anda membuat bentuk induk dalam MS Visio kerana kanvas ABACUS itu bersaiz dalam piksel dan hanya unit Milimeter dalam MS Visio menukar granularly untuk piksel pada 4 piksel untuk 1 nisbah milimeter. Tambahan pula, lalai bentuk ABACUS biasanya 60 piksel tinggi supaya diterjemahkan kepada 15 Milimeter dalam MS Visio. Maksudnya yang dinasihatkan saiz bentuk master dalam MS Visioadalah 25mm lebar oleh 15mm tinggikerana ini akan diterjemahkan kepada 100 piksel lebar sebanyak 60 piksel tinggi dalam ABACUS.

Petua

Jika anda ingin mempunyai 'ikon' sedikit di sudut kiri sebelah atas bentuk maka anda hanya boleh membuat 'ikon' dalam master MS Visio bentuk yang menggunakan palet MS Visio Alat Lukisan (ambil perhatian bahawa garis-garis sahaja mudah, bulatan dan segi empat tepat yang disokong dan bentuk rasterized / bitmap khususnya tidak disokong). Tambahan pula, jika anda mahu ikon untuk menjadi tetap dalam saiz / skaladalam bentuk yang di ABACUS maka anda boleh kumpulan 'ikon' dalam tuan MS Visio bentuk dengan memilih semua unsur-unsur, klik kanan satu elemen, memilih bentuk | Kumpulan, kemudian klik kanan pada bentuk yang dikumpulkan dan memilih Data | Bentuk Data ..., memilih Ya dalam dialog yang muncul dan kemudian menambah harta dengan Label yang ditetapkan untuk LockScale(perhatikan huruf besar 'L' dan 'S') Jenis yang ditetapkan untuk Boolean dan Nilai yang ditetapkan untuk menjadi TRUE (perhatikan ia adalah semua dalam huruf besar).

Petua

Jika anda ingin mempunyai sebahagian dari bentuk yang beku dari mendaki secara mendatar atau menegak (seperti yang biasa dengan bentuk 'laluan aktiviti') maka anda boleh klik kanan bahagian (s) tuan MS Visio bentuk yang anda mahu beku dari mendaki dan pilih Data | Bentuk Data ..., memilih Ya dalam dialog yang muncul dan kemudian menambah harta dengan Label yang ditetapkan untuk LockXScaleatau LockYScale (perhatikan huruf besar 'L' dan 'S') Jenis yang ditetapkan untuk Boolean dan Nilai yang ditetapkan untuk menjadi TRUE (perhatikan ia adalah semua dalam huruf besar), untuk masing-masing dikunci bersisik mendatar atau menegak.

Petua

Untuk membenarkan mewarna bentuk di ABACUS selepas mengimport dan bukan bentuk yang sentiasa menjadi warna yang tetap ia adalah dinasihatkan untuk membuat kenyang tuan MS Visio bentuk ini telus dan kemudian menggunakan keupayaan terbina dalam ABACUS untuk warna latar belakang yang bentuk itu. Ini hanya berfungsi dengan segi empat tepat atau hampir segi empat tepat (contohnya rectangle bulat) bentuk sebagai latar belakang segi empat tepat keseluruhan akan berwarna.

2. Buka gambar rajah yang sama dan memilih Tab komponendalam tetingkap stensil.

3. Untuk setiap bentuk baru yang anda ingin disediakan untuk gambar rajah lain Klik kananbentuk dan pilih Tambah ke Pustaka Bentuk. Ini akan membuat bentuk yang ada pada tab Bentuk dalam tetingkap stensil.

4. Mengaitkan jenis komponen yang berkaitan dengan bentuk baru dari perpustakaan Bentuk mengikut langkah-langkah yang dinyatakan di atas.

Nota

Hanya mudah dan bentuk disokong dalam ABACUS pada masa ini "berasaskan vektor", iaitu bitmap tidak disokong. Walau bagaimanapun, alat seperti Vector Magic ( www.vectormagic.com ) Boleh didapati yang mudah akan menukar imej bitmap ke dalam bentuk yang berasaskan vektor (iaitu format SVG) yang boleh dibuka dalam MS Visio dan oleh itu digunakan dalam ABACUS seperti arahan di atas.

MenambahKomponen dan Sambungan

Alat Lukisan membolehkan anda menambah komponen dan sambungan yang sedia ada daripada repositori atau mewujudkan komponen dan sambungan baru kerana anda melukis gambarajah. Sebagai komponen dan sambungan diwujudkan dalam gambar rajah, mereka pada masa yang sama ditambah ke dalam repositori. Disana ada tiga disyorkan cara untuk menambah komponen untuk gambar rajahdan tiga disyorkan cara untuk menambah sambungan ke gambarajah:

Untuk membuat komponen yang baru atau sambungan pada gambar rajahdaripada stensil

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka.

2. Pilih Komponenatau Sambungantab dalam tetingkap stensil untuk melihat bentuk yang berkaitan. Hanya bentuk ini boleh digunakan untuk mewujudkan unsur-unsur model baru.

3. Klik dan seretsalah satu daripada bentuk yang disediakan dikaitkan ke kanvas lukisan. Elemen baru akan muncul di kanvas dan di pokok explorer.

4. Mula menaipnama untuk elemen baru dalam dialog dan apa-apa elemen yang sedia ada yang dipadankan dicadangkan dan boleh dipilih dan bukan menambah elemen baru dalam seni bina.

5. Klik okey.

6. Jika bentuk yang digugurkan ke atas komponen yang sedia ada, maka ia sama ada akan menjadi seorang kanak-kanak komponen yang (jika bentuk yang datang dari Komponentab), atau akan dilampirkan kepada komponen yang (jika bentuk yang datang dari Sambungantab).

Nota

Ia kadang-kadang perlu untuk menyesuaikan komponen baru atau sambungan ke tempat yang berbeza dalam hierarki seni bina menggunakan explorer.

Untuk meletakkan komponen yang sedia ada atau sambungan dari repositori ke gambar rajah

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka.

2. Pastikan bahawa anda mempunyai kedua-dua alat Lukisan dan Explorer tingkap mana boleh dilihat.

3. Dalam Explorer, cari komponenatau sambungan(unsur) yang anda ingin menghantar maklumat kepada gambar rajah.

4. Klik dan seretelemen yang dipilih ke gambar rajah. Satu bentuk yang mewakili unsur akan muncul pada kanvas.

Nota

Jika jenis elemen yang dipilih sudah pun dikaitkan dengan bentuk, bentuk yang sama akan muncul di kanvas. Jika, bagaimanapun, tidak ada persatuan ditakrifkan untuk elemen yang tertentu, bentuk default (rectangle) akan muncul pada kanvas melainkan jika Menguatkuasakan Rajah Pandangan pilihan adalah di dalam hal bentuk yang tidak akan dimasukkan ke dalam gambar rajah.

Petua

Apabila komponen yang diletakkan di atas gambarajah yang disambungkan ke komponen lain sudah di rajah, Alat Lukisan akan bertanya jika anda ingin menunjukkan sambungan (s) di antara mereka. Juga, jika terdapat mana-mana kanak-kanak komponen Alat Lukisan akan bertanya jika anda mahu untuk memasukkan anak-anak, dengan cara yang rekursi.

Untuk membuat sambungan antara 2 komponen atau komponen yang bersambung pada rajah yang menggunakan penyambung dinamik

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka.

2. Hover lebih komponen pada gambarajah yang anda ingin untuk menyambung ke komponen lain dan anda akan perasan 2 ikon muncul di luar bahagian atas kanan sempadan bentuk seperti yang ditunjukkan di bawah. Nota: Ikon atas adalah untuk mewujudkan sambungan di mana komponen berlegar adalah untuk menjadi sumber, icon bawah adalah untuk mewujudkan sambungan di mana komponen berlegar adalah untuk menjadi singki.

3. Pindah kursor ke ikon yang dikehendaki dan klik dan seretikon kepada lebih sama ada melalui satu lagi ruang komponen atau percuma pada kanvas seperti yang ditunjukkan di bawah.

4. Untuk menyambung kepada komponen yang sedia ada memilih Lampirkan ke ...item dalam menu pop-up dan jika browse diperlukan untuk sub-menu untuk memilih daripada jenis sambungan yang disediakan.

- Atau -

4. Untuk membuat komponen yang disambungkan memilih dari Baru ...item dalam menu pop-up dan jika browse diperlukan untuk sub-menu untuk memilih daripada jenis sambungan yang disediakan seperti yang ditunjukkan di bawah. Mula menaipnama untuk elemen baru dalam dialog dan apa-apa elemen yang sedia ada yang dipadankan dicadangkan dan boleh dipilih dan bukan menambah elemen baru dalam seni bina.

Nota

Ketersediaan item dalam menu pop-up dan sub-menu ditadbir oleh kekangan dalam meta-model.Itulah satu-satunya sumber yang sah atau tenggelam jenis komponen seperti yang ditentukan oleh kekangan sambungan akan dibentangkan kerana Lampirkan ke ... dan Item baru ... menu.

Untuk membuka semula dialog pemilihan elemen dan meletakkan komponen atau sambungan dari repositori yang sedia ada ke gambar rajah

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka.

2. Klik yang Pemilihan Element Terbukabutang dalam bar alat Rajah ini. Nota: unsur dialog pilihan akan dibuka dengan negeri terakhir mana-mana penapis disimpan.

3. Pilih mana-mana kandungan tambahan yang dikehendaki untuk ditambah kepada gambar rajah dan klik okey. Nota: kandungan baru akan dimasukkan ke dalam ruang yang jelas pada kanvas dan rajah boleh menjadi seterusnya dibentangkan lagi melalui Layout Rajahbutang dalam bar alat Rajah ini.

Menggunakan PercumabentukBentuk

Ia sering wajar untuk mewujudkan unsur-unsur visual dalam gambar rajah sebab-sebab estetik semata-mata. Unsur-unsur ini boleh membantu memperbaiki bentangan dan rupa gambarajah, namun mereka tidak mempunyai kepentingan seni bina yang ketat. Alat Lukisan membolehkan penggunaan bentuk bentuk bebas untuk menyediakan lukisan fleksibiliti.

Untuk menambahkan bentuk bentuk yang unik untuk gambar rajah

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka.

2. Pilih Bentukatau Penyambungtab dalam tetingkap stensil.

3. Klik dan seretsalah satu daripada bentuk yang disediakan atau penyambung ke kanvas lukisan. Elemen baru akan muncul pada kanvas - tetapi tidakdi pokok explorer.

Nota

Bentuk bentuk yang unik adalah 'non-berkaitan' bentuk, kerana mereka tidak mempunyai hubungan dengan mana-mana komponen atau sambungan dalam model seni bina tertentu.

Untuk memaparkan maklumat dalam repositori bentuk bentuk bebass padagambarajah

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka.

2. Klik kananbentuk bentuk bebas dan pilih Anotasi | Paparan.

3. Pilih untuk memaparkan sama ada Nama Rajah, Rajah Penerangan, Rajah Hartanah, Nama Viewpointatau Nama Architecture.

Nota

Teks dalam bentuk bebas yang secara automatik akan mengemas kini sebagai asas perubahan data repositori.Dengan cara ini 'title block' rajah boleh diwujudkan untuk, dan kemudian dengan mudah disalin seluruh, gambar rajah.

Menggunakan bentuk Terapung

Bentuk terapung dasarnya cara lain untuk mewakili komponen dalam gambarajah. Pertimbangkan sebuah organisasi dengan bahagian-bahagian utama: Ketua Pegawai Eksekutif, Pemasaran, Jualan dan Pembangunan.

Paparan pokok

Bahagian-bahagian yang cacat dinyatakan dengan cara yang berlapis:

Lapis Lihat

Atau mereka boleh secara visual diwakili dalam berperingkat-peringkat yang / Terapung cara untuk menunjukkan hierarki:

Berperingkat / Terapung Lihat

Perwakilan kedua menggunakan konsep bentuk terapung.

Untuk menukar bentuk komponen yang berlapis ke dalam bentuk yang terapung

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka.

2. Pilih komponendalam rajah anda, anda mahu untuk mewakili sebagai bentuk terapung atau bentuk yang berkaitan dalam Komponentab tetingkap stensil yang anda mahu semua keadaan sebagai bentuk terapung.

3. Klik kanan bentuk dan pilih Float Komponen dari menu konteks yang muncul. Perhatikan berlian diketuai sambungandaripada komponen induk (s) untuk komponen terapung (s).

4. Klik dan seretkomponen ke tempat yang diingini. Apabila terapungkomponen yang dipilih ia akan mempunyai garis biru.

Untuk menukar bentuk komponen terapung ke dalam bentuk yang berlapis

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka.

2. Pilih komponendalam rajah anda yang sedang ditunjukkan sebagai bentuk terapung atau bentuk yang berkaitan dalam Komponentab tetingkap stensil yang anda mahu semua keadaan sebagai bentuk lapis.

3. Klik dan seretkomponen terapung (s) kembali kepada ibu bapa (s) (mengikut berlian diketuai sambungan). Nota: Jika anda tidak melakukan ini maka apabila anda menukar komponen (s) kembali ke yang berlapis hierarki model anda mungkin terjejas.

4. Klik kanan bentuk dan nyahpilih Float Komponen dari menu konteks yang muncul. Perhatikan bahawa berlian diketuai sambungandaripada komponen induk (s) untuk komponen terapung (s) akan hilang.

Replika

Alat Lukisan membolehkan anda menambah komponen yang sama untuk gambar rajah beberapa kali dengan setiap keadaan visual tambahan komponen pada gambarajah yang disebut sebagai replika. Ini dititikberatkan berguna untuk gambar rajah di mana komponen yang mempunyai bilangan besar sambungan yang melekat padanya dan ia adalah lebih baik untuk menunjukkan komponen dalam pelbagai lokasi lebih dekat dengan asal-usul setiap satu daripada sambungan, atau untuk gambar rajah di mana perhubungan satu ke banyak komponen adalah lebih baik untuk menunjukkan menggunakan ciri terapung (diterangkan di atas) dengan komponen di pelbagai lokasi di atas 'banyak' komponen ia berkaitan dengan.

Nota

Anda boleh melampirkan / menanggalkan sambungan ke / dari contoh asal komponen pada gambar rajah (seperti biasa) tetapi juga kepada mana-mana daripada replika, bagaimanapun, semasa sambungan ditambah secara automatik gambarajah mereka melekat pada mulanya komponen pada rajah secara lalai.

Nota

Replika boleh digabungkan dengan satu sama lain dengan klik kanan dan seretkemudian memilih Bergabung PalsuWalau bagaimanapun, penggabungan replika dengan komponen yang berbeza akan menyebabkan apa-apa replika lain hilang dari gambar rajah.

Nota

Tidak ada perbezaan visual antara contoh asal komponen pada gambarajah dan apa-apa replika. Tambahan pula, menu klik kanan untuk komponen asal pada gambarajah dan apa-apa replika adalah sama, dengan contohnya Show di Exploreryang membawa anda ke komponen yang sama dalam Pandangan Tree of repositori (aka model). Walau bagaimanapun, klik kanan komponen dalam Pandangan Tree repositori dan memilih Pergi kedan melayari untuk gambar rajah dengan replika akan sentiasa membawa anda ke 'tertua' contoh komponen pada gambar rajah. Biasanya ini akan menjadi contoh asal yang ditambah kepada rajah tetapi jika itu contoh asal kemudiannya dipadam atau bergabung dengan replika maka Kembali ke akan melompat ke tertua replika yang baki yang ditambah.

Untuk menambah replika kepada gambar rajah

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka.

2. Klik kanan komponen yang sedia ada pada gambarajah dan pilih Buat replika.Sebuah replika komponen yang dipilih akan dicipta di sebelah kanan komponen asal.

- ATAU -

Pilih komponen yang sedia ada pada gambarajah dan tekan Ctrl + Catau klik kanan komponen yang sedia ada pada gambarajah dan pilih Copy. Sekarang klik kanan lokasi pada gambar rajah yang ingin replika dan pilih Tampal sebagai replika. Nota: menekan Ctrl + V (atau klik kanan dan memilih Paste) akan membuat salinan komponen asal TIDAK replika.

- ATAU -

Klik dan seretkomponen daripada Lihat Pohon repositori (aka model) ke gambar rajah di mana komponen tersebut adalah betul.

Mengkonfigurasi Sambungan Huruf Besar / Ends

Alat Lukisan membolehkan anda set simbol yang digunakan pada hujung garisan sambungan sama ada kepada simbol yang tetap atau simbol yang bergantung pada harta pada sambungan itu sendiri.Ini amat berguna untuk gambar rajah di mana arah sambungan yang diperlukan untuk ditunjukkan kepada, atau untuk gambar rajah di mana kekardinalan sambungan (atau arahan) adalah terkandung dalam harta yang pada sambungan itu sendiri, contohnya 'Satu-dengan-Ramai' vs 'Ramai-ke-Ramai' (atau 'Sumber untuk Tenggelam' vs 'tenggelam ke sumber').

Untuk mengkonfigurasi sambungan topi / berakhir pada gambarajah

1. Pastikan anda mempunyai baru atau yang sedia ada rajah terbuka.

2. Pilih Sambungiontab dalam tetingkap stensil.

3. Hak-cmenjilat salah satu berkaitan jenis sambungan dan pilih Konfigurasi Huruf Besar ....

4. Untuk sambungan tetap topi / tamat sama ada sumber atau tenggelam akhir sambungan memastikan yang berkaitan Tetap butang radio dipilih dan kemudian pilih simbol akhir sambungan dari tarik ke bawah, contohnya 'Ketua Arrow' atau 'Diamond'.

- ATAU -

Untuk sambungan topi / tamat berdasarkan harta-sama ada sumber atau tenggelam akhir sambungan memastikan yang berkaitan Menggunakan Hartanahbutang radio dipilih, kemudian klik '...' butang dan memilih harta yang diperlukan dan kemudian bersebelahan antara satu sama simbol akhir sambungan masukkan nilai harta yang tentangnya simbol sambungan tertentu adalah untuk ditunjukkan.

Nota

Nilai hartanah berbilang untuk simbol akhir sambungan diberikan mungkin telah dimasukkan dipisahkan dengan tanda koma.Mis dialog di bawah menunjukkan bahawa jika 'Data | Kardinaliti 'harta mempunyai nilai' One-to-Ramai 'kemudian akhirnya sumber sambungan akan mempunyai dua garis sebatan melaluinya dan akhirnya tenggelam sambungan akan mempunyai satu baris strok melaluinya dan kemudian keluar peminat dua garis sebatan pada akhir.

Konfigurasi Caps dialog

Lihat juga

Alat Lukisan | Ia merupakan pusat seni bina anda | Menganalisa senibina anda


Ia merupakan pusat seni bina anda

Navigation: Ia merupakan pusat seni bina anda>

Ia merupakan pusat seni bina anda

Menghantar komen mengenai topik ini.

Proses membina model seni bina anda dikenali sebagai populating. Sebaik sahaja anda telah menemui senibina anda dan mengenal pasti keperluan anda, anda sudah bersedia untuk model senibina anda di ABACUS.

Semasa penduduk, anda akan memasukkan semua maklumat yang anda tahu tentang senibina anda dan apa yang dikehendaki daripadanya.

Untuk mengisi senibina anda

1. Pastikan anda mempunyai Fail ABACUS terbuka , Yang explorer dipaparkan , Dan seni bina ditambah .

2. Secara manual mengisi komponen peringkat yang lebih tinggi dan sambungan senibina anda. Biasanya ini akan menjadi komponen dan sambungan lebih abstrak.

- Atau -

2. Grafik mengisi komponen dan sambungan yang anda ingin lihat diwakili dalam gambar, dengan menggunakan Alat Lukisan .

Anda juga mungkin mahu

3. Mengisi menggunakan Katalog - Anda boleh melihat dan komponen dan sambungan dalam cara jadual yang mudah.

4. Mengisi menggunakan Matriks - Anda boleh melihat dan mengedit hubungan antara komponen dalam cara jadual yang mudah.

5. Mengisi dari Access Microsoft - Anda boleh mengimport seni bina dari dan mengeksport ke Microsoft Access.

6. Mengisi daripada Microsoft Visio - Anda boleh mengimport seni bina dari dan mengeksport ke Microsoft Visio.

7. Mengisi daripada Microsoft Excel - Anda boleh mengimport seni bina dari dan mengeksport ke Microsoft Excel.

8. Mengisi daripada Microsoft SharePoint - Anda boleh mengimport seni bina dari dan mengeksport ke Microsoft SQL Server.

9. Mengisi daripada Microsoft SQL Server - Anda boleh mengimport seni bina daripada Microsoft SQL Server.

10. Import dari XML - Anda boleh mengimport seni bina dari ABACUS XML serpihan atau ArchiMate Interchange Bahasa XML fail.

Lihat juga

Ia merupakan pusat seni bina anda secara manual | Alat Lukisan | Ia merupakan pusat seni bina anda dari Access Microsoft | Ia merupakan pusat seni bina anda dari Microsoft Visio | Ia merupakan pusat seni bina anda dari Microsoft Excel


Ia merupakan pusat seni bina anda dari Access Microsoft

Navigation: Ia merupakan pusat seni bina anda> populating daripada produk Microsoft>

Ia merupakan pusat seni bina anda dari Access Microsoft

Menghantar komen mengenai topik ini.

Anda boleh mengeksport seni bina anda untuk Microsoft Access untuk melaksanakan tujuan umum pengiraan, manipulasi atau laporan mengenai senibina anda. Anda boleh mengimport seni bina semula ke dalam ABACUS.

Nota

Terbuka dari Access / Eksport ke Pangkalan ciri memerlukan Microsoft Access 2000atau yang lebih baru dipasang pada komputer.

Untuk mengeksport senibina anda ke Akses Microsoft

1. Pastikan anda mempunyai Fail ABACUSterbuka, Explorerdipaparkan, dan seni binaditambah.

2. Pilih File | Eksport | Untuk Pangkalan Data.

3. Perhatikan dialog amaran seperti yang diterangkan di atas dan klik Ya untuk meneruskan.

4. Memilih lokasi dan nama fail untuk fail pangkalan data.

Untuk mengimport seni bina dimanipulasikan ke dalam ABACUS

1. Pastikan anda mempunyai ABACUS terbuka.

2. Pilih File | Baru dan pilih Dari Accessdari dialog yang dipaparkan dan klik OK.

3. Semak untuk fail pangkalan data yang anda ingin mengimport.

ABACUS 'MS Access Pangkalan Skema

ABACUS mempunyai di tengah-tengahnya yangn ontologi / meta-meta-model terdiri daripada Komponen, Hubungan dan Kekangan. Ini "CCC" pendekatan telah diperolehi daripada pelbagai pendekatan standard dibangunkan dari tahun 1960-an dan seterusnya berakhir dengan antarabangsa standard IEEE 1471, yang pengasas Avolution menyumbang kepada. Yang primitif berikut terpakai;

1. ABACUS mengandungi Perpustakaandaripada Piawaian(atau Standard), Komponendan Jenis sambungan, Kekangan, Pandangan, Templat (atau Corak) Dan banyak Seni Bina.

2. Piawaian, Jenisdan Pandangan bolehsecara lojik Dikumpulkanuntuk kemudahan.

3. Seni Bina mungkin mengandungibanyak keturunan Seni Bina(atau evolusi).

4. Setiap Architecture mengandungibanyak Komponendan Sambungantertentu Jenisdan pelbagai Views.

5. Komponendan Sambungan boleh jadi reputke dalam Sub-Componentsdan Sub-Connections.

6. Setiap Komponenadalah dilampirkan kepadaapa-apa bilangan Sambungantetapi masing-masing Sambunganhanya boleh dilampirkan kepadamaksimum dua Komponen.

7. Komponendan Sambunganboleh mempunyai Piawaiandengan Propertiesseperti Maklumat, Persembahan, Kebolehpercayaan, kos dan lain-lain

8. Seni Bina, Komponendan Sambunganboleh mempunyaitertentu Propertiesseperti Maklumat, Persembahan, Kebolehpercayaan, kos dan lain-lain

9. Kekanganboleh wujud di antara Komponenatau Sambunganatau terhadap Properties.

10. Templatadalah komposisi taraf Komponendan Jenis sambungan.

11. Pandanganadalah persatuan taraf Komponendan Jenis sambunganuntuk catatan.

12. Viewsadalah perwakilan visual Komponendan Sambungan.

Berikut Entiti MS Access Hubungan (ERD) mendokumenkan terasSeni Bina, Evolusi tentera, Jenis komponen / Connection (dan Kumpulan), Components / Sambungan dan konsep komponen / Sambungan Sub.

Teras pangkalan data skema

Nota

Integriti rujukan belum dikuatkuasakan pada hubungan antara jadual Komponen dan jadual Sambungan (untuk 'attachment' di antara sumber tertentu atau Komponen tenggelam Connection a). Ini kerana sambungan boleh wujud tanpa lampiran komponen. Kita boleh menambah jadual 'attachment' tetapi demi kepentingan kesederhanaan membuat keputusan terhadap itu. Sudah tentu ini bermakna sebarang penyuntingan Komponen Ids atau penghapusan baris Komponen semua bersama-sama akan menyebabkan data yang tidak betul. ABACUS akan mengendalikan apa-apa ketidaktepatan di import dengan mengabaikan data yang tidak betul.

Berikut MS Access ERD mendokumenkan Propertieskonsep untuk Seni Bina, Jenis Komponen / Connection dan Komponen / Sambungan.

Properties pangkalan data skema

Berikut MS Access ERD mendokumenkan Piawaiankonsep untuk Seni Bina, Jenis Komponen / Connection dan Komponen / Sambungan.Nota: Jadual masih menggunakan istilah 'Pelaksanaan' seperti versi terdahulu ABACUS.

Skema pangkalan data Piawaian

Berikut MS Access ERD mendokumenkan Kekangankonsep bagi Komponen Jenis / penyambungan.

Kekanganpangkalan data skema

Berikut MS Access ERD mendokumenkan Pandangan konsep untuk Seni Bina.Nota: Jadual masih menggunakan istilah 'TwoDTempl' sebagai satu versi terdahulu ABACUS.

Pandanganpangkalan data skema

Berikut MS Access ERD mendokumenkan Katalogkonsep untuk Seni Bina.

Katalogpangkalan data skema

Berikut MS Access ERD mendokumenkan Matrikskonsep untuk Seni Bina.

Matrikspangkalan data skema

Berikut MS Access ERD mendokumenkan Rajahkonsep untuk Seni Bina.Nota: Jadual masih menggunakan istilah 'TwoD' sebagai satu versi terdahulu ABACUS.

Nota

Type Komponen / Sambungan ke stensil pemetaan bentuk dan bahagian-bahagian bentuk bentuk yang unik daripada MS Access ERD telah ditinggalkan untuk kejelasan.

Rajahpangkalan data skema

Berikut MS Access ERD mendokumenkan Paparan 3Dkonsep untuk Seni Bina.

Paparan 3Dpangkalan data skema

Berikut MS Access ERD mendokumenkan Cartakonsep untuk Seni Bina.

Cartapangkalan data skema

Berikut MS Access ERD mendokumenkan Pemukakonsep.

Pemukapangkalan data skema

ABACUS 'MS AccessPertanyaan

Termasuk dengan Pangkalan Data MS Access beberapa pertanyaan yang berguna seperti berikut;

· Comps oleh Prop- Pertanyaan ini menyenaraikan semua komponen dalam projek (oleh seni bina dan jenis) dan termasuk semua sifat-sifat sebagai tiang. Gunakan pertanyaan ini dengan penapis / kriteria kepada jenis komponen dan / atau seni bina untuk menghasilkan jadual 'biasa' bagi setiap jenis komponen dengan sifat-sifat mereka.

· Stds oleh Prop- Pertanyaan ini menyenaraikan semua standard yang digunakan, bilangan kejadian piawaian dan termasuk semua sifat-sifat sebagai tiang. Gunakan pertanyaan ini sebagai satu katalog taraf.

· Props Mengikut Jenis- Pertanyaan ini menyenaraikan semua sifat-sifat komponen dan% mereka lengkap dengan setiap jenis komponen seperti tiang. Gunakan pertanyaan ini untuk menentukan sama ada ciri-ciri khusus yang tinggi dikekalkan.

· Jenis oleh Prop- Pertanyaan ini menyenaraikan semua jenis komponen dan termasuk% lengkap semua sifat-sifat sebagai tiang. Gunakan pertanyaan ini untuk menentukan sama ada ciri-ciri khusus yang tinggi dikekalkan.

· Jenis Count- Pertanyaan ini menyenaraikan semua jenis komponen dan termasuk bilangan kejadian setiap jenis dalam turutan menurun. Gunakan pertanyaan ini untuk menentukan populariti setiap jenis dalam projek itu.

Satu nota mengenai bekerja dengan bidang Memo dalam MS Access

Komponen, Hubungan dan bidang-bidang Nama Piawaian dalam jadual adalah ditakrifkan sebagai bidang memo untuk membolehkan jumlah yang tidak terhad aksara, seperti ABACUS. Bagi Komponen dan Sambungan ini menyebabkan beberapa isu kerana mereka juga mempunyai medan ID unik untuk rujukan, tetapi untuk Piawaian ini menyebabkan beberapa masalah apabila cuba untuk menyertai meja kerana anda tidak boleh menyertai bidang memo dalam MS Access. Sebagai alternatif, anda boleh menetapkan mana kriteria klausa untuk mencapai kesan yang sama seperti yang ditunjukkan dalam Visual Query Builder dan coretan SQL sepadan di bawah senarai yang keluar semua Piawaian diwarisi hartanah untuk semua komponen dalam projek ABACUS dieksport.

Bidang Memo 'menyertai' dalam Visual Query Builder

PILIH Components.Architecture_Id, Components.Id, Components.Name, ComponentImplementationLinks.Name, ImplementationProperties.Type, ImplementationProperties.Name, ImplementationProperties.Value, ImplementationProperties.Unit

DARI Komponen INNER JOIN ComponentImplementationLinks ON (Components.InternalId = ComponentImplementationLinks.Id) DAN (Components.Architecture_Id = ComponentImplementationLinks.Architecture_Id), Perlaksanaan INNER JOIN ImplementationProperties ON Implementations.Id = ImplementationProperties.Implementation_Id

MANA (((ComponentImplementationLinks.Name) = [Perlaksanaan] [Nama]).);

Bidang Memo 'menyertai' dalam SQL

Satu nota secara automatik menjana ID ABACUS dalam MS Access

Pelbagai jadual ABACUS MS Access memerlukan ID integer panjang unik supaya kaedah VB ringkas disediakan untuk membantu dalam generasi ini. Dua kaedah ResetCounter () dan GetNextCounter () disediakan dalam ABACUS 'MS Access DB dan penggunaannya adalah seperti berikut; ResetCounter () akan menetapkan kaunter kembali ke 0. GetNextCounter () akan kembali kaunter seterusnya dalam urutan itu.

Kaedah mengeksploitasi 'kekhasan' an MS Access bahawa walaupun anda memanggil ResetCounter () kaedah bagi tiap-tiap masukkan berturut-turut (iaitu apabila anda juga menjalankan fungsi GetNextCounter ()) kerana fungsi ResetCounter () tidak mempunyai apa-apa parameter ia hanya berjalan sekali dan oleh itu tidak menetapkan semula kaunter bagi setiap memasukkan baris. Dan juga kerana 'kekhasan' yang sama anda perlu lulus mana-mana ruang pembolehubah lama untuk fungsi GetNextCounter () menipu ke dalam berjalan setiap kali.

Terdapat juga satu helah untuk dapat menjalankan fungsi ResetCounter () dalam memasukkan satu ke dalam penyata SQL kerana anda tidak boleh hanya telah ia duduk di sana sebagai lajur dengan sendiri, seperti jika ia adalah pilih pertanyaan. Ia adalah disyorkan untuk membuat ResetCounter () panggilan sebahagian daripada salah satu daripada bidang-bidang lain, dengan concatenating hingga akhir, kerana ia sentiasa kembali null juga.

Di bawah adalah penggunaan SQL khas dari kaedah untuk menambah senarai Jenis Komponen daripada jadual / Pertanyaan dipanggil 'Komponen Jenis List'.

INSERT INTOComponentTypes (Id, Nama, Penerangan)

SELECT GetNextCounter ([Komponen Jenis Senarai] .name)AS Id, [Komponen Jenis Senarai] .name AS Nama, [Komponen Jenis Senarai] .Description & ResetCounter ()AS Penerangan

DARI[Komponen Jenis Senarai];

ABACUS ID generasi / Kaunter dalam SQL

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Ia merupakan pusat seni bina anda secara manual | Ia merupakan pusat seni bina anda dari Visio | Ia merupakan pusat seni bina anda dari Excel


Ia merupakan pusat seni bina anda dari Microsoft Excel

Navigation: Ia merupakan pusat seni bina anda> populating daripada produk Microsoft>

Ia merupakan pusat seni bina anda dari Microsoft Excel

Menghantar komen mengenai topik ini.

Anda boleh mengimport seni bina anda dari spreadsheet Excel (.xls atau .xlsx fail). Excel pengimport membolehkan anda untuk memetakan senarai komponen dan sambungan dengan jenis, standard, sifat-sifat dan ciri-ciri standard dengan memilih lajur dalam spreadsheet anda yang mengandungi data yang berkaitan.Bagaimanapun, ia adalah teknik yang lebih maju daripada pendekatan yang disyorkanuntuk mengimport dari MS Excel yang melalui katalog seperti yang dinyatakan di sini .

Nota

Import dari / Eksport ke Excel ciri memerlukan Microsoft Excel 2003atau yang lebih baru dipasang pada komputer.

Fungsi utama Pengimport Excel adalah untuk membolehkan anda untuk menentukan fail konfigurasi (iaitu struktur hierarki model seni bina anda). Kedai-kedai fail konfigurasi pemetaan disimpan sebelum ini dari Excel fail ke fail ABACUS. Setelah ditakrifkan, fail konfigurasi disimpan kemudiannya digunakan untuk mengimport lagi dan mengeksport ke fail .xls.

Nota

Langkah-langkah yang ditunjukkan dalam bahagian-bahagian di bawah adalah khusus untuk pengguna yang masih belum menentukan dan menyimpan fail konfigurasi dan mengimport dari excel buat kali pertama. Anda mesti membuat dan menyimpan fail konfigurasi menggunakan eksport untuk cemerlang fungsi.

Untuk mengimport spreadsheet Excel ke ABACUS

1. Pastikan anda mempunyai ABACUS terbuka.

2. Pilih File | Baru dan pilih Dari Exceldari dialog yang dipaparkan dan klik OK.

Nota

Jika anda ingin mengimport ke dalam projek ABACUS sedia ada kemudian sama ada klik kanan nod Komponen dalam tempoh Architecture, atau klik kanan komponen individu dalam Seni Bina dan kemudian pilih Import | Dari Excel.

3. Yang Import Excel Spreadsheettetingkap akan dipaparkan

Import Excel Spreadsheet Window

4. Klik Buka Fail Excelikon dan menyemak imbas bagi fail Excel anda ingin mengimport.

5. Pilih Lembaran kerjaanda ingin mengimport dari kotak drop-down.

Nota

Selepas membuka fail Excel anda, anda boleh menggunakan Preview Datatab untuk melihat lajur dan 25 baris pertama hamparan anda. Dari sini anda boleh mendapatkan nombor ruang yang diperlukan untuk mengisi Komponendan Sambungantab.

Anda juga boleh memilih sama ada atau tidak anda mahu komponen dalam spreadsheet excel diimport dengan sensitiviti kes. Cubalah semak Import dengan sensitiviti kespilihan (secara lalai ini sentiasa ditandakan) dan spreadsheet akan diimport sewajarnya.

Sampel Excel File

Nota

Dalam contoh ini kita akan mengimport Infrastruktur mudah dan Orang Architecture daripada data excel ditunjukkan dalam gambar di atas. Sambungan akan dibuat antara "Orang Bertanggungjawab" dan "Server" bahawa orang-orang mentadbir.

Untuk mengisi tab Komponen yang

Seksyen ini adalah untuk menentukan jenis-jenis komponen dan struktur hierarki untuk fail konfigurasi.

1. Pilih Komponentab. Menamakan semula Set IDoleh yang mengatasi yang (null)nilai

Nota

Ciri ini membolehkan anda untuk menentukan sama sekali berbeza Setuntuk komponen fungsi berasingan. Seperti yang ditunjukkan dalam gambar di bawah, anda mungkin mahu untuk membezakan komponen Infrastruktur anda dari komponen People anda. Jika ada hubungan (sambungan) antara set berasingan komponen, ia boleh ditakrifkan di bawah Sambungantab. Kemudian dalam contoh ini kita akan menentukan sambungan jenis "mentadbir" antara Infrastruktur dan Rakyat Set.

Anda juga boleh memilih sama ada anda ingin menambah peringkat atas yang Kumpulankomponen untuk semua unsur-unsur yang ditetapkan. Cubalah semak Kumpulan Under Set IDpilihan (secara lalai ini adalah unticked) dan spreadsheet akan diimport sewajarnya.

Menetapkan Set ID

2. Sebaik sahaja Settelah ditentukan memilih Setanda mahu untuk mengisi dan mengembangkan dengan klik pada [+]menandatangani.

3. Pilih Tahap Komponen dalam Set inidari senarai diperluaskan.

4. Yang Komponen Hierarki Set: Set IDtetingkap akan dipaparkan untuk Set.

Komponen Hierarki dan Menetapkan Nilai (set ID: Infrastruktur)

5. Menamakan semula Nombor tahapruangan dengan mengatasi yang (null)nilai.

Nota

Yang Nombor tahapruangan membolehkan anda untuk menetapkan hierarki kepada komponen anda. Setiap tahap sepadan dengan lapisan dalam seni bina yang mana tahap pertama adalah bahagian yang paling ibu bapaperingkat. Sebagai contoh, Nombor Level "1" sepadan dengan lapisan hierarki paling atas, Nombor Level "2" adalah anak Nombor Level "1" dan sebagainya.

6. Memilih dan memberikan ruang yang berkaitan dari spreadsheet Excel untuk setiap Nombor tahapdengan memasukkan di bawah Ruangan komponenlajur.

Nota

Anda boleh memilih untuk tidak menyertakan baris tertentu yang anda tidak mahu diwakili dalam senibina anda. Ini mungkin tajuk lajur, baris kosong, dan lain-lain Untuk mengecualikan baris menggunakan Baris untuk Tidak termasuk:kotak teks berhampiran bahagian atas sudut kanan atas tetingkap. Dalam contoh ini, kami telah dikecualikan baris 1 kerana ia mengandungi tajuk lajur kami.

7. Anda boleh memilih untuk menambah penerangan kepada komponen anda dengan menulis ganti (null)nilai dalam Penerangan Ruangan.

Nota

Penjelasan ini adalah apa yang akan muncul dalam ABACUS bawah Properties umumseksyen | Peneranganlapangan.

8. Jika lajur hamparan diberikan mempunyai lebih daripada satu komponen setiap sel (dimasukkan menggunakan Alt-Masukkan atau CHAR (10) perintah) kemudian tandakan kotak semak di bawahnya Merawat Lines Baru Sebagai komponen berasingan. Setiap baris akan diimport sebagai komponen yang berasingan.

Petua

Untuk mengimport 'matriks' dari koleksi lajur, di mana 'X' dalam 'matriks' sel diberi (sel B2: D2 berkata) menunjukkan bahawa komponen yang dinyatakan oleh baris (dalam sel A2 berkata) disambungkan kepada komponen ditetapkan oleh kolum 'menuju' (dalam baris 1 berkata), formula yang mudah boleh digunakan. Masukkan formula berikut untuk setiap baris dalam lajur di luar sel-sel matriks (ruangan F berkata); = IF (B2 = "", "", B $ 1 & CHAR (10)) & IF (C2 = "", "", C $ 1 & CHAR (10)) & IF (D2 = "", "", D $ 1 & CHAR (10)). Kemudian menyediakan sambungan ditetapkan seperti yang dinyatakan di bawah antara komponen yang dinyatakan oleh baris (dalam ruang A berkata) dan yang dinyatakan oleh formula ini (dalam ruang F berkata). Pastikan anda menyemak Merawat Lines Baru Sebagai komponen berasinganpilihan apabila komponen daripada formula diimport. Bagi import matriks yang lebih maju, termasuk tajuk dengan pelbagai lapisan hierarki atau sel-sel dengan nilai-nilai yang berbeza daripada sekadar 'X' biasa, sila hubungi Sokongan Avolution .

9. Isi seluruh ruangan yang diperlukan.

Nota

Anda boleh memilih untuk mendapatkan jenis dari baris lajur dengan menandakan kotak semak di bawah Dapatkan Jenis Dari Ruanganlajur dan memasuki ruangan yang berkaitan dari spreadsheet Excel di bawah Komponen Jenis Nilai atau Ruanganlajur. Ini akan mengimport semua komponen dalam ruangan itu dan menetapkan mereka untuk jenis yang ditakrifkan dalam lajur. Sebagai alternatif, dan seperti pukulan skrin di atas dan di bawah, anda boleh memilih untuk menggunakan nama jenis tetap / yang telah ditetapkan dengan memasukkan nama jenis di bawah Komponen Jenis Nilai atau Ruanganlajur dan memastikan kotak semak ini adalah un-diperiksa.

Komponen Hierarki dan Menetapkan Nilai (set ID: People)

Nota

Dalam contoh ini, kita ingin mempunyai rangkaian kami dan orang-orang kumpulan di peringkat 1 Senibina itu. Di peringkat 2 kami ingin mempunyai pelayan dan kaum kami bertanggungjawab untuk mentadbir orang-orang pelayan. Yang Komponentab telah diisi dengan itu, seperti yang ditunjukkan dalam dua screenshot di atas. Dalam gambar pertama di atas kita telah ditakrifkan peringkat 1 (rangkaian kumpulan) dan tahap 2 (server) komponen bagi Infrastruktur Set. Dan dalam gambar di tepat di atas kita telah ditakrifkan peringkat 1 (orang kumpulan) dan tahap 2 (orang yang bertanggungjawab) komponen untuk Rakyat Set.

Sebagai alternatif, bagi OrangSet, daripada menggunakan ruang C sebagai sebuah kumpulan People, kita boleh menggunakan Kumpulan Under Set IDpilihan pada bahagian tab komponen peringkat dan kemudian hanya memasukkan satu Orang sub-tingkat dari Ruang D. Ini ditunjukkan dalam gambar di bawah.

Komponen Hierarki dan Menetapkan nilai menggunakan pilihan Kumpulan Under Set ID (Set ID: People)

10. Sebaik sahaja komponen telah dikenal pasti, pilih tahap komponen yang anda mahu untuk mengisi harta dan / atau piawaian dan mengembangkan dengan klik pada [+]menandatangani.

11. Pilih Sifat Komponen di Aras iniatau Piawaian komponen di Aras inidari senarai berkembang dan mengisi ruangan yang berkaitan seperti yang diperlukan.

Ia merupakan pusat Komponen

Nota

Sifat Komponen di Aras inimembolehkan anda untuk menentukan sifat-sifat bagi komponen di peringkat yang dipilih. Piawaian komponen di Aras inimembolehkan anda menentukan piawaian dan sifat-sifat mereka piawaian untuk komponen di peringkat yang dipilih.

12. Ulangi langkah 2-11sehingga semua peringkat komponen telah penduduk untuk semua ditakrifkan Set. Gunakan anak panah ke belakang berhampiran bahagian atas sudut kanan atas tetingkap untuk mengemudi kembali ke Setyang anda takrifkan lebih awal.

Untuk mengisi tab Sambungan

Seksyen ini adalah untuk menentukan jenis sambungan dan struktur hierarki untuk fail konfigurasi.

1. Pilih Sambungantab. Bagi setiap set hubungan anda untuk mengenal pasti komponen Setyang anda mahu menjadi komponen sumber dan komponen Setanda mahu menjadi komponen dan menarik.

2. Di bawah ini Sumber Komponen Set IDmemasuki Setnama yang sepadan dengan Setditakrifkan sebelum ini dalam Komponentab. Di bawah ini Sumber Komponen Tahap Nombormasukkan nombor yang sepadan dengan tahap komponen yang anda ingin sambungkan pada akhir sumber sambungan.

3. Sekarang memilih komponen mana kumpulan akan berada di akhir destinasi sambungan. Di bawah ini Destinasi Komponen Set IDmemasuki Setnama yang sepadan dengan Setyang ditakrifkan dalam Komponentab. Di bawah ini Destinasi Komponen Tahap Nombormasukkan nombor yang sepadan dengan tahap komponen yang anda ingin sambungkan pada akhir destinasi sambungan.

Nota

Dalam contoh ini kita ingin menyambung orang yang bertanggungjawab untuk mentadbir pelayan kepada pelayan mereka mentadbir. Orang yang bertanggungjawab telah ditakrifkan dalam Rakyat Setsebagai tahap 2 komponen manakala pelayan telah ditakrifkan dalam Infrastruktur Setsebagai tahap 2 komponen. Yang Sambungantab telah diisi dengan itu, seperti yang ditunjukkan dalam gambar di bawah.

Sambungan Tab Bahagian 1 dari 2

4. Jika anda tatal ke kanan, anda akan mencari pilihan tambahan untuk mengimport kenalan anda. Dapatkan Jenis Dari Ruangandan Jenis Nilai sambungan atau Ruanganbekerja dengan cara yang sama seperti untuk Komponentab.

5. Jika Sumber Komponen Set ID dan juga Sumber Komponen Tahap Nomboradalah sama seperti yang Destinasi Komponen Set ID dan juga Destinasi Komponen Tahap Nombor(sebagai contoh jika anda sedang menggunakan jenis komponen sama, seperti membuat sambungan dari pelayan ke pelayan lain) maka anda perlu mempunyai ruang yang lain dalam spreadsheet anda yang mengandungi nama-nama orang-orang pelayan berulang. Jika ini berlaku anda akan meletakkan bahawa ruangan spreadsheet dalam Destinasi berulang dalam Ruanglajur. Jika dalam lajur hamparan yang telah anda masukkan lebih daripada satu komponen berhubung setiap sel kemudian tandakan kotak semak di bawahnya Merawat Lines Baru Sebagai komponen berasingan.

Sambungan Tab Bahagian 2 dari 2

6. Apabila sambungan telah dikenal pasti pilih sambungan yang anda mahu untuk mengisi harta dan / atau piawaian dan mengembangkan dengan klik pada [+]menandatangani.

7. Pilih Hartanah untuk ini Connectionsatau Piawaian Untuk ini Connectionsdari senarai berkembang dan mengisi ruangan yang berkaitan seperti yang diperlukan.

Nota

Hartanah untuk ini Connectionsmembolehkan anda untuk menentukan sifat-sifat bagi kumpulan sambungan yang dipilih. Standard untuk ini Connectionsmembolehkan anda menentukan piawaian dan sifat-sifat mereka piawaian untuk kumpulan sambungan yang dipilih.

8. Ulangi langkah 2-7sehingga semua kumpulan sambungan telah ditentukan.

9. Apabila anda selesai mendefinisikan kumpulan-kumpulan berkaitan, klik pada Selesaibutang dan seni bina ada akan dicipta dari fail Excel yang diimport. Contoh di atas akan menyebabkan seni bina yang ditunjukkan dalam gambar di bawah.

Sampel Architecture diimport dari Excel

10. Kini menyimpan konfigurasi dipetakan ke fail dengan klik pada Simpan Konfigurasiicon. Konfigurasi anda disimpan boleh diperoleh semula kemudian dengan klik pada Buka konfigurasi yangicon berhampiran bahagian atas sudut kiri tetingkap.

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Ia merupakan pusat seni bina anda secara manual | Ia merupakan pusat seni bina anda dari Access | Ia merupakan pusat seni bina anda dari Visio


Ia merupakan pusat seni bina anda dari Microsoft SharePoint

Navigation: Ia merupakan pusat seni bina anda> populating daripada produk Microsoft>

Ia merupakan pusat seni bina anda dari Microsoft SharePoint

Menghantar komen mengenai topik ini.

Awak boleh menyelaraskan senibina anda denganMicrosoft Senarai SharePoint. Penyegerakan melibatkan sama ada membuat senarai SharePoint baru (dan ruangan mereka) daripada jenis ABACUS, harta benda dan lampirannya, atau pemetaan senarai SharePoint sedia ada (dan lajur mereka) untuk jenis ABACUS, harta benda dan lampirannya, maka sama ada yang menghantar bahan dari ABACUS untuk SharePoint atau SharePoint untuk ABACUS.

Nota

Yang SharePoint Sync ciri memerlukanyang Microsoft SharePoint 2010, 2013atau SharePoint Online lokasi disediakan untuk menyambung dan menyelaras dengan.Walaupun ciri SharePoint Sync boleh membuat senarai (dengan tiang) pada tapak SharePoint dari mana-mana projek ABACUS, Avolution juga boleh menyediakan pelbagai template laman SharePoint untuk menyokong rangka kerja standard (contohnya TOGAF, ArchiMate, ITIL dan lain-lain) supaya sila hubungi Sokongan Avolution jika anda memerlukan keupayaan ini.

Untuk membuat senarai SharePoint baru dan peta ia ke ABACUS komponen atau jenis sambungan

1. Pastikan anda mempunyai ABACUS terbuka.

2. Pilih Tools | SharePoint Sync.

3. Klik Pemetaan barubutang dan dialog Pemetaan SharePoint seperti di bawah akan muncul.

4. Masukkan URL laman, Nama Pengguna dan Kata Laluan untuk laman SharePoint dan klik Sambung.

Nota

A SharePoint sah 'admin' atau akaun 'penyumbang' diperlukan untuk menyegerakkan dari dan ke SharePoint dan akaun yang 'pembaca' hanya akan membenarkan penyegerakan dari SharePoint.

5. Pilih ABACUS komponen atau jenis sambungan untuk memetakan dari Pilih Jenis Tarik ke bawah.

6. Klik Tambah barubutang dan kemudian untuk setiap ABACUS komponen atau jenis sambungan aspek anda ingin peta kepada SharePoint bidang senarai sepadan memilih item dalam panel kiri dan panel kanan masukkan baharu Nama senarai SharePoint dalam lajur Senarai Baru (hanya kali pertama) , maka SharePoint nama lajur dalam Nama Ruangan (atau menggunakan lalai) dan klik Berikan setiap masa.

Nota

Sebagai minimum untuk membolehkan penyegerakan ABACUS EEID, Seni Bina dan aspek-aspek Nama akan secara automatik dipetakan kepada Nombor SharePoint dan dua (2) baris teks (aka Teks) tiang masing-masing. Ini tidak boleh ditugaskan. Tambahan pula, aspek ABACUS tertentu sahaja boleh pada masa ini dipetakan kepada tiang SharePoint tertentu dan Ruangan Jenis tarik bawah akan secara automatik kepada SharePoint jenis ruang yang diperlukan.Iaitu;

· Path Hierarki ABACUS 'untuk SharePoint Pelbagai baris teks (aka Nota) ruangan (Nota: SharePoint baris teks (aka Teks) tiang hanya menyokong 255 aksara jadi mereka tidak diutamakan),

· Komponen ABACUS 'Melekat ruangan SharePoint Lookup (Nota: pemetaan mesti sudah wujud untuk senarai untuk komponen dilampirkan diri mereka sendiri),

· Teks dan Penerangan hartanah ABACUS 'untuk SharePoint garis Pelbagai teks (aka Nota) ruangan (Nota: SharePoint baris teks (aka Teks) tiang hanya menyokong 255 aksara jadi mereka tidak diutamakan),

· Decimal atau Integer hartanah ABACUS 'untuk ruangan SharePoint Nombor,

· Senarai hartanah ABACUS 'untuk ruangan SharePoint Choice (Nota: SharePoint tidak menguatkuasakan nilai-nilai pilihan supaya jenis Senarai data tidak perlu dikuatkuasakan ABACUS),

· ABACUS 'Tarikh / Waktu hartanah untuk SharePoint Pelbagai baris teks (aka Nota) ruangan (Nota: SharePoint Tarikh dan lajur Masa tidak boleh digunakan lagi kerana sokongan yang tidak konsisten SharePoint untuk zon waktu settings / serantau),

· Sifat Boolean ABACUS 'untuk SharePoint Ya / Tidak (aka Boolean) tiang.

Associated Piawaian elemen ABACUS tidak boleh dipetakan ke senarai SharePoint tiang lagi.

7. Pilih Buat Pemetaan.

Untuk membuat pemetaan baru antara komponen ABACUS atau jenis sambungan dan senarai SharePoint yang sedia ada

1. Pastikan anda mempunyai ABACUS terbuka.

2. Pilih Tools | SharePoint Sync.

3. Klik Pemetaan barubutang dan dialog Pemetaan SharePoint seperti di bawah akan muncul.

4. Masukkan URL laman, Nama Pengguna dan Kata Laluan untuk laman SharePoint dan klik Sambung.

Nota

A SharePoint sah 'admin' atau akaun 'penyumbang' diperlukan untuk menyegerakkan dari dan ke SharePoint dan akaun yang 'pembaca' hanya akan membenarkan penyegerakan dari SharePoint.

5. Pilih ABACUS komponen atau jenis sambungan untuk memetakan dari Pilih Jenis Tarik ke bawah.

6. Memilih senarai tapak SharePoint untuk memetakan dari Pilih Senarai Tarik ke bawah.

7. Bagi setiap ABACUS komponen atau jenis sambungan aspek anda ingin peta untuk SharePoint sama lajur senarainya pilih item dalam panel kiri dan panel kanan masing-masing dan klik Berikan.

Nota

Sebagai minimum untuk membolehkan penyegerakan ABACUS EEID, Seni Bina dan aspek-aspek Nama perlu dipetakan kepada Nombor SharePoint dan kemudian untuk Seni Bina dan Nama untuk memuat baris teks (aka Teks) atau talian Pelbagai teks (aka Nota) tiang masing-masing. Sehingga itu dilakukan butang Pemetaan Buat tidak akan aktif. Tambahan pula, aspek ABACUS tertentu sahaja boleh pada masa ini dipetakan kepada tiang SharePoint tertentu.Iaitu;

· Aspek ABACUS 'Architecture ke garis SharePoint Single teks (aka Teks) atau talian Pelbagai teks (aka Nota) ruangan (ini diperlukan untuk kandungan pemetaan tertentu seperti yang dinyatakan di bawah),

· Path Hierarki ABACUS 'untuk SharePoint baris teks (Text aka) atau talian Pelbagai teks (aka Nota) ruangan (Nota: SharePoint baris teks (aka Teks) tiang hanya menyokong 255 aksara jadi mana-mana watak-watak tambahan akan dipenggal dan oleh itu ia adalah disyorkan untuk menukar mereka kepada talian Pelbagai teks (aka Nota) lajur dalam SharePoint sebelum pemetaan),

· Komponen ABACUS 'Melekat ruangan SharePoint Lookup (Nota: pemetaan mesti sudah wujud untuk senarai untuk komponen dilampirkan diri mereka sendiri),

· Teks dan Penerangan hartanah ABACUS 'untuk SharePoint baris teks (Text aka) atau talian Pelbagai teks (aka Nota) ruangan (Nota: SharePoint baris teks (aka Teks) tiang hanya menyokong 255 aksara jadi mana-mana watak-watak tambahan akan dipenggal dan oleh itu ia adalah disyorkan untuk menukar mereka kepada talian Pelbagai teks (aka Nota) lajur dalam SharePoint sebelum pemetaan),

· 'Decimal atau Integer hartanah untuk ruangan SharePoint Nombor (Nota.: SharePoint Dikira tiang boleh digunakan namun mereka hanya akan dapat disegerakkan dari SharePoint untuk ABACUS Cuba untuk sync' ABACUS ke 'lajur terhitung akan menyebabkan amaran seperti di bawah) ,

· Senarai hartanah ABACUS 'untuk ruangan SharePoint Choice,

· ABACUS 'Tarikh / Waktu hartanah untuk SharePoint Pelbagai baris teks (aka Nota) ruangan (Nota: SharePoint Tarikh dan lajur Masa tidak boleh digunakan disebabkan oleh sokongan yang tidak konsisten SharePoint untuk zon waktu settings / serantau),

· Sifat Boolean ABACUS 'untuk SharePoint Ya / Tidak (aka Boolean) tiang.

Associated Piawaian elemen ABACUS tidak boleh dipetakan ke senarai SharePoint tiang lagi. Dan Mata Wang SharePoint, Orang atau Kumpulan, Hiperpautan atau Gambar, Petugas Hasil, Data Luar dan lajur Metadata Terurus tidak boleh dipetakan kepada aspek ABACUS lagi.

8. Pilih Buat Pemetaan.

Untuk menyelaraskanMicrosoft anda Senarai SharePoint (s)ke dalam ABACUS

1. Pastikan anda mempunyai ABACUS terbuka.

2. Pilih Tools | SharePoint Sync.

Nota

Untuk menyelaraskan senarai SharePoint denganProjek ABACUS memerlukan lesen pengguna yang SharePoint Syncadd-on keupayaan. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

3. Pilih pemetaan SharePoint sedia ada (atau pemetaan menggunakan Ctrl-klikatau Pilih semuabutang) dari SharePoint Pemetaanpanelseperti yang ditunjukkan dalam gambar sampel di atas. Nota: di sini kita menunjukkan hanya 'Goal (atau Keperluan) ABACUS jenis komponen pemetaan untuk senarai SharePoint dipanggil Matlamat dipilih.

4. Pilih Architecture (s) yang anda mahu selaraskan dengan kandungan dari Kandungan Sync dari Architecturespanel sebagai yang ditunjukkan dalam gambar sampel di atas. Nota: di sini kita menunjukkan hanya '2015 Sebenar' seni bina sedang disegerakkan.

5. Pilih Sync Dari SPbutang.

Nota

Jika kelayakan laman SharePoint tidak 'Semua tersimpan' adalah untuk pemetaan (s) yang dipilih kemudian masuk ke dialog SharePoint akan muncul meminta untuk URL Laman, Nama pengguna dan / atau Kata laluan.Sila masukkan ini. Tambahan pula, penyegerakan akan termasuk mana-mana pemetaan lain yang diperlukan untuk dilampirkan komponen / ruang carian. Mana-mana pemetaan tambahan yang dimasukkan secara automatik akan dipaparkan dalam dialog seperti di bawah.

6. Penyegerakan berjaya SharePoint Sync Keputusan dialog akan muncul seperti yang ditunjukkan di bawah menyenaraikan perubahan dan sebarang amaran. Klik okey.

Untuk disegerakkan daripada ABACUS untuk Microsoft anda Senarai SharePoint (s)

1. Pastikan anda mempunyai ABACUS terbuka.

2. Pilih Tools | SharePoint Sync.

Nota

Untuk menyelaraskan senarai SharePoint denganProjek ABACUS memerlukan lesen pengguna yang SharePoint Syncadd-on keupayaan. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

3. Pilih pemetaan SharePoint sedia ada (atau pemetaan menggunakan Ctrl-klikatau Pilih semuabutang) dari SharePoint Pemetaanpanelseperti yang ditunjukkan dalam gambar sampel di atas. Nota: di sini kita menunjukkan hanya 'Goal (atau Keperluan) ABACUS jenis komponen pemetaan untuk senarai SharePoint dipanggil Matlamat dipilih.

4. Pilih Architecture (s) yang anda mahu selaraskan dengan kandungan dari Kandungan Sync dari Architecturespanel sebagai yang ditunjukkan dalam gambar sampel di atas. Nota: di sini kita menunjukkan hanya '2015 Sebenar' seni bina sedang disegerakkan.

5. Pilih Sync Untuk SPbutang.

Nota

Jika kelayakan laman SharePoint tidak 'Semua tersimpan' adalah untuk pemetaan (s) yang dipilih kemudian masuk ke dialog SharePoint akan muncul meminta untuk URL Laman, Nama pengguna dan / atau Kata laluan.Sila masukkan ini. Tambahan pula, penyegerakan akan termasuk mana-mana pemetaan lain yang diperlukan untuk dilampirkan komponen / ruang carian. Mana-mana pemetaan tambahan yang dimasukkan secara automatik akan dipaparkan dalam dialog seperti di bawah.

6. Penyegerakan berjaya SharePoint Sync Keputusan dialog akan muncul seperti yang ditunjukkan di bawah menyenaraikan perubahan dan sebarang amaran. Klik okey.

Nota

ABACUS akan mengemaskini ruangan SharePoint dengan nilai-nilai kosong walaupun 'Memerlukan bahawa ruangan ini mengandungi maklumat' ditetapkan ke Ya dalam SharePoint. Ini kerana SharePoint tidak mendedahkan tetapan ini secara luaran. Jika ini adalah untuk dicegah ia adalah disyorkan bahawa Designer ABACUS menetapkan kekangan yang diperlukan untuk benar dan dikuatkuasakan bagi harta yang diberi dengan menggunakan ABACUS ' kekangan ciri .

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Ia merupakan pusat seni bina anda secara manual | Ia merupakan pusat seni bina anda dari Visio | Ia merupakan pusat seni bina anda dari Excel


Ia merupakan pusat seni bina anda dari Microsoft SQL Server

Navigation: Ia merupakan pusat seni bina anda> populating daripada produk Microsoft>

Ia merupakan pusat seni bina anda dari Microsoft SQL Server

Menghantar komen mengenai topik ini.

Anda boleh mengimport senibina anda daripada pangkalan data Microsoft SQL Server. Anda mempunyai pilihan untuk hanya mengimport Jadual dan Hubungan berkesan mengimport hanya struktur generik daripada pangkalan data atau Jadual, baris dan Hubungan yang akan mengimport bukan sahaja struktur tetapi data juga.

Nota

Dari SQL ciri Server memerlukan Microsoft SQL Server 2005, 2008, 2008 R2, 2012 atau 2014dipasang pada komputer.

Untuk mengimport pangkalan data Pelayan Microsoft SQL anda ke ABACUS

1. Pastikan anda mempunyai ABACUS terbuka.

2. Pilih File | Baru dan pilih Dari SQL Serverdari dialog yang dipaparkan dan klik OK.

3. Dalam dialog Server Import SQL yang muncul menetapkan 'MACHINENAME' dan nilai 'SQLINSTANCE' daripada Connection String berubah-ubah dan nilai 'DBNAME' untuk berubah-ubah Nama Pangkalan Data dengan nilai-nilai yang betul seperti yang ditunjukkan dalam gambar sampel di bawah.

4. Menetapkan pembolehubah Nama Pangkalan Data dengan nilai yang sama seperti awal berubah Katalog yang ditetapkan dalam langkah di atas, seperti yang ditunjukkan dalam gambar sampel di bawah.

5. Tekan butang Ujian Connection dan Jadual Import bahagian dialog itu perlu diisi dengan jadual pangkalan data yang ada, seperti yang ditunjukkan dalam gambar sampel di bawah.

6. Pilih jadual yang anda ingin mengimport oleh sama ada secara individu memilih mereka atau menggunakan Semua, Tiada dan butang Kecualikan di sebelah kanan dialog.

Nota

Hanya Hubungan Key asing yang wujud di antara Jadual yang anda pilih akan mendapatkan diimport.

7. Menggunakan butang radio gaya Import memilih sama ada anda mahu mengimport hanya Meja dan hubungan antara mereka atau Jadual, Baris mereka dan Hubungan khusus antara baris.

Nota

Pilihan pertama mengimport Jadual sebagai komponen daripada 'Jadual' jenis dan Hubungan antara mana-mana dua Jadual (daripada kekunci asing) yang diimport sebagai sambungan dari jenis yang 'Jadual Perhubungan. Ini adalah 'ERD' pandangan gaya klasik jadual sistem. Pilihan kedua mengimport Baris Jadual sebagai diskret sub-komponen untuk jenis 'Jadual Row' dengan ciri-ciri yang sepadan dengan setiap daripada tiang-tiang / bidang dan dengan hubungan antara baris Isi jenis yang 'Jadual Perhubungan. Tambahan pula, jika terdapat / bidang ruang yang dikenali sebagai 'Nama' maka ini digunakan untuk menamakan individu Jadual Row sub-komponen.

8. Pilih Import ... butang.

9. Selepas jumlah yang singkat masa (dengan bar kemajuan untuk maklum balas) projek ABACUS baru akan diwujudkan dengan Jadual, Baris Jadual (jika pilihan kedua dipilih dalam langkah di atas) dan Hubungan dari pangkalan data Microsoft SQL Server.

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Ia merupakan pusat seni bina anda secara manual | Ia merupakan pusat seni bina anda dari Visio | Ia merupakan pusat seni bina anda dari Excel


Ia merupakan pusat seni bina anda dari Microsoft Visio

Navigation: Ia merupakan pusat seni bina anda> populating daripada produk Microsoft>

Ia merupakan pusat seni bina anda dari Microsoft Visio

Menghantar komen mengenai topik ini.

Anda boleh mengimport senibina anda daripada Microsoft Visio. Bentuk dalam lukisan Visio anda akan diimport sebagai komponen kepada ABACUS. Sambungan dalam lukisan Visio anda akan diimport sebagai sambungan dan lukisan itu sendiri akan diimport ke ABACUS seperti gambarajah. Tambahan pula, mana-mana Properties Custom dalam lukisan Visio anda akan diimport sebagai hartanah dengan Kekunci Susun dipetakan kepada Jenis Harta, Label kepada Nama Harta dan Nilai di Nilai Hartanah.

Nota

Import daripada ciri Visio memerlukan Microsoft Visio 2003atau yang lebih baru dipasang pada komputer.

Untuk mengimport lukisan Visio anda ke ABACUS

1. Pastikan anda mempunyai ABACUS terbuka.

2. Pilih File | Baru dan pilih Dari Visiodari dialog yang dipaparkan dan klik OK.

Nota

Jika anda ingin mengimport ke dalam projek ABACUS sedia ada kemudian sama ada klik kanan nod Komponen dalam tempoh Architecture, atau klik kanan komponen individu dalam Seni Bina dan kemudian pilih Import | Dari Visio.

3. Cari fail Visio yang anda ingin mengimport.

Nota

Berikut adalah beberapa peraturan yang mudah atau amalan disyorkan apabila membina (atau mengubah) MS Visio lukisan untuk diimport ke ABACUS.

1. Garis-garis atau sambungan perlu penyambung sebenar, TIDAK bentuk.

· Jika tidak ABACUS anda perlu mengimport mereka sebagai komponen dan dengan demikian itu mereka tidak akan "melekat" kepada apa-apa.

· Jika anda perlu melakukan beberapa routing "pintar" (iaitu selain daripada garis lurus) kemudian gunakan penyambung Dynamic pada stensil Bentuk Asas, ABACUS akan mengimport mata routing / anchor halus.

· Cuba untuk mengelakkan menggunakan "rangkaian Ring" dan "Ethernet" bentuk dari Rangkaian dan Perkakasan Komputer stensil yang membolehkan banyak komponen untuk "disambungkan" kepadanya. Walaupun kami mengimport lampiran denda sebagai sambungan bentuk asal masih "berkembang" untuk mencerminkan lampiran. Gunakan memisahkan "hab / bas" bentuk yang berasingan (tanpa penyambung "kaki") dan kemudian sambung dengan jelas setiap komponen kepada hub / bas dengan penyambung berasingan.

· Jika baris atau sambungan berkelakuan seperti bentuk, klik kanan padanya dan pergi ke 'Format | Kelakuan ... 'dan memastikan bahawa gaya Interaksi ditetapkan ke talian (1 dimensi).

2. Komponen perlu bentuk TIDAK penyambung.

· Jika tidak ABACUS anda perlu mengimport mereka sebagai sambungan dan sewajarnya semua maklumat bentuk yang akan hilang.

· Jika komponen berkelakuan seperti penyambung, klik kanan padanya dan pergi ke 'Format | Kelakuan ... 'dan memastikan bahawa gaya Interaksi bakal Box (2-dimensi).

3. Hujung penyambung perlu dilampirkan kepada bentuk, TIDAK terapung di dalam latar belakang di belakang bentuk.

· Jika anda tidak menyambung penyambung kepada bentuk kemudian ABACUS tidak mempunyai cara untuk mengetahui bahawa anda bertujuan untuk melampirkan penyambung yang diberikan kepada bentuk / komponen dan sewajarnya ia akan meninggalkan yang akhir sambungan un-dilampirkan.

4. Label untuk bentuk harus (jika perlu) label teks terbina untuk bentuk, TIDAK kotak teks yang berasingan pada lukisan.

· Kotak teks berasingan akan mendapat diimport oleh ABACUS sebagai komponen dalam hak mereka sendiri dan semasa anda boleh menggabungkan "label" komponen dengan komponen sebenar dalam ABACUS, atau hanya menukar "label" komponen kepada bentuk bentuk bebas (iaitu tidak komponen itu sendiri) ia adalah yang terbaik untuk mengelakkan langkah-langkah ini.

5. Menggunakan bentuk asas yang sama bagi setiap contoh dari jenis yang sama, JANGAN malas dan menggunakan segi empat tepat kadang-kadang dan orang lain dari kotak stensil bentuk yang berbeza.

· ABACUS menggunakan bentuk asas dan warna asas untuk secara unik mengenal pasti komponen dan sambungan jenis dalam lukisan jadi "segi empat merah" dan "kotak merah" akan mendapat diimport sebagai dua jenis komponen berasingan. Jenis-jenis komponen boleh digabungkan dalam ABACUS tetapi ia adalah yang terbaik untuk mengelakkan langkah-langkah ini.

6. Keseluruhannya merangkumi "kanak-kanak" dalam bentuk "ibu bapa" mereka, JANGAN meninggalkan mereka yang tergantung di tepi.

· ABACUS akan mengesan apa-apa bentuk yang keseluruhannya terkandung dalam bentuk lain sebagai kanak-kanak ibu bapa jadi pastikan keseluruhan bentuk, termasuk bahagian label, adalah disertakan.

7. JANGAN meletakkan bentuk bertindih dua bentuk lain.

· Jika bentuk yang bertindih dua bentuk lain, sama ada "perkumpulan" / latar belakang segi empat tepat atau jika tidak, ia akan diimport oleh ABACUS sebagai komponen iaitu seorang kanak-kanak tidak bentuk bertindih tetapi sebaik sahaja anda pilih komponen dalam alat lukisan ABACUS ' , kerana bahagian-kiri yang merupakan komponen rujukan titik, ia akan menjadi seorang kanak-kanak kiri bertindih bentuk / komponen.

8. Cuba untuk mengurangkan penggunaan nota teks pada lukisan kerana ini akan dapat diimport sebagai komponen dalam hak mereka sendiri dan perlu ditukar kepada bentuk bentuk bebas dalam ABACUS. Memikirkan sama ada mereka benar-benar nama komponen yang sedia ada atau sambungan.

9. Walaupun ABACUS menyokong kaya / bentuk berwarna / berasaskan vektor, cuba untuk mengurangkan penggunaan bitmap, bentuk asing dan Metafiles dipertingkatkan untuk bentuk sebagai ABACUS kini tidaktidakmenyokong jenis-jenis ini. Mereka akan diimport sebagai segiempat tepat putih mudah.

10. Cuba untuk mengelakkan kembalian penyorong (shift-pulang) dalam label kerana ia diimport dan ditunjukkan sebagai watak khas "[]" di ABACUS untuk nama komponen.

11. Cuba untuk mengurangkan warna yang berbeza yang digunakan untuk bentuk dari jenis yang sama. Seperti yang dinyatakan di atas, warna asas dan asas bentuk unik mengenal pasti komponen dan jenis sambungan supaya perubahan lebih ada penggabungan yang lebih dan pengukuhan yang perlu dilakukan selepas import dalam ABACUS.

12. Berhati-hati dengan bentuk penuh kerana jika bentuk yang dipenuhi sehingga ke sudut-sudut kemudian mewarna kemudian dalam ABACUS akan mempunyai kesan.

13. Untuk bentuk berdasarkan barisan yang kompleks yang anda mesti menggunakan poligon yang dicipta dengan mempunyai garisan bermula di mana yang sebelumnya selesai dan kemudian akhirnya akan kembali ke titik permulaan. Jika mahu, anda boleh menggunakan isi dan garis lebar untuk membuat wajah poligon seperti 'anak panah' atau apa sahaja bentuk yang anda mahu.

14. Pastikan ID bentuk dalam MS Visio amat bermakna bukan sahaja Shape.xx. Ini boleh diedit menggunakan klik kanan 'Tunjuk Shapesheet' yang boleh didapati dalam mod pembangun MS Visio (dibolehkan melalui Tools | Pilihan dalam MS Visio).

15. Elips dan lengkokdalam bentukdisokong dalam ABACUS tetapi NURBS dan Splin sekarang ini tidak disokong.

16. Pastikan keseluruhan bentuk yang dikumpulkan dalam MS Visio atau ia akan mendapatkan diimport kerana beberapa komponen / jenis.

17. Cuba untuk mengurangkan penggunaan bentuk diputar dalam subshapes kerana mereka akan kadang-kadang tidak diimport dengan betul.

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Ia merupakan pusat seni bina anda secara manual | Ia merupakan pusat seni bina anda dari Access | Ia merupakan pusat seni bina anda dari Excel


Ia merupakan pusat seni bina anda secara manual

Navigation: Ia merupakan pusat seni bina anda> populating manual>

Ia merupakan pusat seni bina anda secara manual

Menghantar komen mengenai topik ini.

Komponen dan sambungan senibina anda peringkat yang lebih tinggi mungkin perlu diisi secara manual. Biasanya ini akan menjadi komponen dan sambungan lebih abstrak.

Untuk mengisi secara manual senibina anda

1. Pastikan anda mempunyai Fail ABACUSterbuka, explorerdipaparkan, dan seni bina ditambah .

2. Menambah komponen. Untuk membuat ini, Klik kanandi kawasan pokok yang anda mahu untuk mengisi, dan pilih Tambah Sub-komponen ...Atau klik Komponen barubutang pada Lihat bar alat . Komponen hanya boleh ditambah di bawah cawangan komponen yang pokok. Anda mahu gambar rajah pokok anda untuk menjadi perwakilan tepat senibina anda. Apabila anda menemui senibina anda, anda akan belajar bagaimana ia semua sesuai bersama-sama. Anda akan memerlukan pengetahuan ini apabila anda menambah komponen dan sambungan anda. Jika anda menambah Komponen pertama anda, anda akan menambah secara langsung ke cawangan Komponen ini. Selebihnya komponen anda boleh sama ada pada tahap yang sama di pokok itu, atau mereka boleh menjadi sub-komponen yang pertama.

3. Kemas kini nilai-nilaisifat-sifatsetiap komponen seperti yang anda menambah. Untuk membuat ini, klikpada komponen, dan mengedit sifat dipaparkan dalam Tetingkap Properties(biasanya) ke kanan. Properties umumnya perkara seperti keperluan, kapasiti pemprosesan, dan lain-lain Apabila ABACUS menilai seni bina anda, ia akan mengira beberapa ciri-ciri baru dan peliharalah mereka kembali kepada seni bina. Ciri-ciri baru adalah data yang anda cuba untuk menganalisis, seperti penggunaan, masa tindak balas, lebar jalur, dan lain-lain

4. Tambah sambungan andadan maklumatharta merekaseperti yang anda pergi - seperti yang anda lakukan untuk komponen (tetapi di bawah cawangan Sambungan pokok itu).

5. Lampirkansambungan dan komponen. Untuk melakukan ini, mencari sambungan, klik pada salah satu yang berakhir atau peranan Dan seret ia ke komponen. Sebagai alternatif, klik pada komponen dan tarik ke satu sambungan ini peranan (iaitu sama ada sumber atau tenggelam). Atau anda boleh klik kanan dan seret komponen ke komponen lain dan pilih Untuk menyambung. Atau hanya klik kanan komponen dan pilih Sambung .... Apabila anda menyeret sambungan peranan, Anda akan melihat simbol jalan pintas apabila anda menunjukkan pada komponen yang anda boleh melampirkan kepada. Ini menunjukkan bahawa anda tidak membuat salinan, anda hanya memasangnya. Pastikan anda pasangkan ke komponen destinasi yang betul. Sebagai contoh, jika ia Sumber sambungan ini peranan, Seret ia buat komponen sumber (iaitu komponen yang adalah sumber aliran data).

Petua

Re-pesanan entiti dalam seni bina anda (contohnya Komponen, Hubungan dan lain-lain) dalam exploreradalah agak mudah. Cubalah Klik| Pegang| Dragentiti yang berkaitan dan tempat di mana dikehendaki dalam senibina anda. Fungsi semula pesanan juga membolehkan anda untuk meletakkan entiti dalam hierarki yang berbeza seni bina anda.

Anda juga mungkin mahu

6. Tambah Piawaian (set pra-konfigurasi hartanah - pratetap) untuk komponen anda, sambungan atau jenis

7. Mengubah sifat-sifat daripada, sambungan komponen atau jenis

8. Buat asal dan Buat semula operasi

9. Tukar Type komponen atau sambungan

10. Buat Jenis baru atau Kumpulan Jenis

11. Padam komponen atau sambungan

12. Buat, buat salinan atau mengembangkan seni bina

13. Jenis Import dan standard dari perpustakaan

14. Import dari fail ABACUS lain, XML, Excel atau Visio

15. Salin dan tampal bahagian (atau semua) senibina anda

16. Cari dan Ganti item dalam senibina anda

17. Buka / Tutup sebahagian atau semua nod di pokok itu

18. Bergabung barangan

19. Menentukan dan Mengesahkan Kekangan untuk menyekat struktur senibina anda

20. Evolve senibina anda untuk membuat beberapa penyelesaian seni bina untuk membandingkan dan asas

Lihat juga

Ia merupakan pusat seni bina anda - Gambaran keseluruhan | Mencipta fail baru


Terbitkan ke Web

Navigation: Laporan mengenai seni bina anda>

Terbitkan ke Web

Menghantar komen mengenai topik ini.

ABACUS 'Terbitkan kepada ciri Web membolehkan model seni bina untuk dilihat melalui laman web yang selamat. Seni Bina dieksport ke format HTML dan direka untuk mencerminkan rupa dan rasa daripada explorer dalam ABACUS. Views (termasuk Katalog, Rajah, 3D dan Chart) juga dieksport ke dalam format yang mana boleh dilihat menggunakan browser internet.

Nota

Pada masa ini, pandangan dan Matriks tidak diterbitkan.

Untuk menerbitkan model seni bina anda ke web

1. Pastikan anda mempunyai yang berkaitan Fail ABACUSterbuka, yang mengandungi seni bina pendudukyang anda mahu menerbitkan ke web.

2. Pilih Fail| Terbitkan ....

3. Yang Terbitkan Untuk Konfigurasi Webtetingkap akan dipaparkan.

Terbitkan ke Konfigurasi Web

4. Secara lalai semua bahagian model yang dipilih termasuk Lihat Tree, yang Piawaian, Jenis-jenis, Templat dan Senibina (s). Jangan tanda mana-mana bahagian yang anda tidak mahu untuk menerbitkan kepada web, termasuk apa-apa pandangan individu dalam seni bina (s).

Petua

Jika anda mahu menyembunyikan komponen tertentu, sambungan dan / atau sifat-sifat mereka adalah disyorkan bahawa Pentadbir mewujudkan peranan 'Public' menggunakan Berasaskan peranan akses ciri ABACUS ' dan kemudian membuang kebenaran Baca daripada orang-orang jenis komponen, jenis sambungan dan / atau ciri-ciri yang mereka tidak mahu untuk diterbitkan. Kemudian pengguna perlu log in di bawah peranan itu dan menerbitkan ke web sebagai ABACUS hanya akan menerbitkan unsur-unsur yang telah Baca kebenaran ditetapkan untuk peranan. Tambahan pula, pengguna boleh auto-menerbitkan daripada baris arahan seperti yang dinyatakan di sini .

Nota

Anda boleh memilih semua bahagian dipaparkan dengan klik pada Semuabutang atau terbalikkan pilihan anda dengan klik pada Kecualikanbutang. Anda juga boleh menekan pada Tiadabutang untuk membersihkan pilihan anda.

Nota

Jika awak jangan tanda pilihan Tree Viewmaka tidak ada rangka pokok (lihat di bawah) akan disiarkan. Oleh itu, anda perlu memilih halaman mula mengikut langkah 6 di bawah atau selepas menerbitkan anda perlu menyesuaikan sama ada peringkat atas; a) index.htmlfail dengan menukar 'frame src = "mainPage.html" name = "element_details"' garis untuk terus menghubungkan ke halaman html yang berkaitan di bawah folder Kandungan, atau, b) mainPage.htmldengan menyediakan pautan atau mengarahkan ke halaman html yang berkaitan di bawah folder Kandungan.

5. Klik Pilihan butang dan yang berikut Pilihan Penerbitdialog akan dipaparkan.

TerbitkanPilihan er

6. Smelantik 3D, Rajahdan Carta format dan sama ada untuk menunjukkan Tajuk, Penerangan atau Properties untuk pandangan daripada pilihan yang tersedia (rujuk nota di bawah untuk komen mengenai pelbagai format).

7. Jika anda ingin menetapkan halaman permulaan model yang diterbitkan untuk tujuan tertentu kemudian memeriksa Gunakan Lihat Seperti Halaman Mulapilihan dan semak imbas ke pemandangan melalui butang '...' yang menjadi aktif.

Nota

Hanya pandangan yang terpilih dalam seksyen Kawasan sebagai satu Langkah 4 di atas disediakan untuk ditetapkan sebagai halaman permulaan.

8. Jika anda ingin menerima maklum balas di muka surat tertentu dalam model yang diterbitkan kemudian pastikan E-mel Maklumbalasopsyen yang dipilih, memasukkan alamat e-mel dalam Alamat emailtextboxdan mengedit E-mel Badanseksyen sebagaimana yang sesuai. Jika anda tidak ingin mendapat maklum balas dihantar kemudian jangan tanda E-mel Maklumbalaspilihan dan meninggalkan textbox yang kosong.

9. Klik pada okeybutang.

10. Klik pada Semak imbasbutang.

11. Yang Semak imbas Foldertetingkap akan dipaparkan.

12. Pilih lokasi yang anda mahu untuk menyimpan fail HTML tingkat atas (dan mana-mana fail yang dijana secara automatik).

Nota

Ia adalah idea yang baik untuk membuat folder tertentu (biasanya dipanggil "ditayangkan") menggunakan Buat Folder Barubutang di bahagian bawah dialog untuk menyimpan peringkat tertinggi HTML fail dan apa-apa fail yang dijana secara automatik.

13. Klik pada okeybutang.

14. Jalan folder akan dipaparkan dalam Direktoriteks.

15. Klik pada Selesaibutang.

- Atau -

15. Masukkan laluan folder di Direktoriteks di mana anda mahu untuk menyimpan fail HTML tingkat atas (dan mana-mana fail yang dijana secara automatik).

16. Klik pada Selesaibutang.

Nota

Mengeksport Rajahsangat kadang-kadang gagal, paling kerap apabila komputer adalah daripada memori (biasanya apabila menggunakan fail yang sangat besar). A eksport gagal akan dibicarakan semula sekali. Akan ada satu amaran untuk cubaan awal gagal, dan amaran kedua jika percubaan semula gagal. Oleh itu, jika satu-satunya amaran adalah "percubaan awal gagal" orang-orang, yang menerbitkan berjaya. Jika percubaan semula gagal cuba menerbitkan bahagian yang lebih kecil daripada fail anda atau bebas beberapa memori sistem.

Fail HTML disimpan (s) kini boleh di lihat dari lokasinya atau disalin ke laman web yang selamat.

Terbitkan ke Web Internet Explorer10

Mana-mana hiperpautan yang telah diwujudkan dalam model asal akan berterusan dalam model yang diterbitkan dan klik pada pautan akan mengikuti pautan ke destinasi (jika ia telah diterbitkan). Tambahan pula, mana-mana elemen dalam gambar rajah yang diterbitkan yang belum dihubungkan dengan pautan dalam model asal akan OLEH dihubungkan dengan pautan kembali kepada unsur-unsur yang sama mereka memandangkan Tree (jika ia telah diterbitkan) dan dengan mengklik unsur dalam gambar rajah yang disiarkan tumpuan akan melompat kembali ke lokasi relevan dalam Tree. Ciri ini adalah sama dengan "Show In Explorer" ciri klik kanan dalam ABACUS.

Nota

Avolution menyarankan perisian dan fail format berikut perlu digunakan untuk menggunakan sepenuhnya Terbitkan ke fungsi Web dalam ABACUS:

1. Internet Explorer (80,0 dan ke atas)untuk melihat pandangan explorer yang diterbitkan. Mozilla Firefox (30,0 atau kemudian)juga dicadangkan dan disokong sepenuhnyaWalau bagaimanapun, jika menggunakan format SVG yang disyorkan untuk gambar rajah maka dalam Firefox 9 anda boleh hanya menggunakan SVG asli sokongan penonton yang malangnya tidak membenarkan zoom atau panning.

2. Adobe SVG Viewer 3.0 Pasangkan (muat turun dari di sini ) dan SVGformat fail untuk yang disiarkan gambar rajah. SVG format imej untuk gambar rajahadalah disyorkan kerana; SVG adalah berasaskan vektor format imej dan oleh itu ia adalah 'kerugian kurang' dan kelihatan jauh lebih baik pada tahap zoom apa-apa yang diberikan daripada mana-mana format lain, SVG boleh diimport ke dalam MS Visio, SVG boleh dizum ke mana-mana peringkat atau resolusi , SVG mempunyai pautan kembali ke paparan pokok itu untuk sambungan (bukan sahaja komponen), SVG sentiasa mencetak pada resolusi yang lebih baik, dan, SVG kira-kira separuh saiz fail format yang lain. PNG adalah cadangan yang akan datang, bagaimanapun, kerana ia merupakan suatu format rasterised di tahap zum tertentu kejelasan pemandangan akan hilang dan klik sambungan pada gambar rajah tidak akan melompat kembali ke lokasi relevan di pokok itu. BMP adalah tidak digalakkan kerana semasa ia adalah 'kerugian kurang' memformat saiz fail adalah 100x bahawa satu format yang lain dan imej 20 MB tidak luar biasa.

Trade-off dengan SVG adalah bahawa penonton SVG perlu dipasang dan anda perlu memastikan bahawa imej .svg / svg + xml ditambah jenis MIME pelayan web ini. Selepas pemasangan penonton SVG Microsoft Internet Explorer akan meminta anda untuk menerima perjanjian lesen penonton dan kemudian ia harus bekerja denda. Dan manakalaMozilla Firefox menyokong fail SVG secara asal, plugin Adobe masih disyorkandapat zum rajah jika anda menggunakan Firefox 8 atau lebih awal (jika anda menggunakan Firefox 9 anda tidak boleh mematikan penonton SVG asli). Setelah pemasangan untuk plugin Adobe telah berlari, langkah-langkah berikut perlu menggunakannya dalam Firefox:

· Buka firefox dan masukkan "about: config" (tanpa tanda koma terbalik) ke dalam bar URL.

· Tatal ke bawah dan mencari harta svg.enabled(jika anda menggunakan Firefox 9 maka tontonan SVG asli tidak boleh menjadi kurang upaya dan harta ini tidak wujud). Klik dua kali padanya untuk melumpuhkannya.

· Sekarang mencari direktori di mana plugin SVG dipasang (contohnya C: \ Program Files \ Files Bersama \ Adobe \ SVG Viewer 30,0 \)

· Salin fail NPSVG3.dll dan yang NPSVG3.zip dan tampalkannya ke dalam firefox plugin direktori (contoh: C: \ Program Files \ Mozilla Firefox \ plugin)

· Menutup semua contoh firefox

3. Avolution ini ABACUS 3D Viewer (3.1 dan ke atas)dan .abacus3D Avolution iniformat fail untuk pandangan 3D diterbitkan. Sementara Cortona VRML Pelanggan plug-in (2.0 dan ke atas)disediakan untuk melihat VRML versi pandangan diterbitkan ia tidak percuma untuk kegunaan komersil dan masih memerlukan pemasangan pelanggan-sampingan. The ABACUS 3D Viewer adalah lebih kaya ciri daripada mana-mana penonton VRML dan boleh didapati secara percuma untuk dimuat turun dari di sini . Dalam mana-mana kes pastikan anda menambah .vrml x-dunia / x-VRML dan aplikasi .abacus3d / oktet-aliran untuk jenis MIME pelayan web ini.

4. PNGformat fail untuk pandangan Carta diterbitkan. PNG format imej untuk paparan Carta adalah disyorkan kerana semasa ia adalah format yang rasterised dan ada 'kehilangan' keseimbangan antara saiz fail dan carta kejelasan biasanya terbaik. BMP adalah tidak digalakkan kerana semasa ia adalah 'kerugian kurang' memformat saiz fail adalah 20x bahawa satu format yang lain dan carta 2Mb tidak luar biasa.

Jika anda mahu menukar rupa dan rasa di laman-laman web, anda boleh mengedit fail halaman permulaan bernama mainPage.html dan fail lembaran gaya bernama abacus.css. Anda akan mencari fail-fail di dalam folder yang sama di mana anda memilih untuk menyelamatkan tingkat atas fail HTML. Untuk maklumat lanjut mengenai struktur dan jahitan output yang disiarkan lihat bahagian seterusnya.

Struktur ABACUS diterbitkan model

The ABACUS model diterbitkan distrukturkan seperti berikut:

1. Folder tingkat atas mengandungi beberapa fail dan menganggap semua pilihan termasuk dalam ABACUS Terbitkan ke Konfigurasi Web dialog ia akan termasuk indeks.htmlfail terdiri daripada tiga bingkai; treeView.html, findNode.html dan mainPage.htmldan kemudian shortcutError.htmlLaman. The treeView.html dihuni oleh tree.js, tree_items.jsdan tree_tpl.js fail javascript terletak di bawah folder yang termasuk (dibincangkan di bawah) dan replikasi pokok Explorer dari ABACUS. The findNode.html kuasa dariyang find.js fail javascript terletak di bawah termasuk folder (dibincangkan di bawah) dan ia akan mencari dahan-dahan pokok itu bukan hanya nod kelihatan. Tdia mainPage.html adalah halaman HTML statik yang boleh disesuaikan dengan logo korporat dan sebagainyadan akan dipaparkan melainkan jika suatu halaman mula dipilih apabila menerbitkan.Dan akhirnya, page shortcutError.html adalah halaman arahan untuk apa-apa pintasan rosak dari pokok itu kerana halaman sesuai tidak diterbitkan.

Petua

Anda boleh melangkau mainPage.html sama sekali dengan memilih untuk menggunakan halaman awal apabila menerbitkan atau mengubah suai fail index.html tersebut supaya terus kepada pandangan tertentu (katakan) dengan mengedit bingkai src = "mainPage.html" garis supaya terus menuju ke pandangan yang pertama dalam seni bina yang pertama, biasanya gambarajah 'rangka'.

2. Bahagian peringkat includefolder mengandungiingpelbagai javascript (js) dan gaya melata lembaran (Css) fail yang digunakan oleh fail .html seluruh model yang disiarkan.

3. The tingkat atas folder mengandungi kandungan, Abjad;

· A '3D Views' folder denganbernomborHalaman HTML dan fail VRML atau abacus3d untuk setiap pandangan yang diterbitkan 3D. Lihat komen di bawah untuk maklumat mengenai skim penomboran fail.

· Yang Seni Bina folder dengan halaman HTML bernombor untuk seni bina setiap yang diterbitkan. Lihat komen di bawah untuk maklumat mengenai skim penomboran fail.

· A Katalog folder yang mengandungi halaman HTML bernombor untuk setiap katalog diterbitkan. Lihat komen di bawah untuk maklumat mengenai skim penomboran fail.

· A Carta folder denganbernomborHalaman HTML dan PNG yang, JPG fail dan lain-lain bagi setiap pandangan Carta diterbitkan. Lihat komen di bawah untuk maklumat mengenai skim penomboran fail.

· A Komponen folder yang mengandungibernomborHalaman HTML untuk setiap komponen yang diterbitkan. Lihat komen di bawah untuk maklumat mengenai skim penomboran fail.

· A Sambungan folder yang mengandungibernomborHalaman HTML untuk setiap daripada sambungan yang diterbitkan. Lihat komen di bawah untuk maklumat mengenai skim penomboran fail.

· A Rajah folder yang mengandungibernomborHalaman HTML dan PNG yang, SVG fail dan lain-lain bagi setiap diterbitkan gambar rajah. Lihat komen di bawah untuk maklumat mengenai skim penomboran fail.

· Yang ikon sub-folder dengan pelbagai imej yang digunakan di seluruh model yang disiarkan.

· A Piawaian sub-folder denganbernomborHalaman HTML untuk apa-apa piawaianyang diterbitkan. Lihat komen di bawah untuk maklumat mengenai skim penomboran fail.

· A Templat sub-folder dengan koleksi bernombor subfolder untuk template setiap yang diterbitkan daripada projek itu. Di dalam setiap sub-folder adalah Components dan folder Sambungan dan dalam ini adalah halaman HTML bernombor untuk setiap komponen dan sambungan template. Lihat komen di bawah untuk maklumat mengenai skim penomboran folder / fail.

· A Jenis sub-folder dengan Komponen danSambungan subfolder denganbernomborHalaman HTML untuk mana-mana Komponen danJenis sambungan yang telah diterbitkandan koleksi bernombor subfolder untuk jenis setiap yang diterbitkan daripada projek itu yang mengandungi halaman HTML bagi setiap kekangan. Lihat komen di bawah untuk maklumat mengenai skim penomboran folder / fail.

· A Lihattitiks sub-folder danbernomborHalaman HTML untuk mana-mana Lihat yangtitikFoto yang diterbitkan. Lihat komen di bawah untuk maklumat mengenai skim penomboran fail.

Nota

Penomboran halaman HTML (dan dalam beberapa kes fail imej) sepadan dengan unik ID bagi setiap objek repositori itu adalah ditetapkan apabila ia adalah diciptadalam ABACUS (dirujuk sebagai EEIDs). ID ini tidak berubah dengan sebagai gambar rajah, jenis, komponen dan lain-lain yang dikemaskini mereka akanmengekalkan ID yang sama seperti sebelum ini. Dalam setiap kes, yang berkaitan objek repositorinama boleh ditemui berhampiran permulaan halaman HTML di antara ... tag HTML.

Menyekat Akses kepada Laman tertentu / Views dengan IIS

Jika menggunakan IIS sebagai pelayan web anda untuk model yang diterbitkan, anda mungkin boleh untuk menyekat akses kepada halaman tertentu / pandangan menggunakan kaedah di bawah:

1. Buat laman web di IIS (satu sama lain jika ada yang sedia ada anda tidak mahu mengganggu).

2. Tukar akses harta-benda> Direktori Security-> Anonymous - Akses tanpa nama nyahtandakan dan penggunaan disahkan akses.

3. Jika ini adalah hanya pelayan biasa tanpa komplikasi domain dan lain-lain, maka anda perlu menggunakan 'windows bersepadu pengesahan' pilihan yang kemudiannya akan menggunakan mesin pelayan pengguna tempatan / login sebagai pengesahan, dan hanya menambah pengguna kepada komputer tempatan (berhati-hati bahawa anda menyedari kesan-kesan, keselamatan bijak, untuk menambah pengguna baru untuk mesin, contohnya bergantung kepada sama ada capaian jauh adalah persediaan untuk mesin, dan lain-lain).

4. Tambah keizinan untuk fail / folder tertentu seperti yang dikehendaki. Klik kanan individu fail / folder -> Properties, dan menyesuaikan keizinan keselamatan seperti biasa untuk fail / folder.

Ini mungkin berbeza bergantung kepada apa yang versi IIS dan apa yang khusus Windows OS pada pelayan, dan sama ada anda mempunyai domain atau persediaan yang berbeza lain.

Lihat juga

Ia merupakan pusat seni bina anda | Menganalisa senibina anda


Pendaftaran ABACUS

Navigation: Rujukan>

Pendaftaran ABACUS

Menghantar komen mengenai topik ini.

Apabila anda mula-mula ABACUS (atau selepas lesen sementara telah tamat) anda perlu mendaftarkan permohonan terhadap pelayan lesen Avolution dengan menggunakan kunci lesen unik yang disediakan oleh Pentadbir ABACUS tempatan anda atau terus dari Avolution. Jika anda tidak mempunyai kunci lesen sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution .

Untuk mendaftar dengan kunci lesen

1. Selepas pemasangan, mula ABACUSsama ada dengan mengklik dua kali pintasan pada desktop atau dari menu Mula Windows.

2. Dalam dialog Pendaftaran yang muncul memasuki Kunci lesen 26 watakdisediakan oleh Pentadbir ABACUS tempatan anda atau Sokongan Avolution , Atau klik Lihat ...dan pilih fail .dlsc yang ditandatangani pulang dari Sokongan Avolution mengikut Nota pada Langkah 4 di bawah. Jika menggunakan fail .dlsc ditandatangani dengan betul ABACUS harus bermula seperti Langkah 5 di bawah.

Petua

Anda boleh menampal kunci lesen ke dalam dialog dengan menyalin ke clipboard Windows dan kemudian memilih latar belakang dialog dan menekan Ctrl + V.

Dialog Pendaftaran

3. Klik okeydan jika kunci lesen adalah kunci lesen ABACUS sahABACUS kini akan cuba untuk menghubungi pelayan lesen Avolution untuk mengesahkan kunci lesen.

Nota

Jika anda mendapat Kod Pemasangan adalah tidak sahralat pendaftaran ia adalah kemungkinan besar bahawa anda telah menaip kod tidak betul. Cuba salin dan tampal kod seperti Petua tersebut di atas.

Menghubungi Server Lesen Avolution

4. Klik okeydan selepas tempoh yang singkat ABACUS perlu mendaftar dengan jayanya.

Pendaftaran yang berjaya

Nota

Jika anda mendapat Tidak dapat menghubungi pelayan lesenralat pendaftaran ia adalah kemungkinan besar bahawa firewall (atau langkah-langkah keselamatan yang lain) pada rangkaian anda menghalang akses kepada pelayan lesen Avolution ini. Klik okey, Menyimpan fail .dlsc ke mesin tempatan anda dan kemudian sama ada e-mel fail .dlsc untuk Sokongan Avolution dan menunggu arahan selanjutnyaatau cuba untuk log lesen sendiri fail menggunakan URL berikut - http://licensing.avolutionsoftware.com/LicenceSign/ .

Tidak dapat menghubungi pelayan lesen

Buka halaman web menandatangani Lesen

Lesen Manual menandatangani laman web

Sebagai alternatif, jika anda mendapat Ini kod pemasangan telah digunakan pada sistem lebih daripada yang dibenarkan oleh lesen ituralat pendaftaran adalah mungkin bahawa mesin tempatan anda telah dibina semula sejak kali terakhir anda berdaftar ABACUS atau anda cuba untuk mendaftar dengan kunci lesen pengguna lain. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution .

Kod pemasangan telah digunakan

5. Klik okeydan jika berdaftar berjaya ABACUS perlu membuka dengan Skrin Selamat Datang .

Lihat juga

Sokongan Avolution | Apakah ABACUS lakukan?


Standard Element Pemilihan

Navigation: Menganalisa senibina anda>

Standard Element Pemilihan

Menghantar komen mengenai topik ini.

Apabila mencipta gambarajah, 3D pandangan, Laporan,carta standardatau menjalankan simulasi, Tetingkap pilihan elemen standard digunakan untuk memilih unsur-unsur anda ingin menganalisis / view.

Standard Element Tetingkap Pemilihan

Pulldowns

· Pilih Viewakan termasuk unsurFoto dari pandangan yang disimpan sebelum ini (iaitu Rajah, Carta, 3D). Dengan cara ini, anda boleh melakukan kompleks 'menyertai' pertanyaan dengan merawat pandangan lain sebagai 'pertanyaan' disimpan.

Kotak

· Show Tahapkumpulan kehendak elemen mengikut tahap di mana ia berlaku di pokok itu. Level 1 adalah yang paling peringkat tertinggi.

· Show Jeniskumpulan kehendak unsur-unsur mengikut jenis yang mereka berada.

· Ibu bapa yang dipilihakan termasuk unsur-unsur induk sebarang unsur-unsur yang dipilih. Dengan cara ini anda boleh memastikan bahawa hanya hierarki di atas mana-mana kanak-kanak akan dimasukkan untuk "bottom-up" pemilihan.

· Bani dipilihtermasuk kanak-kanak unsur-unsur mana-mana elemen yang dipilih. Dengan cara ini anda boleh memastikan bahawa hanya hierarki di bawah mana-mana ibu bapa akan dimasukkan untuk "atas-bawah" pilihan.

· Nama Perlawanan Nilaitermasuk hanya unsur-unsur yang mempunyai Nama yang mengandungi rentetan yang ditentukan (Sila ambil perhatian: wildcard (iaitu dan *) boleh digunakan?). Dengan cara ini, anda boleh membentuk "semantik" pertanyaan.

· Mempunyai Harta Jenis / Nama / Nilaitermasuk hanya unsur-unsur yang mempunyai Jenis Harta, Nama dan Nilai mengandungi rentetan yang dinyatakan sama ada secara langsung pada unsur atau pada Piawaian yang (Sila ambil perhatian:?.? wildcard (iaitu dan *) boleh digunakan Eg * dalam bidang Nilai yang akan memberikan semua unsur-unsur yang mempunyai Nilai bukan kosong bagi Harta yang diberikan). Dengan cara ini, anda boleh membentuk "semantik" pertanyaan.

· Mempunyai Standardakan termasuk hanya unsur-unsur yang mempunyai nama Standard mengandungi rentetan yang ditentukan (Sila ambil perhatian: wildcard (iaitu dan *) boleh digunakan Eg HP * akan memberikan semua unsur-unsur dengan sekurang-kurangnya satu Standard bermula dengan H dan P huruf?.). Dengan cara ini, anda boleh membentuk "semantik" pertanyaan.

· Komponen / Sambungan melekat dipilihtermasuk apa-apa elemen yang dilampirkan kepada orang-orang yang telah dipilih. Dengan cara ini "panggilan-pokok" atau "kesan-analisis" boleh dipilih.

Nota

Jika anda mempunyai kedua-dua Show Tahapdan Show Jenisdipilih maka anda boleh memilih untuk mempunyai tahap persembahan pokok pertama atau jenis pertama oleh butang yang akan muncul di atas kedua-dua kotak semak.

Petua

Setelah item dipilih dalam Window Standard Element Pemilihan, ia tidak akan tertakluk kepada apa-apa perubahan penapis lanjut sehingga ia tidak dipilih. Oleh kerana tidak ada cara asli untuk mencari dua set unsur-unsur sekaligus (contohnya Ramuan dengan Piawaian A ATAU Standard B), anda boleh mencari pertama untuk satu set, pilih komponen diingini, dan kemudian melakukan carian kedua untuk set kedua .

Butang

· Semuamemilih semua unsur-unsur.

· Kecualikanmenyahpilih semua unsur-unsur semasa yang dipilih dan memilih semua orang-orang yang tidak dipilih.

· Tiadamenyahpilih semua unsur-unsur.

· Menambah Penapismemilih kandungan yang terhasil daripada tetapan penapis semasa dan membolehkan pemilihan kandungan tambahan dengan berkesan yang AND JOIN atau penapis.

Lihat juga

Menganalisa senibina anda


Alat Lukisan

Navigation: populating senibina anda> Menggunakan Lukisan>

Alat Lukisan

Menghantar komen mengenai topik ini.

Alat Lukisan membolehkan penciptaan pelbagai skema seni bina dan gambar rajah. Arkitek tradisional menggunakan pelbagai lukisan yang berbeza untuk merakam dan menyampaikan reka bentuk seni bina. Dua dimensi (2D) gambar rajah adalah cara yang biasa untuk mendokumenkan dan berkomunikasi pelbagai bahagian sistem. Lukisan biasa jenis yang digunakan dalam sistem syarikat adalah:

· Perniagaan model proses dan rajah;

· Carta Organisasi;

· Gambar rajah kerjasama;

· Entiti-Bangsa (ER) gambar rajah;

· Rajah Data-Aliran (yang DFD);

· Gambar rajah kelas;

· IDEF (menggabungkan beberapa perkara di atas); dan

· UML (menggabungkan beberapa perkara di atas).

Sebenarnya, tidak ada had kepada jenis gambar rajah yang boleh dicipta. ABACUS cuba untuk mengimbangi fleksibiliti rajah di samping memelihara integriti seni bina dan bentuk perwakilan.

Persekitaran lukisan ialah tab dan tetingkap dockable dalam aplikasi utama ABACUS. Tetingkap ini mengandungi kanvas di mana lukisan berlaku dan apabila tingkap lukisan dibuka kedua tetingkap dockable , Tingkap stensil, mana boleh dilihat dengan satu set stensil lukisan. Anak tetingkap stensil mempunyai 4 tab: Komponen, Hubungan, Bentuk dan penyambung. Kanvas muncul sebagai latar belakang putih dengan garis-garis grid halus (berguna untuk susun atur).

Komponen diwakili oleh pelbagai bentuk, manakala sambungan telah disediakan sebagai garis diarahkan. Sambungan melampirkan komponen menggunakan peranan (iaitu sama ada sumber atau tenggelam) walaupun ini tidak dipaparkan atas sebab-sebab estetik.

Petua

Walaupun gambar rajahsangat berguna untuk menunjukkan bahagian yang berlainan sistem, mereka adalah terhad di berskala mereka, itulah sebabnya ABACUS menggunakan 3D untuk menggambarkan struktur sistem yang kompleks.

Anda mungkin mahu

1. Buka Membuat rajah Alat

2. Buat gambar rajah baru sebahagian daripada seni bina anda

3. Salin gambarajah di dalam atau di seluruh seni bina

4. Menambah komponen untuk gambar rajah

5. Buat komponen dan sambungan baru dalam seni bina anda (dalam gambar) menggunakan alat melukis

6. Padam komponen dari gambar rajah

7. Lampirkan & memanipulasi sambungan

8. Tukar ciri-ciri paparan komponen dan sambungan.

9. Menggunakan pautan di gambar rajah

10. Menguatkuasakan persatuan jenis dan pandangan sehingga menyekat jenis gambar rajah yang dapat dibuat.

Lihat juga

Ia merupakan pusat seni bina anda | Ia merupakan pusat seni bina anda secara manual | Menganalisa senibina anda


Tajuk muka surat

ABACUS

Penafian

Avolution Pty Ltd tidak membuat sebarang perwakilan atau jaminan berkaitan dengan manual ini dan, setakat yang dibenarkan oleh undang-undang, secara nyata menghadkan liabiliti bagi pelanggaran sebarang waranti yang mungkin tersirat untuk penggantian manual ini dengan yang lain. Selanjutnya, Avolution Pty Ltd berhak untuk menyemak semula penerbitan ini pada bila-bila tanpa menanggung kewajipan untuk memberitahu mana-mana orang daripada semakan.

Hak cipta

Copyright 2001-2015Avolution Pty Ltd. Hak cipta terpelihara.

Tanda dagang

Avolution Pty Ltd telah membuat segala usaha untuk membekalkan maklumat tanda perdagangan mengenai nama-nama syarikat, produk dan perkhidmatan yang disebut dalam buku panduan ini. Cap dagang yang ditunjukkan di bawah telah diperolehi daripada pelbagai sumber.

Microsoft Windows, Access, Visio, Excel, SQL Server dan Internet Exploreradalah cap dagang Microsoft Corporation.

Notis Am:

Sesetengah nama produk yang digunakan dalam manual ini digunakan untuk tujuan pengenalan sahaja dan mungkin tanda dagangan syarikat masing-masing.

Disember 2015Edition untuk Avolution ABACUS Versi 4.5.

Manual Semakan 1.0

Dijana, dicetak, dan terikat di Australia.


ABACUS Pemasangan PRASYARAT

Navigation: Rujukan>

ABACUS Pemasangan PRASYARAT

Menghantar komen mengenai topik ini.

Maklumat Mengenai Visio Import dan Excel Import / Eksport

ABACUS memerlukan Microsoft Office dipasang untuk melaksanakan operasi Excel Import / Eksport dan Import Visio. Sila sahkan bahawa Microsoft Office 2003 atau yang lebih barudipasang dengan betul. Jika anda mengalami masalah lanjut, sila hubungi Sokongan Avolution .

Dalam usaha untuk melaksanakan Visio Import dan Excel Import / Eksport operasi, ABACUS menggunakan Microsoft Office Utama Interop Assemblies (yang PIA). ABACUS kini datang bersama dengan perhimpunan perlu untuk melaksanakan Excel Import / Eksport dan Import Visio.

Maklumat Mengenai SQL Server Import

ABACUS memerlukan Microsoft SQL Server 2005, 2008, 2008 R2, 2012 atau 2014dipasang untuk memulakan satu projek baru Dari SQL Server. Sila sahkan bahawa Microsoft SQL Server 2005, 2008, 2008 R2, 2012 atau 2014dipasang dengan betul. Jika anda mengalami masalah lanjut, sila hubungi Sokongan Avolution .

Kesilapan Membuka visualisations 3D

Jika ABACUS 3D Viewer tidak bekerja untuk anda, anda mungkin akan hilang SlimDX DirectX Runtime (dipasang sebagai sebahagian daripada penuh ABACUS EXE memasang). Ini boleh dimuat turun di sini . Jika anda mempunyai versi 64bit Windows, anda juga mungkin perlu memasang ini .

Kesilapan Penyuntingan ABACUS Custom Laporan

Editing ABACUS 'Laporan Custom memerlukan Laporan Builder 3.0 yang akan dipasang. ABACUS dan Laporan Builder dibina di atas Rangka Kerja .NET Microsoft 4.0, dan semasa mereka berdua tidak memerlukan .NET Framework Microsoft 3.5, Microsoft telah dikonfigurasi dengan salah Laporan Builder MSI hanya diteruskan jika .NET Framework Microsoft 3.5 dipasang.

Oleh itu, Avolution mempunyai versi yang disunting pemasangan Laporan Builder fail MSI yang tidak memerlukan .NET Framework Microsoft 3.5, ini boleh dimuat turun di sini .

Asal Microsoft Laporan Builder MSI boleh dimuat turun di sini . Jika anda belum mempunyai Microsoft .NET Framework 3.5 mana ia akan memerlukan, anda boleh memuat turun di sini . Nota: Untuk pelbagai pemasangan, luar talian memasang .NET Framework Microsoft 3.5 daripada di sini mungkin lebih sesuai.


Buat asal dan Buat semula

Navigation: Ia merupakan pusat seni bina anda> populating manual> Pilihan Tambahan>

Buat asal dan Buat semula

Menghantar komen mengenai topik ini.

Seperti kebanyakan aplikasi moden, ABACUS menyokong keupayaan untuk kedua-dua asal dan buat semula perubahan pengguna baru-baru ini dibuat untuk projek terbuka. Untuk membatalkan perubahan yang paling baru-baru ini, anda hanya perlu mengaktifkan arahan batal. Perubahan yang akan ditimpa azab yang boleh dibuat semula dengan mengaktifkan arahan buat semula itu; semula memohon perubahan yang paling baru-baru ini dibatalkan.

Amaran

Perubahan tidak dilakukan tidak dapat memohon semula jika perubahan seterusnya dibuat untuk projek itu sejak asal.

Nota

Walaupun sebahagian besar daripada perubahan sokongan batal / buat semula dalam masa nyata, beberapa gambar rajah perubahan stensil, seperti mencipta Jenis-bentuk persatuan baru / Line atau menukar sifat warna persatuan, tidak dapat dibatalkan serta-merta. Dalam kes ini, Rajah yang diubah suai (ditunjukkan oleh asterisk) mesti ditutup sebelum perubahan ini boleh dibuat asal.

Buat asal dan lokasi Buat semula arahan

Batal dan buat semula arahan boleh diakses dari tiga lokasi yang berbeza:

· menu Edit

· bar alat Standard

· kekunci pintasan papan kekunci CTRL + Z(batal) dan CTRL + Y(buat semula)

Petua

Batal dan buat semula butang pada bar alat standard menyediakan senarai jatuh turun memaparkan 10 perubahan terkini yang boleh dibuat asal dan telah dilakukan semula masing-masing. Mereka juga adalah cara yang berguna untuk batal / buat semula beberapa perubahan sekaligus.


Menggunakan Makro

Navigation: simulasi seni bina anda>

Menggunakan Makro

Menghantar komen mengenai topik ini.

Jika anda melaksanakan tugas berulang kali dalam ABACUS, anda boleh mengautomasikan tugas dengan menggunakan makro. Oleh itu, satu makro ABACUS adalah siri yang dirakamkan mengenai operasi yang boleh dimainkan pada bila-bila.

Rakaman makro yang

1. Pilih Tools | Rekod Makroatau sebagai alternatif tekan Alt + F10.

2. Mula menjalankan operasi yang anda ingin merakam.

Amaran

Pada masa ini, terdapat beberapa isu yang diketahui dengan rakaman makro. Sila ambil ini kira apabila rakaman makro anda:

· Pada masa ini makro hanya merakam ketukan kekunci Microsoft Windows, tetikus pergerakan anda dan-klik tetikus. Walau bagaimanapun, disebabkan oleh kekurangan dengan perakam makro sendiri, terdapat beberapa ketukan kekunci yang tidak sentiasa direkodkan. Ini termasuk:

· [Tab]

· [Ctrl]

· [Alt]

· [Esc]

· [Mula]

· [F1] untuk [F12]

· Oleh itu, adalah disyorkan bahawa anda mengesahkan bahawa pintasan papan kekunci dirakamkan oleh perakam makro sebelum merakam urutan besar peristiwa-peristiwa yang mungkin bergantung kepada yang kerja pintasan papan kekunci.

· Pada masa ini kerana batasan dengan perakam makro, menu konteks tidak dikendalikan dengan betul oleh ABACUS apabila mereka dibuka oleh suatu tindakan yang dicatatkan oleh perakam makro. Apabila anda membuka menu konteks, anda perlu melakukan salah satu fungsi yang disenaraikan dalam menu konteks melalui menu konteks, jika tidak, menu konteks boleh dibuka semasa main semula, yang boleh membawa kepada tindakan yang tidak diingini atau tindakan yang boleh menyebabkan kesilapan dalam ABACUS.

· Ambil perhatian bahawa kaedah biasa menutup menu konteks (contohnya menekan [Esc] pada papan kekunci, atau kiri klik di tempat lain pada skrin) mungkin tidak benar-benar menutup menu konteks semasa main semula makro.

Petua

Dalam dialog, daripada menggunakan-klik tetikus, ia adalah disyorkan untuk menggunakan kekunci Tab untuk bergerak melalui kawalan yang tersedia dan kekunci kursor untuk memilih perkara menu tarik-ke bawah atau pilihan butang radio dan bar Ruang untuk memilih / de-pilih daftar kotak.

Henti merakam makro

1. Akhbar Alt + F9atau sebagai alternatif pilih Tools | Hentikan Makro.

2. Di Simpan Makro Seperti browse dialog ke lokasi dan memilih ABACUS makro (Fail .abacusmac) nama fail dan klik Simpan.

Nota

Menggunakan Peralatan| Hentikan Makrotermasuk operasi ini dalam makro yang dirakam. Oleh itu, adalah disyorkan bahawa pengguna mahir dalam menggunakan pilihan kekunci Alt + Fungsi untuk bekerja dengan makro supaya tidak termasuk operasi makro yang tidak diingini dalam makro diri mereka sendiri.

Petua

Sebagai makro tidak kini boleh diedit ia adalah disyorkan untuk merakam tugas-tugas yang panjang sebagai satu siri makro berasingan menggunakan Alt + F10 / Alt + 'pasangan' F9.

Untuk Main semula Makro yang dirakam

1. Pilih Tools | Main semula Makroatau sebagai alternatif tekan Alt + F8.

2. Dalam browse dialog Makro Terbuka kepada lokasi dan memilih ABACUS makro (Fail .abacusmac) nama fail dan klik Buka.

Amaran

Apabila membuka makro ABACUS, jika anda klik dua kali pada fail makro dari dialog browse untuk membukanya, perakam makro boleh tahan butang kiri tetikus dalam keadaan kiri-klik sehingga mencatatkan kiri-klik mengatasi keadaan ini.

Nota

Kelajuan main semula makro boleh ditetapkan pada tab Umum di bawah Peralatan| Pilihansama ada Normal (lalai), cepat atau lambat. Kedua-dua Cepat dan Perlahan kelajuan main semula tidak digalakkan kerana mereka akan memainkan semula makro yang dicatatkan pada kira-kira 100 kali dan 1/100 masa nyata, masing-masing. Kelajuan main semula biasa masih akan memainkan semula makro kira-kira 30% lebih cepat daripada kelajuan yang direkodkan sedemikian adalah disyorkan semasa rakaman untuk berhenti seketika untuk masa yang singkat selepas apa-apa tugas pemprosesan yang panjang untuk memastikan bahawa main semula operasi seterusnya tidak dilaksanakan sebelum tugas pemprosesan yang mempunyai selesai.

Untuk Berhenti memainkan Makro dirakam

1. Akhbar Alt + F9.


Melihat gambarajah 3D

Navigation: Menganalisa senibina anda> gambarajah 3D>

Melihat gambarajah 3D

Menghantar komen mengenai topik ini.

ABACUS membolehkan anda untuk melihat seni bina anda sebagai pandangan 3D di mana komponen dan sambungan hartanah yang dikaitkan dengan warna-warna, bentuk dan saiz.

Untuk melihat paparan 3D seni bina anda

1. Pastikan anda mempunyai membuka fail ABACUS yangmengandungi anda seni bina penduduk.

2. Mengembangkan Viewscabang pokok itu.

3. Mengembangkan 3Dcabang pokok itu.

4. Klik dua kali visualisasi yang anda mahu buka.

- Atau -

1. Pastikan anda mempunyai membuka fail ABACUS yangmengandungi anda seni bina penduduk.

2. Pilih Insert| 3Datau klik butang bar alat.

3. Buka yang sedia adavisualisasi (.abacus3d)

- Atau -

1. Pastikan anda mempunyai membuka fail ABACUS yangmengandungi anda seni bina penduduk.

2. Pilih Insert| 3Datau klik butang bar alat.

3. Buat visualisasi baru:

· Pilih Architectureanda mahu melihat dari menu tarik-ke bawah.

· Pilih Komponendan Sambungananda mahu termasuk dalam rajah dari elemen standard tetingkap pilihan .

· Warna bersekutu, bentuk dan saiz dengan Jenis komponendan Properties.

· Warna bersekutu dan bentuk dengan Jenis sambungandan Properties.

Untuk mengeksport pandangan 3D

1. Pastikan anda mempunyai membuka pandangan 3D sedia ada.

2. Dalam menu tarik bawah paparan 3D pilih Fail | Eksport ...dan memilih lokasi dan jenis fail untuk fail visualisasi (.abacus3d, .vrml atau .html).

3. Klik Simpan.

Lihat juga

Menganalisa senibina anda | Navigation dalam 3D | Alat membuat rajah


Melihat carta gelembung

Navigation: Menganalisa senibina anda> carta Custom>

Melihat carta gelembung

Menghantar komen mengenai topik ini.

Satu carta gelembung membolehkan anda untuk membandingkan sehingga 5 dimensi (iaitu X, Y, saiz gelembung / jejari, warna gelembung dan gelembung warna sempadan) dalam satu paparan.

Untuk melihat carta gelembung

1. Pastikan anda mempunyai Fail ABACUS terbuka .

2. Pilih Insert| Carta| yang Carta Customtab | Bubble Carta.

3. Di dalam Seni Binaseksyen, semak seni bina (jika ada) yang anda ingin melakar, kemudian klik Seterusnya.

4. Pilih Komponendan Sambunganyang anda mahu dalam carta (jika ada) daripada elemen standard tetingkap pilihan , Kemudian klik Seterusnya.

5. Pilih X-paksihartanah, kemudian klik Seterusnya.

Nota

Hanya Integer, perpuluhan, tarikh / masa, Boolean dan harta Senarai boleh digunakan untuk paksi-x. Tambahan pula, Integer, Perpuluhan dan Tarikh / Waktu sifat diplotkan kiri ke kanan sepanjang paksi diskalakan mengikut nilai harta itu, bagaimanapun, Boolean dan Senarai hartanah adalah semata-mata diplotkan kiri ke kanan dalam perintah itu tepat (atau dalam susunan terbalik jika pilihan untuk mengubah perintah itu diperiksa) yang ditetapkan untuk harta tanpa mengira nilainya. Mis Rendah | Sederhana | Tinggi atau 1, 2, 4, 8, 16.

6. Pilih Y-paksihartanah, kemudian klik Seterusnya.

Nota

Hanya Integer, perpuluhan, tarikh / masa, Boolean dan harta Senarai boleh digunakan untuk paksi-Y. Tambahan pula, Integer, Perpuluhan dan Tarikh / Waktu sifat diplotkan bawah-ke-atas sepanjang paksi diskalakan mengikut nilai harta itu, bagaimanapun, Boolean dan Senarai hartanah adalah semata-mata diplotkan bawah-ke-atas dalam perintah itu tepat (atau dalam susunan terbalik jika pilihan untuk mengubah perintah itu diperiksa) yang ditetapkan untuk harta tanpa mengira nilainya. Mis Rendah | Sederhana | Tinggi atau 1, 2, 4, 8, 16.

7. Pilih saiz gelembung / radiushartanah, kemudian klik Seterusnya.

Nota

Hanya Integer, perpuluhan, Boolean dan harta Senarai boleh digunakan untuk gelembung saiz / jejari. Tambahan pula, Integer dan harta Decimal menyebabkan saiz gelembung / radius diskalakan mengikut nilai harta itu, bagaimanapun, Boolean dan Senarai hartanah menyebabkan langkah sama kenaikan sebanyak gelembung saiz / jejari dalam perintah itu tepat (atau dalam susunan terbalik jika pilihan untuk mengubah perintah itu diperiksa) yang ditetapkan untuk harta tanpa mengira nilainya. Mis Rendah | Sederhana | Tinggi atau 1, 2, 4, 8, 16.

8. Pilih sama ada warna gelembung tetapatau mengaitkan harta dengan warna gelembung, Kemudian klik Seterusnya.

Nota

Hanya Integer, perpuluhan, Boolean dan harta Senarai boleh digunakan untuk warna gelembung. Tambahan pula, Integer dan harta Decimal menyebabkan warna gelembung dalam julat yang dipilih diskalakan mengikut nilai harta itu, bagaimanapun, Boolean dan Senarai hartanah menyebabkan langkah sama kenaikan warna gelembung dalam julat yang dipilih dalam perintah itu tepat ditakrifkan bagi harta tanpa mengira nilainya. Mis Rendah | Sederhana | Tinggi atau 1, 2, 4, 8, 16.

9. Pilih sama ada tiada warna gelembung sempadanatau mengaitkan harta dengan warna gelembung sempadan, Kemudian klik Selesai.

Nota

Hanya Integer, perpuluhan, Boolean dan harta Senarai boleh digunakan untuk warna gelembung sempadan. Tambahan pula, Integer dan harta Decimal menyebabkan warna gelembung sempadan dalam julat yang dipilih diskalakan mengikut nilai harta itu, bagaimanapun, Boolean dan Senarai hartanah menyebabkan langkah sama meningkat daripada warna gelembung sempadan dalam julat yang dipilih dalam perintah itu tepat ditakrifkan bagi harta tanpa mengira nilainya. Mis Rendah | Sederhana | Tinggi atau 1, 2, 4, 8, 16.

Carta gelembung

Untuk menyimpan carta gelembung

Nota

Carta Bubble hanya dapat diselamatkan jika mereka hanya mengandungi komponen dan sambungan, semua yang mesti dari seni bina tunggal dalam projek semasa.

1. Pastikan anda mempunyai carta gelembung baru atau yang sedia ada terbukadan anda telah membuat perubahan yang diperlukan.

2. Dalam bar alat carta klik pada paling kiri yang Simpan Cartabutang untuk menyelamatkan carta dan sebarang perubahan format.

3. Di dalam Carta Namadialog yang dipaparkan, masukkan nama untuk carta gelembung dan tekan okey.

Untuk mengeksport carta gelembung

1. Pastikan anda mempunyai membuka carta gelembung yang sedia ada.

2. Dalam bar alat carta klik pada 2 dari kiri Simpan Sebagai BMPbutang dan memilih lokasi untuk carta.

3. Klik Simpan.

Lihat juga

Menganalisa senibina anda


Melihat carta ruang keupayaan

Navigation: Menganalisa senibina anda> carta Custom>

Melihat carta ruang keupayaan

Menghantar komen mengenai topik ini.

Carta Space Keupayaan membolehkan anda untuk melihat sama ada senibina anda memenuhi keupayaan sistem yang diperlukan berkenaan dengan harta yang dikenal pasti semasa proses analisa keperluan sistem.

Untuk melihat carta ruang keupayaan

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk, Dan anda mempunyai dinilaisenibina anda.

2. Pilih Insert| Carta| Carta Custom| Ruang Keupayaan. (The Ruang Keupayaan Carta Configdialog akan dipaparkan.)

3. Di dalam Seni Binaseksyen, semak kerangka anda ingin carta, kemudian klik Seterusnya.

4. Di dalam Propertieskawasan, tanda sifat-sifat seni bina yang anda akan suka dimasukkan sebagai paksi carta.

5. Di dalam Keupayaankawasan, untuk setiap hartanah dimasukkan dari langkah sebelum ini, pilih sama ada apa-apa Minimum atau had keupayaan maksimum wujud dan nilai-nilai had-had. Nilai lalai adalah nilai-nilai minimum dan maksimum dinilai untuk seni bina atau matlamat bagi harta yang jika ia telah ditetapkan.

Untuk mengeksport carta ruang keupayaan

1. Pastikan anda mempunyai yang sedia ada carta ruang keupayaanterbuka.

2. Dalam bar alat carta klik pada paling kiri yang Simpan Sebagai BMPbutang dan memilih lokasi untuk carta.

3. Klik Simpan.

Lihat juga

Menganalisa senibina anda | Melihat carta masa tindak balas


Laporan Standard

Navigation: Laporan mengenai seni bina anda>

Laporan Standard

Menghantar komen mengenai topik ini.

ABACUS ' standard laporan memudahkan anda mendapatkan senarai komponen dan sambungan dalam satu atau lebih daripada seni bina anda. Laporan itu mengandungi semua maklumat yang berkaitan dengan komponen dan sambungan yang dipilih, termasuk maklumat mengenai komponen atau tempat sambungan dalam hierarki, jenis, standard, penerangan, harta benda dan lampirannya.

Nota

Kandungan laporan adalahdikonfigurasikanmelalui dialog Opsyen Laporan yang dinyatakan di bawah, bagaimanapun, to mengetahui maklumat lanjut mengenai cara untuk mewujudkan dikonfigurasikan adat laporanmenggunakan ABACUS Laporan Custom, Sila merujuk kepada topik di sini atau hubungan Sokongan Avolution .

Untuk melihat standard laporan

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk(s).

2. Pilih Insert| Laporan Standardatau klik Buat Laporan Standard butang bar alat. Yang Konfigurasi laporantetingkap akan dipaparkan.

Tetingkap laporan Konfigurasi

3. Pilih Seni Bina, Komponendan Sambunganyang anda mahu dalam laporan daripada Laporan Konfigurasi Window.Sila rujuk kepada Element Pemilihan Standard di sini topik untuk membantu.

4. Sekarang klik pada Pilihanbutang dan Pilihan Laporantetingkap akan dipaparkan.

Tetingkap Laporan Pilihan

5. Anda boleh memilih untuk memaparkan satu Halaman baru bagi setiap Element, Yang Cetak Tarikh, Cetak Masa, Nombor halamandan sama ada untuk termasuk tajuk dalam pengepalalaporan dengan menandakan / unticking kotak semak berkaitan. Anda juga mungkin mahu untuk menyesuaikan tajuk dan penulis dengan mengedit Laporan Tajukdan Pengarang kotak teks. Anda juga boleh memilih apa kandungan dipaparkan pada laporan itu dengan menandakan / unticking kotak semak di bawah Isi laporanseksyen tetingkap. Sebaik sahaja anda selesai klik pada okey.

6. Sekarang klik pada Selesaidalam tetingkap Laporan tatarajah.

Mentafsir laporan tersebut boleh dilihat

Contoh Laporan Generated dengan Penjelasan singkat

Untuk Navigasi melalui halaman laporan, klik pada ikon [image] terletak pada bar alat pada bahagian atas sudut kiri sebelah atas skrin.

Nota

Awak boleh menyelamatkan Laporan itu ke pelbagai format dengan klik pada Eksport icon laporan [image] terletak dalam bar alat. Anda boleh memilih untuk mengeksport dalam format berikut: Excel, PDFdan Word. Sila simpan laporan di lokasi yang dikehendaki untuk kegunaan kemudian. Jika perubahan dibuat kepada seni bina pada peringkat kemudiannya, satu laporan baru perlu diwujudkan untuk menunjukkan perubahan.

Lihat juga

Menganalisa senibina anda


Melihat carta masa tindak balas

Navigation: Menganalisa senibina anda> carta Custom>

Melihat carta masa tindak balas

Menghantar komen mengenai topik ini.

Carta masa tindak balas membolehkan anda untuk melihat sama ada sambungan anda sedang diproses pada kadar yang diperlukan (iaitu dalam tempoh tarikh akhir mereka).

Untuk melihat carta masa tindak balas

1. Pastikan anda mempunyai Fail ABACUS terbuka mengandungi anda seni bina penduduk, Dan anda mempunyai dinilaisenibina anda.

2. Pilih Insert| Carta| Carta Custom| Masa tindak balas. (The Response Carta Masa Configdialog akan dipaparkan.)

3. Daripada Seni Binasenarai juntai bawah, pilih seni bina yang anda ingin hala.

4. Di dalam Sambungankawasan, tanda hubungan anda akan suka termasuk dalam carta.

5. Yang Jenis Skalakawasan, pilih Linearjika anda mahu paksi menegak (masa tindak balas) yang akan dipaparkan sebagai kemajuan linear - setiap segmen masa diperuntukkan satu bahagian yang sama paksi. Pilih Logaritmajika anda mahu ia dipaparkan sebagai perkembangan logaritma - setiap segmen paksi mewakili tempoh semakin lebih lama semakin tinggi paksi anda pergi. (Kadar kenaikan yang ditentukan oleh Baseanda pilih.)

Carta masa tindak balas menegak skala paksi

Untuk mengeksport carta masa tindak balas

1. Pastikan anda mempunyai yang sedia ada carta masa tindak balasterbuka.

2. Dalam bar alat carta klik pada paling kiri yang Simpan Sebagai BMPbutang dan memilih lokasi untuk carta.

3. Klik Simpan.

Lihat juga

Menganalisa senibina anda | Melihat carta ruang keupayaan


Melihat plot berselerak seni bina berkembang anda

Navigation: Menganalisa senibina anda> carta Custom>

Melihat plot berselerak seni bina berkembang anda

Menghantar komen mengenai topik ini.

Sebaik sahaja seni bina yang telah berkembang dan matlamat yang ditakrifkan, ia kemudian boleh dilihat dan dibandingkan dengan seni bina asal dengan menggunakan kaedah matriks scatterplot. Seksyen ini menggariskan bagaimana untuk membuat dan memahami ciri-ciri matriks scatterplot.

Untuk melihat Matrix scatterplot seni bina berkembang anda

1. Pastikan anda mempunyai Fail ABACUS terbuka .

2. Pastikan anda mempunyai berkembangdan menetapkan matlamatuntuk seni bina seperti yang disebutkan di bawah Berkembang senibina anda

3. Pilih Insert| Carta| yang Carta Customtab | Scatterplot Matrix.

4. Klik pada Selesaibutang.

5. Yang Scatter Plotdengan evolusi tertentu dalam seni bina dan matlamat akan dipaparkan.

Nota

Kawasan di sebelah kiri matriks scatterplot menunjukkan tatacara matriks scatterplot yang dipaparkan. Ini termasuk seni bina yang telah berkembang (dalam kes ini "ABC Ltd As-Is 2010") Dan juga matlamat yang telah ditetapkan untuk seni bina itu. Anda akan dapati bahawa matlamat yang mempunyai tanda semak di sebelah mereka diwakili sebagai X dan Y paksi matriks scatterplot (contohnya KPI- Kos, KPI - Kualiti dan KPI - Masa). Anda boleh Nyahtandai matlamat ini pada bila-bila masa untuk mengeluarkan mereka daripada matriks scatterplot itu.

Titik-titik biru yang muncul di plot anda dalam matriks mewakili nilai normal, seperti yang ditentukan oleh nilai yang terbaik dan paling teruk (yang digariskan di bawah Menetapkan matlamat untuk seni bina berkembang anda ). Nilai-nilai ini diwakili dalam Ruang Kualiti.

Dua gol ditakrifkan dibandingkan dengan satu sama lain dengan matriks scatterplot dan proses ini diulang sehingga semua matlamat telah dibandingkan (contohnya Plot pertama matriks dalam rajah di atas membandingkan KPI - Kosmatlamat dengan KPI - Kualiti gol. Yang kedua adalah Kos lawan Masa dan plot yang terakhir adalah Kualiti lawan Masa. Label matlamat berkenaan akan ditunjukkan di bahagian atas dan kanan atau setiap baris plot.).

6. Pilih Seni Binabutang radio sekiranya anda mahu memaparkan metrik bagi seni bina individu.

7. Pilih Evolusibutang radio sekiranya anda mahu memaparkan perubahan normal dari seni bina asal (contohnya As-Is 2010) Untuk seni bina Evolved (s) (mis To-Be 2011 - Strategi A dan To-Be 2011 - Strategi B).

Lihat juga

Menganalisa senibina anda | Melihat carta masa tindak balas | Melihat plot bintang seni bina berkembang anda | Berkembang senibina anda


Melihat carta standard

Navigation: Menganalisa senibina anda> carta Standard>

Melihat carta standard

Menghantar komen mengenai topik ini.

Carta standard ABACUS 'termasuk line, bar, ruang, kawasan, berselerak, pai, lengkung, Pareto, langkah, permukaan, radar, kiub, donut, piramid, kontur dan carta kawasan lengkung. Sebaik sahaja anda telah memilih jenis carta yang anda mahu, seluruh proses untuk melihat setiap carta ini adalah sama.

Untuk melihat carta standard senibina anda

1. Pastikan anda mempunyai membuka fail ABACUS yangmengandungi anda seni bina penduduk, Dan anda mempunyai dinilaisenibina anda.

2. Pilih Insert| Cartaatau klik butang bar alat. Yang Cartatetingkap akan dipaparkan.

Tetingkap carta

3. Pilih jenis carta yang anda mahu dan menetapkan Pilihan Chart, kemudian klik Seterusnya.

Carta Pilihan

o Disusunakan menunjukkan hubungan barangan individu untuk keseluruhan. Anda boleh menggunakan carta disusun apabila anda merancang untuk mempunyai siri data berganda (iaitu sifat-sifat pelbagai) dan apabila anda ingin menekankan jumlah keseluruhan.

o Disusun 100%akan membandingkan peratusan setiap nilai menyumbang kepada jumlah di seluruh kategori. Anda boleh menggunakan carta 100% disusun apabila anda merancang untuk mempunyai beberapa siri data (iaitu berbilang hartanah) dan anda ingin menekankan sumbangan kepada keseluruhannya, terutamanya jika jumlah itu adalah sama untuk setiap elemen.

o Carta 3Dhanya akan memaparkan titik data dalam format 3-D untuk estetika. Jika anda ingin memaparkan siri data bersama-sama satu dimensi 3 / z-paksi kemudian menggunakan pilihan Kluster Siri diterangkan di bawah.

o Siri oleh Hartanahakan memaparkan satu siri data untuk setiap hartanah yang akhirnya dipilih. Jika ini tidak ditandakan maka sifat-sifat akan menjadi kategori dan siri data akan bagi setiap elemen yang dipilih.

o Carta Putarakan berputar carta 90 darjah mengikut arah jam dengan interchanging paksi x dan y. Pilihan ini hanya tersedia untuk Lines, Langkah dan Cube cartadan amat berguna untuk membuat carta Milestone seperti yang dinyatakan di hujung kedua di bawah. Nota: Ruangan dan carta Bar sudah 'diputarkan' versi satu sama lain.

o Siri Klusterakan memaparkan data siri pelbagai bersama-sama satu dimensi 3 / z paksi. Pilihan ini hanya tersedia untuk Column, Bar dan Cube cartadan amat berguna untuk membuat carta Gantt gaya seperti yang dinyatakan dalam Tip pertama di bawah.

Petua

Anda boleh membuat Carta Ganttdengan bar mendatar menunjukkan masa / harta tarikh untuk unsur-unsur yang berbeza dengan memilih jenis carta Bar dan kemudian memilih pilihan Kluster Siri.Tambahan pula, apabila diwujudkan, paling kiri bar pada carta boleh dibuat 'tidak kelihatan' dengan mewarna ia putih dengan klik kanan salah satu bar, memilih warna daripada menu yang muncul dan memilih warna atas kiri dari palet. Selain itu sempadan untuk paling kiri bar boleh dibuat 'tidak kelihatan' dengan klik kanan salah satu bar, memilih Properties ... dan pada tab Siri di dalam dialog yang muncul mengubah Kesan Sempadan untuk Tiada dan warna untuk bahagian atas warna -left dari palet.

Petua

Anda boleh membuat Carta Milestonedengan bentuk yang kecil menunjukkan masa / harta tarikh untuk unsur-unsur yang berbeza dengan memilih jenis carta Cube dan kemudian memilih Carta Putar dan pilihan Kluster Siri.Tambahan pula, apabila diwujudkan, kiub boleh ditukar kepada bentuk lain dengan klik kanan salah satu kiub dalam siri data yang dikemukakan dan memilih Properties ... dan pada tab Siri di dalam dialog yang muncul mengubah Peguam untuk memuat silinder atau kon . Nota: Gap Nilai lebar juga boleh digunakan untuk 'mengecilkan' simbol-simbol pada carta untuk mengurangkan pertindihan, bilangan yang lebih tinggi yang kurang bertindih akan ada.

4. Di dalam Seni Binaseksyen, tandakan seni bina / s anda ingin melakar ciri-ciri seni bina untuk tahap, kemudian klik Seterusnya.

Nota

Memilih hartanah tahap seni bina adalah satu langkah yang sama sekali pilihan dan hanya boleh digunakan apabila anda mahu dengan jelas hala sifat tahap seni bina sendiri.Seni bina tidak perlu dipilih untuk kemudian termasuk komponen atau sambungan hartanah dalam langkah seterusnya.

5. Pilih Komponendan Sambunganyang anda mahu dalam carta dari elemen standard tetingkap pilihan , Kemudian klik Seterusnya.

6. Pilih Propertiesanda ingin dalam carta dan klik Selesai.

Carta Pilihan

o Termasuk hartanah Standardakan menunjukkan sifat yang diwarisi dari Piawaian boleh dipilih.

o Properties agregatakan mengira varians antara nilai siri dan hala hasil tersebut berbanding dengan individu yang menghargai diri mereka sendiri.Pilihan ini hanya tersedia jika Siri dengan pilihan Hartanah dipilih dalam langkah 3 di atas.

Petua

Ciri-ciri yang tersedia untuk carta bergantung kepada unsur-unsur anda pilih.

Untuk menyimpan carta

Nota

Carta hanya dapat diselamatkan jika mereka hanya mengandungi komponen dan sambungan, semua yang mesti dari seni bina tunggal dalam projek semasa.

1. Pastikan anda mempunyai carta baru atau sedia ada terbukadan anda telah membuat perubahan yang diperlukan.

2. Dalam bar alat carta klik pada paling kiri yang Simpan Cartabutang untuk menyelamatkan carta dan sebarang perubahan format.

3. Di dalam Carta Namadialog yang dipaparkan, masukkan nama untuk carta dan tekan okey.

Untuk mengeksport carta

1. Pastikan anda mempunyai yang sedia ada cartaterbuka.

2. Dalam bar alat carta klik pada 2 dari kiri Simpan Sebagai BMPbutang dan memilih lokasi untuk carta.

3. Klik Simpan.

Lihat juga

Menganalisa senibina anda | Melihat carta masa tindak balas | Melihat carta ruang keupayaan


Melihat plot bintang seni bina berkembang anda

Navigation: Menganalisa senibina anda> carta Custom>

Melihat plot bintang seni bina berkembang anda

Menghantar komen mengenai topik ini.

Sebaik sahaja seni bina yang telah berkembang dan matlamat yang ditakrifkan, ia kemudian boleh dilihat dan dibandingkan dengan seni bina asal menggunakan plot bintang. Seksyen ini menggariskan bagaimana untuk mencipta dan memanipulasi plot bintang.

Untuk melihat plot bintang seni bina berkembang anda

1. Pastikan anda mempunyai Fail ABACUS terbuka .

2. Pastikan anda mempunyai berkembangdan menetapkan matlamatuntuk seni bina seperti yang disebutkan di bawah Berkembang senibina anda

3. Pilih Insert| Carta| yang Carta Customtab | Bintang Plot.

4. Klik pada Selesaibutang.

5. Yang Bintang Plotdengan seni bina berkembang dan menetapkan matlamat akan dipaparkan. Nota: paksi plot bintang itu boleh disusun semula dengan mengklik dan menyeret paksi ke kawasan lain dalam lingkungan ruang bintang kualiti plot.

Nota

Kawasan di sebelah kiri plot bintang menunjukkan tatacara plot bintang yang dipaparkan. Ini termasuk seni bina yang telah berkembang (dalam kes ini "ABC Ltd As-Is 2010") Dan juga matlamat yang telah ditetapkan untuk seni bina itu. Anda akan dapati bahawa matlamat yang mempunyai tanda semak di sebelah mereka diwakili sebagai paksi plot bintang (contohnya KPI- Kos, KPI - Kualiti dan KPI - Masa). Anda boleh Nyahtandai matlamat ini pada bila-bila masa untuk mengeluarkan mereka daripada plot bintang.

Merah dan hijau "titik" yang muncul di plot bintang anda mewakili nilai normal, seperti yang ditentukan oleh nilai yang terbaik dan paling teruk (yang digariskan di bawah Menetapkan matlamat untuk seni bina berkembang anda ) Untuk seni bina peringkat tertinggi yang dipilih dan sebarang evolusi daripadanya. Nilai-nilai ini diwakili dalam Ruang Kualiti.

Seperti yang digariskan dalam imej di atas, ia dapat dilihat dengan jelas bahawa seni bina asal (As-Is 2010) Mempunyai miskin Kos, Manakala pilihan pertama berkembang (To-Be 2011 - Strategi A) Telah bergerak dalam ruang yang berkualiti untuk meningkatkan Kos, Kualiti dan Masagol. Sebagai alternatif, yang kedua berkembang pilihan (To-Be 2011 - Strategi B) manakala ia juga telah meningkatkan Kos magnitud peningkatan ini adalah kurang daripada Strategi A tetapi kedua-dua Kualiti dan Masa matlamat telah diperbaiki lebih daripada dengan Strategi A.Dalam kes ini seorang arkitek boleh pilih Strategi Alebih Strategi Bsebagai cadangan merekadan seterusnya berkembang pilihan itu (To-Be 2012 - Strategi A).

6. Nyahpilih kotak pilihan Show Evolutionssemak kotak untuk menyembunyikan garis (s) yang mewakili evolusi (s) antara asal (contohnya As-Is 2010) Dan berkembang (cth To-Be 2011 - StrategiA) seni bina (s).

7. Pilih Show Stickssemak kotak untuk memaparkan magnitud relatif setiap atribut kualiti (matlamat yang telah ditentukan pada setiap paksi) untuk setiap seni bina.

8. Pilih Persembahan Seni Bina Namasemak kotak jika anda mahu kepada nama-nama seni bina asal dan berkembang (s) untuk muncul di plot bintang.

Lihat juga

Menganalisa senibina anda | Melihat carta masa tindak balas | Melihat matriks scatterplot seni bina berkembang anda | Berkembang senibina anda


Menganalisa senibina anda

Navigation: Menganalisa senibina anda>

Menganalisa senibina anda

Menghantar komen mengenai topik ini.

Sebaik sahaja anda telah penduduk (dan secara pilihan simulasi) senibina anda, anda sudah bersedia untuk menggunakan ABACUS menganalisisnya. Dengan menganalisis, anda boleh menentukan sama ada senibina anda akan memenuhi keperluan anda.

Anda boleh menganalisis senibina anda dalam pelbagai cara yang berbeza:

· Rajah

· 3D pandangan

· carta standard (pai, talian, tiang, bar, dan lain-lain)

· carta adat ( masa tindak balas , ruang keupayaan , plot bintang , matriks scatterplot dan carta gelembung )

· Architecture Diff

Nota

Apabila mencipta gambarajah, 3D pandangan, Laporan atau carta standard, elemen standard tetingkap pilihan digunakan untuk memilih unsur-unsur anda mahu lihat.

Lihat juga

Ia merupakan pusat seni bina anda | Simulasi senibina anda | Yang Membuat rajah Alat


Apa yang seni bina?

Navigation: Pengenalan kepada ABACUS>

Apa yang seni bina?

Menghantar komen mengenai topik ini.

Architecture ialah abstrak konsep- Bukan fizikal Perkara. It mengenai yang kaya dan komprehensif atau pemahaman struktur sistem - menangkap komponen dan bagaimana mereka berkaitan (berinteraksi). Oleh kerana konsep seni bina begitu segala-galanya, ia adalah asas kepada kos, ketersediaan, evolvability, keterbukaan, dan prestasi sistem. Satu kerangka bunyi adalah prasyarat sistem bunyi.

Dalam ABACUS, anda model senibina anda. Untuk memudahkan, kita panggil model ini seni bina seni bina.

Rajah di bawah menunjukkan satu kerangka tipikal 5komponen (dalam hierarki) dihubungkan dengan 2 sambungan. Label menunjukkan nama yang diberi pelbagai bahagian seni bina dalam ABACUS.

Satu kerangka mudah

ABACUS menganggap semua perkara-perkara ini untuk menjadi sebahagian daripada seni bina:

· Komponenmewakili entiti seni bina anda yang anda boleh menggambarkan sebagai "perkara-perkara". Bagi syarikat insurans, komponen mungkin sistem bagi polisi pemprosesan, tuntutan, bayaran, dan resit.

· Sambunganmewakili hubungan antara komponen ini. Sebagai contoh, dalam syarikat insurans, resit dijana bagi polisi sah, tuntutan dibuat terhadap polisi sah, dan menyebabkan tuntutan yang sah dalam pembayaran. Apabila memikirkan seni bina - terutamanya apabila menggunakan ABACUS - sambungan adalah sama pentingnya dengan komponen, dan mereka diuruskan dengan cara yang hampir sama.

· Segala-galanya dalam pokok itu boleh mempunyai Properties. Properties adalah perkara-perkara seperti cara anda memerlukan sistem anda untuk melaksanakan, bilangan baris kod ia mempunyai, peratusan ayat-ayat ini yang komen, dan lain-lain ABACUS menganggap semua perkara-perkara ini untuk menjadi sebahagian daripada seni bina.

· Dengan menggunakan hierarki(iaitu sub-komponen dan sub-sambungan), Anda boleh menyembunyikan maklumat dan de-mengarang senibina anda. The ABACUS model seni bina adalah sangat fleksibel. Mana-mana komponen di peringkat mana-mana boleh dikaitkan dengan mana-mana komponen lain pada mana-mana tahap yang lain dengan apa-apa sambungan di mana-mana peringkat.

· Lampiranadalah operasi yang mana komponen pelabuhan terikat untuk sambunganperanan. Pelabuhan dan Peranan adalah antara mukasantara komponen dan sambungan. Ia digunakan untuk melampirkan sambungan kepada komponen. Sambungan mempunyai sumber dan tenggelam peranan(memudahkan aliran data daripada komponen sumber untuk komponen sink)dan dari segi konsep, komponen mempunyai pelabuhan. Untuk memudahkan, bagaimanapun, dalam ABACUS pelabuhan komponen tidak ditunjukkan dan peranan berkaitan secara langsung melekat pada komponen diri mereka sendiri.

· Komponen dan sambungan adalah daripada tertentu Jenis. Ini adalah untuk tujuan pengelasan. Sebagai contoh polisi, tuntutan, pembayaran, dan penerimaan adalah komponen 'Sistem' jenis. Dasar-dasar yang sah, tuntutan yang sah, dan sebagainya adalah sambungan dari jenis yang 'Transaction'. Type diberikan kepada komponen atau sambungan menyediakan template untuk sifat-sifat dan standard ia mempunyai. Sebagai contoh, sejenis komponen Server mungkin mempunyai 'Make & Model' standarddan hartanah Alamat IP. Tidak seperti kaedah tegar lain dengan hubungan data-asas asas (RDB) belakang, di ABACUS anda bebas boleh membuat Jenis baru anda sendiri dan menetapkan gabungan anda sendiri hartanah dan standard kepada mereka.

· Perpustakaan Standard hartanah boleh ditentukan dan diberikan kepada apa-apa lagi dalam seni bina. Perpustakaan ini dikenali sebagai Piawaian. Dengan menggunakan Piawaian, Anda hanya perlu untuk mengumpul sistem sifat-sifat tertentu - sifat standard sudah ada. Sebagai contoh ciri-ciri prestasi standard Microsoft Windows 2000 boleh diberikan kepada apa sahaja komponen yang menggunakan Microsoft Windows 2000 sistem operasi.

Lihat juga

Bagaimana seni bina yang diwakili dalam ABACUS? | Apakah ABACUS lakukan? | Bagaimana anda melakukannya (Overview) | Mewujudkan Jenis baru


Bekerja dengan Enterprise Server

Navigation: Pentadbiran>

Bekerja dengan Enterprise Server

Menghantar komen mengenai topik ini.

ABACUS Enterprise Server adalah kedua-dua 'bukan mengunci' pendekatan kolaboratif, tetapi 'terputus' satu juga. ABACUS adalah 'bukan mengunci' kerana tidak memaksa fail yang hendak dikunci oleh seorang pengguna untuk itu dikemas kini. Setiap pengguna mempunyai salinan tempatan mereka sendiri fail, dan semasa mereka membuat perubahan dan simpan fail mereka, perubahan tersebut direkodkan dan disimpan apabila pengguna ingin melakukan mereka kepada pelayan.

ABACUS adalah 'terputus' dalam erti kata bahawa anda tidak perlu disambungkan kepada pelayan atau butuh akses rangkaian semasa bekerja pada fail. ABACUS hanya memerlukan akses kepada pelayan semasa menjalankan operasi seperti mencipta fail, atau melaksanakan checkout, bersama-sama dengan operasi pada fail yang sedia ada - maklumat, melakukan, atau melihat log masa lalu melakukan. Akses kepada pelayan tidak diminta bekerja pada fail, dan perubahan anda tidak dihantar ke pelayan dengan segera (ini membolehkan anda untuk dengan mudah membuang perubahan anda jika anda membuat kesilapan). Apabila anda menyimpan fail anda, anda 'hanya' simpanan anda salinan dalam negara - ia tidak sehingga anda melakukan perubahan tempatan anda (perubahan yang dibuat sejak terakhir anda melakukan), akan dihantar ke pelayan.

Mewujudkan Fail Baru Enterprise

Untuk membuat fail Enterprise baru, pilih Fail| Baru ...dan kemudian memilih salah satu daripada dua pilihan pertama di bawah seksyen Digital Enterprise daripada Dialog Projek Baru (iaitu sama ada fail Enterprise kosong, atau buat dari fail ABACUS sedia ada). Pilihan ketiga adalah untuk 'Checkout' an seseorang fail Enterprise lain telah diwujudkan, ini akan dibincangkan dalam bahagian seterusnya.

Apabila anda memilih untuk mencipta fail Enterprise baru, anda akan diberikan satu dialog yang akan membolehkan anda untuk melihat-lihat di mana pada pelayan repositori anda ingin menyimpan fail anda. Ia juga akan mempunyai laluan fail yang sedia ada dan nama yang dimasukkan ke bahagian atas jika anda memilih 'Daripada Model Sedia Ada daripada dialog Projek Baru dan dibekalkan fail.

URL: Ini adalah URL ke pelayan repositori anda di mana fail ABACUS Enterprise disimpan. Anda perlu bertanya orang yang menguruskan pelayan apa URL ini harus.

Gambar di atas menunjukkan repositori dengan empat (4) projek ABACUS Enterprise sedia ada, selepas memasuki URL dan menekan Enter.Anda akan lihat selepas anda mencipta fail Enterprise baru, pada paparan di depan untuk 'Checkout', akan ada satu lagi folder dan fail di bawah repositori ini.

Nota

Jika anda menggunakan https (SSL) pelayan, dan pelayan tidak mempunyai sijil SSL yang sah (biasa untuk intranet atau bukan awam pelayan kerana yang kos sijil SSLs) Akan ada langkah tambahan untuk mengambil. Anda akan dikehendaki untuk selama-lamanya menerima semua sambungan ke pelayan dalam dialog yang muncul (ia juga akan menunjukkan maklumat yang lebih sedikit pada pelayan). Untuk melakukan ini, jenis 'p' (tanpa tanda kutip) dan tekan Enter. ABACUS akan muncul mesej peringatanku ini sebelum menunjukkan dialog.

Nota

Anda mungkin akan diminta untuk melog masuk ke pelayan di mana orang yang menjadi menguruskan pelayanboleh berikan nama pengguna pelayan dan kata laluan. Selain itu, butiran log masuk untuk mana-mana pelayan yang anda telah menyambung kepada disimpan jadi jika apa-apa sebab mereka perlu dibersihkan ini boleh dilakukan melalui Tools | Pilihandan kemudian pada Umum tab dengan mengklik Reset Subversion tersimpan Daftardan memilih pelayan dari senarai drop-down dan klik Daftar jelasdan memilih OK di dalam dialog yang muncul.

Nota

Tidak seperti screenshot yang ditunjukkan di atas, biasanya Projek ABACUS tunggal terdapat di dalam setiap ABACUS Repository kerana jika lebih daripada 1 ABACUS Projek dicipta dalam ABACUS Repository tunggal, ABACUS nombor log perubahan dikongsi di semua Projek ABACUS dan ini boleh mengelirukan pengguna.

Preferred Nama fail: Ini memberi kesan kepada kedua-dua folder dan nama fail yang akan digunakan (jika belum diambil) apabila mencipta fail pada pelayan repositori. Ambil perhatian bahawa folder baru dibuat secara automatik dalam pelayan repositori bagi setiap fail (atas sebab-sebab prestasi, fail ABACUS Enterprise yang dicipta di dalam folder mereka sendiri di bawah lokasi dilayari dalam dialog).

Simpan Copy Kerja dalam Direktori: Apabila fail Enterprise dicipta pada pelayan repositori, fail kerja tempatan perlu diwujudkan pada komputer anda, supaya anda boleh bekerja pada fail tanpa disambungkan ke rangkaian. Ini adalah tempat yang akan anda lihat apabila anda ingin membuka / membuka semula fail ABACUS Enterprise.

Pembayaran Perusahaan sedia ada Fail

Jika seseorang telah mencipta satu fail Enterprise baru, anda boleh 'checkout' fail ini, yang memuat turun salinan tempatan dan mengangkat fail yang diperlukan supaya ABACUS mengiktiraf ini sebagai fail Enterprise. Dialog tersebut adalah sama dengan Enterprise Dialog Fail Baru. Masukkan URL yang repositori (subdirektori boleh dimasukkan dalam URL), pilih fail yang diperlukan, dan klik OK. Tertakluk kepada komen di bawah tdia memfailkan kemudian akan dibuka.

Nota

Anda mungkin akan diminta untuk melog masuk ke pelayan di mana orang yang menjadi menguruskan pelayanboleh berikan nama pengguna pelayan dan kata laluan. Selain itu, butiran log masuk untuk mana-mana pelayan yang anda telah menyambung kepada disimpan jadi jika apa-apa sebab mereka perlu dibersihkan ini boleh dilakukan melalui Tools | Pilihandan kemudian pada Umum tab dengan mengklik Reset Subversion tersimpan Daftardan memilih pelayan dari senarai drop-down dan klik Daftar jelasdan memilih OK di dalam dialog yang muncul.

Perbezaan Enterprise Fail

Apabila anda telah mencipta fail Enterprise (sama ada yang baru, atau melalui 'checkout' fail dicipta oleh orang lain), folder akan dicipta bagi fail tersebut, dan ia biasanya akan mengandungi ini 3 jenis utama fail:

· '.abacus' Fail- Ini adalah fail ABACUS itu sendiri. Perubahan yang anda buat dalam negara tidak segera disimpan ke dalam fail ini, ia hanya bertulis kepada apabila anda melakukan. Fail ini adalah 'normal' Fail ABACUS, ia boleh diberikan kepada pengguna bukan EEsebagai projek yang berdiri sendiri (tanpa fail .log), Atau digunakan sebagai titik permulaan untuk fail EE baru.

· Fail '.changes'- Tempatan (tidak komited) perubahan yang dibuat kepada fail. Jika fail ini hilang, ini bermakna tiada perubahan tempatan.

· '.fail log- Fail ini hanya mempunyai perubahan yang telah dibuat oleh pengguna terakhir (kandungan .changes fail pengguna ketika mereka melakukan).

Nota

Terdapat pelbagai fail lain yang mungkin timbul semasa kemas kini dan melakukan proses, iaitu; ‘.changesbefore'Fail- Fail ini adalah salinan bagi fail .changes selepas kemas kini telah dilakukan dan digunakan untuk secara automatik mendamaikan sebarang konflik ID antara mengemaskini dan mana-mana tempat (tidak komited) perubahan sebelum berdosa ‘.backup'Fail- Fail ini adalah salinan bagi fail .changes sebelum pengguna menjimatkan lebih banyak tempatan (tidak komited) perubahan ke fail .changes itu; dan ‘.error'Fail- Fail ini adalah salinan .changes memfailkan jika terdapat apa-apa isu yang menyebabkan ABACUS gagal untuk membuka fail .abacus dan pengguna memilih untuk kembali perubahan mereka.Fail-fail ini boleh diabaikan.

Membuka Fail

Buka fail, anda hanya perlu untuk melihat-lihat di mana anda memilih untuk menyimpan salinan kerja, dan membuka fail ABACUS yang disimpan di sana. Apabila ABACUS melihat bahawa terdapat satu .fail log (dan mungkin .perubahan memfailkan jika anda telah membuat perubahan), ia akan merawat fail sebagai fail Enterprise.

Mengemaskini Fail

Melakukann 'Update' akan memeriksa jika versi yang lebih baru fail yang terletak pada pelayan. Jika ada, ia akan menutup fail semasa anda, mengemas kini fail yang lebih baru dari pelayan, dan memuat turun beberapa fail-fail sementara yang mempunyai nombor sebagai lanjutan - contohnya 'Demo.125. Fail-fail ini adalah versi yang lebih lama fail .log, dan digunakan untuk menentukan apa perubahan telah dibuat ke fail sejak terakhir anda mengemas kini ia. Ini diperlukan untuk mengesan sebarang konflik yang mungkin telah berlaku supaya anda boleh menyelesaikannya.

Jika semasa proses kemas kini mana-mana konflikditemui, Anda perlu untuk menyelesaikan mereka sebelum anda boleh membuka fail anda sekali lagi (anda boleh membatalkan tetapi anda akan diminta untuk menyelesaikan konflik lagimasa depan anda membuka fail anda).

Menyimpan Fail

Apabila anda menyimpan fail, ini menyertakan apa-apa perubahan yang anda buat ke fail .changes itu. Ia tidakmengubah suai fail .abacus pada peringkat ini - hanya apabila fail komited untuk pelayan akan dituliskan atas (atau semasa menerima maklumat dari pelayan).

Di mana 'Save As'?

Tidak ada konsep Save As untuk fail Enterprise. Anda bagaimanapun boleh, copy copy pekerjaan anda .abacus fail, menyimpan dalam minda bahawa ia tidak akan mempunyai perubahan setempat di dalamnya.

Menyelesaikan Konflik

Jika pengguna lain mempunyai perubahan komited untuk fail di bahagian yang sama bagi fail yang hendak anda, mungkin terdapat beberapa konflik antara perubahan mereka dan anda. Sebagai contoh, pengguna lain boleh memadam komponen yang anda mempunyai mengemaskini harta pada. Anda perlu memuat membatalkan perubahan (jika anda pasti bahawa mereka perlutidak berlaku), atau membuang perubahan anda (anda kemudiannya boleh kembali ke dalam fail dan buat semula perubahan anda).

Secara khusus terdapat 4 kelas konflik yang boleh berlaku;

1. Padam - Apabila seorang pengguna memadam objek yang perubahan pengguna lain. Mis Seorang pengguna dipadam komponen tetapi pengguna B menukar nama komponen atau berkaitan dengannya atau ditambah komponen anak kepadanya dan lain-lain

2. Atribut - Apabila dua pengguna kedua-dua menukar sama 'sifat' yang tepat objek. Mis Kedua-dua pengguna A dan pengguna B menukar namanya komponen atau keterangan atau nilai salah satu daripada sifat-sifat dan lain-lain

3. Rujukan - Apabila dua pengguna menukar 'rujukan' yang tepat sama objek perlu objek lain. Mis Kedua-dua pengguna A dan pengguna B mengubah jenis komponen atau komponen sumber / sink dilampirkan kepada sambungan atau pandangan berkaitan untuk gambar rajah dan lain-lain

4. Koleksi - Apabila dua pengguna menukar 'koleksi' untuk objek. Mis Kedua-dua pengguna A dan pengguna B berpindah komponen dari salah seorang ibu bapa yang lain atau diperintahkan semula koleksi anak komponen.

Nota

Pelbagai konflik tidak penting secara automatik diselesaikan oleh ABACUS untuk mengurangkan overhed pada pengguna.Sebagai contoh sebarang tetapan pan-zoom bercanggah untuk gambar rajah diselesaikan untuk menjaga terkini tetapan pan-zoom.

Melakukan Perubahan

Apabila anda memilih untuk melakukan perubahan anda, fail ABACUS dari pelayan dibuka, anda tempatan perubahan dilakukanterhadapnya, Dan kemudian tempatan anda fail .abacus ditulis ganti dengan satu yang mempunyai perubahan anda di dalamnya. Perubahan anda memfailkan kemudian menulis ganti fail .log, dan kedua-dua fail .abacus dan fail .log dihantar ke pelayan.Jika melakukan berjaya yang Komited dialog Mesej seperti di bawah disediakan untuk memasukkan mesej dengan melakukan.

Melihat Log Perubahan

Untuk melihat log perubahan kepada Enterprise projek, Pilih Fail| Lihat Log...

Maksimum Penyertaan Log: Ini akan lalai kepada 10 penyertaan lepas tetapi penyertaan tambahan boleh diperolehi dengan menukar nilai dan mengklik Ambil butang.

Semakan: Thruangan e Semakan menyenaraikan nombor semakan yang dilakukan ke pelayan Enterprise, secara lalai, dalam susunan kronologi terbalik.

Nota

Nombor-nombor semakan mungkin tidak berterusan kerana hanya ABACUS adalah melakukan akan disenaraikan manakala Subversion repositori yang sama boleh digunakan untuk projek-projek ABACUS dan / atau lain-lain aplikasi kawalan versi.

Tarikh: Thruangan e Tarikh menyenaraikan tarikh semakan itu telah dilakukan ke pelayan Perusahaan.

Masa: Thruangan e Masa menyenaraikan masa hari (dalam format 24 jam) semakan itu telah dilakukan ke pelayan Perusahaan.

Pengarang: The Pengarang ruangan menyenaraikan Microsoft Windows nama log masuk untuk pengguna yang menunaikan Komit diikuti oleh mereka Nama pengguna ABACUS , Atau 'Anonymous' jika pengguna tidak disahkan dan pengguna tanpa nama dibenarkan akses kepada projek Enterprise pada masa melakukan.

Log mesej: Thruangan e Log Mesej menyenaraikan mesej melakukan yang diberikan dengan semakan seperti dialog di atas.

Muat turun semakan XX yang berdikari fail ABACUS: Jika anda memilih semakan yang diberikan dalam jadual dan kemudian klik butang Muat turun anda akan dapat untuk mendapatkan ABACUS semakan projek yang dipilih dari pelayan dan menyimpannya sebagai berdiri sendiri projek tempatan / ABACUS.

Nota

Untuk melancarkan kembali kepada semakan sebelumnya sila lihat ini Avolution artikel masyarakat .

(Admin) Muat turun fail XML Log untuk semakan XX: Pengguna dengan keupayaan Pentadbir ABACUS boleh memilih semakan yang diberikan dalam jadual dan kemudian klik butang Muat Turun untuk mendapatkan projek ABACUS yang dipilih melakukan fail log dari pelayan dan menyimpannya sebagai fail xml.

Melihat Jejak audit Perubahan

Untuk melihat jejak audit perubahan kepada mana-mana elemen yang diberikan (iaitu komponen, sambungan, melihat, kanak-kanak dan lain-lain) daripada Enterprise projek, klik kanan elemen dan pilih Trail Audit..., Menetapkan dari dan kepada pelbagai Penyemakan dan klik Carian.

Nota

Setelah unsur dipadam daripada projek yang anda tidak lagi mampu untuk mengakses maklumat jejak audit khusus mengenai elemen yang. Anda boleh, bagaimanapun, masih mengakses komponen 'ibu bapa' (sebagai contoh) dan melihat maklumat jejak audit mengenai penghapusan (dalam kes ini menyenaraikan ID unsur yang telah dipadam).Tambahan pula, Komponen lampiran / Connection ialah 'harta' daripada sambungan supaya menukar komponen yang bersambung melalui tingkap Explorer atau pada Rajah akan menunjukkan dalam jejak audit untuk sambungan TIDAK komponen, dan memotong sambungan dan mewujudkan sambungan baru (seperti yang berlaku jika anda klik kanan 'Unattach' dan kemudian 'Sambungkan ...' dalam katalog) akan menyebabkan kehilangan maklumat jejak audit untuk komponen asal - lampiran berkaitan sama sekali.

Nota

Secara lalai jejak audit secara rekursif akan memeriksa perubahan kepada mana-mana kanak-kanak daripada elemen yang dipilih. Ini boleh menyebabkan masa respons yang panjang dan sewajarnya jejak audit boleh dihadkan kepada elemen itu sendiri dengan tidak memilih yang Rekursi opsyen di bawah Pilihan Auditbutang bar alat 'roda gear' dalam dialog Trail Audit.

Dari Semakan: Ini akan lalai kepada / semakan pertama tertua disediakan untuk projek itu pada pelayan Perusahaan.

Untuk Semakan: Ini akan lalai kepada / semakan terakhir paling terkini disediakan untuk projek itu pada pelayan Perusahaan.

Nota

Setelah menetapkan dari dan kepada semakan larian klik butang Cari untuk mengambil apa-apa perubahan tertentu kepada elemen yang dipilih.

Semakan: Thruangan e Semakan menyenaraikan nombor semakan yang dilakukan ke pelayan Enterprise, secara lalai, dalam susunan kronologi ke hadapan.

Nota

Nombor-nombor semakan adalah tidak berkemungkinan berterusan kerana hanya semakan berkaitan dengan elemen yang dipilih akan ditunjukkan dan hanya ABACUS melakukan akan disenaraikan manakala Subversion repositori yang sama boleh digunakan untuk projek-projek ABACUS dan / atau aplikasi kawalan versi.

Tarikh: Thruangan e Tarikh menyenaraikan tarikh tindakan pengguna itu dibuat.

Nota

Tarikh ditunjukkan adalah tarikh tindakan pengguna, bukan tarikh semakan itu telah dilakukan ke pelayan Perusahaan. Oleh itu, tarikh boleh mendahului semakan yang sepadan Komit tarikh yang ditunjukkan dengan Fail | Lihat Log ...arahan.

Masa: Thruangan e Masa menyenaraikan masa hari (dalam format 24 jam) yang tindakan pengguna itu dibuat.

Nota

Masa yang ditunjukkan adalah kali tindakan pengguna, bukan masa semakan itu telah dilakukan ke pelayan Perusahaan. Oleh itu, masa yang paling mungkin akan mendahului semakan yang sama melakukan masa yang ditunjukkan dengan Fail | Lihat Log ...arahan.

Pengarang: The Pengarang ruangan menyenaraikan pengguna yang dilakukan Microsoft Windows nama log masuk tindakan ini diikuti oleh mereka Nama pengguna ABACUS , Atau 'Anonymous' jika pengguna tidak disahkan dan pengguna tanpa nama dibenarkan akses kepada projek Enterprise pada masa tindakan pengguna.

Nota

Pengarang disenaraikan dalam Audit Trail dialog tidak semestinya sepadan Pengarang yang disenaraikan dalam dialog Lihat Log atas untuk semakan yang sama. Ini kerana View Log senarai dialog log masuk pengguna pada masa itu melakukan manakala Trail Audit senarai dialog log masuk pengguna pada masa tindakan pengguna, dan ia adalah mungkin untuk mempunyai seorang pengguna membuat perubahan dan menghantar mereka. perubahan memfailkan kepada pengguna lain untuk melakukan - seperti yang berlaku apabila pengguna luaran (seperti Avolution) adalah untuk bekerja pada projek EE.

Maklumat: The Butiran ruangan menyenaraikan butir-butir yang tepat tindakan pengguna seperti yang dicatatkan pada pelayan Perusahaan.

Petua

Ia amat berguna untuk kumpulan mengikut lajur Semakan (seperti yang ditunjukkan dalam dialog di atas) dan / atau lajur Tindakan Pengguna kepada mudah mengelaskan perubahan kepada elemen faedah.

Penggunaan Scripting dengan fail Enterprise

Jika anda menggunakan skrip dengan fail Enterprise, anda akan mengetahui bagaimana untuk memadam betul objek daripada model. Secara umumnya, apabila anda memadam objek, anda akan memanggil .Delete () kaedah di atasnya, bukan hanya mengeluarkannya dari induknya.

Mis jika anda telah comp1 seperti ibu atau bapa comp2 dan anda ingin memadam comp2 dalam tulisan anda, anda perlu memanggil comp2.Delete (), dan bukannya comp1.Components.Remove (comp2).

Anda boleh menggunakan keluarkan jika anda bercadang untuk menambah objek comp2 ke tempat lain dalam seni bina, tetapi ia tidak boleh digunakan jika tujuannya adalah untuk memadam objek.

Terdapat pengecualian kepada ini, apabila anda mahu mengeluarkan objek yang 'hidup' di tempat lain dalam model. Apabila anda ingin mengeluarkan contoh standard dari / komponen / sambungan seni bina, maka anda akan berbuat demikian dengan mengeluarkannya dari standard koleksi contoh ini - arch1.Perlaksanaan.Remove (Imp) - kerana memotong ia akan mengeluarkannya dari semua keadaan.

Betul menggunakan Padam skrip penting kerana jika objek dikeluarkan daripada objectmodel dan tidak menambah semula, maka ia tidak akan dapat dikesan, tetapi kerana ia tidak secara khusus 'dihapuskan', Pengesanan Konflik dan Penyelesaian tidak akan betul mengesan konflik jika pengguna lain adalah untuk cuba menggunakan objek yang dalam apa-apa perubahan mereka, dan keputusan akhir akan menjadi satu set yang rosak perubahan untuk pengguna tersebut.

Lihat juga

Bagaimana seni bina yang diwakili dalam ABACUS?


Bekerja dengan fail ABACUS

Navigation: Pengenalan kepada ABACUS>

Bekerja dengan fail ABACUS

Menghantar komen mengenai topik ini.

Fail ABACUS adalah bekas untuk model anda seni bina . Dalam fail ABACUS tunggal, anda boleh memodelkan apa-apa bilangan seni bina apa-apa bilangan kali.

Apabila anda pertama kali membuka ABACUS, tiada membuka fail. Untuk bekerja pada seni bina anda, anda perlu sama ada mencipta fail baru, atau membuka fail yang telah wujud.

Apabila anda membuka atau mencipta fail baru, pokok dalam tetingkap explorer secara automatik akan dipaparkan. Pandangan explorer menunjukkan anda senibina anda setakat ini. Apabila anda menutup fail, pokok dalam tetingkap explorer juga akan hilang.

Untuk membuat fail ABACUS baru

1. Pilih Fail| Baru ...

2. Dalam dialog Projek Baru yang muncul (seperti yang ditunjukkan di bawah) Pilihsama ada untuk mewujudkan satu model kosong, model dari perpustakaan ABACUS standard , Model dari perpustakaan ABACUS adat, model dari XML, MS Access , MS Visio , MS Excel , MS SQL Server , Yang Enterprise Server model atau ABACUS perpustakaan adat (Fail .abacuslib).

3. Klik pada okeybutang dan mengikuti mana-mana dialog yang mungkin muncul.

Petua

Anda tidak akan diminta untuk menamakan fail sehingga anda menyimpan atau menutupnya. Ia adalah idea yang baik untuk menyimpan fail anda sebaik sahaja anda membuat ia. Maka anda tidak akan perlu bimbang tentang menamakan kemudian di dalam proses apabila anda menumpukan perhatian kepada perkara-perkara lain yang kompleks (seperti seni bina populating anda).

Buat Projek Baru

Perpustakaan Standard ABACUS

ABACUS menyokong lebih 100 rangka kerja awam dan notasi beberapa yang ditunjukkan di bawah. Apabila memilih untuk mewujudkan satu projek baru daripada pengguna perpustakaan standard mempunyai permulaan yang cepat untuk pemodelan dalam masa mewujudkan rangka kerja mengambil kesempatan penuh daripada mana-mana jenis elemen yang jelas, sifat-sifat, catatan, pandangan dan template atau corak. Perpustakaan tambahan standard boleh diperolehi secara percuma melalui Komuniti Avolution di sini .

Projek Baru dari Perpustakaan Standard

Untuk menyimpan fail yang ABACUS baru

1. Pilih Fail| Simpan sebagai

Petua

Nama fail yang boleh menjadi panjang mana-mana, dan boleh mengandungi sebarang aksara abjad angka dan ruang. Mereka tidak boleh mengandungi tilde (~) watak, paip (|) watak, tanda tanya, atau watak-watak yang biasanya digunakan untuk penerangan jalan seperti backslash (\) - kecuali sebagai sebahagian daripada jalan (?).

Untuk membuka fail ABACUS sedia ada

1. Pilih Fail| Terbuka

Nota

Jika anda membuka fail dari lokasi rangkaian bersama yang sudah dibuka kepada pengguna lain, ABACUS akan menyediakan anda dengan akses Baca Sahaja. Apabila menggunakan ABACUS dengan Baca akses Hanya, anda tidak akan dapat untuk melaksanakan operasi menulis, seperti populating senibina anda dan berjalan penilai. Anda boleh, bagaimanapun, melihat senibina anda menggunakan paparan explorer dan pandangan 3D.

Lihat juga

Bagaimana seni bina yang diwakili dalam ABACUS?


Bekerja dengan Pemuka

Navigation: Pentadbiran>

Bekerja dengan Pemuka

Menghantar komen mengenai topik ini.

Projek ABACUS boleh mempunyai apa-apa konfigurasi paparan (misalnya gambar rajah, Carta dan lain-lain) disimpan sebagai papan pemuka dan ini pemuka disimpan boleh menjadi ditetapkan sebagai lalai bermula 'skrin' pada pembukaan projek dan / atau diberikan kepada khusus Kumpulan pengguna dan dibentangkan kepada ahli-ahli kumpulan pengguna apabila mereka log masuk ke projek ABACUS.

Nota

Untuk mengkonfigurasi papan pemuka dalam projek ABACUS lesen pengguna perlu keupayaan Pentadbir. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

Melihat Pemuka

Contoh Pengurusan Portfolio Permohonan (APM) papan pemuka

Untuk melihat Dashboard yang disimpan

1. Pilih Lihat| Pemuka

2. Pilih papan pemuka disimpan daripada senarai pemuka disediakan.

Nota

Setelah ABACUS dipilih akan membina pandangan diperlukan untuk papan pemuka dan ini mungkin mengambil masa beberapa saat. Sila bersabar.

Urusan Pemuka

Urusan Pemuka

Untuk membuat Dashboard baru

1. Buka pemandangan yang diperlukan dan mengatur dan berlabuh tingkap yang diperlukan untuk papan pemuka.

2. Pilih Lihat| Pemuka| Mengurus Pemuka ...

Nota

Jika anda tidak melihat Urus Pemuka item menu maka anda tidak mempunyai keupayaan Pentadbir. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

3. Dalam dialog yang muncul pilih Buatbutang dan masukkan nama Dashboard masuk Buat dialog Dashboard Baru.

4. Klik pada okeybutang.

Untuk memadam papan pemuka yang sedia ada

1. Pilih Lihat| Pemuka| Mengurus Pemuka ...

2. Dalam dialog yang muncul pilih Dashboard yang anda ingin memadam dari senarai dan pilih Padambutang.

Nota

Memadam papan pemuka yang juga akan memadamkan mana-mana tugasan kumpulan pengguna ke papan pemuka itu.

3. Klik pada okeybutang.

Untuk menggantikan Dashboard yang sedia ada

1. Buka pemandangan yang diperlukan dan mengatur dan berlabuh tingkap yang diperlukan untuk papan pemuka gantian.

2. Pilih Lihat| Pemuka| Mengurus Pemuka ...

3. Dalam dialog yang muncul pilih Dashboard yang anda ingin menggantikan dari senarai dan pilih Gantibutang.

4. Klik pada okeybutang untuk mengakui dialog Dashboard Menggantikan.

Untuk memberi Dashboard yangsebagai lalai Mula Skrin

1. Pilih Lihat| Pemuka| Mengurus Pemuka ...

2. Dalam dialog yang muncul pilih Dashboard daripada senarai yang anda ingin menetapkan seperti 'skrin' permulaan lalaidan pilih Berikan ...butang.

3. Dalam dialog yang muncul pilih catatan dalam kelompok pengguna ruangan.

Nota

Hanya satu papan pemuka boleh diberikan sebagai jalan mula 'skrin' supaya tugasan semula akan mengeluarkan tugasan dari papan pemuka sebelumnya.Tambahan pula, jika pengguna log masuk sebagai ahli kumpulan pengguna yang mempunyai papan pemuka yang diberikan kemudian papan pemuka yang diberikan akan dibuka sebagai ganti papan pemuka projek lalai.

4. Klik pada okeybutang.

Untuk memperuntukkan Kumpulan Pengguna ke Dashboard yang

1. Pilih Lihat| Pemuka| Mengurus Pemuka ...

2. Dalam dialog yang muncul pilih Dashboard daripada senarai yang anda ingin menetapkan kumpulan pengguna ke dan pilih Berikan ...butang.

3. Dalam dialog yang muncul pilih Kumpulan Pengguna (atau Kumpulan)anda mahu untuk menetapkan papan pemuka sebagai 'memulakan' skrin untuk.

Nota

Jika Kumpulan Pengguna yang sama yang diberikan kepada beberapa pemuka kemudian tugasan pertama dalam senarai akan digunakan.

4. Klik pada okeybutang.

Untuk unassign Kumpulan Pengguna dari Dashboard yang

1. Pilih Lihat| Pemuka| Mengurus Pemuka ...

2. Dalam dialog yang muncul mengembangkan item Dashboard daripada senarai yang anda ingin unassign kumpulan pengguna dari.

3. Pilih kumpulan pengguna yang anda ingin unassign dan pilih Unassignbutang.

4. Klik pada okeybutang.

Kebenaran tetapan

Kebenaran boleh ditetapkan untuk papan pemuka untuk membolehkan papan pemuka untuk menjadi mana boleh dilihat, Updateable dan / atau deleteablekepada kumpulan pengguna yang diberikan.

Pengurusan Kebenaran

Untuk menetapkan kebenaran untuk Dashboard yang

1. Pilih Lihat| Pemuka| Mengurus Pemuka ...

2. Dalam dialog yang muncul pilih Dashboard daripada senarai yang anda ingin menetapkan kebenaran untuk dan pilih Kebenaran ...butang.

3. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

4. Secara lalai anda akan melihat bahawa Read, kini dan Padam keizinan adalah semua. Buang keizinan oleh menyahtandakankotak semak berkaitan.

5. Klik pada okeybutang.

Lihat juga

Menyesuaikan antara muka ABACUS | Bekerja dengan Kebenaran


Bekerja dengan Kebenaran

Navigation: Pentadbiran>

Bekerja dengan Kebenaran

Menghantar komen mengenai topik ini.

Projek ABACUS boleh mempunyai berasaskan peranankebenaran yang ditetapkan untuk setiap elemen dalam tabung. Secara khusus, berbutir halus Create-Read-Update-Delete (CRUD) Keizinan boleh ditetapkan di 'objek' (iaitu komponen atau sambungan), melihat dan sifat (iaitu harta) peringkat.

Gambaran Keseluruhan

Apabila bekerja dengan ABACUS Enterprise Server , ABACUS menyediakan halus, berasaskan peranan kebenaran CRUD untuk mengawal akses beberapa pengguna untuk tabung.

Nota

Untuk menatarajah kebenaran dalam projek ABACUS lesen pengguna perlu keupayaan Pentadbir. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

Kebenaran boleh ditetapkan untuk seni bina, komponen dan sambungan jenis, sifat-sifat (melalui jenis mereka), template, pandangan dan gambar rajah, katalog, matriks, carta dan 3Dpandangan. Apabila kebenaran yang ditetapkan untuk komponen atau jenis sambungan semua contoh-contoh jenis itu dalam mana-mana seni bina dalam projek yang 'mewarisi' kebenaran tersebut. Begitu juga, apabila kebenaran ditetapkan untuk harta sesuatu komponen atau jenis sambungan, harta yang diberikan kepada komponen atau sambungan contoh di mana-mana seni bina dalam projek yang 'mewarisi' kebenaran tersebut. Oleh itu, kebenaran tertentu akan digunakan untuk pandangan di mana unsur-unsur wujud. Apabila kebenaran yang ditetapkan untuk gambar rajah, pandangan dan / atau kandungan pandangan itu sendiri mempunyai pelbagai kebenaran digunakan padanya.

Nota

Secara lalai tiada kebenaran yang ditetapkan untuk elemen dalam projek ABACUS. Itu sahaja elemen Createable, dibaca, dan dikemas kini secara Deleteable oleh semua pengguna. Dengan cara ini kebenaran hanya akan dipertimbangkan untuk elemen yang diberikan di dalam tabung apabila kebenaran tertentu adalah untuk menjadi terhaduntuk kumpulan pengguna tertentu. Sebagai contoh, jika kebenaran untuk kumpulan pengguna yang diberikan telah ditambah kepada sesuatu objek (contohnya jenis komponen), tetapi meninggalkan dengan semua kebenaran yang aktif, maka ini adalah fungsi yang sama seperti jika itu kumpulan pengguna tidak menambah kepada objek.

Kebenaran tidak bolehditetapkan untuk keadaan tertentu unsur-unsur seni bina itu. Sebagai contoh, anda tidak boleh membuat satu komponen Permohonan updateable satu lagi tidak. Untuk mencapai ini 'domain tertentu' kebenaran berkesan bagaimanapun, Pentadbir boleh menyediakan jenis unsur tertentu untuk domain tertentu, contohnya 'Permohonan - domain CRM' jenis komponen dan 'Permohonan - domain HR', dan kemudian menetapkan kebenaran bagi setiap jenis sewajarnya. Anda boleh membuat jenis Grouping khusus untuk setiap domain dan kemudian keluarkan kebenaran maklumat untuk domain khusus jenis kumpulan dan ini akan menyekat ciptaan dalam dan pemotongan daripada yang Mengumpulkan tetapi tidak mengemas kini kanak-kanak. Sudah tentu jika Grouping domain khusus itu tertutup dengan mengeluarkan kebenaran membaca kemudian anak-anak akan disembunyikan dan dengan itu tidak boleh dikemas kini. Sebagai alternatif, jika pandangan (bukan explorer) digunakan terutamanya untuk menguruskan / melihat repositori anda, gambaran yang diberikan untuk setiap domain boleh ditubuhkan, dan kemudian Pentadbir boleh menetapkan kebenaran untuk setiap pandangan sewajarnya.

Urusan Pengguna dan Kumpulan

Kebenaran yang wajib pada perananatau kumpulantahap, berbanding dengan tahap pengguna individu, supaya manakala keahlian kumpulan boleh berubah, kebenaran yang boleh kekal tetap. Sudah tentu jika anda mahu kebenaran pengguna tertentu kemudian hanya membuat mereka kumpulan, atau lebih tepat lagi membuat kumpulan dengan pengguna bahawa sebagai anggota tunggal.

Perlu diingatkan bahawa kumpulan-kumpulan yang atom, Iaitu mereka tidak boleh mewarisi keizinan atau pengguna dari satu kepada yang lain, dan jika pengguna tergolong dalam beberapa kumpulan kemudian 'pesimis' kebenaran yang paling kumpulan akan diberi keutamaan atas dasar kes demi kes bagi setiap kebenaran individu (iaitu Buat -Baca-Update-Padam). Sebagai contoh jika pengguna yang sama adalah ahli kumpulan A dan B dan Kumpulan A baru sahaja Membuat-Baca kebenaran untuk jenis komponen Permohonan manakala Kumpulan B baru sahaja Baca-Update kebenaran untuk jenis komponen Permohonan maka pengguna hanya mempunyai Baca kebenaran untuk contoh komponen permohonan.

Tambahan pula, secara lalai, pengguna tanpa nama(iaitu pengguna-pengguna yang tidak ditakrifkan atau yang tidak log in) mempunyai akses penuhkepada projek ini. Ini adalah untuk memastikan akses yang boleh didapati dalam tatarajah permulaan. Untuk menghalang akses oleh pengguna tanpa nama hanya buang tanda 'Benarkan pengguna tanpa nama akses penuh ke fail' pilihan dalam Urus Pengguna / Kumpulan Dalam dialog ditunjukkan di bawah. Apabila pengguna tanpa nama yang tidak terkawal hanya akan dapat melihat bahagian Piawaian apa-apa projek.

Akhir sekali, pengesahan nama pengguna jika pilihan 'Gunakan Windows Nama pengguna Login' diperiksa dilakukan terhadap Windows Nama pengguna Masuk pada mesin setiap pengguna terhadap nama pengguna yang sampai seperti di bawah. Iaitu jika Windows Nama pengguna Daftar untuk mesin pengguna yang dinyatakan itu wujud sebagai nama pengguna yang sah maka tidak ada kata laluan diperlukan dan pengguna secara automatik disahkan. Nota: ini dengan berkesan membolehkan penggunaan Windows Active Directory (AD) pengesahan.

Nota

Memandangkan bahawa kebenaran yang hanya ditakrifkan apabila mereka perlu diambil (terhad) daripada pengguna, mana-mana pengguna yang bukan ahli kumpulan, atau mana-mana kumpulan yang tidak mempunyai kebenaran ditakrifkan untuk itu terhadap mana-mana objek, akan mempunyai akses penuh kepada projek.

Pengguna dan Kumpulan Pengguna

Untuk mencipta pengguna baru

1. Pilih Fail| Urus Pengguna / Kumpulan

Nota

Jika anda tidak melihat Urus Pengguna / Kumpulan item menu maka anda tidak mempunyai keupayaan Pentadbir. Sila hubungi Pentadbir ABACUS tempatan anda atau Sokongan Avolution jika anda memerlukan keupayaan ini.

2. Dalam dialog yang muncul pilih Tambah Penggunabutang dan masukkan nama pengguna dan kata laluan dalam Create New dialog Pengguna. Nota: nama pengguna dan kata laluan adalah sensitif.

Nota

Jika pilihan 'Gunakan Windows Nama pengguna Login' disemak seperti yang dinyatakan di atas maka kata laluan dummy boleh dimasukkan sebagai pengesahan akan dilakukan mengikut Window pengguna ini Nama pengguna Daftar sahaja.

2. Secara lalai anda akan melihat bahawa Pengguna boleh menukar kata laluan mereka sendiri. Jika perlu, Pentadbir ABACUS yang boleh mengeluarkanyang keupayaan bagi pengguna untuk menetapkan kata laluan mereka sendiri oleh menyahtandakankotak semak.

Nota

Jika pengguna boleh menukar kata laluan mereka sendiri, mereka akan mempunyai Fail | Tukar kata laluan...item menu untuk berbuat demikian.Juga, sedar bahawa jika beberapa orang menggunakan nama pengguna yang sama maka satu pengguna boleh menukar kata laluan itu bahawa tiada orang lain boleh log masuk selepas itu. Amalan Oleh itu, adalah disyorkan untuk mempunyai nama pengguna tunggal setiap orang yang sebenar.

4. Secara pilihan, masukkan alamat E-mel, Lokasi dan Nombor telefon bagi pengguna untuk rujukan masa depan.

5. Klik pada okeybutang masuk Buat New dialog Pengguna.

6. Klik pada okeybutang.

Nota

Sebaik sahaja anda telah mencipta pengguna pertama anda, anda perlu mengambil kira menyekat akses oleh pengguna tanpa nama dengan menyahsemak kotak 'Benarkan pengguna tanpa nama akses penuh ke fail' pilihan dalam Urus Pengguna / Kumpulan dialog.Juga, apabila pengguna telah dicipta (dan jika projek Enterprise, perubahan yang dilakukan ke pelayan), masa depan projek itu dibuka pengguna akan diminta untuk Log masuk untuk akses Disahkanseperti dialog yang ditunjukkan di bawah. Jika Log masuk secara automatik dengan butiran inipilihan diperiksa kemudian nama pengguna / kata laluan gabungan akan dikenang bagi projek itu dan digunakan setiap kali pada pembukaan. Untuk mengosongkan login disimpan pilih Fail | Clear tersimpan Daftarselepas dibuka dan anda akan diminta untuk melog masuk waktu lagi anda membuka projek.

Log masuk

Untuk memadam pengguna yang sedia ada

1. Pilih Fail| Urus Pengguna / Kumpulan

2. Dalam dialog yang muncul pilih nama pengguna dalam panel Pengguna yang anda ingin padam dan kemudian pilih Padam Penggunabutang.

3. Klik pada okeybutang.

Untuk membuat Kumpulan yang baru

1. Pilih Fail| Urus Pengguna / Kumpulan

2. Dalam dialog yang muncul pilih Tambah Kumpulanbutang dan masukkan nama Kumpulan dalam panel Kumpulan.

Nota

Nama kumpulan mestilah unik.

3. Klik pada okeybutang.

Untuk salinan yang sedia adaKumpulan

1. Pilih Fail| Urus Pengguna / Kumpulan

2. Dalam dialog yang muncul pilih CopyKumpulanbutang.

Nota

Sekumpulan salinan akan diwujudkan dengan awalan "Salinan".Secara lalai semua kebenaran dari kumpulan disalin akan ditiru untuk "Salin" kumpulan termasuk apa-apa tugasan pengguna.

3. Menamakan semula "Salin" kumpulan sebagaimana yang sesuai menggunakan Edit Kumpulanatau lambat klik dua kali.

Untuk memadam Kumpulan yang sedia ada

1. Pilih Fail| Urus Pengguna / Kumpulan

2. Dalam dialog yang muncul pilih nama Kumpulan dalam panel Kumpulan yang anda ingin padam dan kemudian pilih Padam Kumpulanbutang.

Nota

Mana-mana tugasan pengguna kepada Kumpulan juga akan dihapuskan.

3. Klik pada okeybutang.

Untuk memberi pengguna untuk Kumpulan yang

1. Pilih Fail| Urus Pengguna / Kumpulan

2. Dalam dialog yang muncul pilih nama pengguna dalam panel Pengguna yang anda ingin berikan kepada Kumpulan dan seret dan lepasia ke Nama kumpulan dalam panel Kumpulan yang anda ingin peruntukkan kepada.

3. Klik pada okeybutang.

Nota

Kumpulan (s) yang pengguna ditugaskan untuk ditunjukkan dengan mengembangkan Nama pengguna dalam panel Pengguna yangdan pengguna yang diberikan kepada kumpulan ditunjukkan dengan mengembangkan Nama kumpulan dalam panel Kumpulan. Sebagai contoh, dalam gambar di atas, "AS1-Aus" pengguna yang diberikan kepada tiga (3) kumpulan, iaitu; "App Kumpulan Sokongan 1", "Sebenar" dan "Australia".

Untuk unassign pengguna dari Kumpulan yang

1. Pilih Fail| Urus Pengguna / Kumpulan

2. Dalam dialog yang muncul mengembangkan Nama kumpulan yang mengandungi tugasan Pengguna bahawa anda ingin unassign dan pilih nama pengguna.

3. Klik pada Pengguna Unassignbutang.

4. Klik pada okeybutang.

Untuk mengimport Pengguna dan / atau Kumpulan (dan mana-mana Kebenaran yang hampir sama)

1. Pilih Fail| Urus Pengguna / Kumpulan

2. Klik pada Importbutang.

3. Dalam dialog yang muncul Semak imbaskepada dan membuka projek ABACUS yang mengandungi Pengguna dan / atau Kumpulan (dan Kebenaran) anda ingin mengimport ke dalam projek semasa dan klik Terbuka. Pengguna dan Kumpulan akan diimport dan dialog Keputusan Import muncul merumuskan import Pengguna dan / atau Kumpulan. Klik pada okeybutang.

Nota

Jika Pengguna diimport atau Kumpulan telah wujud dalam projek semasa maka mereka akan bergabung dengan Pengguna sedia ada atau Kumpulan.

4. Klik pada okeybutang belakang di utama Urus Pengguna / Kumpulan dialog.

5. Jika terdapat mana-mana Jenis yang hampir sama, Viewpoints, Templat atau Architectures antara projek semasa dan projek ABACUS yang anda mengimport dari, lengkap dengan keizinan yang belum wujud dalam projek semasa, kebenaran yang diimport dan yang kedua Keputusan Import dialog nampaknya merumuskan import. Klik pada okeybutang.

Nota

Kebenaran yang tidaklah menambah kepada Jenis yang sedia ada (dan sifat mereka), Viewpoints, Templat atau Architectures bagi Kumpulan di mana kebenaran tidak sudah wujud bagi Kumpulan. Sama ada kerana Kumpulan baru atau Kumpulan telah wujud dalam projek semasa tetapi tiada kebenaran telah ditugaskan untuk Kumpulan untuk item tersebut. Tidak ada 'penggabungan' keizinan untuk memadankan perkara yang mana kebenaran telah wujud bagi Kumpulan dalam projek semasa.

Kebenaran tetapan

Kebenaran boleh ditetapkan untuk seni bina, komponen dan sambungan jenis, sifat-sifat (melalui jenis mereka), template, pandangan dan gambar rajah, katalog, matriks, carta yangd 3Dpandangan. Apabila kebenaran yang ditetapkan untuk komponen atau jenis sambungan semua contoh-contoh jenis itu dalam mana-mana seni bina dalam projek yang 'mewarisi' kebenaran tersebut. Begitu juga, apabila kebenaran ditetapkan untuk harta sesuatu komponen atau jenis sambungan, harta yang diberikan kepada komponen atau sambungan contoh di mana-mana seni bina dalam projek yang 'mewarisi' kebenaran tersebut. Oleh itu, kebenaran tertentu akan digunakan untuk pandangan di mana unsur-unsur wujud. Apabila kebenaran yang ditetapkan untuk gambar rajah, pandangan dan / atau kandungan pandangan itu sendiri mempunyai pelbagai kebenaran digunakan padanya.

Pengurusan Kebenaran

Untuk menetapkan kebenaran untuk komponen (atau Sambungan) Jenis

1. Mengembangkan Jeniscabang pokok itu.

2. Mengembangkan Komponen (atau Sambungan) Jeniscabang pokok itu.

3. Buka Kumpulandi mana perlu.

4. Klik kanan atas Komponen (atau Sambungan) Jenisanda ingin menetapkan kebenaran dan memilih Edit Kebenaran.

5. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

6. Secara lalai anda akan melihat bahawa Buat, Read, kini dan Padam keizinan adalah semua. Buang keizinan oleh menyahtandakankotak semak berkaitan.

Nota

Buat kebenaran mentadbir juga apabila anda boleh menyalin unsur. Oleh itu, untuk dapat menyalin unsur memerlukan Buat kebenaran untuk semua kanak-kanak itu (kerana untuk menyalin unsur bermakna menyalin segala-galanya di bawahnya). Mengeluarkan kebenaran Kemas kini dari unsur menghilangkan keupayaan untuk mengubah suai jenis itu sendiri, walaupun jika pengguna mempunyai Designer tambahan dan ia juga mengeluarkan kebenaran Update untuk semua sifat-sifatnya. Unsur ibu bapa mesti mempunyai Update kebenaran dapat Membuat apa-apa unsur-unsur atau kanak-kanak Padam yang yang sedia ada kanak-kanak unsur-unsur. Padam kebenaran untuk unsur juga memerlukan Padam kebenaran untuk semua kanak-kanak itu. Padam kebenaran untuk komponen juga memerlukan Update izin semua sambungan dilampirkan.Dan akhirnya, mengeluarkan kebenaran Padam dari unsur menghilangkan keupayaan untuk memadam jenis itu sendiri, walaupun jika pengguna mempunyai Designer add-on.

7. Klik pada okeybutang.

Untuk menetapkan kebenaran untuk Kumpulan Komponen (atau Sambungan) Jenis

1. Mengembangkan Jeniscabang pokok itu.

2. Mengembangkan Komponen (atau Sambungan) Jeniscabang pokok itu.

3. Klik kanan atas Kumpulanyang mengandungi komponen (atau Sambungan) Jenis yang anda ingin untuk menetapkan kebenaran dan memilih Edit Kebenaran.

4. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

5. Secara lalai anda akan melihat bahawa Buat, Read, kini dan Padam keizinan adalah semua. Buang keizinan oleh menyahtandakankotak semak berkaitan.

6. Klik pada okeybutang.

7. Dalam dialog yang dipaparkan klik Yabutang.

Untuk menetapkan kebenaran untuk Harta yang

1. Mengembangkan Jeniscabang pokok itu.

2. Mengembangkan Komponen (atau Sambungan) Jeniscabang pokok itu.

3. Buka Kumpulandi mana perlu.

4. Pilih Komponen (atau Sambungan) Jenis yang mengandungi harta yang anda ingin kebenaran yang ditetapkan untuk.

5. Dalam tetingkap Properties Klik kanan atas Hartanahanda ingin menetapkan kebenaran dan memilih Edit Kebenaran.

6. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

7. Secara lalai anda akan melihat bahawa Baca dan Update kebenaran disediakan untuk semua. Buang keizinan oleh menyahtandakankotak semak berkaitan.

Nota

Hartanah yang mempunyai kebenaran Update yang dikeluarkan adalah seperti di huruf condongdalam tetingkap Propertiesdan nilai-nilai mereka tidak boleh dikemas kini dengan peranan yang. Juga, keupayaan untuk mengubah suai butiran hartanah (contohnya nama, unit dan lain-lain) memerlukan kedua-dua kebenaran Update ke atas harta dan Designer add-on.

8. Klik pada okeybutang.

Untuk menetapkan kebenaran untuk Template

1. Mengembangkan Templatcabang pokok itu.

2. Semak imbas ke Templatebahawa anda berminat.

3. Klik kanan atas Templateanda ingin menetapkan kebenaran dan memilih Edit Kebenaran.

4. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

5. Secara lalai anda akan melihat bahawa kebenaran Baca boleh didapati. Buang kebenaran oleh menyahtandakankotak semak.

6. Klik pada okeybutang.

Untuk menetapkan kebenaran untuk Viewpoint yang

1. Mengembangkan Pandangancabang pokok itu.

2. Buka Kumpulandi mana perlu.

3. Klik kanan atas Viewpointanda ingin menetapkan kebenaran dan memilih Edit Kebenaran.

4. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

5. Secara lalai anda akan melihat bahawa Buat, Read, kini dan Padam keizinan adalah semua. Buang keizinan oleh menyahtandakankotak semak berkaitan.

6. Klik pada okeybutang.

Untuk menetapkan kebenaran Seni Bina yang

1. Mengembangkan Seni Binacabang pokok itu.

2. Buka kepada Architecturebahawa anda berminat.

3. Klik kanan atas Architectureanda ingin menetapkan kebenaran dan memilih Edit Kebenaran.

4. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

5. Secara lalai anda akan melihat bahawa kebenaran Baca boleh didapati. Buang kebenaran oleh menyahtandakankotak semak.

6. Klik pada okeybutang.

Untuk menetapkan kebenaran untuk Katalog

1. Mengembangkan Katalogcabang seni bina yang anda berminat.

2. Buka Kumpulandi mana perlu.

3. Klik kanan atas Kataloganda ingin menetapkan kebenaran dan memilih Edit Kebenaran.

4. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

5. Secara lalai anda akan melihat bahawa Buat, Read, kini dan Padam keizinan adalah semua. Buang keizinan oleh menyahtandakankotak semak berkaitan.

6. Klik pada okeybutang.

Untuk menetapkan kebenaran untuk Matrix

1. Mengembangkan Matrikscabang seni bina yang anda berminat.

2. Buka Kumpulandi mana perlu.

3. Klik kanan atas Matrixanda ingin menetapkan kebenaran dan memilih Edit Kebenaran.

4. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

5. Secara lalai anda akan melihat bahawa Buat, Read, kini dan Padam keizinan adalah semua. Buang keizinan oleh menyahtandakankotak semak berkaitan.

6. Klik pada okeybutang.

Untuk menetapkan kebenaran untuk Rajah yang

1. Mengembangkan Rajahcabang seni bina yang anda berminat.

2. Buka Kumpulandi mana perlu.

3. Klik kanan atas Rajahanda ingin menetapkan kebenaran dan memilih Edit Kebenaran.

4. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

5. Secara lalai anda akan melihat bahawa Buat, Read, kini dan Padam keizinan adalah semua. Buang keizinan oleh menyahtandakankotak semak berkaitan.

Nota

Walaupun anda boleh menetapkan kebenaran Makanan Tak langsung untuk gambarajah, ia harus diperhatikan bahawa keizinan daripada unsur-unsur pada rajah boleh menjejaskan kebenaran untuk paparan itu sendiri. Sebagai contoh, jika terdapat walaupun hanya satu elemen pada pandangan bahawa telah mempunyai Baca atau Kemas kini kebenarannya dikeluarkan kemudian rajah akan mempunyai kebenaran Update yang dikeluarkan. Ini adalah kerana; a) elemen pada pandangan bahawa mempunyai kebenaran Baca mereka dikeluarkan tidak akan ditunjukkan pada paparan yang meninggalkan 'ruang putih' di mana anda mungkin sebaliknya meletakkan beberapa elemen baru jika pemandangannya updateable, dan b) elemen pada pandangan bahawa mempunyai kebenaran Update mereka dikeluarkan kemudian boleh mempunyai unsur-unsur lain jatuh ke atas mereka untuk menjadi anak-anak jika pemandangannya updateable. Juga, Buat dan kebenaran Update untuk gambar rajah yang memerlukan semua elemen pada pandangan mempunyai kebenaran Baca dan komponen mempunyai kebenaran Update (ini adalah kerana untuk bergerak komponen ke komponen lain, anda mesti berupaya untuk mengemas kini kerana ia akan menjadi seorang kanak-kanak).

6. Klik pada okeybutang.

Untuk menetapkan kebenaran untuk View 3D

1. Mengembangkan 3D Viewscabang seni bina yang anda berminat.

2. Buka Kumpulandi mana perlu.

3. Klik kanan atas Lihat 3Danda ingin menetapkan kebenaran dan memilih Edit Kebenaran.

4. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

5. Secara lalai anda akan melihat bahawa Buat, Read, kini dan Padam keizinan adalah semua. Buang keizinan oleh menyahtandakankotak semak berkaitan.

6. Klik pada okeybutang.

Untuk menetapkan kebenaran untuk Carta

1. Mengembangkan Cartacabang seni bina yang anda berminat.

2. Buka Kumpulandi mana perlu.

3. Klik kanan atas Cartaanda ingin menetapkan kebenaran dan memilih Edit Kebenaran.

4. Dalam dialog yang dipaparkan klik pada Tambah ...butang dan pilih Kumpulananda ingin menambah sama ada dengan mengklik dua kali atau memilihnya dan mengklik okeybutang.

5. Secara lalai anda akan melihat bahawa Buat, Read, kini dan Padam keizinan adalah semua. Buang keizinan oleh menyahtandakankotak semak berkaitan.

6. Klik pada okeybutang.

Lihat juga

Bagaimana seni bina yang diwakili dalam ABACUS?


Skrip Penulisan

Navigation: simulasi seni bina anda>

Skrip Penulisan

Menghantar komen mengenai topik ini.

Editor Script adalah utiliti mudah dan berfungsi untuk menulis dan melaksanakan VB atau C # skrip terhadap fail ABACUS dibuka buat masa ini(Perpustakaan tidak disokong dalam skrip). Ia mempunyai fail yang biasa terbuka, Tutup dan Jimat arahan, jadi anda boleh menyimpan dan mendapatkan semula skrip yang anda tulis. Ia juga mempunyai jangka dan debug kemudahan asas. Pengurus Script membolehkan anda dengan mudah melaksanakan pelbagai skrip yang anda telah menulis dengan meletakkan menu-item untuk mereka secara langsung dalam menu Alat.

Untuk mengakses Editor Skrip

1. Pastikan anda mempunyai fail ABACUS yang, Yang mengandungi anda seni bina penduduk, terbuka.

2. Pilih Peralatan | Script Editordan tetingkap Script Editor akan terbuka. Kemudian sama ada;

3. Buka skrip yang sedia ada melalui Fail | Terbuka dalam menu Script Editor,

atau

3. Buka skrip Contoh melalui Contoh item dalam menu Script Editor,

atau

3. Tetapkan Bahasa lalai untuk memuat VB atau C # melalui Bahasa item dalam menu Script Editor,

atau

3. Skrip Terbuka Bantuan tertentu melalui Bantuan item dalam menu Script Editor

Apabila menulis skrip, anda perlu mematuhi sama ada VB atau C # sintaksseperti tetapan di bawah item Bahasa dalam menu Script Editor.

NOTA:

· Untuk menggunakan standard VB fungsi seperti MsgBox ()anda mesti termasuk Import Microsoft.VisualBasickenyataan pada awal skrip anda. Ini bukan perlu sebelum Versi 3.0 daripada ABACUS.

· Bantuan ini tidak termasuk maklumat mengenai bagaimana untuk menulis skrip VB, ia juga tidak mengandungi rujukan VB. Jangan ragu untuk menulis skrip anda dalam IDE kegemaran anda atau editor, kemudian salin dan tampalkannya ke dalam Editor Script ini.

Apabila anda mula-mula memulakan Editor Script, Script Editor akan tinggal kosong. Anda boleh mengakses skrip rangka melalui menu Contoh ini. Kali pertama anda memulakan Editor Skrip anda, anda perlu menggunakan rangka Template untuk melihat bahawa ia berfungsi. Di samping itu, terdapat dua contoh skrip yang boleh diakses melalui menu Contoh ini.

Untuk menulis skrip yang berguna anda perlu rujukan ABACUS ObjectModel. Ia disediakan kepada skrip anda dengan memasukkan Import ABACUS.ObjectModelkenyataan di kepala skrip anda. Sebutan yang lengkap untuk keseluruhan model objek ABACUS dimasukkan dengan Editor Script. Anda boleh menemuinya dengan memilih Bantuan | Kandungandari tingkap Script Editor.

Editor skrip termasuk banyak ciri-ciri berguna untuk menulis skrip, termasuk AutoComplete seperti yang ditunjukkan dalam gambar di bawah. Walau bagaimanapun, bagi pengalaman pengguna yang lebih kaya MS Visual Studio boleh disepadukan dengan ABACUS dan arahan terperinci boleh didapati di sini .

Script Editor dengan AutoComplete

Untuk menggunakan Pengurus Script

1. Pastikan anda mempunyai fail ABACUS yang, Yang mengandungi anda seni bina penduduk, terbuka.

2. Pilih Tools | Skrip Pengurus.

3. Klik pada Tambahikon dan Terbukatetingkap muncul.

4. Semak imbas kepada tulisan ABACUS (.abacusscript, VB atau .cs) Fail yang anda hendak tambah pada menu Alat.

5. Klik okeydan rujukan kepada tulisan akan dipaparkan dalam tetingkap Skrip Manager. Masukkan nama bagi skrip yang anda mahu ia muncul dalam menu Alat. Nota: Skrip tetingkap Pengurus boleh ditukar saiznya untuk melihat laluan penuh jika perlu.

6. Ulangi langkah 5/3untuk membuat pautan kepada lebih skrip ABACUS.

7. Klik Tutupuntuk menutup Pengurus Skrip dan ambil perhatian bahawa skrip ABACUS (s) kini muncul di bawah menu Tools.

Menjalankan skrip

Sama ada;

1. Terbuka, menaip, atau copy dan paste skrip yang anda mahu untuk menjalankan, jadi ia dipaparkan dalam tetingkap utama daripada Script Editor.

2. Klik Runbutang.

3. Jika skrip anda mengandungi ralat, Ralat Penerangan seksyen di bahagian bawah Editor Skrip akan menyenaraikan maklumat termasuk nombor talian. NOTA: Setiap kesilapan individu dalam Ralat Penerangan seksyen boleh mengklik dua kali untuk membawa anda ke garis yang berkaitan dalam skrip.

- Atau -

1. Pilih Peralatandan kemudian Nama ABACUS Script item menu yang diwujudkan dengan Skrip Pengurus.

2. Jika skrip anda mengandungi ralat, Pengarang Script akan dibuka dengan kandungan skrip yang ditunjukkan dalam tetingkap utama (yang ditunjukkan di garis ralat pertama) dan Ralat Penerangan seksyen di bahagian bawah Editor Skrip akan menyenaraikan butiran atau ralat (s) termasuk nombor talian. NOTA: Setiap kesilapan individu dalam Ralat Penerangan seksyen boleh mengklik dua kali untuk membawa anda ke garis yang berkaitan dalam skrip.

Kesilapan skrip Penyusunan

Penyusunan kesilapan berlaku apabila sintaks kod skrip itu tidak betul. Ralat ini akan muncul di bahagian bawah tingkap di bahagian Ralat, dengan penerangan kesilapan itu, dan beberapa garis. Ia adalah nombor talian yang membezakan ralat kompilasi dari kesilapan Runtime (lihat di bawah), yang tidak akan mempunyai nombor talian. Kesilapan Penyusunan boleh double klik untuk melompat ke dan menonjolkan baris tertentu dalam soalan.

Ralat Runtime skrip (Penting)

Kesilapan runtime berlaku selepas kod skrip telah berjaya menyusun tanpa kesilapan, tetapi kesilapan berlaku pada masa berjalan (lihat contoh turun lagi). Kesilapan runtime ini penting kerana ia boleh menyebabkan model yang rosak, apabila objek dicipta dan dirujuk oleh objek lain dalam model, tidak diri mereka sebahagian daripada model (biasanya kerana satu kesilapan runtime telah berlaku sebelum kod tersebut yang meletakkan mereka dalam model di suatu tempat, telah dilaksanakan).

Jika skrip anda mencipta objek yang akan ditambah kepada model, anda boleh mengelakkan rasuah disebabkan oleh kesilapan runtime dengan menyimpan skrip anda, menutup skrip, dan melaksanakan yang batal perubahan yang telah diwujudkan oleh skrip (jika pelaksanaan skrip tidak melengkapkan biasanya ). Walau bagaimanapun, terdapat juga cara-cara lain untuk mengelakkan sebarang rasuah yang berlaku (lihat di bawah). Nota: Mana-mana skrip yang hanya membaca dari model dan jangan menulis kepadanya, adalah selamat dan tidak akan menyebabkan sebarang masalah, tidak kira sama ada kesilapan runtime berlaku semasa pelaksanaan mereka.

Untuk mengelakkan rasuah, semasa menulis kod yang mencipta objek dan menambah mereka ke model objek, adalah dicadangkan bahawa objek ditambah kepada model secepat mungkin jika mereka dirujuk oleh objek lain.

Sebagai contoh, jika anda membuat sambungan baru, dan 2 komponen baru, dan kemudian melampirkan mereka bersama-sama, ia adalah yang terbaik untuk membuat komponen pertama, tambah kepada model, kemudian kedua dan menambahnya, dan kemudian membuat sambungan dan menambahnya, dan akhirnya mewujudkan lampiran. Ini bermakna bahawa jika terdapat menjadi kesilapan runtime yang mengganggu pelaksanaan skrip, semua objek yang diperlukan untuk berada di objectmodel sebelum lampiran dicipta, adalah dalam model. Rasuah boleh berlaku sekiranya, sebagai contoh, hanya sambungan telah ditambah, alat tambahan dibuat, dan kemudian kesilapan runtime berlaku sebelum skrip akhirnya menambah komponen baru untuk model.Corruption boleh berlaku bila-bila masa objek yang dirujuk oleh objek lain objectmodel, adalah sendiri tidak di objectmodel itu.

Contoh kesilapan runtime termasuk:

· Rujukan objek tidak ditetapkan kepada satu contoh objek - ini berlaku apabila pembolehubah objek adalah rujukan null, dan kaedah atau harta pada objek yang sedang digunakan. Rujukan Null boleh disemak dengan 'Jika objectVariable Tiada apa-apa Kemudian ...

· Indeks adalah di luar batas array - ini berlaku apabila array sedang diakses dengan indeks yang berada di luar batas-batas - contohnya kurang daripada 0 atau sama dengan atau lebih besar daripada panjang / Bilang array. Array atau panjang koleksi boleh disemak masing-masing oleh .Length atau .Count hartanah.

· Tiada Pengecualian Kebenaran - Anda tidak mempunyai kebenaran untuk ... - yang ini berlaku jika anda tidak mempunyai kebenaran untuk membuat perubahan yang diberikan

· Pengecualian Kunci utama - Duplicate / Hilang Nama / ID - yang satu ini akan berlaku jika perubahan dibuat kepada satu sifat yang unik yang bercanggah dengan objek lain. Mis Seni bina mestilah unik dengan nama, begitu juga dengan Standard.

· Integriti Rujukan Pengecualian - Menetapkan bidang merujuk kepada objek yang tidak sah. Mis menambah 'apa-apa' atau batal sebagai kanak-kanak kepada banyak koleksi di objectmodel itu.

· Zero Negara Pengecualian - ini boleh berlaku jika anda cuba untuk menetapkan nama objek untuk rentetan kosong. Kebanyakan objek memerlukan nama-nama mereka mempunyai sekurang-kurangnya 1 aksara.

Import kenyataan

Perhatikan bahawa pada permulaan skrip rangka terdapat kenyataan-kenyataan seperti Import ABACUS.ObjectModel. Kenyataan-kenyataan ini tidak akan memasukkan dll yang belum dirujuk oleh skrip - tujuan mereka adalah untuk menyediakan satu 'jalan pintas' untuk mempunyai untuk menentukan nama seluruh kelas.

Sebagai contoh, untuk mengisytiharkan pembolehubah jenis CComponent (mewakili satu komponen dalam ABACUS), dengan Import ABACUS.ObjectModelkenyataan ke arah bahagian atas skrip, hanya akan memerlukannya untuk diisytiharkan sebagai comp malap sebagai CComponent, Kerana pengkompil tahu untuk melihat dalam ruang nama ABACUS.ObjectModel untuk kelas CComponent itu. Tanpa kenyataan import, ia perlu diisytiharkan sebagai malap comp sebagai ABACUS.ObjectModel.CComponent. Perhimpunan (seperti mscorlib.dll, atau System.Windows.Forms.dll) boleh mengandungi lebih daripada satu ruang nama - kenyataan Import adalah untuk ruang nama ini, bukan untuk perhimpunan sendiri. The ABACUS.ObjectModel.dll perhimpunan hanya mempunyai ruang nama ABACUS.ObjectModel tunggal boleh diakses melalui Scripting.

Perhimpunan dirujuk secara automatik

The DLL berikut dirujuk secara automatik oleh Scripting:

· mscorlib.dll

· System.dll

· System.Drawing.dll

· System.Windows.Forms.dll

· Microsoft.VisualBasic.dll (tersirat dirujuk oleh pengkompil)

· ABACUS.ObjectModel.dll

Untuk membuat rujukan tambahan untuk sama ada perhimpunan BERSIH lain, atau perhimpunan anda sendiri, lihat bahagian berikut mengandungi #Kenyataan ImportDLL.

#Kenyataan ImportDLL

Bermula pada ABACUS 3.1, anda boleh rujukan perhimpunan tambahan yang mungkin anda perlukan untuk skrip dengan penggunaan #Kenyataan ImportDLL. Sebagai contoh, jika anda mahu untuk mengakses DLL adat anda dan menggunakan fungsi yang di dalamnya, anda akan meletakkan ia di dalam direktori ABACUS dan memasukkan kenyataan sebagai baris pertama (s) di dalam skrip anda. Jika ia adalah dll .NET, maka biasanya anda tidak perlu memasukkan keseluruhan jalan, hanya DLL.

· #ImportDLL C: \ Program Files \ Avolution \ ABACUS \ YourDLL.dll

· #ImportDLL System.XML.dll

Beberapa perkara lain yang perlu diberi perhatian:

1. Kerana DLL perlu ditemui di kompil dan runtime, ini menyekat (tidak .NET) DLL adat untuk diletakkan di dalam folder program ABACUS sahaja.

2. #Penyata ImportDLL mesti baris pertama (s) skrip yang - jika anda mempunyai 5 kenyataan, maka mereka hendaklah di atas 5 baris pertama skrip

3. Yang #Kenyataan ImportDLL diletakkan di mana-mana tetapi baris pertama skrip (contohnya jika ia diletakkan selepas komen atau kenyataan Import) tidak akan berfungsi dengan betul dan / atau mungkin menyebabkan kesilapan pengkompil yang tidak berkaitan.

#ImportDLL dengan Pejabat Dewan

Jika anda mempunyai Microsoft Office dipasang, dan skrip anda memerlukan perhimpunan Pejabat Interop, ia adalah mungkin untuk rujukan mereka hanya dengan menggunakan #ImportDLL dengan nama perhimpunan itu (seperti yang disenaraikan di bawah, mis #ImportDLL Excel). Dengan menggunakan kaedah ini mempunyai kelebihan bahawa jalan dll mutlak tidak perlu digunakan, jadi skrip adalah lebih mudah alih (harus bekerja pada kedua-dua Office 2003 dan 2007 tanpa menyunting skrip).

Apabila anda menggunakan ciri ini, GAC (Global Perhimpunan Cache) sedang mencari untuk pemasangan Interop, dan skrip menyusun dengan jalan untuk perhimpunan yang jika ditemui. Jika ia tidak dijumpai, skrip akan menyemak direktori program ABACUS (yang mengandungi Excel dan Visio interops sahaja). Jika Interop yang diminta tidak dijumpai pada masa ini, amaran dipaparkan.

The interops biasanya tidak dipasang di GAC jika anda telah memasang Microsoft Office sebelum memasang .NET Framework (yang merupakan sebahagian daripada pemasangan ABACUS penuh). Anda boleh memasang mereka dengan melakukan Tukar pilihan untuk Microsoft Office dari Add / Remove Programs dan memilih pilihan Programmability BERSIH. Untuk maklumat lanjut, lihat ini artikel pada MSDN.

Perhimpunan yang mana jalan pintas ini disokong adalah:

· Akses

· Access.Dao

· Excel

· Graf

· MSProject

· Outlook

· OutlookViewCtl

· Owc11

· PowerPoint

· Penerbit

· SmartTag

· Visio

· Visio.SaveAsWeb

· VisOcx

· Word

It tidak sepenuhnya jelas jika setiap hari raya yang di atas adalah berguna, bilik yangdilaksanakan termasuk dalam regardeless ciri ini kerana beberapa pengguna Februari mempunyai keperluan untuk walaupun perhimpunan kabur.

Lihat juga

Simulasi senibina anda